
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest3 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test001"); }


    java.lang.String[] str_array1 = new java.lang.String[] { "org.apache.commons.math.ode.IntegratorException: hi!" };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix2 = org.apache.commons.math.linear.MatrixUtils.createRowBigMatrix(str_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array1);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test002"); }


    double[] d_array6 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    double[] d_array11 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "Maximal number of evaluations ({0}) exceeded", obj_array14);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator16 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array6, d_array11);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator21 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(100.0d, 0.0d, 100.0d, (-1.0d));
    dormandPrince853Integrator21.setMaxEvaluations(10);
    dormandPrince853Integrator21.clearEventHandlers();
    dormandPrince853Integrator21.clearEventHandlers();
    adamsMoultonIntegrator16.setStarterIntegrator((org.apache.commons.math.ode.FirstOrderIntegrator)dormandPrince853Integrator21);
    double d27 = adamsMoultonIntegrator16.getCurrentStepStart();
    double d28 = adamsMoultonIntegrator16.getMaxGrowth();
    double d29 = adamsMoultonIntegrator16.getCurrentSignedStepsize();
    adamsMoultonIntegrator16.setMaxGrowth(1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test003"); }


    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = bigFraction1.subtract(bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger7 = bigFraction6.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction2.subtract(bigInteger7);
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction10 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = bigFraction9.subtract(bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger15 = bigFraction14.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction10.subtract(bigInteger15);
    org.apache.commons.math.fraction.BigFraction bigFraction17 = bigFraction8.pow(bigInteger15);
    org.apache.commons.math.FieldElement[] fieldElement_array18 = new org.apache.commons.math.FieldElement[] { bigFraction17 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix19 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array18);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array20 = new org.apache.commons.math.FieldElement[][] { fieldElement_array18 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix21 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array20);
    org.apache.commons.math.fraction.BigFraction bigFraction22 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction23 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor24 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction23);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor25 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction23);
    org.apache.commons.math.fraction.BigFraction bigFraction26 = bigFraction22.subtract(bigFraction23);
    double d27 = bigFraction23.doubleValue();
    byte byte28 = bigFraction23.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction29 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction30 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor31 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction30);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor32 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction30);
    org.apache.commons.math.fraction.BigFraction bigFraction33 = bigFraction29.subtract(bigFraction30);
    double d34 = bigFraction30.doubleValue();
    byte byte35 = bigFraction30.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction37 = bigFraction30.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction39 = bigFraction30.add(100);
    org.apache.commons.math.fraction.BigFraction bigFraction40 = bigFraction23.divide(bigFraction39);
    org.apache.commons.math.FieldElement[] fieldElement_array41 = new org.apache.commons.math.FieldElement[] { bigFraction40 };
    org.apache.commons.math.FieldElement[] fieldElement_array42 = array2DRowFieldMatrix21.preMultiply(fieldElement_array41);
    java.lang.ArrayIndexOutOfBoundsException arrayIndexOutOfBoundsException43 = org.apache.commons.math.MathRuntimeException.createArrayIndexOutOfBoundsException("", (java.lang.Object[])fieldElement_array41);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix44 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array41);
    org.apache.commons.math.fraction.BigFraction bigFraction45 = org.apache.commons.math.fraction.BigFraction.ONE_FIFTH;
    org.apache.commons.math.fraction.BigFraction bigFraction46 = bigFraction45.abs();
    double d47 = bigFraction46.doubleValue();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor48 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction46);
    org.apache.commons.math.FieldElement fieldElement49 = array2DRowFieldMatrix44.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte28 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte35 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayIndexOutOfBoundsException43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement49);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test004"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix9.copy();
    org.apache.commons.math.linear.RealMatrix realMatrix13 = blockRealMatrix11.scalarMultiply(100.0d);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix14 = blockRealMatrix11.copy();
    blockRealMatrix14.luDecompose();
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor16 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d21 = blockRealMatrix14.walkInOptimizedOrder(realMatrixChangingVisitor16, 10, 100, 8, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix14);

  }

  @Test
  public void test005() {}
// Defects4J: flaky method
//   @Test
//   public void test005() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test005"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction1 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d5 = brentSolver0.solve(univariateRealFunction1, 1.0d, 2.0d, 1.0E-6d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test006"); }


    org.apache.commons.math.fraction.BigFraction bigFraction3 = new org.apache.commons.math.fraction.BigFraction((-1.0d), 100.0d, 1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor5 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction4);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor6 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction4);
    float f7 = bigFraction4.floatValue();
    float f8 = bigFraction4.floatValue();
    org.apache.commons.math.fraction.BigFraction bigFraction9 = bigFraction3.add(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f7 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f8 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);

  }

  @Test
  public void test007() {}
// Defects4J: flaky method
//   @Test
//   public void test007() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test007"); }
// 
// 
//     double[] d_array5 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
//     double[] d_array7 = new double[] {  };
//     org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator8 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array5, d_array7);
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array5);
//     org.apache.commons.math.linear.RealMatrix realMatrix11 = array2DRowRealMatrix9.scalarAdd(0.0d);
//     org.apache.commons.math.linear.RealMatrix realMatrix12 = array2DRowRealMatrix9.copy();
//     double[][] d_array_array13 = array2DRowRealMatrix9.getData();
//     double[] d_array19 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array19);
//     double[] d_array21 = new double[] {  };
//     org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator22 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array19, d_array21);
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array19);
//     double[] d_array25 = array2DRowRealMatrix23.getRow(1);
//     boolean b26 = array2DRowRealMatrix23.isSquare();
//     int i27 = array2DRowRealMatrix23.getRowDimension();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = array2DRowRealMatrix9.multiply(array2DRowRealMatrix23);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realMatrix11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realMatrix12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b26 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i27 == 3);
// 
//   }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test008"); }


    org.apache.commons.math.fraction.BigFraction bigFraction1 = new org.apache.commons.math.fraction.BigFraction(100L);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger5 = bigFraction4.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger9 = bigFraction8.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction10 = new org.apache.commons.math.fraction.BigFraction(bigInteger5, bigInteger9);
    org.apache.commons.math.fraction.BigFraction bigFraction11 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction11);
    org.apache.commons.math.fraction.BigFraction bigFraction17 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger18 = bigFraction17.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction19 = new org.apache.commons.math.fraction.BigFraction(bigInteger18);
    org.apache.commons.math.FieldElement fieldElement20 = defaultFieldMatrixChangingVisitor12.visit(100, (-1), (org.apache.commons.math.FieldElement)bigFraction19);
    org.apache.commons.math.fraction.BigFraction bigFraction23 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger24 = bigFraction23.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction25 = new org.apache.commons.math.fraction.BigFraction(bigInteger24);
    org.apache.commons.math.fraction.BigFraction bigFraction26 = bigFraction19.pow(bigInteger24);
    org.apache.commons.math.fraction.BigFraction bigFraction27 = new org.apache.commons.math.fraction.BigFraction(bigInteger5, bigInteger24);
    org.apache.commons.math.fraction.BigFraction bigFraction28 = bigFraction1.divide(bigInteger5);
    java.math.BigInteger bigInteger29 = bigFraction28.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger29);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test009"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix4.transpose();
    double[] d_array13 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector14 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array15);
    double[] d_array18 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector19 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array18);
    double[][] d_array_array20 = new double[][] { d_array18 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix16.multiply(blockRealMatrix21);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix21.copy();
    boolean b24 = blockRealMatrix23.isSquare();
    double[] d_array26 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector27 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array26);
    double[][] d_array_array28 = new double[][] { d_array26 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix29 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array28);
    double[] d_array31 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector32 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array31);
    double[][] d_array_array33 = new double[][] { d_array31 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix34 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array33);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = blockRealMatrix29.multiply(blockRealMatrix34);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = blockRealMatrix29.getColumnMatrix(0);
    double[] d_array39 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector40 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array39);
    double[][] d_array_array41 = new double[][] { d_array39 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix42 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array41);
    double[] d_array44 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector45 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array44);
    double[][] d_array_array46 = new double[][] { d_array44 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix47 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array46);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix48 = blockRealMatrix42.multiply(blockRealMatrix47);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix47.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix37.add(blockRealMatrix49);
    org.apache.commons.math.linear.RealMatrix realMatrix51 = blockRealMatrix23.solve((org.apache.commons.math.linear.RealMatrix)blockRealMatrix37);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix52 = blockRealMatrix11.subtract(blockRealMatrix23);
    double[] d_array55 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector56 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array55);
    double[][] d_array_array57 = new double[][] { d_array55 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix58 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array57);
    double[] d_array60 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector61 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array60);
    double[][] d_array_array62 = new double[][] { d_array60 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix63 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array62);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix64 = blockRealMatrix58.multiply(blockRealMatrix63);
    double[] d_array66 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector67 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array66);
    double[][] d_array_array68 = new double[][] { d_array66 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix69 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array68);
    double[] d_array71 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector72 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array71);
    double[][] d_array_array73 = new double[][] { d_array71 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix74 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array73);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix75 = blockRealMatrix69.multiply(blockRealMatrix74);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix76 = blockRealMatrix74.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix77 = blockRealMatrix58.add(blockRealMatrix76);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix23.setRowMatrix(1, blockRealMatrix58);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix77);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test010"); }


    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator0 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    nordsieckStepInterpolator0.shift();
    boolean b2 = nordsieckStepInterpolator0.isForward();
    java.io.ObjectInput objectInput3 = null;
    // The following exception was thrown during execution in test generation
    try {
      nordsieckStepInterpolator0.readExternal(objectInput3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test011"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction3 = bigFraction0.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array4 = new org.apache.commons.math.FieldElement[] { bigFraction0 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix6 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    java.lang.String str7 = array2DRowFieldMatrix6.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix9 = array2DRowFieldMatrix6.scalarAdd((org.apache.commons.math.FieldElement)bigFraction8);
    int i10 = array2DRowFieldMatrix6.getColumnDimension();
    org.apache.commons.math.fraction.BigFraction bigFraction11 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger12 = bigFraction11.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction14 = bigFraction11.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array15 = new org.apache.commons.math.FieldElement[] { bigFraction11 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix16 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array15);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix17 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array15);
    java.lang.String str18 = array2DRowFieldMatrix17.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction19 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix20 = array2DRowFieldMatrix17.scalarAdd((org.apache.commons.math.FieldElement)bigFraction19);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array21 = array2DRowFieldMatrix17.getDataRef();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix22 = array2DRowFieldMatrix6.add((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix17);
    org.apache.commons.math.linear.FieldVector fieldVector24 = array2DRowFieldMatrix17.getRowVector(0);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix25 = array2DRowFieldMatrix17.transpose();
    double[] d_array31 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array31);
    double[] d_array33 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator34 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array31, d_array33);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix35 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array31);
    double[] d_array41 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array41);
    double[] d_array43 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator44 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array41, d_array43);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix45 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array41);
    org.apache.commons.math.linear.RealMatrix realMatrix47 = array2DRowRealMatrix45.scalarAdd(0.0d);
    org.apache.commons.math.linear.RealMatrix realMatrix48 = array2DRowRealMatrix45.copy();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix49 = array2DRowRealMatrix35.add(array2DRowRealMatrix45);
    org.apache.commons.math.Field field50 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix51 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field50);
    org.apache.commons.math.fraction.BigFraction bigFraction52 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor53 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction52);
    org.apache.commons.math.FieldElement fieldElement54 = array2DRowFieldMatrix51.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor53);
    org.apache.commons.math.Field field55 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix56 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field55);
    org.apache.commons.math.fraction.BigFraction bigFraction57 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor58 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction57);
    org.apache.commons.math.FieldElement fieldElement59 = array2DRowFieldMatrix56.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor58);
    int i60 = array2DRowFieldMatrix56.getRowDimension();
    org.apache.commons.math.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math.linear.AnyMatrix)array2DRowFieldMatrix51, (org.apache.commons.math.linear.AnyMatrix)array2DRowFieldMatrix56);
    org.apache.commons.math.fraction.BigFraction bigFraction62 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction63 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor64 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction63);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor65 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction63);
    org.apache.commons.math.fraction.BigFraction bigFraction66 = bigFraction62.subtract(bigFraction63);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor67 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction66);
    defaultFieldMatrixPreservingVisitor67.start((-1), 0, 1, 100, 10, 10);
    org.apache.commons.math.FieldElement fieldElement75 = array2DRowFieldMatrix56.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor67);
    boolean b76 = array2DRowRealMatrix45.equals((java.lang.Object)defaultFieldMatrixPreservingVisitor67);
    org.apache.commons.math.FieldElement fieldElement77 = array2DRowFieldMatrix17.walkInOptimizedOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor67);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array78 = array2DRowFieldMatrix17.getDataRef();
    org.apache.commons.math.fraction.BigFraction bigFraction79 = org.apache.commons.math.fraction.BigFraction.ONE_FIFTH;
    org.apache.commons.math.fraction.BigFraction bigFraction80 = bigFraction79.abs();
    double d81 = bigFraction80.doubleValue();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor82 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction80);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement87 = array2DRowFieldMatrix17.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor82, 10, 1, 36, 3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str7.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str18.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldVector24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.2d);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test012"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix9.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix12 = blockRealMatrix11.copy();
    double[] d_array18 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array18);
    double[] d_array20 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator21 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array18, d_array20);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator23 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array18, true);
    double d24 = dummyStepInterpolator23.getCurrentTime();
    boolean b25 = blockRealMatrix11.equals((java.lang.Object)dummyStepInterpolator23);
    double[] d_array32 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array32);
    double[] d_array34 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator35 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array32, d_array34);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix36 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array32);
    double[] d_array42 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array42);
    double[] d_array44 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator45 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array42, d_array44);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix46 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array42);
    org.apache.commons.math.linear.RealMatrix realMatrix48 = array2DRowRealMatrix46.scalarAdd(0.0d);
    org.apache.commons.math.linear.RealMatrix realMatrix49 = array2DRowRealMatrix46.copy();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix50 = array2DRowRealMatrix36.add(array2DRowRealMatrix46);
    org.apache.commons.math.linear.RealMatrix realMatrix52 = array2DRowRealMatrix50.getRowMatrix(0);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix11.setRowMatrix((-1), realMatrix52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix52);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test013"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(Double.NaN, 0.9d, (-1.0d), 0.2d);
    dormandPrince853Integrator4.setMaxEvaluations(36);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test014"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix9.copy();
    boolean b12 = blockRealMatrix11.isSquare();
    org.apache.commons.math.linear.RealMatrix realMatrix14 = blockRealMatrix11.scalarMultiply(0.2d);
    double[] d_array16 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    double[][] d_array_array18 = new double[][] { d_array16 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix19 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array18);
    double[] d_array21 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector22 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array21);
    double[][] d_array_array23 = new double[][] { d_array21 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix24 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array23);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix19.multiply(blockRealMatrix24);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix26 = blockRealMatrix24.transpose();
    org.apache.commons.math.linear.RealMatrix realMatrix27 = blockRealMatrix24.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix28 = blockRealMatrix11.multiply((org.apache.commons.math.linear.RealMatrix)blockRealMatrix24);
    double[] d_array31 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector32 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array31);
    double[][] d_array_array33 = new double[][] { d_array31 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix34 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array33);
    double[] d_array36 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector37 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array36);
    double[][] d_array_array38 = new double[][] { d_array36 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix39 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array38);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix40 = blockRealMatrix34.multiply(blockRealMatrix39);
    double[] d_array42 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector43 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array42);
    double[][] d_array_array44 = new double[][] { d_array42 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array44);
    double[] d_array47 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector48 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array47);
    double[][] d_array_array49 = new double[][] { d_array47 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix50 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array49);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix51 = blockRealMatrix45.multiply(blockRealMatrix50);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix52 = blockRealMatrix50.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix53 = blockRealMatrix34.add(blockRealMatrix52);
    double d54 = blockRealMatrix34.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix55 = blockRealMatrix34.transpose();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix28.setRowMatrix(3, (org.apache.commons.math.linear.RealMatrix)blockRealMatrix34);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix55);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test015"); }


    org.apache.commons.math.ode.events.CombinedEventsManager combinedEventsManager0 = new org.apache.commons.math.ode.events.CombinedEventsManager();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    double d2 = dummyStepInterpolator1.getPreviousTime();
    double d3 = dummyStepInterpolator1.getPreviousTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator4 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator1);
    double d5 = dummyStepInterpolator1.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator6 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator1);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator7 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator6);
    boolean b8 = combinedEventsManager0.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator7);
    java.util.Collection collection9 = combinedEventsManager0.getEventsHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection9);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test016"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, Double.NaN, 1);
    double d5 = eventState4.getConvergence();
    double d6 = eventState4.getMaxCheckInterval();
    org.apache.commons.math.ode.events.EventHandler eventHandler7 = eventState4.getEventHandler();
    double d8 = eventState4.getConvergence();
    double[] d_array16 = new double[] { (-1.0d) };
    double[] d_array23 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException(d_array23);
    double[] d_array28 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array28);
    java.lang.Object[] obj_array31 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array28, "Maximal number of evaluations ({0}) exceeded", obj_array31);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator33 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array23, d_array28);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator34 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 100.0d, 0.0d, d_array16, d_array28);
    double[] d_array40 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array40);
    double[] d_array42 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array40, d_array42);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix44 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array40);
    org.apache.commons.math.linear.RealMatrix realMatrix46 = array2DRowRealMatrix44.scalarAdd(0.0d);
    double[] d_array55 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array55);
    double[] d_array57 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator58 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array55, d_array57);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator60 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array55, true);
    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator61 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array67 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix68 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array67);
    double[] d_array74 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException(d_array74);
    double[] d_array76 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator77 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array74, d_array76);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix78 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array76);
    nordsieckStepInterpolator61.reinitialize(10.0d, 1.0d, d_array67, array2DRowRealMatrix78);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator80 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 0.0d, 0.0d, d_array55, d_array67);
    double[] d_array81 = array2DRowRealMatrix44.preMultiply(d_array67);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator82 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9d, 1.0E-15d, d_array28, d_array81);
    org.apache.commons.math.linear.RealVector realVector83 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array81);
    boolean b84 = eventState4.reset(1.0E-15d, d_array81);
    org.apache.commons.math.linear.RealMatrix realMatrix85 = org.apache.commons.math.linear.MatrixUtils.createRowRealMatrix(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b84 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix85);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test017"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix9.copy();
    boolean b12 = blockRealMatrix11.isSquare();
    double[][] d_array_array13 = blockRealMatrix11.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix14 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test018"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger3 = bigFraction2.getDenominator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator4 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    double d5 = dummyStepInterpolator4.getPreviousTime();
    dummyStepInterpolator4.storeTime(0.0d);
    dummyStepInterpolator4.finalizeStep();
    boolean b9 = bigFraction2.equals((java.lang.Object)dummyStepInterpolator4);
    java.io.ObjectInputStream objectInputStream11 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.deserializeRealMatrix((java.lang.Object)b9, "", objectInputStream11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test019"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double d24 = blockRealMatrix4.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix4.transpose();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
    double[][] d_array_array29 = new double[][] { d_array27 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array29);
    double[] d_array32 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array34);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = blockRealMatrix30.multiply(blockRealMatrix35);
    double[] d_array38 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector39 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array38);
    double[][] d_array_array40 = new double[][] { d_array38 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix41 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array40);
    double[] d_array43 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector44 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix46 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array45);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix47 = blockRealMatrix41.multiply(blockRealMatrix46);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix48 = blockRealMatrix46.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix30.add(blockRealMatrix48);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix25.subtract(blockRealMatrix30);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor51 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d56 = blockRealMatrix25.walkInRowOrder(realMatrixPreservingVisitor51, 1, (-1), 36, 8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test020"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix9.copy();
    boolean b12 = blockRealMatrix11.isSquare();
    double d13 = blockRealMatrix11.getFrobeniusNorm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test021"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double d24 = blockRealMatrix4.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix4.transpose();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
    double[][] d_array_array29 = new double[][] { d_array27 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array29);
    double[] d_array32 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array34);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = blockRealMatrix30.multiply(blockRealMatrix35);
    double[] d_array38 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector39 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array38);
    double[][] d_array_array40 = new double[][] { d_array38 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix41 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array40);
    double[] d_array43 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector44 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix46 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array45);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix47 = blockRealMatrix41.multiply(blockRealMatrix46);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix48 = blockRealMatrix46.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix30.add(blockRealMatrix48);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix25.subtract(blockRealMatrix30);
    int i51 = blockRealMatrix25.getRowDimension();
    double[] d_array53 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector54 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array53);
    org.apache.commons.math.linear.RealVector realVector55 = blockRealMatrix25.preMultiply(realVector54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector55);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test022"); }


    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = bigFraction1.subtract(bigFraction2);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor6 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction5);
    java.math.BigDecimal bigDecimal9 = bigFraction5.bigDecimalValue(0, 0);
    java.math.BigDecimal[] bigDecimal_array10 = new java.math.BigDecimal[] { bigDecimal9 };
    org.apache.commons.math.linear.BigMatrix bigMatrix11 = org.apache.commons.math.linear.MatrixUtils.createColumnBigMatrix(bigDecimal_array10);
    java.math.BigDecimal[][] bigDecimal_array_array12 = new java.math.BigDecimal[][] { bigDecimal_array10 };
    org.apache.commons.math.linear.BigMatrix bigMatrix13 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array12);
    java.lang.ArithmeticException arithmeticException14 = org.apache.commons.math.MathRuntimeException.createArithmeticException("Maximal number of evaluations ({0}) exceeded", (java.lang.Object[])bigDecimal_array_array12);
    java.math.BigDecimal bigDecimal18 = null;
    java.math.BigDecimal[] bigDecimal_array19 = new java.math.BigDecimal[] { bigDecimal18 };
    org.apache.commons.math.linear.BigMatrix bigMatrix20 = org.apache.commons.math.linear.MatrixUtils.createRowBigMatrix(bigDecimal_array19);
    java.io.EOFException eOFException21 = org.apache.commons.math.MathRuntimeException.createEOFException("", (java.lang.Object[])bigDecimal_array19);
    org.apache.commons.math.linear.BigMatrix bigMatrix22 = org.apache.commons.math.linear.MatrixUtils.createColumnBigMatrix(bigDecimal_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)arithmeticException14, 1.0E-14d, "a {0}x{1} matrix was provided instead of a square matrix", (java.lang.Object[])bigDecimal_array19);
    org.apache.commons.math.MathRuntimeException mathRuntimeException24 = new org.apache.commons.math.MathRuntimeException((java.lang.Throwable)functionEvaluationException23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arithmeticException14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(eOFException21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix22);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test023"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double d24 = blockRealMatrix4.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix4.transpose();
    org.apache.commons.math.linear.RealMatrix realMatrix27 = blockRealMatrix4.scalarMultiply(1.7320508075688772d);
    double[] d_array29 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector30 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array29);
    double[][] d_array_array31 = new double[][] { d_array29 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix32 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array31);
    double[] d_array34 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector35 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array36);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix32.multiply(blockRealMatrix37);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix40 = blockRealMatrix32.getColumnMatrix(0);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix41 = blockRealMatrix4.multiply(blockRealMatrix40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Throwable[] throwable_array44 = functionEvaluationException43.getSuppressed();
    java.lang.Object[] obj_array52 = new java.lang.Object[] { (-1.0d) };
    java.lang.NullPointerException nullPointerException53 = org.apache.commons.math.MathRuntimeException.createNullPointerException("", obj_array52);
    java.util.ConcurrentModificationException concurrentModificationException54 = org.apache.commons.math.MathRuntimeException.createConcurrentModificationException("hi!", obj_array52);
    org.apache.commons.math.linear.InvalidMatrixException invalidMatrixException55 = new org.apache.commons.math.linear.InvalidMatrixException("hi!", obj_array52);
    org.apache.commons.math.ode.IntegratorException integratorException56 = new org.apache.commons.math.ode.IntegratorException("hi!", obj_array52);
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException("Dormand-Prince 8 (5, 3)", obj_array52);
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException43, "Array2DRowFieldMatrix{}", obj_array52);
    double[] d_array59 = functionEvaluationException43.getArgument();
    double[] d_array60 = blockRealMatrix41.operate(d_array59);
    double[] d_array62 = blockRealMatrix41.getColumn(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector64 = blockRealMatrix41.getColumnVector(1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(nullPointerException53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(concurrentModificationException54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test024"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix9.copy();
    org.apache.commons.math.linear.RealMatrix realMatrix13 = blockRealMatrix11.scalarMultiply(100.0d);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix14 = blockRealMatrix11.copy();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array16 = blockRealMatrix14.getRow(36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix14);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test025"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.getReducedFraction(100, (-1));
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction2.divide(1);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = bigFraction2.multiply((-1));
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction2.divide((-1L));
    long long9 = bigFraction2.longValue();
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    int i11 = bigFraction2.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-100));

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test026"); }


    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator0 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array6 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix7 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array6);
    double[] d_array13 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    double[] d_array15 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator16 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array13, d_array15);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array15);
    nordsieckStepInterpolator0.reinitialize(10.0d, 1.0d, d_array6, array2DRowRealMatrix17);
    double[] d_array25 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array25);
    double[] d_array30 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array30);
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "Maximal number of evaluations ({0}) exceeded", obj_array33);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator35 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array25, d_array30);
    nordsieckStepInterpolator0.reinitialize(d_array25, true);
    double[][] d_array_array38 = new double[][] { d_array25 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix39 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array38);
    double d40 = blockRealMatrix39.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix42 = blockRealMatrix39.getRowMatrix(0);
    org.apache.commons.math.linear.RealMatrix realMatrix43 = blockRealMatrix42.transpose();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.7320508075688772d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix43);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test027"); }


    double[] d_array5 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array7 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator8 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array5, d_array7);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array5);
    double[] d_array15 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array15);
    double[] d_array17 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator18 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array15, d_array17);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array15);
    org.apache.commons.math.linear.RealMatrix realMatrix21 = array2DRowRealMatrix19.scalarAdd(0.0d);
    org.apache.commons.math.linear.RealMatrix realMatrix22 = array2DRowRealMatrix19.copy();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = array2DRowRealMatrix9.add(array2DRowRealMatrix19);
    double[] d_array29 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array29);
    double[] d_array31 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator32 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array29, d_array31);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix33 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array29);
    double[] d_array39 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array39);
    double[] d_array41 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator42 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array39, d_array41);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix43 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array39);
    org.apache.commons.math.linear.RealMatrix realMatrix45 = array2DRowRealMatrix43.scalarAdd(0.0d);
    org.apache.commons.math.linear.RealMatrix realMatrix46 = array2DRowRealMatrix43.copy();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix47 = array2DRowRealMatrix33.add(array2DRowRealMatrix43);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix48 = array2DRowRealMatrix9.subtract(array2DRowRealMatrix43);
    org.apache.commons.math.linear.RealMatrix realMatrix50 = array2DRowRealMatrix9.getRowMatrix(0);
    java.io.ObjectOutputStream objectOutputStream51 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.serializeRealMatrix((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix9, objectOutputStream51);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix50);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test028"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(100.0d, 100.0d, Double.NaN, 10.0d);
    dormandPrince853Integrator4.clearStepHandlers();
    int i6 = dormandPrince853Integrator4.getOrder();
    double d7 = dormandPrince853Integrator4.getMinReduction();
    double d8 = dormandPrince853Integrator4.getCurrentStepStart();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test029"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = new org.apache.commons.math.fraction.BigFraction(1, 52);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test030"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, false);
    org.apache.commons.math.Field field23 = array2DRowFieldMatrix22.getField();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix25 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldIdentityMatrix(field23, 10);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix28 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field23, 100, 1);
    org.apache.commons.math.FieldElement[] fieldElement_array30 = array2DRowFieldMatrix28.getRow(0);
    org.apache.commons.math.Field field31 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix32 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field31);
    org.apache.commons.math.fraction.BigFraction bigFraction33 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor34 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction33);
    org.apache.commons.math.FieldElement fieldElement35 = array2DRowFieldMatrix32.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor34);
    int i36 = array2DRowFieldMatrix32.getRowDimension();
    org.apache.commons.math.fraction.BigFraction bigFraction37 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger38 = bigFraction37.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction39 = bigFraction37.reduce();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor40 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction37);
    org.apache.commons.math.FieldElement fieldElement41 = array2DRowFieldMatrix32.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor40);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement46 = array2DRowFieldMatrix28.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor40, 8, (-100), (-100), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement41);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test031"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix9.copy();
    boolean b12 = blockRealMatrix11.isSquare();
    org.apache.commons.math.linear.RealMatrix realMatrix14 = blockRealMatrix11.scalarMultiply(0.2d);
    double[] d_array16 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    double[][] d_array_array18 = new double[][] { d_array16 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix19 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array18);
    double[] d_array21 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector22 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array21);
    double[][] d_array_array23 = new double[][] { d_array21 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix24 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array23);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix19.multiply(blockRealMatrix24);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix26 = blockRealMatrix24.transpose();
    org.apache.commons.math.linear.RealMatrix realMatrix27 = blockRealMatrix24.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix28 = blockRealMatrix11.multiply((org.apache.commons.math.linear.RealMatrix)blockRealMatrix24);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor29 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d34 = blockRealMatrix28.walkInRowOrder(realMatrixPreservingVisitor29, 0, 1, 0, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix28);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test032"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector4 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array3);
    double[][] d_array_array5 = new double[][] { d_array3 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array5);
    double[] d_array8 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector9 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array8);
    double[][] d_array_array10 = new double[][] { d_array8 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array10);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix12 = blockRealMatrix6.multiply(blockRealMatrix11);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix13 = blockRealMatrix11.copy();
    boolean b14 = blockRealMatrix13.isSquare();
    double[][] d_array_array15 = blockRealMatrix13.getData();
    org.apache.commons.math.MaxEvaluationsExceededException maxEvaluationsExceededException16 = new org.apache.commons.math.MaxEvaluationsExceededException(3, "a {0}x{1} matrix was provided instead of a square matrix", (java.lang.Object[])d_array_array15);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix17 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array15);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix17.getSubMatrix(36, 0, 3, 3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test033"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction3 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction3);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor5 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction3);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = bigFraction2.subtract(bigFraction3);
    org.apache.commons.math.fraction.BigFraction bigFraction7 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger8 = bigFraction7.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction9 = bigFraction3.subtract(bigInteger8);
    org.apache.commons.math.fraction.BigFraction bigFraction10 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction11 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction11);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor13 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction11);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = bigFraction10.subtract(bigFraction11);
    org.apache.commons.math.fraction.BigFraction bigFraction15 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger16 = bigFraction15.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction17 = bigFraction11.subtract(bigInteger16);
    org.apache.commons.math.fraction.BigFraction bigFraction18 = bigFraction9.pow(bigInteger16);
    org.apache.commons.math.FieldElement[] fieldElement_array19 = new org.apache.commons.math.FieldElement[] { bigFraction18 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix20 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array19);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array21 = new org.apache.commons.math.FieldElement[][] { fieldElement_array19 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array21);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix24 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array21, true);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array25 = org.apache.commons.math.linear.BlockFieldMatrix.<org.apache.commons.math.FieldElement>toBlocksLayout(fieldElement_array_array21);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix26 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("", (java.lang.Object[])fieldElement_array_array25);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: Dormand-Prince 8 (5, 3)", (java.lang.Object[])fieldElement_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array25);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test034"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix9.copy();
    boolean b12 = blockRealMatrix11.isSquare();
    org.apache.commons.math.linear.RealMatrix realMatrix14 = blockRealMatrix11.scalarMultiply(0.2d);
    double[] d_array16 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    double[][] d_array_array18 = new double[][] { d_array16 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix19 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array18);
    double[] d_array21 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector22 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array21);
    double[][] d_array_array23 = new double[][] { d_array21 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix24 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array23);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix19.multiply(blockRealMatrix24);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix26 = blockRealMatrix24.transpose();
    org.apache.commons.math.linear.RealMatrix realMatrix27 = blockRealMatrix24.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix28 = blockRealMatrix11.multiply((org.apache.commons.math.linear.RealMatrix)blockRealMatrix24);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor29 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d30 = blockRealMatrix28.walkInOptimizedOrder(realMatrixPreservingVisitor29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix28);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test035"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double d24 = blockRealMatrix4.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix4.transpose();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix27 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    boolean b28 = array2DRowRealMatrix27.isSingular();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix4.setColumnMatrix((-100), (org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix27);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test036"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.getReducedFraction((-1), 36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);

  }

  @Test
  public void test037() {}
// Defects4J: flaky method
//   @Test
//   public void test037() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test037"); }
// 
// 
//     double[] d_array5 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
//     double[] d_array7 = new double[] {  };
//     org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator8 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array5, d_array7);
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array5);
//     double[] d_array11 = array2DRowRealMatrix9.getRow(1);
//     boolean b12 = array2DRowRealMatrix9.isSquare();
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
//     boolean b14 = array2DRowRealMatrix13.isSingular();
//     array2DRowRealMatrix13.luDecompose();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix16 = array2DRowRealMatrix9.subtract(array2DRowRealMatrix13);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b12 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b14 == false);
// 
//   }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test038"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double[] d_array25 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector26 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix28 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array27);
    double[] d_array30 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector31 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix33 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array32);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix34 = blockRealMatrix28.multiply(blockRealMatrix33);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = blockRealMatrix23.subtract(blockRealMatrix28);
    double[] d_array37 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector38 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array37);
    double[][] d_array_array39 = new double[][] { d_array37 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array39);
    double[] d_array42 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector43 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array42);
    double[][] d_array_array44 = new double[][] { d_array42 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array44);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix46 = blockRealMatrix40.multiply(blockRealMatrix45);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix47 = blockRealMatrix40.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix48 = blockRealMatrix28.subtract(blockRealMatrix40);
    double d49 = blockRealMatrix48.getDeterminant();
    org.apache.commons.math.linear.RealMatrix realMatrix50 = blockRealMatrix48.transpose();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix50);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test039"); }


    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = bigFraction1.subtract(bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger7 = bigFraction6.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction2.subtract(bigInteger7);
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction10 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = bigFraction9.subtract(bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger15 = bigFraction14.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction10.subtract(bigInteger15);
    org.apache.commons.math.fraction.BigFraction bigFraction17 = bigFraction8.pow(bigInteger15);
    org.apache.commons.math.FieldElement[] fieldElement_array18 = new org.apache.commons.math.FieldElement[] { bigFraction17 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix19 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array18);
    org.apache.commons.math.ode.DerivativeException derivativeException20 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.IntegratorException: hi!", (java.lang.Object[])fieldElement_array18);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array21 = new org.apache.commons.math.FieldElement[][] { fieldElement_array18 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix23 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array21, false);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix24 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array21);
    org.apache.commons.math.fraction.BigFraction bigFraction25 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor26 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction25);
    org.apache.commons.math.FieldElement fieldElement27 = defaultFieldMatrixChangingVisitor26.end();
    org.apache.commons.math.FieldElement fieldElement28 = defaultFieldMatrixChangingVisitor26.end();
    org.apache.commons.math.FieldElement fieldElement29 = blockFieldMatrix24.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor26);
    org.apache.commons.math.fraction.BigFraction bigFraction30 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor31 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction30);
    org.apache.commons.math.FieldElement fieldElement32 = defaultFieldMatrixChangingVisitor31.end();
    org.apache.commons.math.FieldElement fieldElement33 = defaultFieldMatrixChangingVisitor31.end();
    org.apache.commons.math.fraction.BigFraction bigFraction36 = org.apache.commons.math.fraction.BigFraction.ONE_FIFTH;
    org.apache.commons.math.fraction.BigFraction bigFraction37 = bigFraction36.abs();
    org.apache.commons.math.FieldElement fieldElement38 = defaultFieldMatrixChangingVisitor31.visit(0, 8, (org.apache.commons.math.FieldElement)bigFraction36);
    org.apache.commons.math.fraction.BigFraction bigFraction41 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger42 = bigFraction41.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction44 = bigFraction41.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array45 = new org.apache.commons.math.FieldElement[] { bigFraction41 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix46 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array45);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix47 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array45);
    java.lang.String str48 = array2DRowFieldMatrix47.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction49 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix50 = array2DRowFieldMatrix47.scalarAdd((org.apache.commons.math.FieldElement)bigFraction49);
    org.apache.commons.math.fraction.BigFraction bigFraction52 = bigFraction49.multiply(1L);
    org.apache.commons.math.FieldElement fieldElement53 = defaultFieldMatrixChangingVisitor31.visit(100, 0, (org.apache.commons.math.FieldElement)bigFraction52);
    org.apache.commons.math.FieldElement fieldElement54 = blockFieldMatrix24.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor31);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix59 = blockFieldMatrix24.getSubMatrix(3, 3, 10, (-100));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str48.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement54);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test040"); }


    org.apache.commons.math.ode.events.CombinedEventsManager combinedEventsManager0 = new org.apache.commons.math.ode.events.CombinedEventsManager();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    double d2 = dummyStepInterpolator1.getPreviousTime();
    double d3 = dummyStepInterpolator1.getPreviousTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator4 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator1);
    double d5 = dummyStepInterpolator1.getCurrentTime();
    boolean b6 = combinedEventsManager0.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator1);
    boolean b7 = combinedEventsManager0.stop();
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = null;
    combinedEventsManager0.addEventHandler(eventHandler8, 0.2d, 2.0d, 0);
    double d13 = combinedEventsManager0.getEventTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test041"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double[] d_array25 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector26 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix28 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array27);
    double[] d_array30 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector31 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix33 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array32);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix34 = blockRealMatrix28.multiply(blockRealMatrix33);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = blockRealMatrix23.subtract(blockRealMatrix28);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor36 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d41 = blockRealMatrix35.walkInOptimizedOrder(realMatrixPreservingVisitor36, 3, 36, 100, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix35);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test042"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    double d1 = dummyStepInterpolator0.getPreviousTime();
    double d2 = dummyStepInterpolator0.getPreviousTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator3 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d4 = dummyStepInterpolator0.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    java.io.ObjectOutput objectOutput6 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator5.writeExternal(objectOutput6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test043"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, true);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix23 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.fraction.BigFraction bigFraction24 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor25 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction24);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor26 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction24);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix27 = blockFieldMatrix23.scalarMultiply((org.apache.commons.math.FieldElement)bigFraction24);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix28 = blockFieldMatrix23.transpose();
    org.apache.commons.math.Field field29 = blockFieldMatrix23.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field29);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test044"); }


    double[] d_array8 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array8, d_array10);
    double[] d_array15 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix16 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array15);
    org.apache.commons.math.linear.RealMatrix realMatrix17 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array15);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator18 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 10.0d, 10.0d, d_array8, d_array15);
    double d19 = adamsMoultonIntegrator18.getMinReduction();
    double d20 = adamsMoultonIntegrator18.getMaxGrowth();
    double d21 = adamsMoultonIntegrator18.getMaxGrowth();
    adamsMoultonIntegrator18.setSafety((-1.0d));
    double d24 = adamsMoultonIntegrator18.getSafety();
    double d25 = adamsMoultonIntegrator18.getMaxGrowth();
    adamsMoultonIntegrator18.setMaxEvaluations(3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0650410894399627d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0650410894399627d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 1.0650410894399627d);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test045"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setRelativeAccuracy(0.2d);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setRelativeAccuracy((-1000.0d));

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test046"); }


    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = bigFraction1.subtract(bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger7 = bigFraction6.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction2.subtract(bigInteger7);
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction10 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = bigFraction9.subtract(bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger15 = bigFraction14.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction10.subtract(bigInteger15);
    org.apache.commons.math.fraction.BigFraction bigFraction17 = bigFraction8.pow(bigInteger15);
    org.apache.commons.math.FieldElement[] fieldElement_array18 = new org.apache.commons.math.FieldElement[] { bigFraction17 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix19 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array18);
    org.apache.commons.math.ode.DerivativeException derivativeException20 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.IntegratorException: hi!", (java.lang.Object[])fieldElement_array18);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array21 = new org.apache.commons.math.FieldElement[][] { fieldElement_array18 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix23 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array21, false);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix24 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array21);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix26 = blockFieldMatrix24.getColumnMatrix(3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array21);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test047"); }


    org.apache.commons.math.fraction.BigFraction bigFraction3 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction4 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor5 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction4);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor6 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction4);
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction3.subtract(bigFraction4);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor8 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction7);
    java.math.BigDecimal bigDecimal11 = bigFraction7.bigDecimalValue(0, 0);
    java.math.BigDecimal[] bigDecimal_array12 = new java.math.BigDecimal[] { bigDecimal11 };
    org.apache.commons.math.linear.BigMatrix bigMatrix13 = org.apache.commons.math.linear.MatrixUtils.createColumnBigMatrix(bigDecimal_array12);
    java.math.BigDecimal[][] bigDecimal_array_array14 = new java.math.BigDecimal[][] { bigDecimal_array12 };
    org.apache.commons.math.linear.BigMatrix bigMatrix15 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array14);
    java.lang.ArithmeticException arithmeticException16 = org.apache.commons.math.MathRuntimeException.createArithmeticException("Maximal number of evaluations ({0}) exceeded", (java.lang.Object[])bigDecimal_array_array14);
    org.apache.commons.math.linear.BigMatrix bigMatrix17 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array14);
    org.apache.commons.math.linear.BigMatrix bigMatrix18 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array14);
    org.apache.commons.math.linear.BigMatrix bigMatrix20 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array14, true);
    java.lang.IllegalStateException illegalStateException21 = org.apache.commons.math.MathRuntimeException.createIllegalStateException("org.apache.commons.math.ode.IntegratorException: hi!", (java.lang.Object[])bigDecimal_array_array14);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("Unable to convert {0} to fraction after {1} iterations", (java.lang.Object[])bigDecimal_array_array14);
    org.apache.commons.math.linear.BigMatrix bigMatrix23 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arithmeticException16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(illegalStateException21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix23);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test048"); }


    double[][] d_array_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix1 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test049"); }


    double[] d_array8 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array13 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    java.lang.Object[] obj_array16 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array13, "Maximal number of evaluations ({0}) exceeded", obj_array16);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator18 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array8, d_array13);
    double[] d_array25 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array25);
    double[] d_array30 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array30);
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "Maximal number of evaluations ({0}) exceeded", obj_array33);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator35 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array25, d_array30);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator36 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9d, 1.0d, d_array8, d_array25);
    dormandPrince853Integrator36.setMinReduction(0.9d);
    java.lang.String str39 = dormandPrince853Integrator36.getName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "Dormand-Prince 8 (5, 3)"+ "'", str39.equals("Dormand-Prince 8 (5, 3)"));

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test050"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.getReducedFraction(1, 1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction2.pow(10L);
    int i5 = bigFraction2.getNumeratorAsInt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test051"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor1 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction0);
    defaultFieldMatrixPreservingVisitor1.start(10, 0, (-1), 0, 1, 1);
    org.apache.commons.math.FieldElement fieldElement9 = defaultFieldMatrixPreservingVisitor1.end();
    org.apache.commons.math.FieldElement fieldElement10 = defaultFieldMatrixPreservingVisitor1.end();
    org.apache.commons.math.FieldElement fieldElement13 = null;
    defaultFieldMatrixPreservingVisitor1.visit(52, 10, fieldElement13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement10);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test052"); }


    double[] d_array5 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array7 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator8 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array5, d_array7);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array5);
    double[] d_array11 = array2DRowRealMatrix9.getRow(1);
    boolean b12 = array2DRowRealMatrix9.isSquare();
    org.apache.commons.math.linear.RealMatrix realMatrix14 = array2DRowRealMatrix9.scalarMultiply(0.0d);
    org.apache.commons.math.linear.RealVector realVector16 = array2DRowRealMatrix9.getRowVector(1);
    double[] d_array22 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    double[] d_array24 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator25 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array22, d_array24);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array28 = array2DRowRealMatrix26.getRow(1);
    org.apache.commons.math.linear.RealMatrix realMatrix29 = array2DRowRealMatrix9.subtract((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix26);
    double[] d_array31 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector32 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array31);
    org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array31);
    double[] d_array34 = array2DRowRealMatrix26.operate(d_array31);
    double[] d_array40 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array40);
    double[] d_array42 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array40, d_array42);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix44 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array40);
    org.apache.commons.math.linear.RealMatrix realMatrix46 = array2DRowRealMatrix44.scalarAdd(0.0d);
    org.apache.commons.math.linear.RealMatrix realMatrix47 = array2DRowRealMatrix44.copy();
    double[][] d_array_array48 = array2DRowRealMatrix44.getData();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix49 = array2DRowRealMatrix26.add(array2DRowRealMatrix44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix49);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test053"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, true);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array23 = org.apache.commons.math.linear.BlockFieldMatrix.<org.apache.commons.math.FieldElement>toBlocksLayout(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix24 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array23);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix25 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array23);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement[] fieldElement_array27 = blockFieldMatrix25.getRow(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array23);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test054"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (-1.0d) };
    java.lang.NullPointerException nullPointerException7 = org.apache.commons.math.MathRuntimeException.createNullPointerException("", obj_array6);
    java.util.ConcurrentModificationException concurrentModificationException8 = org.apache.commons.math.MathRuntimeException.createConcurrentModificationException("hi!", obj_array6);
    org.apache.commons.math.linear.MatrixIndexException matrixIndexException9 = new org.apache.commons.math.linear.MatrixIndexException("hi!", obj_array6);
    java.lang.Object[] obj_array10 = matrixIndexException9.getArguments();
    java.io.EOFException eOFException11 = org.apache.commons.math.MathRuntimeException.createEOFException("Dormand-Prince 8 (5, 3)", obj_array10);
    org.apache.commons.math.ode.IntegratorException integratorException12 = new org.apache.commons.math.ode.IntegratorException("Maximal number of evaluations ({0}) exceeded", obj_array10);
    java.lang.Throwable[] throwable_array13 = integratorException12.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(nullPointerException7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(concurrentModificationException8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(eOFException11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test055"); }


    double[] d_array3 = new double[] { 1.0d, 0.0d, 100.0d };
    org.apache.commons.math.linear.RealVector realVector4 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array3);
    org.apache.commons.math.linear.RealMatrix realMatrix5 = org.apache.commons.math.linear.MatrixUtils.createColumnRealMatrix(d_array3);
    org.apache.commons.math.linear.RealVector realVector6 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test056"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    double[][] d_array_array5 = org.apache.commons.math.linear.BlockRealMatrix.createBlocksLayout(100, 100);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "", (java.lang.Object[])d_array_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 0.0d);
    double[] d_array9 = functionEvaluationException1.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test057"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix21 = array2DRowFieldMatrix20.transpose();
    boolean b22 = array2DRowFieldMatrix20.isSquare();
    org.apache.commons.math.fraction.BigFraction bigFraction23 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger24 = bigFraction23.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction26 = bigFraction23.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array27 = new org.apache.commons.math.FieldElement[] { bigFraction23 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix28 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array27);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix29 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array27);
    java.lang.String str30 = array2DRowFieldMatrix29.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction31 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix32 = array2DRowFieldMatrix29.scalarAdd((org.apache.commons.math.FieldElement)bigFraction31);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix33 = array2DRowFieldMatrix20.add(array2DRowFieldMatrix29);
    org.apache.commons.math.fraction.BigFraction bigFraction34 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor35 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction34);
    org.apache.commons.math.fraction.BigFraction bigFraction40 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger41 = bigFraction40.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction42 = new org.apache.commons.math.fraction.BigFraction(bigInteger41);
    org.apache.commons.math.FieldElement fieldElement43 = defaultFieldMatrixChangingVisitor35.visit(100, (-1), (org.apache.commons.math.FieldElement)bigFraction42);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement48 = array2DRowFieldMatrix20.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor35, 10, (-1), 10, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str30.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowFieldMatrix33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement43);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test058"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double[] d_array25 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector26 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix28 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array27);
    double[] d_array30 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector31 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix33 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array32);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix34 = blockRealMatrix28.multiply(blockRealMatrix33);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = blockRealMatrix23.subtract(blockRealMatrix28);
    double d36 = blockRealMatrix28.getFrobeniusNorm();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.checkColumnIndex((org.apache.commons.math.linear.AnyMatrix)blockRealMatrix28, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 1.0d);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test059"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException2 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    double[][] d_array_array6 = org.apache.commons.math.linear.BlockRealMatrix.createBlocksLayout(100, 100);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException2, "", (java.lang.Object[])d_array_array6);
    org.apache.commons.math.ode.DerivativeException derivativeException8 = new org.apache.commons.math.ode.DerivativeException("Array2DRowRealMatrix{{2.0},{2.0},{-2.0}}", (java.lang.Object[])d_array_array6);
    double[] d_array14 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array14);
    double[] d_array16 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator17 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array14, d_array16);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array14);
    double[] d_array20 = array2DRowRealMatrix18.getRow(1);
    boolean b21 = array2DRowRealMatrix18.isSquare();
    org.apache.commons.math.linear.RealMatrix realMatrix23 = array2DRowRealMatrix18.scalarMultiply(0.0d);
    org.apache.commons.math.linear.RealVector realVector25 = array2DRowRealMatrix18.getRowVector(1);
    double[] d_array31 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array31);
    double[] d_array33 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator34 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array31, d_array33);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix35 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array31);
    double[] d_array37 = array2DRowRealMatrix35.getRow(1);
    org.apache.commons.math.linear.RealMatrix realMatrix38 = array2DRowRealMatrix18.subtract((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix35);
    double[] d_array40 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector41 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array40);
    org.apache.commons.math.linear.RealVector realVector42 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array40);
    double[] d_array43 = array2DRowRealMatrix35.operate(d_array40);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException8, d_array40);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test060"); }


    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = bigFraction1.subtract(bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger7 = bigFraction6.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction2.subtract(bigInteger7);
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction10 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = bigFraction9.subtract(bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger15 = bigFraction14.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction10.subtract(bigInteger15);
    org.apache.commons.math.fraction.BigFraction bigFraction17 = bigFraction8.pow(bigInteger15);
    org.apache.commons.math.FieldElement[] fieldElement_array18 = new org.apache.commons.math.FieldElement[] { bigFraction17 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix19 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array18);
    org.apache.commons.math.ode.DerivativeException derivativeException20 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.IntegratorException: hi!", (java.lang.Object[])fieldElement_array18);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array21 = new org.apache.commons.math.FieldElement[][] { fieldElement_array18 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix23 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array21, false);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix24 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array21);
    org.apache.commons.math.fraction.BigFraction bigFraction25 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor26 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction25);
    org.apache.commons.math.FieldElement fieldElement27 = defaultFieldMatrixChangingVisitor26.end();
    org.apache.commons.math.FieldElement fieldElement28 = defaultFieldMatrixChangingVisitor26.end();
    org.apache.commons.math.FieldElement fieldElement29 = blockFieldMatrix24.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor26);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger33 = bigFraction32.getDenominator();
    long long34 = bigFraction32.getNumeratorAsLong();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor35 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction32);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix36 = blockFieldMatrix24.scalarMultiply((org.apache.commons.math.FieldElement)bigFraction32);
    int i37 = blockFieldMatrix24.getColumnDimension();
    org.apache.commons.math.fraction.BigFraction bigFraction39 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction40 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor41 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction40);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor42 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction40);
    org.apache.commons.math.fraction.BigFraction bigFraction43 = bigFraction39.subtract(bigFraction40);
    org.apache.commons.math.fraction.BigFraction bigFraction44 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger45 = bigFraction44.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction46 = bigFraction40.subtract(bigInteger45);
    org.apache.commons.math.fraction.BigFraction bigFraction47 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction48 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor49 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction48);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor50 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction48);
    org.apache.commons.math.fraction.BigFraction bigFraction51 = bigFraction47.subtract(bigFraction48);
    org.apache.commons.math.fraction.BigFraction bigFraction52 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger53 = bigFraction52.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction54 = bigFraction48.subtract(bigInteger53);
    org.apache.commons.math.fraction.BigFraction bigFraction55 = bigFraction46.pow(bigInteger53);
    org.apache.commons.math.FieldElement[] fieldElement_array56 = new org.apache.commons.math.FieldElement[] { bigFraction55 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix57 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array56);
    org.apache.commons.math.ode.DerivativeException derivativeException58 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.IntegratorException: hi!", (java.lang.Object[])fieldElement_array56);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array59 = new org.apache.commons.math.FieldElement[][] { fieldElement_array56 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix61 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array59, false);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix62 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array59);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix63 = blockFieldMatrix24.add(blockFieldMatrix62);
    org.apache.commons.math.linear.FieldMatrixChangingVisitor fieldMatrixChangingVisitor64 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement69 = blockFieldMatrix24.walkInOptimizedOrder(fieldMatrixChangingVisitor64, 52, (-100), 100, 36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long34 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockFieldMatrix63);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test061"); }


    double[] d_array5 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array7 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator8 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array5, d_array7);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array5);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor10 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d11 = array2DRowRealMatrix9.walkInColumnOrder(realMatrixChangingVisitor10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);

  }

  @Test
  public void test062() {}
// Defects4J: flaky method
//   @Test
//   public void test062() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test062"); }
// 
// 
//     org.apache.commons.math.fraction.BigFraction bigFraction3 = new org.apache.commons.math.fraction.BigFraction(Double.NaN, 0.0d, 8);
//     org.apache.commons.math.fraction.BigFraction bigFraction4 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor5 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction4);
//     org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor6 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction4);
//     float f7 = bigFraction4.floatValue();
//     org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
//     org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
//     org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
//     org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
//     java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
//     org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
//     float f16 = bigFraction15.floatValue();
//     org.apache.commons.math.fraction.BigFraction bigFraction17 = bigFraction4.multiply(bigFraction15);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.fraction.BigFraction bigFraction18 = bigFraction3.divide(bigFraction15);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.ArithmeticException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(f7 == 1.0f);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigInteger14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(f16 == 0.0f);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction17);
// 
//   }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test063"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double d24 = blockRealMatrix4.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix4.transpose();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
    double[][] d_array_array29 = new double[][] { d_array27 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array29);
    double[] d_array32 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array34);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = blockRealMatrix30.multiply(blockRealMatrix35);
    double[] d_array38 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector39 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array38);
    double[][] d_array_array40 = new double[][] { d_array38 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix41 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array40);
    double[] d_array43 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector44 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix46 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array45);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix47 = blockRealMatrix41.multiply(blockRealMatrix46);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix48 = blockRealMatrix46.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix30.add(blockRealMatrix48);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix25.subtract(blockRealMatrix30);
    int i51 = blockRealMatrix25.getRowDimension();
    double[] d_array54 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector55 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array54);
    double[][] d_array_array56 = new double[][] { d_array54 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix57 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array56);
    double[] d_array59 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector60 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array59);
    double[][] d_array_array61 = new double[][] { d_array59 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix62 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array61);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix63 = blockRealMatrix57.multiply(blockRealMatrix62);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix64 = blockRealMatrix62.transpose();
    double d65 = blockRealMatrix64.getNorm();
    double d66 = blockRealMatrix64.getNorm();
    java.lang.Object obj67 = null;
    boolean b68 = blockRealMatrix64.equals(obj67);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix70 = blockRealMatrix64.scalarAdd(2.0d);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix25.setRowMatrix((-1), blockRealMatrix70);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix70);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test064"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i2 = maxIterationsExceededException1.getMaxIterations();
    org.apache.commons.math.ode.IntegratorException integratorException3 = new org.apache.commons.math.ode.IntegratorException((java.lang.Throwable)maxIterationsExceededException1);
    java.lang.IllegalArgumentException illegalArgumentException4 = org.apache.commons.math.MathRuntimeException.createIllegalArgumentException((java.lang.Throwable)integratorException3);
    org.apache.commons.math.MathRuntimeException mathRuntimeException5 = new org.apache.commons.math.MathRuntimeException((java.lang.Throwable)integratorException3);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)mathRuntimeException5);
    double[] d_array13 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    double[] d_array18 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array18);
    java.lang.Object[] obj_array21 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array18, "Maximal number of evaluations ({0}) exceeded", obj_array21);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator23 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array13, d_array18);
    org.apache.commons.math.fraction.BigFraction bigFraction25 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger26 = bigFraction25.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction28 = bigFraction25.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array29 = new org.apache.commons.math.FieldElement[] { bigFraction25 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix30 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array29);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix31 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array29);
    java.lang.String str32 = array2DRowFieldMatrix31.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction33 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix34 = array2DRowFieldMatrix31.scalarAdd((org.apache.commons.math.FieldElement)bigFraction33);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array35 = array2DRowFieldMatrix31.getDataRef();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array36 = org.apache.commons.math.linear.BlockFieldMatrix.<org.apache.commons.math.FieldElement>toBlocksLayout(fieldElement_array_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException6, d_array13, "org.apache.commons.math.ConvergenceException: Dormand-Prince 8 (5, 3)", (java.lang.Object[])fieldElement_array_array35);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException37, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(illegalArgumentException4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str32.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array36);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test065"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    double d5 = bigFraction1.doubleValue();
    byte byte6 = bigFraction1.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction1.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction10 = bigFraction1.multiply((-100L));
    org.apache.commons.math.fraction.BigFraction bigFraction11 = org.apache.commons.math.fraction.BigFraction.ONE_FIFTH;
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction1.add(bigFraction11);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = bigFraction1.abs();
    org.apache.commons.math.fraction.BigFraction bigFraction14 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor15 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction14);
    org.apache.commons.math.fraction.BigFraction bigFraction20 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger21 = bigFraction20.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction22 = new org.apache.commons.math.fraction.BigFraction(bigInteger21);
    org.apache.commons.math.FieldElement fieldElement23 = defaultFieldMatrixChangingVisitor15.visit(100, (-1), (org.apache.commons.math.FieldElement)bigFraction22);
    org.apache.commons.math.fraction.BigFraction bigFraction26 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger27 = bigFraction26.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction28 = new org.apache.commons.math.fraction.BigFraction(bigInteger27);
    org.apache.commons.math.fraction.BigFraction bigFraction29 = bigFraction22.pow(bigInteger27);
    org.apache.commons.math.fraction.BigFraction bigFraction31 = bigFraction29.multiply(100);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = bigFraction1.add(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte6 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test066"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix9.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix12 = blockRealMatrix11.copy();
    double[] d_array15 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector16 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array15);
    double[][] d_array_array17 = new double[][] { d_array15 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix18 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array17);
    double[] d_array20 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector21 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array20);
    double[][] d_array_array22 = new double[][] { d_array20 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array22);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix18.multiply(blockRealMatrix23);
    blockRealMatrix12.setRowMatrix(0, blockRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix24);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test067"); }


    double[] d_array5 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array7 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator8 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array5, d_array7);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array5);
    double[] d_array11 = array2DRowRealMatrix9.getRow(1);
    boolean b12 = array2DRowRealMatrix9.isSquare();
    org.apache.commons.math.linear.RealMatrix realMatrix14 = array2DRowRealMatrix9.scalarMultiply(0.0d);
    org.apache.commons.math.linear.RealVector realVector16 = array2DRowRealMatrix9.getRowVector(1);
    double[] d_array22 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    double[] d_array24 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator25 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array22, d_array24);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array22);
    double[] d_array28 = array2DRowRealMatrix26.getRow(1);
    org.apache.commons.math.linear.RealMatrix realMatrix29 = array2DRowRealMatrix9.subtract((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix26);
    double[] d_array31 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector32 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array31);
    org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array31);
    double[] d_array34 = array2DRowRealMatrix26.operate(d_array31);
    org.apache.commons.math.linear.RealMatrix realMatrix35 = org.apache.commons.math.linear.MatrixUtils.createColumnRealMatrix(d_array31);
    org.apache.commons.math.linear.RealMatrix realMatrix36 = org.apache.commons.math.linear.MatrixUtils.createRowRealMatrix(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix36);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test068"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException3 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Throwable[] throwable_array4 = functionEvaluationException3.getSuppressed();
    java.lang.ArrayIndexOutOfBoundsException arrayIndexOutOfBoundsException5 = org.apache.commons.math.MathRuntimeException.createArrayIndexOutOfBoundsException("hi!", (java.lang.Object[])throwable_array4);
    java.lang.ArithmeticException arithmeticException6 = org.apache.commons.math.MathRuntimeException.createArithmeticException("hi!", (java.lang.Object[])throwable_array4);
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)arithmeticException6);
    org.apache.commons.math.MathRuntimeException mathRuntimeException8 = new org.apache.commons.math.MathRuntimeException((java.lang.Throwable)convergenceException7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayIndexOutOfBoundsException5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arithmeticException6);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test069"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Throwable[] throwable_array2 = functionEvaluationException1.getSuppressed();
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (-1.0d) };
    java.lang.NullPointerException nullPointerException11 = org.apache.commons.math.MathRuntimeException.createNullPointerException("", obj_array10);
    java.util.ConcurrentModificationException concurrentModificationException12 = org.apache.commons.math.MathRuntimeException.createConcurrentModificationException("hi!", obj_array10);
    org.apache.commons.math.linear.InvalidMatrixException invalidMatrixException13 = new org.apache.commons.math.linear.InvalidMatrixException("hi!", obj_array10);
    org.apache.commons.math.ode.IntegratorException integratorException14 = new org.apache.commons.math.ode.IntegratorException("hi!", obj_array10);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("Dormand-Prince 8 (5, 3)", obj_array10);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException1, "Array2DRowFieldMatrix{}", obj_array10);
    java.math.BigDecimal bigDecimal20 = null;
    java.math.BigDecimal[] bigDecimal_array21 = new java.math.BigDecimal[] { bigDecimal20 };
    org.apache.commons.math.linear.BigMatrix bigMatrix22 = org.apache.commons.math.linear.MatrixUtils.createRowBigMatrix(bigDecimal_array21);
    java.math.BigDecimal[][] bigDecimal_array_array23 = new java.math.BigDecimal[][] { bigDecimal_array21 };
    org.apache.commons.math.linear.BigMatrix bigMatrix24 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array23);
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ode.IntegratorException: hi!", (java.lang.Object[])bigDecimal_array_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException1, 100.0d, "Array2DRowFieldMatrix{}", (java.lang.Object[])bigDecimal_array_array23);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.IllegalArgumentException illegalArgumentException27 = org.apache.commons.math.MathRuntimeException.createIllegalArgumentException((java.lang.Throwable)functionEvaluationException26);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(nullPointerException11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(concurrentModificationException12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix24);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test070"); }


    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator0 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array6 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix7 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array6);
    double[] d_array13 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    double[] d_array15 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator16 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array13, d_array15);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array15);
    nordsieckStepInterpolator0.reinitialize(10.0d, 1.0d, d_array6, array2DRowRealMatrix17);
    double[] d_array25 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array25);
    double[] d_array30 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array30);
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "Maximal number of evaluations ({0}) exceeded", obj_array33);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator35 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array25, d_array30);
    nordsieckStepInterpolator0.reinitialize(d_array25, true);
    double[] d_array43 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(d_array43);
    double[] d_array50 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array50);
    double[] d_array52 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator53 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array50, d_array52);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix54 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array50);
    nordsieckStepInterpolator0.reinitialize(1.0d, 1.0650410894399627d, d_array43, array2DRowRealMatrix54);
    double[][] d_array_array56 = array2DRowRealMatrix54.getDataRef();
    double[] d_array62 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(d_array62);
    double[] d_array64 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator65 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array62, d_array64);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix66 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array62);
    double[] d_array72 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException(d_array72);
    double[] d_array74 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator75 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array72, d_array74);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix76 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array72);
    org.apache.commons.math.linear.RealMatrix realMatrix78 = array2DRowRealMatrix76.scalarAdd(0.0d);
    org.apache.commons.math.linear.RealMatrix realMatrix79 = array2DRowRealMatrix76.copy();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix80 = array2DRowRealMatrix66.add(array2DRowRealMatrix76);
    org.apache.commons.math.linear.RealMatrix realMatrix82 = array2DRowRealMatrix80.getRowMatrix(0);
    org.apache.commons.math.linear.RealMatrix realMatrix83 = array2DRowRealMatrix54.add((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix80);
    org.apache.commons.math.linear.RealMatrix realMatrix85 = array2DRowRealMatrix54.getColumnMatrix(0);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor86 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d91 = array2DRowRealMatrix54.walkInRowOrder(realMatrixChangingVisitor86, 36, 0, 0, 52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix85);

  }

  @Test
  public void test071() {}
// Defects4J: flaky method
//   @Test
//   public void test071() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test071"); }
// 
// 
//     org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
//     org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
//     org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
//     org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
//     java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
//     org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
//     org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
//     org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
//     org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
//     org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
//     java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
//     org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
//     org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
//     org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
//     org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
//     org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
//     org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
//     org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, false);
//     org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix24 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, false);
//     org.apache.commons.math.fraction.BigFraction bigFraction25 = org.apache.commons.math.fraction.BigFraction.ONE;
//     java.math.BigInteger bigInteger26 = bigFraction25.getDenominator();
//     org.apache.commons.math.fraction.BigFraction bigFraction28 = bigFraction25.multiply(0);
//     org.apache.commons.math.FieldElement[] fieldElement_array29 = new org.apache.commons.math.FieldElement[] { bigFraction25 };
//     org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix30 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array29);
//     org.apache.commons.math.fraction.BigFraction bigFraction31 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
//     org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor32 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction31);
//     org.apache.commons.math.FieldElement fieldElement33 = defaultFieldMatrixChangingVisitor32.end();
//     org.apache.commons.math.FieldElement fieldElement34 = array2DRowFieldMatrix30.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor32);
//     org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix35 = array2DRowFieldMatrix24.subtract(array2DRowFieldMatrix30);
//     boolean b36 = array2DRowFieldMatrix24.isSquare();
//     org.apache.commons.math.Field field37 = null;
//     org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix38 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field37);
//     org.apache.commons.math.fraction.BigFraction bigFraction39 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor40 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction39);
//     org.apache.commons.math.FieldElement fieldElement41 = array2DRowFieldMatrix38.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor40);
//     org.apache.commons.math.Field field42 = null;
//     org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix43 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field42);
//     org.apache.commons.math.fraction.BigFraction bigFraction44 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor45 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction44);
//     org.apache.commons.math.FieldElement fieldElement46 = array2DRowFieldMatrix43.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor45);
//     int i47 = array2DRowFieldMatrix43.getRowDimension();
//     org.apache.commons.math.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math.linear.AnyMatrix)array2DRowFieldMatrix38, (org.apache.commons.math.linear.AnyMatrix)array2DRowFieldMatrix43);
//     org.apache.commons.math.fraction.BigFraction bigFraction49 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.fraction.BigFraction bigFraction50 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor51 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction50);
//     org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor52 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction50);
//     org.apache.commons.math.fraction.BigFraction bigFraction53 = bigFraction49.subtract(bigFraction50);
//     org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor54 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction53);
//     defaultFieldMatrixPreservingVisitor54.start((-1), 0, 1, 100, 10, 10);
//     org.apache.commons.math.FieldElement fieldElement62 = array2DRowFieldMatrix38.walkInOptimizedOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor54);
//     int i63 = array2DRowFieldMatrix38.getRowDimension();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix64 = array2DRowFieldMatrix24.add(array2DRowFieldMatrix38);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigInteger6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigInteger14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement_array17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldMatrix18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement_array_array19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigInteger26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement_array29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(array2DRowFieldMatrix35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b36 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i47 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i63 == 0);
// 
//   }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test072"); }


    org.apache.commons.math.ode.events.CombinedEventsManager combinedEventsManager0 = new org.apache.commons.math.ode.events.CombinedEventsManager();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    double d2 = dummyStepInterpolator1.getPreviousTime();
    double d3 = dummyStepInterpolator1.getPreviousTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator4 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator1);
    double d5 = dummyStepInterpolator1.getCurrentTime();
    boolean b6 = combinedEventsManager0.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator1);
    boolean b7 = combinedEventsManager0.stop();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator8 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    double d9 = dummyStepInterpolator8.getPreviousTime();
    double d10 = dummyStepInterpolator8.getPreviousTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator11 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator8);
    double d12 = dummyStepInterpolator8.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator8);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    dummyStepInterpolator13.setInterpolatedTime(1.4142135623730951d);
    boolean b17 = combinedEventsManager0.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator13);
    double[] d_array23 = new double[] { (-1.0d) };
    double[] d_array30 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array30);
    double[] d_array35 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array35);
    java.lang.Object[] obj_array38 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array35, "Maximal number of evaluations ({0}) exceeded", obj_array38);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator40 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array30, d_array35);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator41 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 100.0d, 0.0d, d_array23, d_array35);
    combinedEventsManager0.stepAccepted(1.0650410894399627d, d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test073"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix19 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldDiagonalMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array20 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix21 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldMatrix(fieldElement_array_array20);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array22 = org.apache.commons.math.linear.BlockFieldMatrix.<org.apache.commons.math.FieldElement>toBlocksLayout(fieldElement_array_array20);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix24 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array20, true);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix25 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array20);
    org.apache.commons.math.Field field26 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix27 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field26);
    org.apache.commons.math.fraction.BigFraction bigFraction28 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger29 = bigFraction28.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction30 = bigFraction28.reduce();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor31 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction28);
    org.apache.commons.math.FieldElement fieldElement32 = array2DRowFieldMatrix27.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor31);
    org.apache.commons.math.fraction.BigFraction bigFraction37 = org.apache.commons.math.fraction.BigFraction.getReducedFraction(100, (-1));
    org.apache.commons.math.fraction.BigFraction bigFraction39 = bigFraction37.divide(1);
    org.apache.commons.math.fraction.BigFraction bigFraction41 = bigFraction37.multiply((-1));
    org.apache.commons.math.fraction.BigFraction bigFraction43 = bigFraction37.divide((-1L));
    long long44 = bigFraction37.longValue();
    org.apache.commons.math.FieldElement fieldElement45 = defaultFieldMatrixChangingVisitor31.visit(10, 100, (org.apache.commons.math.FieldElement)bigFraction37);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement50 = array2DRowFieldMatrix25.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor31, 1, 8, (-100), (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long44 == (-100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement45);

  }

  @Test
  public void test074() {}
// Defects4J: flaky method
//   @Test
//   public void test074() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test074"); }
// 
// 
//     double[] d_array5 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
//     double[] d_array7 = new double[] {  };
//     org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator8 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array5, d_array7);
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array5);
//     double[] d_array15 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array15);
//     double[] d_array17 = new double[] {  };
//     org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator18 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array15, d_array17);
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array15);
//     org.apache.commons.math.linear.RealMatrix realMatrix21 = array2DRowRealMatrix19.scalarAdd(0.0d);
//     org.apache.commons.math.linear.RealMatrix realMatrix22 = array2DRowRealMatrix19.copy();
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = array2DRowRealMatrix9.add(array2DRowRealMatrix19);
//     org.apache.commons.math.linear.RealMatrix realMatrix26 = array2DRowRealMatrix23.createMatrix(3, 1);
//     double[] d_array28 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector29 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array28);
//     double[][] d_array_array30 = new double[][] { d_array28 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix31 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array30);
//     double[] d_array33 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector34 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array33);
//     double[][] d_array_array35 = new double[][] { d_array33 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array35);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = blockRealMatrix31.multiply(blockRealMatrix36);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix36.copy();
//     boolean b39 = blockRealMatrix38.isSquare();
//     double[] d_array41 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector42 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array41);
//     double[][] d_array_array43 = new double[][] { d_array41 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix44 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array43);
//     double[] d_array46 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector47 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array46);
//     double[][] d_array_array48 = new double[][] { d_array46 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix49 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array48);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix44.multiply(blockRealMatrix49);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix52 = blockRealMatrix44.getColumnMatrix(0);
//     double[] d_array54 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector55 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array54);
//     double[][] d_array_array56 = new double[][] { d_array54 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix57 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array56);
//     double[] d_array59 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector60 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array59);
//     double[][] d_array_array61 = new double[][] { d_array59 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix62 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array61);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix63 = blockRealMatrix57.multiply(blockRealMatrix62);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix64 = blockRealMatrix62.copy();
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix65 = blockRealMatrix52.add(blockRealMatrix64);
//     org.apache.commons.math.linear.RealMatrix realMatrix66 = blockRealMatrix38.solve((org.apache.commons.math.linear.RealMatrix)blockRealMatrix52);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.RealMatrix realMatrix67 = array2DRowRealMatrix23.subtract(realMatrix66);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realMatrix21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realMatrix22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(array2DRowRealMatrix23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realMatrix26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b39 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array61);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realMatrix66);
// 
//   }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test075"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix9.transpose();
    org.apache.commons.math.linear.RealMatrix realMatrix12 = blockRealMatrix9.transpose();
    double[] d_array14 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector15 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array14);
    double[][] d_array_array16 = new double[][] { d_array14 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix17 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array16);
    double[] d_array19 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector20 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix17.multiply(blockRealMatrix22);
    double[] d_array25 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector26 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix28 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array27);
    double[] d_array30 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector31 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix33 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array32);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix34 = blockRealMatrix28.multiply(blockRealMatrix33);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = blockRealMatrix33.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = blockRealMatrix17.add(blockRealMatrix35);
    double d37 = blockRealMatrix17.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix17.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix40 = blockRealMatrix38.scalarAdd(1.0E-6d);
    double d41 = blockRealMatrix40.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix42 = blockRealMatrix9.multiply(blockRealMatrix40);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix44 = blockRealMatrix40.getRowMatrix(1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.000001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix42);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test076"); }


    double[] d_array5 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array7 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator8 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array5, d_array7);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array5);
    double[] d_array11 = array2DRowRealMatrix9.getRow(1);
    boolean b12 = array2DRowRealMatrix9.isSquare();
    int i13 = array2DRowRealMatrix9.getRowDimension();
    org.apache.commons.math.linear.RealMatrix realMatrix14 = array2DRowRealMatrix9.copy();
    org.apache.commons.math.linear.AnyMatrix anyMatrix15 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.checkMultiplicationCompatible((org.apache.commons.math.linear.AnyMatrix)array2DRowRealMatrix9, anyMatrix15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test077"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(100.0d, 100.0d, Double.NaN, 10.0d);
    dormandPrince853Integrator4.clearStepHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler6, 1.0d, 10.0d, (-1));
    org.apache.commons.math.ode.events.EventHandler eventHandler11 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler11, 2.0d, 1.0d, 0);
    java.util.Collection collection16 = dormandPrince853Integrator4.getStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection16);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test078"); }


    double[][] d_array_array6 = org.apache.commons.math.linear.BlockRealMatrix.createBlocksLayout(100, 100);
    org.apache.commons.math.ode.IntegratorException integratorException7 = new org.apache.commons.math.ode.IntegratorException("hi!", (java.lang.Object[])d_array_array6);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException8 = new org.apache.commons.math.MaxIterationsExceededException((-1), "Maximal number of evaluations ({0}) exceeded", (java.lang.Object[])d_array_array6);
    java.lang.ArrayIndexOutOfBoundsException arrayIndexOutOfBoundsException9 = org.apache.commons.math.MathRuntimeException.createArrayIndexOutOfBoundsException("Array2DRowFieldMatrix{{1}}", (java.lang.Object[])d_array_array6);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str10 = arrayIndexOutOfBoundsException9.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayIndexOutOfBoundsException9);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test079"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.getReducedFraction(100, (-1));
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction2.divide(1);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = bigFraction2.multiply((-1));
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction2.divide((-1L));
    long long9 = bigFraction2.longValue();
    org.apache.commons.math.fraction.BigFraction bigFraction10 = bigFraction2.reduce();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == (-100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test080"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix1 = org.apache.commons.math.linear.MatrixUtils.createBigIdentityMatrix((-100));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test081"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector4 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array3);
    org.apache.commons.math.linear.RealVector realVector5 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array3);
    org.apache.commons.math.linear.RealMatrix realMatrix6 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array3);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Throwable[] throwable_array9 = functionEvaluationException8.getSuppressed();
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (-1.0d) };
    java.lang.NullPointerException nullPointerException18 = org.apache.commons.math.MathRuntimeException.createNullPointerException("", obj_array17);
    java.util.ConcurrentModificationException concurrentModificationException19 = org.apache.commons.math.MathRuntimeException.createConcurrentModificationException("hi!", obj_array17);
    org.apache.commons.math.linear.InvalidMatrixException invalidMatrixException20 = new org.apache.commons.math.linear.InvalidMatrixException("hi!", obj_array17);
    org.apache.commons.math.ode.IntegratorException integratorException21 = new org.apache.commons.math.ode.IntegratorException("hi!", obj_array17);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("Dormand-Prince 8 (5, 3)", obj_array17);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException8, "Array2DRowFieldMatrix{}", obj_array17);
    double[] d_array24 = functionEvaluationException8.getArgument();
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator25 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.0d, 1.0d, d_array3, d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(nullPointerException18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(concurrentModificationException19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test082"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(100.0d, 100.0d, Double.NaN, 10.0d);
    dormandPrince853Integrator4.clearStepHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler6, 1.0d, 10.0d, (-1));
    double d11 = dormandPrince853Integrator4.getSafety();
    int i12 = dormandPrince853Integrator4.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test083"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor1 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction0);
    org.apache.commons.math.FieldElement fieldElement2 = defaultFieldMatrixChangingVisitor1.end();
    org.apache.commons.math.FieldElement fieldElement3 = defaultFieldMatrixChangingVisitor1.end();
    org.apache.commons.math.fraction.BigFraction bigFraction6 = org.apache.commons.math.fraction.BigFraction.ONE_FIFTH;
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction6.abs();
    org.apache.commons.math.FieldElement fieldElement8 = defaultFieldMatrixChangingVisitor1.visit(0, 8, (org.apache.commons.math.FieldElement)bigFraction6);
    org.apache.commons.math.fraction.BigFraction bigFraction10 = bigFraction6.subtract(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction11 = bigFraction10.abs();
    double d13 = bigFraction11.pow((-1000.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test084"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator11 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array17 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix18 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array17);
    double[] d_array24 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array24);
    double[] d_array26 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator27 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array24, d_array26);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array26);
    nordsieckStepInterpolator11.reinitialize(10.0d, 1.0d, d_array17, array2DRowRealMatrix28);
    double[] d_array36 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array36);
    double[] d_array41 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array41);
    java.lang.Object[] obj_array44 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(d_array41, "Maximal number of evaluations ({0}) exceeded", obj_array44);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator46 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array36, d_array41);
    nordsieckStepInterpolator11.reinitialize(d_array36, true);
    double[][] d_array_array49 = new double[][] { d_array36 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix50 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array49);
    double d51 = blockRealMatrix50.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix53 = blockRealMatrix50.getRowMatrix(0);
    org.apache.commons.math.linear.RealVector realVector55 = blockRealMatrix50.getColumnVector(0);
    org.apache.commons.math.linear.RealMatrix realMatrix57 = blockRealMatrix50.scalarMultiply(0.0d);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix58 = blockRealMatrix9.multiply(blockRealMatrix50);
    double[] d_array60 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector61 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array60);
    double[][] d_array_array62 = new double[][] { d_array60 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix63 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array62);
    double[] d_array65 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector66 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array65);
    double[][] d_array_array67 = new double[][] { d_array65 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix68 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array67);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix69 = blockRealMatrix63.multiply(blockRealMatrix68);
    double[] d_array71 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector72 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array71);
    double[][] d_array_array73 = new double[][] { d_array71 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix74 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array73);
    double[] d_array76 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector77 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array76);
    double[][] d_array_array78 = new double[][] { d_array76 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix79 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array78);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix80 = blockRealMatrix74.multiply(blockRealMatrix79);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix81 = blockRealMatrix79.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix82 = blockRealMatrix63.add(blockRealMatrix81);
    org.apache.commons.math.linear.RealMatrix realMatrix85 = org.apache.commons.math.linear.MatrixUtils.createRealIdentityMatrix(1);
    blockRealMatrix82.setRowMatrix(0, realMatrix85);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix87 = blockRealMatrix9.subtract(blockRealMatrix82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 1.7320508075688772d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix87);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test085"); }


    double[] d_array6 = new double[] { (-1.0d) };
    double[] d_array13 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    double[] d_array18 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array18);
    java.lang.Object[] obj_array21 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array18, "Maximal number of evaluations ({0}) exceeded", obj_array21);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator23 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array13, d_array18);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator24 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 100.0d, 0.0d, d_array6, d_array18);
    double[] d_array30 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array30);
    double[] d_array32 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator33 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array30, d_array32);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array30);
    org.apache.commons.math.linear.RealMatrix realMatrix36 = array2DRowRealMatrix34.scalarAdd(0.0d);
    double[] d_array45 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(d_array45);
    double[] d_array47 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator48 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array45, d_array47);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator50 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array45, true);
    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator51 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array57 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix58 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array57);
    double[] d_array64 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(d_array64);
    double[] d_array66 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator67 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array64, d_array66);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix68 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array66);
    nordsieckStepInterpolator51.reinitialize(10.0d, 1.0d, d_array57, array2DRowRealMatrix68);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator70 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 0.0d, 0.0d, d_array45, d_array57);
    double[] d_array71 = array2DRowRealMatrix34.preMultiply(d_array57);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator72 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9d, 1.0E-15d, d_array18, d_array71);
    dormandPrince853Integrator72.setSafety(1.0E-15d);
    double d75 = dormandPrince853Integrator72.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 10.0d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test086"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    double d1 = dummyStepInterpolator0.getPreviousTime();
    dummyStepInterpolator0.shift();
    java.io.ObjectOutput objectOutput3 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator0.writeExternal(objectOutput3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test087"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double d24 = blockRealMatrix4.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix4.transpose();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
    double[][] d_array_array29 = new double[][] { d_array27 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array29);
    double[] d_array32 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array34);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = blockRealMatrix30.multiply(blockRealMatrix35);
    double[] d_array38 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector39 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array38);
    double[][] d_array_array40 = new double[][] { d_array38 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix41 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array40);
    double[] d_array43 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector44 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix46 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array45);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix47 = blockRealMatrix41.multiply(blockRealMatrix46);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix48 = blockRealMatrix46.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix30.add(blockRealMatrix48);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix25.subtract(blockRealMatrix30);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix53 = blockRealMatrix30.createMatrix(3, 8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix54 = blockRealMatrix30.copy();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix30.setEntry(1, 52, 1.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix54);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test088"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(3);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor6 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction5);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor7 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction5);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction4.subtract(bigFraction5);
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger10 = bigFraction9.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction11 = bigFraction5.subtract(bigInteger10);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor14 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction13);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor15 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction13);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction12.subtract(bigFraction13);
    org.apache.commons.math.fraction.BigFraction bigFraction17 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger18 = bigFraction17.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction19 = bigFraction13.subtract(bigInteger18);
    org.apache.commons.math.fraction.BigFraction bigFraction20 = bigFraction11.pow(bigInteger18);
    org.apache.commons.math.FieldElement[] fieldElement_array21 = new org.apache.commons.math.FieldElement[] { bigFraction20 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix22 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array21);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array23 = new org.apache.commons.math.FieldElement[][] { fieldElement_array21 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix24 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array23);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix26 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array23, true);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix28 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array23, true);
    java.lang.IllegalArgumentException illegalArgumentException29 = org.apache.commons.math.MathRuntimeException.createIllegalArgumentException("Dormand-Prince 8 (5, 3)", (java.lang.Object[])fieldElement_array_array23);
    org.apache.commons.math.MathRuntimeException mathRuntimeException30 = new org.apache.commons.math.MathRuntimeException((java.lang.Throwable)maxIterationsExceededException1, "Maximal number of evaluations ({0}) exceeded", (java.lang.Object[])fieldElement_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(illegalArgumentException29);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test089"); }


    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator0 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array4 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException(d_array4);
    nordsieckStepInterpolator0.reinitialize(d_array4, false);
    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator8 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator(nordsieckStepInterpolator0);
    boolean b9 = nordsieckStepInterpolator0.isForward();
    boolean b10 = nordsieckStepInterpolator0.isForward();
    java.io.ObjectInput objectInput11 = null;
    // The following exception was thrown during execution in test generation
    try {
      nordsieckStepInterpolator0.readExternal(objectInput11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test090"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    double d5 = bigFraction1.doubleValue();
    byte byte6 = bigFraction1.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction1.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction10 = bigFraction1.add(100);
    org.apache.commons.math.fraction.BigFractionField bigFractionField11 = bigFraction1.getField();
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFractionField11.getZero();
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix15 = new org.apache.commons.math.linear.BlockFieldMatrix((org.apache.commons.math.Field)bigFractionField11, 10, 100);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger17 = bigFraction16.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction19 = bigFraction16.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array20 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix21 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array20);
    org.apache.commons.math.fraction.BigFraction bigFraction22 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor23 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction22);
    org.apache.commons.math.FieldElement fieldElement24 = defaultFieldMatrixChangingVisitor23.end();
    org.apache.commons.math.FieldElement fieldElement25 = array2DRowFieldMatrix21.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor23);
    org.apache.commons.math.FieldElement fieldElement26 = array2DRowFieldMatrix21.getTrace();
    org.apache.commons.math.Field field27 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix28 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field27);
    org.apache.commons.math.fraction.BigFraction bigFraction29 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor30 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.FieldElement fieldElement31 = array2DRowFieldMatrix28.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor30);
    org.apache.commons.math.FieldElement fieldElement32 = defaultFieldMatrixPreservingVisitor30.end();
    org.apache.commons.math.FieldElement fieldElement33 = array2DRowFieldMatrix21.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor30);
    org.apache.commons.math.linear.FieldLUDecompositionImpl fieldLUDecompositionImpl34 = new org.apache.commons.math.linear.FieldLUDecompositionImpl((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix21);
    org.apache.commons.math.fraction.BigFraction bigFraction35 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor36 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction35);
    org.apache.commons.math.FieldElement fieldElement37 = defaultFieldMatrixChangingVisitor36.end();
    org.apache.commons.math.FieldElement fieldElement38 = defaultFieldMatrixChangingVisitor36.end();
    org.apache.commons.math.FieldElement fieldElement39 = array2DRowFieldMatrix21.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor36);
    org.apache.commons.math.FieldElement fieldElement44 = blockFieldMatrix15.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor36, 0, 0, 0, 36);
    org.apache.commons.math.fraction.BigFraction bigFraction46 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction47 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor48 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction47);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor49 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction47);
    org.apache.commons.math.fraction.BigFraction bigFraction50 = bigFraction46.subtract(bigFraction47);
    org.apache.commons.math.fraction.BigFraction bigFraction51 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger52 = bigFraction51.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction53 = bigFraction47.subtract(bigInteger52);
    org.apache.commons.math.fraction.BigFraction bigFraction54 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction55 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor56 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction55);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor57 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction55);
    org.apache.commons.math.fraction.BigFraction bigFraction58 = bigFraction54.subtract(bigFraction55);
    org.apache.commons.math.fraction.BigFraction bigFraction59 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger60 = bigFraction59.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction61 = bigFraction55.subtract(bigInteger60);
    org.apache.commons.math.fraction.BigFraction bigFraction62 = bigFraction53.pow(bigInteger60);
    org.apache.commons.math.FieldElement[] fieldElement_array63 = new org.apache.commons.math.FieldElement[] { bigFraction62 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix64 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array63);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array65 = new org.apache.commons.math.FieldElement[][] { fieldElement_array63 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix66 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array65);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix68 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array65, false);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix69 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array65);
    // The following exception was thrown during execution in test generation
    try {
      blockFieldMatrix15.setRowMatrix((-1), (org.apache.commons.math.linear.FieldMatrix)blockFieldMatrix69);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte6 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFractionField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array65);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test091"); }


    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator0 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array6 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix7 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array6);
    double[] d_array13 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    double[] d_array15 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator16 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array13, d_array15);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array15);
    nordsieckStepInterpolator0.reinitialize(10.0d, 1.0d, d_array6, array2DRowRealMatrix17);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix17.addToEntry((-100), 52, (-1000.0d));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test092"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    org.apache.commons.math.linear.RealMatrix realMatrix26 = org.apache.commons.math.linear.MatrixUtils.createRealIdentityMatrix(1);
    blockRealMatrix23.setRowMatrix(0, realMatrix26);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor28 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d29 = blockRealMatrix23.walkInColumnOrder(realMatrixPreservingVisitor28);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test093"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    org.apache.commons.math.linear.RealMatrix realMatrix6 = blockRealMatrix4.scalarMultiply(0.0d);
    java.io.ObjectOutputStream objectOutputStream7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.serializeRealMatrix((org.apache.commons.math.linear.RealMatrix)blockRealMatrix4, objectOutputStream7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test094"); }


    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = bigFraction1.subtract(bigFraction2);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor6 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction5);
    java.math.BigDecimal bigDecimal9 = bigFraction5.bigDecimalValue(0, 0);
    java.math.BigDecimal[] bigDecimal_array10 = new java.math.BigDecimal[] { bigDecimal9 };
    org.apache.commons.math.linear.BigMatrix bigMatrix11 = org.apache.commons.math.linear.MatrixUtils.createColumnBigMatrix(bigDecimal_array10);
    java.math.BigDecimal[][] bigDecimal_array_array12 = new java.math.BigDecimal[][] { bigDecimal_array10 };
    org.apache.commons.math.linear.BigMatrix bigMatrix13 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array12);
    java.lang.ArithmeticException arithmeticException14 = org.apache.commons.math.MathRuntimeException.createArithmeticException("Maximal number of evaluations ({0}) exceeded", (java.lang.Object[])bigDecimal_array_array12);
    org.apache.commons.math.linear.BigMatrix bigMatrix16 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array12, false);
    org.apache.commons.math.linear.BigMatrix bigMatrix18 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array12, true);
    org.apache.commons.math.linear.BigMatrix bigMatrix20 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array12, false);
    org.apache.commons.math.linear.BigMatrix bigMatrix22 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array12, false);
    org.apache.commons.math.linear.BigMatrix bigMatrix23 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arithmeticException14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix23);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test095"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger3 = bigFraction2.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction2.reduce();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor5 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.FieldElement fieldElement6 = array2DRowFieldMatrix1.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor5);
    java.lang.String str7 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction17 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor18 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction17);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor19 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction17);
    org.apache.commons.math.fraction.BigFraction bigFraction20 = bigFraction16.subtract(bigFraction17);
    org.apache.commons.math.fraction.BigFraction bigFraction21 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger22 = bigFraction21.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction23 = bigFraction17.subtract(bigInteger22);
    org.apache.commons.math.fraction.BigFraction bigFraction24 = bigFraction15.pow(bigInteger22);
    org.apache.commons.math.FieldElement[] fieldElement_array25 = new org.apache.commons.math.FieldElement[] { bigFraction24 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix26 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array25);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array27 = new org.apache.commons.math.FieldElement[][] { fieldElement_array25 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix28 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array27);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix29 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array27);
    org.apache.commons.math.fraction.BigFraction bigFraction30 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction31 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor32 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction31);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor33 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction31);
    org.apache.commons.math.fraction.BigFraction bigFraction34 = bigFraction30.subtract(bigFraction31);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor35 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction34);
    org.apache.commons.math.FieldElement fieldElement36 = blockFieldMatrix29.walkInOptimizedOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor35);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement41 = array2DRowFieldMatrix1.walkInOptimizedOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor35, 1, 10, 52, 36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str7.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement36);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test096"); }


    java.lang.String[] str_array1 = new java.lang.String[] { "org.apache.commons.math.MathRuntimeException$2: a 0x{1} matrix was provided instead of a square matrix" };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix2 = org.apache.commons.math.linear.MatrixUtils.createRowBigMatrix(str_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array1);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test097"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(0);
    maxIterationsExceededException1.addSuppressed((java.lang.Throwable)maxIterationsExceededException3);
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException1);
    java.lang.Object[] obj_array6 = maxIterationsExceededException1.getArguments();
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction10 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = bigFraction9.subtract(bigFraction10);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor14 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction13);
    java.math.BigDecimal bigDecimal17 = bigFraction13.bigDecimalValue(0, 0);
    java.math.BigDecimal[] bigDecimal_array18 = new java.math.BigDecimal[] { bigDecimal17 };
    org.apache.commons.math.linear.BigMatrix bigMatrix19 = org.apache.commons.math.linear.MatrixUtils.createColumnBigMatrix(bigDecimal_array18);
    java.math.BigDecimal[][] bigDecimal_array_array20 = new java.math.BigDecimal[][] { bigDecimal_array18 };
    org.apache.commons.math.linear.BigMatrix bigMatrix21 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array20);
    java.lang.ArithmeticException arithmeticException22 = org.apache.commons.math.MathRuntimeException.createArithmeticException("Maximal number of evaluations ({0}) exceeded", (java.lang.Object[])bigDecimal_array_array20);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException1, "org.apache.commons.math.ConvergenceException: Dormand-Prince 8 (5, 3)", (java.lang.Object[])bigDecimal_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arithmeticException22);

  }

  @Test
  public void test098() {}
// Defects4J: flaky method
//   @Test
//   public void test098() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test098"); }
// 
// 
//     double[] d_array4 = new double[] { (-1.0d) };
//     double[] d_array11 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
//     double[] d_array16 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException17 = new org.apache.commons.math.FunctionEvaluationException(d_array16);
//     java.lang.Object[] obj_array19 = null;
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(d_array16, "Maximal number of evaluations ({0}) exceeded", obj_array19);
//     org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator21 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array11, d_array16);
//     org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator22 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 100.0d, 0.0d, d_array4, d_array16);
//     double[] d_array28 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException(d_array28);
//     double[] d_array30 = new double[] {  };
//     org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator31 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array28, d_array30);
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix32 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array28);
//     double[] d_array38 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array38);
//     double[] d_array40 = new double[] {  };
//     org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator41 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array38, d_array40);
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix42 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array38);
//     org.apache.commons.math.linear.RealMatrix realMatrix44 = array2DRowRealMatrix42.scalarAdd(0.0d);
//     org.apache.commons.math.linear.RealMatrix realMatrix45 = array2DRowRealMatrix42.copy();
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix46 = array2DRowRealMatrix32.add(array2DRowRealMatrix42);
//     org.apache.commons.math.linear.RealMatrix realMatrix48 = array2DRowRealMatrix46.getRowMatrix(0);
//     java.lang.String str49 = array2DRowRealMatrix46.toString();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix50 = adamsMoultonIntegrator22.updateHighOrderDerivativesPhase1(array2DRowRealMatrix46);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realMatrix44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realMatrix45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(array2DRowRealMatrix46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realMatrix48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str49 + "' != '" + "Array2DRowRealMatrix{{2.0},{2.0},{-2.0}}"+ "'", str49.equals("Array2DRowRealMatrix{{2.0},{2.0},{-2.0}}"));
// 
//   }

  @Test
  public void test099() {}
// Defects4J: flaky method
//   @Test
//   public void test099() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test099"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     double d3 = brentSolver0.getAbsoluteAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction4 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d7 = brentSolver0.solve(univariateRealFunction4, 0.0d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 1.0E-6d);
// 
//   }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test100"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.fraction.BigFraction bigFraction21 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction22 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor23 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction22);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor24 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction22);
    org.apache.commons.math.fraction.BigFraction bigFraction25 = bigFraction21.subtract(bigFraction22);
    double d26 = bigFraction22.doubleValue();
    byte byte27 = bigFraction22.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction28 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction29 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor30 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor31 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = bigFraction28.subtract(bigFraction29);
    double d33 = bigFraction29.doubleValue();
    byte byte34 = bigFraction29.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction36 = bigFraction29.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction38 = bigFraction29.add(100);
    org.apache.commons.math.fraction.BigFraction bigFraction39 = bigFraction22.divide(bigFraction38);
    org.apache.commons.math.FieldElement[] fieldElement_array40 = new org.apache.commons.math.FieldElement[] { bigFraction39 };
    org.apache.commons.math.FieldElement[] fieldElement_array41 = array2DRowFieldMatrix20.preMultiply(fieldElement_array40);
    org.apache.commons.math.fraction.BigFraction bigFraction42 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger43 = bigFraction42.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction45 = bigFraction42.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array46 = new org.apache.commons.math.FieldElement[] { bigFraction42 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix47 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array46);
    org.apache.commons.math.fraction.BigFraction bigFraction48 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor49 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction48);
    org.apache.commons.math.FieldElement fieldElement50 = defaultFieldMatrixChangingVisitor49.end();
    org.apache.commons.math.FieldElement fieldElement51 = array2DRowFieldMatrix47.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor49);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix52 = array2DRowFieldMatrix20.multiply((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix47);
    org.apache.commons.math.fraction.BigFraction bigFraction53 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor54 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction53);
    defaultFieldMatrixPreservingVisitor54.start(10, 0, (-1), 0, 1, 1);
    org.apache.commons.math.FieldElement fieldElement62 = defaultFieldMatrixPreservingVisitor54.end();
    org.apache.commons.math.FieldElement fieldElement63 = defaultFieldMatrixPreservingVisitor54.end();
    org.apache.commons.math.FieldElement fieldElement64 = defaultFieldMatrixPreservingVisitor54.end();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix65 = array2DRowFieldMatrix20.scalarMultiply(fieldElement64);
    org.apache.commons.math.fraction.BigFraction bigFraction66 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction67 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor68 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction67);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor69 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction67);
    org.apache.commons.math.fraction.BigFraction bigFraction70 = bigFraction66.subtract(bigFraction67);
    org.apache.commons.math.fraction.BigFraction bigFraction71 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger72 = bigFraction71.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction73 = bigFraction67.subtract(bigInteger72);
    org.apache.commons.math.fraction.BigFraction bigFraction74 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction75 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor76 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction75);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor77 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction75);
    org.apache.commons.math.fraction.BigFraction bigFraction78 = bigFraction74.subtract(bigFraction75);
    org.apache.commons.math.fraction.BigFraction bigFraction79 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger80 = bigFraction79.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction81 = bigFraction75.subtract(bigInteger80);
    org.apache.commons.math.fraction.BigFraction bigFraction82 = bigFraction73.pow(bigInteger80);
    org.apache.commons.math.FieldElement[] fieldElement_array83 = new org.apache.commons.math.FieldElement[] { bigFraction82 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix84 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array83);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array85 = new org.apache.commons.math.FieldElement[][] { fieldElement_array83 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix86 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array85);
    org.apache.commons.math.FieldElement fieldElement87 = array2DRowFieldMatrix86.getTrace();
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix88 = array2DRowFieldMatrix20.subtract(array2DRowFieldMatrix86);
    org.apache.commons.math.fraction.BigFraction bigFraction91 = org.apache.commons.math.fraction.BigFraction.getReducedFraction(100, (-1));
    org.apache.commons.math.fraction.BigFraction bigFraction93 = bigFraction91.divide(1);
    org.apache.commons.math.fraction.BigFraction bigFraction95 = bigFraction91.multiply((-1));
    double d97 = bigFraction91.pow(0.0d);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix98 = array2DRowFieldMatrix20.scalarAdd((org.apache.commons.math.FieldElement)bigFraction91);
    long long99 = bigFraction91.getDenominatorAsLong();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte27 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte34 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowFieldMatrix88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d97 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix98);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long99 == 1L);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test101"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.FieldElement fieldElement21 = array2DRowFieldMatrix20.getTrace();
    org.apache.commons.math.fraction.BigFraction bigFraction23 = new org.apache.commons.math.fraction.BigFraction(100L);
    org.apache.commons.math.fraction.BigFraction bigFraction25 = bigFraction23.divide(100L);
    short s26 = bigFraction25.shortValue();
    org.apache.commons.math.fraction.BigFraction bigFraction27 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction28 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor29 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction28);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor30 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction28);
    org.apache.commons.math.fraction.BigFraction bigFraction31 = bigFraction27.subtract(bigFraction28);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor32 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction31);
    long long33 = bigFraction31.getDenominatorAsLong();
    org.apache.commons.math.fraction.BigFraction bigFraction34 = bigFraction25.add(bigFraction31);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix35 = array2DRowFieldMatrix20.scalarMultiply((org.apache.commons.math.FieldElement)bigFraction31);
    java.lang.String str36 = array2DRowFieldMatrix20.toString();
    int i37 = array2DRowFieldMatrix20.getColumnDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s26 == (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long33 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "Array2DRowFieldMatrix{{0}}"+ "'", str36.equals("Array2DRowFieldMatrix{{0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 1);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test102"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double[] d_array25 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector26 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix28 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array27);
    double[] d_array30 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector31 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix33 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array32);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix34 = blockRealMatrix28.multiply(blockRealMatrix33);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = blockRealMatrix23.subtract(blockRealMatrix28);
    double[] d_array37 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector38 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array37);
    double[][] d_array_array39 = new double[][] { d_array37 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array39);
    double[] d_array42 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector43 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array42);
    double[][] d_array_array44 = new double[][] { d_array42 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array44);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix46 = blockRealMatrix40.multiply(blockRealMatrix45);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix47 = blockRealMatrix40.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix48 = blockRealMatrix28.subtract(blockRealMatrix40);
    org.apache.commons.math.linear.RealVector realVector50 = blockRealMatrix48.getRowVector(0);
    java.io.ObjectOutputStream objectOutputStream51 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.serializeRealVector(realVector50, objectOutputStream51);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector50);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test103"); }


    double[] d_array8 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array8, d_array10);
    double[] d_array15 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix16 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array15);
    org.apache.commons.math.linear.RealMatrix realMatrix17 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array15);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator18 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 10.0d, 10.0d, d_array8, d_array15);
    adamsMoultonIntegrator18.setMaxEvaluations(8);
    adamsMoultonIntegrator18.setMaxGrowth(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test104"); }


    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = bigFraction1.subtract(bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger7 = bigFraction6.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction2.subtract(bigInteger7);
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction10 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = bigFraction9.subtract(bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger15 = bigFraction14.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction10.subtract(bigInteger15);
    org.apache.commons.math.fraction.BigFraction bigFraction17 = bigFraction8.pow(bigInteger15);
    org.apache.commons.math.FieldElement[] fieldElement_array18 = new org.apache.commons.math.FieldElement[] { bigFraction17 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix19 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array18);
    org.apache.commons.math.ode.DerivativeException derivativeException20 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.IntegratorException: hi!", (java.lang.Object[])fieldElement_array18);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array21 = new org.apache.commons.math.FieldElement[][] { fieldElement_array18 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix23 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array21, false);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix24 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array21);
    org.apache.commons.math.fraction.BigFraction bigFraction25 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor26 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction25);
    org.apache.commons.math.FieldElement fieldElement27 = defaultFieldMatrixChangingVisitor26.end();
    org.apache.commons.math.FieldElement fieldElement28 = defaultFieldMatrixChangingVisitor26.end();
    org.apache.commons.math.FieldElement fieldElement29 = blockFieldMatrix24.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor26);
    org.apache.commons.math.fraction.BigFraction bigFraction30 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction31 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor32 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction31);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor33 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction31);
    org.apache.commons.math.fraction.BigFraction bigFraction34 = bigFraction30.subtract(bigFraction31);
    org.apache.commons.math.fraction.BigFraction bigFraction35 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger36 = bigFraction35.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction37 = bigFraction31.subtract(bigInteger36);
    org.apache.commons.math.fraction.BigFraction bigFraction38 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction39 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor40 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction39);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor41 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction39);
    org.apache.commons.math.fraction.BigFraction bigFraction42 = bigFraction38.subtract(bigFraction39);
    org.apache.commons.math.fraction.BigFraction bigFraction43 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger44 = bigFraction43.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction45 = bigFraction39.subtract(bigInteger44);
    org.apache.commons.math.fraction.BigFraction bigFraction46 = bigFraction37.pow(bigInteger44);
    org.apache.commons.math.FieldElement[] fieldElement_array47 = new org.apache.commons.math.FieldElement[] { bigFraction46 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix48 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array47);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array49 = new org.apache.commons.math.FieldElement[][] { fieldElement_array47 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix50 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array49);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix52 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array49, true);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix53 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array49);
    org.apache.commons.math.fraction.BigFraction bigFraction54 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor55 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction54);
    org.apache.commons.math.FieldElement fieldElement56 = blockFieldMatrix53.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor55);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix57 = blockFieldMatrix24.subtract((org.apache.commons.math.linear.FieldMatrix)blockFieldMatrix53);
    org.apache.commons.math.fraction.BigFraction bigFraction60 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor61 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction60);
    org.apache.commons.math.fraction.BigFraction bigFraction63 = bigFraction60.multiply(100);
    org.apache.commons.math.fraction.BigFraction bigFraction64 = bigFraction63.reciprocal();
    org.apache.commons.math.fraction.BigFractionField bigFractionField65 = bigFraction63.getField();
    // The following exception was thrown during execution in test generation
    try {
      blockFieldMatrix24.addToEntry(1, 100, (org.apache.commons.math.FieldElement)bigFraction63);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFractionField65);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test105"); }


    java.lang.Throwable throwable0 = null;
    double[] d_array9 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(d_array9);
    double[] d_array11 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array9, d_array11);
    double[] d_array16 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix17 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array16);
    org.apache.commons.math.linear.RealMatrix realMatrix18 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array16);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator19 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 10.0d, 10.0d, d_array9, d_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException20 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array16);
    org.apache.commons.math.linear.BigMatrix bigMatrix21 = org.apache.commons.math.linear.MatrixUtils.createColumnBigMatrix(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix21);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test106"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(100.0d, 0.0d, 100.0d, (-1.0d));
    dormandPrince853Integrator4.setMaxEvaluations(10);
    java.util.Collection collection7 = dormandPrince853Integrator4.getStepHandlers();
    dormandPrince853Integrator4.setMinReduction(0.0d);
    dormandPrince853Integrator4.setSafety(1.0E-14d);
    java.util.Collection collection12 = dormandPrince853Integrator4.getStepHandlers();
    double d13 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test107"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double[] d_array25 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector26 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix28 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array27);
    double[] d_array30 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector31 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix33 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array32);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix34 = blockRealMatrix28.multiply(blockRealMatrix33);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = blockRealMatrix23.subtract(blockRealMatrix28);
    double d36 = blockRealMatrix28.getFrobeniusNorm();
    double[] d_array46 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array46);
    double[] d_array48 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator49 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array46, d_array48);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator51 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array46, true);
    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator52 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array58 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix59 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array58);
    double[] d_array65 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array65);
    double[] d_array67 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator68 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array65, d_array67);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix69 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array67);
    nordsieckStepInterpolator52.reinitialize(10.0d, 1.0d, d_array58, array2DRowRealMatrix69);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator71 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 0.0d, 0.0d, d_array46, d_array58);
    adamsMoultonIntegrator71.setMaxGrowth(Double.NaN);
    double[] d_array77 = new double[] { 1.0d, 0.0d, 100.0d };
    org.apache.commons.math.linear.RealVector realVector78 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array77);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix79 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array77);
    double[][] d_array_array80 = new double[][] { d_array77 };
    double[][] d_array_array81 = org.apache.commons.math.linear.BlockRealMatrix.toBlocksLayout(d_array_array80);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix82 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array80);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix83 = adamsMoultonIntegrator71.updateHighOrderDerivativesPhase1(array2DRowRealMatrix82);
    org.apache.commons.math.linear.RealVector realVector85 = array2DRowRealMatrix82.getColumnVector(0);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix28.setRowVector(10, realVector85);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector85);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test108"); }


    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = bigFraction1.subtract(bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger7 = bigFraction6.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction2.subtract(bigInteger7);
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction10 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = bigFraction9.subtract(bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger15 = bigFraction14.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction10.subtract(bigInteger15);
    org.apache.commons.math.fraction.BigFraction bigFraction17 = bigFraction8.pow(bigInteger15);
    org.apache.commons.math.FieldElement[] fieldElement_array18 = new org.apache.commons.math.FieldElement[] { bigFraction17 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix19 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array18);
    org.apache.commons.math.ode.DerivativeException derivativeException20 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.IntegratorException: hi!", (java.lang.Object[])fieldElement_array18);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array21 = new org.apache.commons.math.FieldElement[][] { fieldElement_array18 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix23 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array21, false);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix24 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array21);
    org.apache.commons.math.fraction.BigFraction bigFraction25 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor26 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction25);
    org.apache.commons.math.FieldElement fieldElement27 = defaultFieldMatrixChangingVisitor26.end();
    org.apache.commons.math.FieldElement fieldElement28 = defaultFieldMatrixChangingVisitor26.end();
    org.apache.commons.math.FieldElement fieldElement29 = blockFieldMatrix24.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor26);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction33 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor34 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction33);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor35 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction33);
    org.apache.commons.math.fraction.BigFraction bigFraction36 = bigFraction32.subtract(bigFraction33);
    double d37 = bigFraction33.doubleValue();
    byte byte38 = bigFraction33.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction40 = bigFraction33.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction42 = bigFraction33.multiply((-100L));
    blockFieldMatrix24.setEntry((-1), 1, (org.apache.commons.math.FieldElement)bigFraction33);
    org.apache.commons.math.fraction.BigFraction bigFraction45 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger46 = bigFraction45.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction48 = bigFraction45.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array49 = new org.apache.commons.math.FieldElement[] { bigFraction45 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix50 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array49);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix51 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array49);
    java.lang.String str52 = array2DRowFieldMatrix51.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction53 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix54 = array2DRowFieldMatrix51.scalarAdd((org.apache.commons.math.FieldElement)bigFraction53);
    int i55 = array2DRowFieldMatrix51.getColumnDimension();
    int i56 = array2DRowFieldMatrix51.getColumnDimension();
    org.apache.commons.math.fraction.BigFraction bigFraction57 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger58 = bigFraction57.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction60 = bigFraction57.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array61 = new org.apache.commons.math.FieldElement[] { bigFraction57 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix62 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array61);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix63 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array61);
    org.apache.commons.math.linear.FieldVector fieldVector64 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldVector(fieldElement_array61);
    org.apache.commons.math.linear.FieldVector fieldVector65 = array2DRowFieldMatrix51.preMultiply(fieldVector64);
    blockFieldMatrix24.setRowVector(0, fieldVector64);
    java.io.ObjectInputStream objectInputStream68 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.deserializeRealMatrix((java.lang.Object)blockFieldMatrix24, "Array2DRowRealMatrix{{1.0},{1.0},{-1.0}}", objectInputStream68);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte38 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str52.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldVector64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldVector65);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test109"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array2 = array2DRowRealMatrix0.getColumn(0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test110"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    double d5 = bigFraction1.doubleValue();
    byte byte6 = bigFraction1.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction1.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction10 = bigFraction1.add(100);
    org.apache.commons.math.fraction.BigFractionField bigFractionField11 = bigFraction1.getField();
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFractionField11.getZero();
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix15 = new org.apache.commons.math.linear.BlockFieldMatrix((org.apache.commons.math.Field)bigFractionField11, 10, 100);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger17 = bigFraction16.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction19 = bigFraction16.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array20 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix21 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array20);
    org.apache.commons.math.fraction.BigFraction bigFraction22 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor23 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction22);
    org.apache.commons.math.FieldElement fieldElement24 = defaultFieldMatrixChangingVisitor23.end();
    org.apache.commons.math.FieldElement fieldElement25 = array2DRowFieldMatrix21.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor23);
    org.apache.commons.math.FieldElement fieldElement26 = array2DRowFieldMatrix21.getTrace();
    org.apache.commons.math.Field field27 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix28 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field27);
    org.apache.commons.math.fraction.BigFraction bigFraction29 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor30 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.FieldElement fieldElement31 = array2DRowFieldMatrix28.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor30);
    org.apache.commons.math.FieldElement fieldElement32 = defaultFieldMatrixPreservingVisitor30.end();
    org.apache.commons.math.FieldElement fieldElement33 = array2DRowFieldMatrix21.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor30);
    org.apache.commons.math.linear.FieldLUDecompositionImpl fieldLUDecompositionImpl34 = new org.apache.commons.math.linear.FieldLUDecompositionImpl((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix21);
    org.apache.commons.math.fraction.BigFraction bigFraction35 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor36 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction35);
    org.apache.commons.math.FieldElement fieldElement37 = defaultFieldMatrixChangingVisitor36.end();
    org.apache.commons.math.FieldElement fieldElement38 = defaultFieldMatrixChangingVisitor36.end();
    org.apache.commons.math.FieldElement fieldElement39 = array2DRowFieldMatrix21.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor36);
    org.apache.commons.math.FieldElement fieldElement44 = blockFieldMatrix15.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor36, 0, 0, 0, 36);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix45 = blockFieldMatrix15.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte6 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFractionField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix45);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test111"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction3 = bigFraction0.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array4 = new org.apache.commons.math.FieldElement[] { bigFraction0 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix6 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    java.lang.String str7 = array2DRowFieldMatrix6.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix9 = array2DRowFieldMatrix6.scalarAdd((org.apache.commons.math.FieldElement)bigFraction8);
    int i10 = array2DRowFieldMatrix6.getColumnDimension();
    org.apache.commons.math.fraction.BigFraction bigFraction11 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction11);
    defaultFieldMatrixPreservingVisitor12.start(10, 0, (-1), 0, 1, 1);
    org.apache.commons.math.FieldElement fieldElement20 = array2DRowFieldMatrix6.walkInOptimizedOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor12);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix21 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix22 = array2DRowFieldMatrix6.add(fieldMatrix21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str7.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement20);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test112"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction3 = bigFraction0.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array4 = new org.apache.commons.math.FieldElement[] { bigFraction0 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor7 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction6);
    org.apache.commons.math.FieldElement fieldElement8 = defaultFieldMatrixChangingVisitor7.end();
    org.apache.commons.math.FieldElement fieldElement9 = array2DRowFieldMatrix5.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor7);
    org.apache.commons.math.FieldElement fieldElement10 = array2DRowFieldMatrix5.getTrace();
    org.apache.commons.math.Field field11 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix12 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field11);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor14 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction13);
    org.apache.commons.math.FieldElement fieldElement15 = array2DRowFieldMatrix12.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor14);
    org.apache.commons.math.FieldElement fieldElement16 = defaultFieldMatrixPreservingVisitor14.end();
    org.apache.commons.math.FieldElement fieldElement17 = array2DRowFieldMatrix5.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor14);
    org.apache.commons.math.Field field18 = array2DRowFieldMatrix5.getField();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix21 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldMatrix(field18, 1, 8);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix23 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldIdentityMatrix(field18, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix21);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test113"); }


    double[] d_array5 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array7 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator8 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array5, d_array7);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array5);
    double[] d_array11 = array2DRowRealMatrix9.getRow(1);
    boolean b12 = array2DRowRealMatrix9.isSquare();
    org.apache.commons.math.linear.RealMatrix realMatrix14 = array2DRowRealMatrix9.scalarMultiply(0.0d);
    double[] d_array21 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array21);
    double[] d_array23 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator24 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array21, d_array23);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array21);
    double[] d_array27 = array2DRowRealMatrix25.getRow(1);
    boolean b28 = array2DRowRealMatrix25.isSquare();
    org.apache.commons.math.linear.RealMatrix realMatrix30 = array2DRowRealMatrix25.scalarMultiply(0.0d);
    org.apache.commons.math.linear.RealVector realVector32 = array2DRowRealMatrix25.getRowVector(1);
    array2DRowRealMatrix9.setRowVector(0, realVector32);
    // The following exception was thrown during execution in test generation
    try {
      boolean b34 = array2DRowRealMatrix9.isSingular();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.NonSquareMatrixException");
    } catch (org.apache.commons.math.linear.NonSquareMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.NonSquareMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.NonSquareMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);

  }

  @Test
  public void test114() {}
// Defects4J: flaky method
//   @Test
//   public void test114() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test114"); }
// 
// 
//     org.apache.commons.math.Field field0 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix3 = new org.apache.commons.math.linear.BlockFieldMatrix(field0, 100, 0);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test115"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getRelativeAccuracy();
    double d2 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setRelativeAccuracy(Double.NaN);
    int i5 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test116"); }


    java.math.BigDecimal[] bigDecimal_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix1 = org.apache.commons.math.linear.MatrixUtils.createRowBigMatrix(bigDecimal_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test117"); }


    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator0 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array6 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix7 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array6);
    double[] d_array13 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    double[] d_array15 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator16 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array13, d_array15);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array15);
    nordsieckStepInterpolator0.reinitialize(10.0d, 1.0d, d_array6, array2DRowRealMatrix17);
    double[] d_array25 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array25);
    double[] d_array30 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array30);
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "Maximal number of evaluations ({0}) exceeded", obj_array33);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator35 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array25, d_array30);
    nordsieckStepInterpolator0.reinitialize(d_array25, true);
    double[] d_array43 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(d_array43);
    double[] d_array50 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array50);
    double[] d_array52 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator53 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array50, d_array52);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix54 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array50);
    nordsieckStepInterpolator0.reinitialize(1.0d, 1.0650410894399627d, d_array43, array2DRowRealMatrix54);
    double[][] d_array_array56 = array2DRowRealMatrix54.getDataRef();
    double[][] d_array_array57 = array2DRowRealMatrix54.getData();
    java.io.ObjectOutputStream objectOutputStream58 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.serializeRealMatrix((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix54, objectOutputStream58);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array57);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test118"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.fraction.BigFraction bigFraction21 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction22 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor23 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction22);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor24 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction22);
    org.apache.commons.math.fraction.BigFraction bigFraction25 = bigFraction21.subtract(bigFraction22);
    double d26 = bigFraction22.doubleValue();
    byte byte27 = bigFraction22.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction28 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction29 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor30 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor31 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = bigFraction28.subtract(bigFraction29);
    double d33 = bigFraction29.doubleValue();
    byte byte34 = bigFraction29.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction36 = bigFraction29.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction38 = bigFraction29.add(100);
    org.apache.commons.math.fraction.BigFraction bigFraction39 = bigFraction22.divide(bigFraction38);
    org.apache.commons.math.FieldElement[] fieldElement_array40 = new org.apache.commons.math.FieldElement[] { bigFraction39 };
    org.apache.commons.math.FieldElement[] fieldElement_array41 = array2DRowFieldMatrix20.preMultiply(fieldElement_array40);
    org.apache.commons.math.fraction.BigFraction bigFraction42 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger43 = bigFraction42.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction45 = bigFraction42.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array46 = new org.apache.commons.math.FieldElement[] { bigFraction42 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix47 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array46);
    org.apache.commons.math.fraction.BigFraction bigFraction48 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor49 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction48);
    org.apache.commons.math.FieldElement fieldElement50 = defaultFieldMatrixChangingVisitor49.end();
    org.apache.commons.math.FieldElement fieldElement51 = array2DRowFieldMatrix47.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor49);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix52 = array2DRowFieldMatrix20.multiply((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix47);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix53 = array2DRowFieldMatrix47.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte27 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte34 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix53);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test119"); }


    org.apache.commons.math.ode.nonstiff.AdamsNordsieckTransformer adamsNordsieckTransformer1 = org.apache.commons.math.ode.nonstiff.AdamsNordsieckTransformer.getInstance(3);
    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator2 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array8 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix9 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array8);
    double[] d_array15 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array15);
    double[] d_array17 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator18 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array15, d_array17);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array17);
    nordsieckStepInterpolator2.reinitialize(10.0d, 1.0d, d_array8, array2DRowRealMatrix19);
    double[] d_array27 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array27);
    double[] d_array32 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array32);
    java.lang.Object[] obj_array35 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array32, "Maximal number of evaluations ({0}) exceeded", obj_array35);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator37 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array27, d_array32);
    nordsieckStepInterpolator2.reinitialize(d_array27, true);
    double[] d_array45 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(d_array45);
    double[] d_array52 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(d_array52);
    double[] d_array54 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator55 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array52, d_array54);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix56 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array52);
    nordsieckStepInterpolator2.reinitialize(1.0d, 1.0650410894399627d, d_array45, array2DRowRealMatrix56);
    double[] d_array63 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(d_array63);
    double[] d_array65 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator66 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array63, d_array65);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix67 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array63);
    org.apache.commons.math.linear.RealMatrix realMatrix69 = array2DRowRealMatrix67.scalarAdd(0.0d);
    org.apache.commons.math.linear.RealMatrix realMatrix70 = array2DRowRealMatrix67.copy();
    org.apache.commons.math.linear.RealMatrix realMatrix71 = array2DRowRealMatrix67.copy();
    org.apache.commons.math.linear.RealMatrix realMatrix73 = array2DRowRealMatrix67.scalarMultiply(0.0d);
    org.apache.commons.math.linear.RealMatrix realMatrix74 = array2DRowRealMatrix56.subtract((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix67);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix75 = adamsNordsieckTransformer1.updateHighOrderDerivativesPhase1(array2DRowRealMatrix56);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix77 = array2DRowRealMatrix56.getRowMatrix(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(adamsNordsieckTransformer1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix75);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test120"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor1 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction0);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger7 = bigFraction6.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = new org.apache.commons.math.fraction.BigFraction(bigInteger7);
    org.apache.commons.math.FieldElement fieldElement9 = defaultFieldMatrixChangingVisitor1.visit(100, (-1), (org.apache.commons.math.FieldElement)bigFraction8);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger13 = bigFraction12.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction14 = new org.apache.commons.math.fraction.BigFraction(bigInteger13);
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction8.pow(bigInteger13);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor16 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction15);
    org.apache.commons.math.fraction.BigFraction bigFraction21 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    double d22 = bigFraction21.doubleValue();
    int i23 = bigFraction21.getNumeratorAsInt();
    defaultFieldMatrixPreservingVisitor16.visit((-1), 100, (org.apache.commons.math.FieldElement)bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test121"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger3 = bigFraction2.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction6 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger7 = bigFraction6.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = new org.apache.commons.math.fraction.BigFraction(bigInteger3, bigInteger7);
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction15 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger16 = bigFraction15.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction17 = new org.apache.commons.math.fraction.BigFraction(bigInteger16);
    org.apache.commons.math.FieldElement fieldElement18 = defaultFieldMatrixChangingVisitor10.visit(100, (-1), (org.apache.commons.math.FieldElement)bigFraction17);
    org.apache.commons.math.fraction.BigFraction bigFraction21 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger22 = bigFraction21.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction23 = new org.apache.commons.math.fraction.BigFraction(bigInteger22);
    org.apache.commons.math.fraction.BigFraction bigFraction24 = bigFraction17.pow(bigInteger22);
    org.apache.commons.math.fraction.BigFraction bigFraction25 = new org.apache.commons.math.fraction.BigFraction(bigInteger3, bigInteger22);
    double d26 = bigFraction25.percentageValue();
    double d27 = bigFraction25.percentageValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 100.0d);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test122"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(100.0d, 0.0d, 100.0d, (-1.0d));
    dormandPrince853Integrator4.setMaxEvaluations(10);
    java.util.Collection collection7 = dormandPrince853Integrator4.getStepHandlers();
    dormandPrince853Integrator4.setMaxEvaluations(0);
    int i10 = dormandPrince853Integrator4.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test123"); }


    org.apache.commons.math.linear.NonSquareMatrixException nonSquareMatrixException3 = new org.apache.commons.math.linear.NonSquareMatrixException(1, (-1));
    java.lang.String str4 = nonSquareMatrixException3.getPattern();
    java.lang.Object[] obj_array5 = nonSquareMatrixException3.getArguments();
    java.util.NoSuchElementException noSuchElementException6 = org.apache.commons.math.MathRuntimeException.createNoSuchElementException("org.apache.commons.math.MathRuntimeException$2: Dormand-Prince 8 (5, 3)", obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "a {0}x{1} matrix was provided instead of a square matrix"+ "'", str4.equals("a {0}x{1} matrix was provided instead of a square matrix"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(noSuchElementException6);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test124"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ZERO;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = bigFraction1.subtract(bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = bigFraction0.subtract(bigFraction5);
    long long7 = bigFraction6.getNumeratorAsLong();
    int i8 = bigFraction6.getNumeratorAsInt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test125"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setRelativeAccuracy(0.2d);
    brentSolver0.resetRelativeAccuracy();
    double d4 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setFunctionValueAccuracy(1.0E-15d);
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);

  }

  @Test
  public void test126() {}
// Defects4J: flaky method
//   @Test
//   public void test126() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test126"); }
// 
// 
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix((-100), 0);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test127"); }


    double[][] d_array_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix2 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array0, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test128() {}
// Defects4J: flaky method
//   @Test
//   public void test128() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test128"); }
// 
// 
//     org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
//     java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
//     org.apache.commons.math.fraction.BigFraction bigFraction3 = bigFraction0.multiply(0);
//     org.apache.commons.math.FieldElement[] fieldElement_array4 = new org.apache.commons.math.FieldElement[] { bigFraction0 };
//     org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
//     org.apache.commons.math.fraction.BigFraction bigFraction6 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
//     org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor7 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction6);
//     org.apache.commons.math.FieldElement fieldElement8 = defaultFieldMatrixChangingVisitor7.end();
//     org.apache.commons.math.FieldElement fieldElement9 = array2DRowFieldMatrix5.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor7);
//     org.apache.commons.math.FieldElement fieldElement10 = array2DRowFieldMatrix5.getTrace();
//     org.apache.commons.math.Field field11 = null;
//     org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix12 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field11);
//     org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor14 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction13);
//     org.apache.commons.math.FieldElement fieldElement15 = array2DRowFieldMatrix12.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor14);
//     org.apache.commons.math.FieldElement fieldElement16 = defaultFieldMatrixPreservingVisitor14.end();
//     org.apache.commons.math.FieldElement fieldElement17 = array2DRowFieldMatrix5.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor14);
//     org.apache.commons.math.Field field18 = array2DRowFieldMatrix5.getField();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix21 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field18, 1, (-1));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigInteger1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement_array4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(field18);
// 
//   }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test129"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction3 = bigFraction0.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array4 = new org.apache.commons.math.FieldElement[] { bigFraction0 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix6 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    java.lang.String str7 = array2DRowFieldMatrix6.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix9 = array2DRowFieldMatrix6.scalarAdd((org.apache.commons.math.FieldElement)bigFraction8);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array10 = array2DRowFieldMatrix6.getDataRef();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array11 = array2DRowFieldMatrix6.getDataRef();
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix13 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array11, false);
    org.apache.commons.math.Field field14 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix15 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger17 = bigFraction16.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction18 = bigFraction16.reduce();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor19 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction16);
    org.apache.commons.math.FieldElement fieldElement20 = array2DRowFieldMatrix15.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor19);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement25 = array2DRowFieldMatrix13.walkInOptimizedOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor19, 0, 100, 36, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str7.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement20);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test130"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, Double.NaN, 1.0E-15d, 36);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test131"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.getReducedFraction(100, (-1));
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction2.divide(1);
    double d5 = bigFraction2.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-100.0d));

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test132"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.FieldElement fieldElement4 = array2DRowFieldMatrix1.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor3);
    org.apache.commons.math.Field field5 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix6 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field5);
    org.apache.commons.math.fraction.BigFraction bigFraction7 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor8 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction7);
    org.apache.commons.math.FieldElement fieldElement9 = array2DRowFieldMatrix6.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor8);
    int i10 = array2DRowFieldMatrix6.getRowDimension();
    org.apache.commons.math.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math.linear.AnyMatrix)array2DRowFieldMatrix1, (org.apache.commons.math.linear.AnyMatrix)array2DRowFieldMatrix6);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix16 = array2DRowFieldMatrix6.getSubMatrix((-100), 0, 52, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test133"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    boolean b1 = array2DRowRealMatrix0.isSingular();
    array2DRowRealMatrix0.luDecompose();
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor3 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = array2DRowRealMatrix0.walkInRowOrder(realMatrixChangingVisitor3, 8, (-100), 0, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test134"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix9.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector13 = blockRealMatrix11.getColumnVector(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test135"); }


    java.math.BigDecimal bigDecimal6 = null;
    java.math.BigDecimal[] bigDecimal_array7 = new java.math.BigDecimal[] { bigDecimal6 };
    org.apache.commons.math.linear.BigMatrix bigMatrix8 = org.apache.commons.math.linear.MatrixUtils.createRowBigMatrix(bigDecimal_array7);
    java.io.EOFException eOFException9 = org.apache.commons.math.MathRuntimeException.createEOFException("", (java.lang.Object[])bigDecimal_array7);
    org.apache.commons.math.ode.DerivativeException derivativeException10 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 10", (java.lang.Object[])bigDecimal_array7);
    java.text.ParseException parseException11 = org.apache.commons.math.MathRuntimeException.createParseException(10, "", (java.lang.Object[])bigDecimal_array7);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(8, "org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 10", (java.lang.Object[])bigDecimal_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(eOFException9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(parseException11);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test136"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double[] d_array25 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector26 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix28 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array27);
    double[] d_array30 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector31 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix33 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array32);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix34 = blockRealMatrix28.multiply(blockRealMatrix33);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = blockRealMatrix23.subtract(blockRealMatrix28);
    int i36 = blockRealMatrix35.getColumnDimension();
    boolean b37 = blockRealMatrix35.isSquare();
    double[] d_array39 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector40 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array39);
    double[][] d_array_array41 = new double[][] { d_array39 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix42 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array41);
    double[] d_array44 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector45 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array44);
    double[][] d_array_array46 = new double[][] { d_array44 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix47 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array46);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix48 = blockRealMatrix42.multiply(blockRealMatrix47);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix42.getColumnMatrix(0);
    double[] d_array52 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector53 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array52);
    double[][] d_array_array54 = new double[][] { d_array52 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix55 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array54);
    double[] d_array57 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector58 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array57);
    double[][] d_array_array59 = new double[][] { d_array57 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix60 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array59);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix61 = blockRealMatrix55.multiply(blockRealMatrix60);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix63 = blockRealMatrix55.getColumnMatrix(0);
    double[] d_array65 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector66 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array65);
    double[][] d_array_array67 = new double[][] { d_array65 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix68 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array67);
    double[] d_array70 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector71 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array70);
    double[][] d_array_array72 = new double[][] { d_array70 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix73 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array72);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix74 = blockRealMatrix68.multiply(blockRealMatrix73);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix75 = blockRealMatrix73.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix76 = blockRealMatrix63.add(blockRealMatrix75);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix77 = blockRealMatrix50.subtract(blockRealMatrix63);
    double d78 = blockRealMatrix77.getNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix79 = blockRealMatrix77.copy();
    org.apache.commons.math.linear.RealMatrix realMatrix80 = blockRealMatrix35.preMultiply((org.apache.commons.math.linear.RealMatrix)blockRealMatrix79);
    double d81 = blockRealMatrix79.getNorm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.0d);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test137"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger3 = bigFraction2.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction2.reduce();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor5 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.FieldElement fieldElement6 = array2DRowFieldMatrix1.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor5);
    java.lang.String str7 = array2DRowFieldMatrix1.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    double d13 = bigFraction9.doubleValue();
    byte byte14 = bigFraction9.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction9.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction18 = bigFraction9.add(100);
    org.apache.commons.math.fraction.BigFractionField bigFractionField19 = bigFraction9.getField();
    org.apache.commons.math.fraction.BigFraction bigFraction20 = bigFractionField19.getZero();
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix23 = new org.apache.commons.math.linear.BlockFieldMatrix((org.apache.commons.math.Field)bigFractionField19, 10, 100);
    org.apache.commons.math.fraction.BigFraction bigFraction24 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger25 = bigFraction24.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction27 = bigFraction24.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array28 = new org.apache.commons.math.FieldElement[] { bigFraction24 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix29 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array28);
    org.apache.commons.math.fraction.BigFraction bigFraction30 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor31 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction30);
    org.apache.commons.math.FieldElement fieldElement32 = defaultFieldMatrixChangingVisitor31.end();
    org.apache.commons.math.FieldElement fieldElement33 = array2DRowFieldMatrix29.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor31);
    org.apache.commons.math.FieldElement fieldElement34 = array2DRowFieldMatrix29.getTrace();
    org.apache.commons.math.Field field35 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix36 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field35);
    org.apache.commons.math.fraction.BigFraction bigFraction37 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor38 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction37);
    org.apache.commons.math.FieldElement fieldElement39 = array2DRowFieldMatrix36.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor38);
    org.apache.commons.math.FieldElement fieldElement40 = defaultFieldMatrixPreservingVisitor38.end();
    org.apache.commons.math.FieldElement fieldElement41 = array2DRowFieldMatrix29.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor38);
    org.apache.commons.math.linear.FieldLUDecompositionImpl fieldLUDecompositionImpl42 = new org.apache.commons.math.linear.FieldLUDecompositionImpl((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix29);
    org.apache.commons.math.fraction.BigFraction bigFraction43 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor44 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction43);
    org.apache.commons.math.FieldElement fieldElement45 = defaultFieldMatrixChangingVisitor44.end();
    org.apache.commons.math.FieldElement fieldElement46 = defaultFieldMatrixChangingVisitor44.end();
    org.apache.commons.math.FieldElement fieldElement47 = array2DRowFieldMatrix29.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor44);
    org.apache.commons.math.FieldElement fieldElement52 = blockFieldMatrix23.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor44, 0, 0, 0, 36);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement57 = array2DRowFieldMatrix1.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor44, (-1), 8, 0, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Array2DRowFieldMatrix{}"+ "'", str7.equals("Array2DRowFieldMatrix{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte14 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFractionField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement52);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test138"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, true);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array23 = org.apache.commons.math.linear.BlockFieldMatrix.<org.apache.commons.math.FieldElement>toBlocksLayout(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix24 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array23);
    org.apache.commons.math.fraction.BigFraction bigFraction26 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction27 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor28 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction27);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor29 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction27);
    org.apache.commons.math.fraction.BigFraction bigFraction30 = bigFraction26.subtract(bigFraction27);
    org.apache.commons.math.fraction.BigFraction bigFraction31 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger32 = bigFraction31.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction33 = bigFraction27.subtract(bigInteger32);
    org.apache.commons.math.fraction.BigFraction bigFraction34 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction35 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor36 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction35);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor37 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction35);
    org.apache.commons.math.fraction.BigFraction bigFraction38 = bigFraction34.subtract(bigFraction35);
    org.apache.commons.math.fraction.BigFraction bigFraction39 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger40 = bigFraction39.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction41 = bigFraction35.subtract(bigInteger40);
    org.apache.commons.math.fraction.BigFraction bigFraction42 = bigFraction33.pow(bigInteger40);
    org.apache.commons.math.FieldElement[] fieldElement_array43 = new org.apache.commons.math.FieldElement[] { bigFraction42 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix44 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array43);
    org.apache.commons.math.ode.DerivativeException derivativeException45 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.IntegratorException: hi!", (java.lang.Object[])fieldElement_array43);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array46 = new org.apache.commons.math.FieldElement[][] { fieldElement_array43 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix48 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array46, false);
    int i49 = array2DRowFieldMatrix48.getColumnDimension();
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix50 = array2DRowFieldMatrix24.multiply(array2DRowFieldMatrix48);
    org.apache.commons.math.fraction.BigFraction bigFraction52 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction53 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor54 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction53);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor55 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction53);
    org.apache.commons.math.fraction.BigFraction bigFraction56 = bigFraction52.subtract(bigFraction53);
    org.apache.commons.math.fraction.BigFraction bigFraction57 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger58 = bigFraction57.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction59 = bigFraction53.subtract(bigInteger58);
    org.apache.commons.math.fraction.BigFraction bigFraction60 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction61 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor62 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction61);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor63 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction61);
    org.apache.commons.math.fraction.BigFraction bigFraction64 = bigFraction60.subtract(bigFraction61);
    org.apache.commons.math.fraction.BigFraction bigFraction65 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger66 = bigFraction65.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction67 = bigFraction61.subtract(bigInteger66);
    org.apache.commons.math.fraction.BigFraction bigFraction68 = bigFraction59.pow(bigInteger66);
    org.apache.commons.math.FieldElement[] fieldElement_array69 = new org.apache.commons.math.FieldElement[] { bigFraction68 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix70 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array69);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array71 = new org.apache.commons.math.FieldElement[][] { fieldElement_array69 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix72 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array71);
    org.apache.commons.math.ode.IntegratorException integratorException73 = new org.apache.commons.math.ode.IntegratorException("a {0}x{1} matrix was provided instead of a square matrix", (java.lang.Object[])fieldElement_array_array71);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix24.setSubMatrix(fieldElement_array_array71, 8, 8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowFieldMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array71);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test139"); }


    double[] d_array8 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array8, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array8, true);
    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator14 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array20 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix21 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array20);
    double[] d_array27 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array27);
    double[] d_array29 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array27, d_array29);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix31 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array29);
    nordsieckStepInterpolator14.reinitialize(10.0d, 1.0d, d_array20, array2DRowRealMatrix31);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator33 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 0.0d, 0.0d, d_array8, d_array20);
    adamsMoultonIntegrator33.setMaxGrowth(Double.NaN);
    double[] d_array39 = new double[] { 1.0d, 0.0d, 100.0d };
    org.apache.commons.math.linear.RealVector realVector40 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array39);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix41 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array39);
    double[][] d_array_array42 = new double[][] { d_array39 };
    double[][] d_array_array43 = org.apache.commons.math.linear.BlockRealMatrix.toBlocksLayout(d_array_array42);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix44 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array42);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix45 = adamsMoultonIntegrator33.updateHighOrderDerivativesPhase1(array2DRowRealMatrix44);
    double[] d_array51 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException(d_array51);
    double[] d_array53 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator54 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array51, d_array53);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix55 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array51);
    double[] d_array61 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException62 = new org.apache.commons.math.FunctionEvaluationException(d_array61);
    double[] d_array63 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator64 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array61, d_array63);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix65 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array61);
    org.apache.commons.math.linear.RealMatrix realMatrix67 = array2DRowRealMatrix65.scalarAdd(0.0d);
    org.apache.commons.math.linear.RealMatrix realMatrix68 = array2DRowRealMatrix65.copy();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix69 = array2DRowRealMatrix55.add(array2DRowRealMatrix65);
    org.apache.commons.math.Field field70 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix71 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field70);
    org.apache.commons.math.fraction.BigFraction bigFraction72 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor73 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction72);
    org.apache.commons.math.FieldElement fieldElement74 = array2DRowFieldMatrix71.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor73);
    org.apache.commons.math.Field field75 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix76 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field75);
    org.apache.commons.math.fraction.BigFraction bigFraction77 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor78 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction77);
    org.apache.commons.math.FieldElement fieldElement79 = array2DRowFieldMatrix76.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor78);
    int i80 = array2DRowFieldMatrix76.getRowDimension();
    org.apache.commons.math.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math.linear.AnyMatrix)array2DRowFieldMatrix71, (org.apache.commons.math.linear.AnyMatrix)array2DRowFieldMatrix76);
    org.apache.commons.math.fraction.BigFraction bigFraction82 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction83 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor84 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction83);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor85 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction83);
    org.apache.commons.math.fraction.BigFraction bigFraction86 = bigFraction82.subtract(bigFraction83);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor87 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction86);
    defaultFieldMatrixPreservingVisitor87.start((-1), 0, 1, 100, 10, 10);
    org.apache.commons.math.FieldElement fieldElement95 = array2DRowFieldMatrix76.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor87);
    boolean b96 = array2DRowRealMatrix65.equals((java.lang.Object)defaultFieldMatrixPreservingVisitor87);
    org.apache.commons.math.linear.RealMatrix realMatrix98 = array2DRowRealMatrix65.scalarMultiply(0.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix99 = array2DRowRealMatrix45.solve(realMatrix98);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.NonSquareMatrixException");
    } catch (org.apache.commons.math.linear.NonSquareMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.NonSquareMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.NonSquareMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i80 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b96 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix98);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test140"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction3 = bigFraction0.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array4 = new org.apache.commons.math.FieldElement[] { bigFraction0 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix6 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array7 = array2DRowFieldMatrix6.getDataRef();
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction10 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = bigFraction9.subtract(bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger15 = bigFraction14.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction10.subtract(bigInteger15);
    org.apache.commons.math.fraction.BigFraction bigFraction17 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction18 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor19 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction18);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor20 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction18);
    org.apache.commons.math.fraction.BigFraction bigFraction21 = bigFraction17.subtract(bigFraction18);
    org.apache.commons.math.fraction.BigFraction bigFraction22 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger23 = bigFraction22.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction24 = bigFraction18.subtract(bigInteger23);
    org.apache.commons.math.fraction.BigFraction bigFraction25 = bigFraction16.pow(bigInteger23);
    org.apache.commons.math.FieldElement[] fieldElement_array26 = new org.apache.commons.math.FieldElement[] { bigFraction25 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix27 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array26);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array28 = new org.apache.commons.math.FieldElement[][] { fieldElement_array26 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix29 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array28);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix30 = array2DRowFieldMatrix29.transpose();
    boolean b31 = array2DRowFieldMatrix29.isSquare();
    org.apache.commons.math.fraction.BigFraction bigFraction32 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger33 = bigFraction32.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction35 = bigFraction32.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array36 = new org.apache.commons.math.FieldElement[] { bigFraction32 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix37 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array36);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix38 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array36);
    java.lang.String str39 = array2DRowFieldMatrix38.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction40 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix41 = array2DRowFieldMatrix38.scalarAdd((org.apache.commons.math.FieldElement)bigFraction40);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix42 = array2DRowFieldMatrix29.add(array2DRowFieldMatrix38);
    org.apache.commons.math.fraction.BigFraction bigFraction43 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction44 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor45 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction44);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor46 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction44);
    org.apache.commons.math.fraction.BigFraction bigFraction47 = bigFraction43.subtract(bigFraction44);
    org.apache.commons.math.fraction.BigFraction bigFraction48 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger49 = bigFraction48.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction50 = bigFraction44.subtract(bigInteger49);
    org.apache.commons.math.fraction.BigFraction bigFraction51 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction52 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor53 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction52);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor54 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction52);
    org.apache.commons.math.fraction.BigFraction bigFraction55 = bigFraction51.subtract(bigFraction52);
    org.apache.commons.math.fraction.BigFraction bigFraction56 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger57 = bigFraction56.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction58 = bigFraction52.subtract(bigInteger57);
    org.apache.commons.math.fraction.BigFraction bigFraction59 = bigFraction50.pow(bigInteger57);
    org.apache.commons.math.FieldElement[] fieldElement_array60 = new org.apache.commons.math.FieldElement[] { bigFraction59 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix61 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array60);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array62 = new org.apache.commons.math.FieldElement[][] { fieldElement_array60 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix63 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array62);
    org.apache.commons.math.fraction.BigFraction bigFraction64 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction65 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor66 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction65);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor67 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction65);
    org.apache.commons.math.fraction.BigFraction bigFraction68 = bigFraction64.subtract(bigFraction65);
    double d69 = bigFraction65.doubleValue();
    byte byte70 = bigFraction65.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction71 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction72 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor73 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction72);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor74 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction72);
    org.apache.commons.math.fraction.BigFraction bigFraction75 = bigFraction71.subtract(bigFraction72);
    double d76 = bigFraction72.doubleValue();
    byte byte77 = bigFraction72.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction79 = bigFraction72.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction81 = bigFraction72.add(100);
    org.apache.commons.math.fraction.BigFraction bigFraction82 = bigFraction65.divide(bigFraction81);
    org.apache.commons.math.FieldElement[] fieldElement_array83 = new org.apache.commons.math.FieldElement[] { bigFraction82 };
    org.apache.commons.math.FieldElement[] fieldElement_array84 = array2DRowFieldMatrix63.preMultiply(fieldElement_array83);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix85 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldDiagonalMatrix(fieldElement_array84);
    org.apache.commons.math.FieldElement[] fieldElement_array86 = array2DRowFieldMatrix29.operate(fieldElement_array84);
    org.apache.commons.math.linear.FieldVector fieldVector87 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldVector(fieldElement_array86);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix6.setColumnVector(100, fieldVector87);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str39.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowFieldMatrix42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte70 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte77 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldVector87);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test141"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, false);
    org.apache.commons.math.Field field23 = array2DRowFieldMatrix22.getField();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix25 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldIdentityMatrix(field23, 10);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix28 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field23, 100, 1);
    org.apache.commons.math.fraction.BigFraction bigFraction29 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction30 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor31 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction30);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor32 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction30);
    org.apache.commons.math.fraction.BigFraction bigFraction33 = bigFraction29.subtract(bigFraction30);
    org.apache.commons.math.fraction.BigFraction bigFraction34 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger35 = bigFraction34.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction36 = bigFraction30.subtract(bigInteger35);
    org.apache.commons.math.fraction.BigFraction bigFraction37 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction38 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor39 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction38);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor40 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction38);
    org.apache.commons.math.fraction.BigFraction bigFraction41 = bigFraction37.subtract(bigFraction38);
    org.apache.commons.math.fraction.BigFraction bigFraction42 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger43 = bigFraction42.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction44 = bigFraction38.subtract(bigInteger43);
    org.apache.commons.math.fraction.BigFraction bigFraction45 = bigFraction36.pow(bigInteger43);
    org.apache.commons.math.fraction.BigFraction bigFraction46 = new org.apache.commons.math.fraction.BigFraction(bigInteger43);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix47 = array2DRowFieldMatrix28.scalarMultiply((org.apache.commons.math.FieldElement)bigFraction46);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix50 = array2DRowFieldMatrix28.createMatrix(36, 3);
    org.apache.commons.math.FieldElement fieldElement53 = array2DRowFieldMatrix28.getEntry(3, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement53);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test142"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix19 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldDiagonalMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array20 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix21 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldMatrix(fieldElement_array_array20);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.checkColumnIndex((org.apache.commons.math.linear.AnyMatrix)fieldMatrix21, 8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix21);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test143"); }


    double[] d_array3 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix4 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array3);
    org.apache.commons.math.linear.RealMatrix realMatrix5 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array3);
    org.apache.commons.math.linear.RealMatrix realMatrix6 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array3);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator8 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array3);
    org.apache.commons.math.linear.RealMatrix realMatrix12 = array2DRowRealMatrix9.createMatrix(10, 36);
    // The following exception was thrown during execution in test generation
    try {
      double d15 = array2DRowRealMatrix9.getEntry(0, 3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix12);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test144"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction3 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction3);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor5 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction3);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = bigFraction2.subtract(bigFraction3);
    org.apache.commons.math.fraction.BigFraction bigFraction7 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger8 = bigFraction7.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction9 = bigFraction3.subtract(bigInteger8);
    org.apache.commons.math.fraction.BigFraction bigFraction10 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction11 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction11);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor13 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction11);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = bigFraction10.subtract(bigFraction11);
    org.apache.commons.math.fraction.BigFraction bigFraction15 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger16 = bigFraction15.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction17 = bigFraction11.subtract(bigInteger16);
    org.apache.commons.math.fraction.BigFraction bigFraction18 = bigFraction9.pow(bigInteger16);
    org.apache.commons.math.FieldElement[] fieldElement_array19 = new org.apache.commons.math.FieldElement[] { bigFraction18 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix20 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array19);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix21 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldDiagonalMatrix(fieldElement_array19);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array22 = new org.apache.commons.math.FieldElement[][] { fieldElement_array19 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix23 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldMatrix(fieldElement_array_array22);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array24 = org.apache.commons.math.linear.BlockFieldMatrix.<org.apache.commons.math.FieldElement>toBlocksLayout(fieldElement_array_array22);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix26 = new org.apache.commons.math.linear.BlockFieldMatrix(1, 1, fieldElement_array_array22, false);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array27 = blockFieldMatrix26.getData();
    org.apache.commons.math.fraction.BigFraction bigFraction28 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger29 = bigFraction28.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction31 = bigFraction28.add(0);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix32 = blockFieldMatrix26.scalarAdd((org.apache.commons.math.FieldElement)bigFraction31);
    int i33 = bigFraction31.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 1);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test145"); }


    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator0 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array6 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix7 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array6);
    double[] d_array13 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    double[] d_array15 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator16 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array13, d_array15);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array15);
    nordsieckStepInterpolator0.reinitialize(10.0d, 1.0d, d_array6, array2DRowRealMatrix17);
    double[] d_array25 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array25);
    double[] d_array30 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array30);
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "Maximal number of evaluations ({0}) exceeded", obj_array33);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator35 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array25, d_array30);
    nordsieckStepInterpolator0.reinitialize(d_array25, true);
    double[] d_array43 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(d_array43);
    double[] d_array50 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array50);
    double[] d_array52 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator53 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array50, d_array52);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix54 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array50);
    nordsieckStepInterpolator0.reinitialize(1.0d, 1.0650410894399627d, d_array43, array2DRowRealMatrix54);
    double[][] d_array_array56 = array2DRowRealMatrix54.getDataRef();
    double[] d_array62 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(d_array62);
    double[] d_array64 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator65 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array62, d_array64);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix66 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array62);
    double[] d_array72 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException(d_array72);
    double[] d_array74 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator75 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array72, d_array74);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix76 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array72);
    org.apache.commons.math.linear.RealMatrix realMatrix78 = array2DRowRealMatrix76.scalarAdd(0.0d);
    org.apache.commons.math.linear.RealMatrix realMatrix79 = array2DRowRealMatrix76.copy();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix80 = array2DRowRealMatrix66.add(array2DRowRealMatrix76);
    org.apache.commons.math.linear.RealMatrix realMatrix82 = array2DRowRealMatrix80.getRowMatrix(0);
    org.apache.commons.math.linear.RealMatrix realMatrix83 = array2DRowRealMatrix54.add((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix80);
    int i84 = array2DRowRealMatrix80.getRowDimension();
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor85 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d86 = array2DRowRealMatrix80.walkInOptimizedOrder(realMatrixChangingVisitor85);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i84 == 3);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test146"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction3 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction3);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor5 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction3);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = bigFraction2.subtract(bigFraction3);
    double d7 = bigFraction3.doubleValue();
    byte byte8 = bigFraction3.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction10 = bigFraction3.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction3.add(100);
    org.apache.commons.math.fraction.BigFractionField bigFractionField13 = bigFraction3.getField();
    org.apache.commons.math.fraction.BigFraction bigFraction14 = bigFractionField13.getZero();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix16 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldIdentityMatrix((org.apache.commons.math.Field)bigFractionField13, 1);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = org.apache.commons.math.linear.BlockFieldMatrix.<org.apache.commons.math.FieldElement>createBlocksLayout((org.apache.commons.math.Field)bigFractionField13, 8, 36);
    java.text.ParseException parseException20 = org.apache.commons.math.MathRuntimeException.createParseException(100, "org.apache.commons.math.MathRuntimeException$2: a 0x{1} matrix was provided instead of a square matrix", (java.lang.Object[])fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte8 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFractionField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(parseException20);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test147"); }


    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = bigFraction1.subtract(bigFraction2);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor6 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction5);
    java.math.BigDecimal bigDecimal9 = bigFraction5.bigDecimalValue(0, 0);
    java.math.BigDecimal[] bigDecimal_array10 = new java.math.BigDecimal[] { bigDecimal9 };
    org.apache.commons.math.linear.BigMatrix bigMatrix11 = org.apache.commons.math.linear.MatrixUtils.createColumnBigMatrix(bigDecimal_array10);
    java.math.BigDecimal[][] bigDecimal_array_array12 = new java.math.BigDecimal[][] { bigDecimal_array10 };
    org.apache.commons.math.linear.BigMatrix bigMatrix13 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array12);
    java.lang.ArithmeticException arithmeticException14 = org.apache.commons.math.MathRuntimeException.createArithmeticException("Maximal number of evaluations ({0}) exceeded", (java.lang.Object[])bigDecimal_array_array12);
    java.math.BigDecimal bigDecimal18 = null;
    java.math.BigDecimal[] bigDecimal_array19 = new java.math.BigDecimal[] { bigDecimal18 };
    org.apache.commons.math.linear.BigMatrix bigMatrix20 = org.apache.commons.math.linear.MatrixUtils.createRowBigMatrix(bigDecimal_array19);
    java.io.EOFException eOFException21 = org.apache.commons.math.MathRuntimeException.createEOFException("", (java.lang.Object[])bigDecimal_array19);
    org.apache.commons.math.linear.BigMatrix bigMatrix22 = org.apache.commons.math.linear.MatrixUtils.createColumnBigMatrix(bigDecimal_array19);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)arithmeticException14, 1.0E-14d, "a {0}x{1} matrix was provided instead of a square matrix", (java.lang.Object[])bigDecimal_array19);
    org.apache.commons.math.linear.BigMatrix bigMatrix24 = org.apache.commons.math.linear.MatrixUtils.createRowBigMatrix(bigDecimal_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arithmeticException14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(eOFException21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix24);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test148"); }


    double[] d_array8 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array8, d_array10);
    double[] d_array15 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix16 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array15);
    org.apache.commons.math.linear.RealMatrix realMatrix17 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array15);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator18 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 10.0d, 10.0d, d_array8, d_array15);
    double[] d_array25 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array25);
    double[] d_array30 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array30);
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "Maximal number of evaluations ({0}) exceeded", obj_array33);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator35 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array25, d_array30);
    double[] d_array41 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array41);
    double[] d_array43 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator44 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array41, d_array43);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix45 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array41);
    double[] d_array47 = array2DRowRealMatrix45.getRow(1);
    double[] d_array53 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(d_array53);
    double[] d_array55 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator56 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array53, d_array55);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix57 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array53);
    org.apache.commons.math.linear.RealMatrix realMatrix59 = array2DRowRealMatrix57.scalarAdd(0.0d);
    adamsMoultonIntegrator18.updateHighOrderDerivativesPhase2(d_array30, d_array47, array2DRowRealMatrix57);
    double[][] d_array_array61 = new double[][] { d_array47 };
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix62 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array61);
    double[][] d_array_array63 = array2DRowRealMatrix62.getData();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix65 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array63, false);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix65.multiplyEntry(8, 52, (-1000.0d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array63);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test149"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.FieldElement fieldElement21 = array2DRowFieldMatrix20.getTrace();
    org.apache.commons.math.linear.FieldLUDecompositionImpl fieldLUDecompositionImpl22 = new org.apache.commons.math.linear.FieldLUDecompositionImpl((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix20);
    org.apache.commons.math.FieldElement fieldElement23 = fieldLUDecompositionImpl22.getDeterminant();
    int[] i_array24 = fieldLUDecompositionImpl22.getPivot();
    int[] i_array25 = fieldLUDecompositionImpl22.getPivot();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test150"); }


    org.apache.commons.math.fraction.BigFraction bigFraction1 = new org.apache.commons.math.fraction.BigFraction(100L);
    org.apache.commons.math.fraction.BigFraction bigFraction3 = bigFraction1.divide(100L);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = bigFraction1.pow((-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test151"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.fraction.BigFraction bigFraction21 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction22 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor23 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction22);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor24 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction22);
    org.apache.commons.math.fraction.BigFraction bigFraction25 = bigFraction21.subtract(bigFraction22);
    double d26 = bigFraction22.doubleValue();
    byte byte27 = bigFraction22.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction28 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction29 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor30 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor31 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = bigFraction28.subtract(bigFraction29);
    double d33 = bigFraction29.doubleValue();
    byte byte34 = bigFraction29.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction36 = bigFraction29.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction38 = bigFraction29.add(100);
    org.apache.commons.math.fraction.BigFraction bigFraction39 = bigFraction22.divide(bigFraction38);
    org.apache.commons.math.FieldElement[] fieldElement_array40 = new org.apache.commons.math.FieldElement[] { bigFraction39 };
    org.apache.commons.math.FieldElement[] fieldElement_array41 = array2DRowFieldMatrix20.preMultiply(fieldElement_array40);
    org.apache.commons.math.fraction.BigFraction bigFraction42 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger43 = bigFraction42.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction45 = bigFraction42.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array46 = new org.apache.commons.math.FieldElement[] { bigFraction42 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix47 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array46);
    org.apache.commons.math.fraction.BigFraction bigFraction48 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor49 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction48);
    org.apache.commons.math.FieldElement fieldElement50 = defaultFieldMatrixChangingVisitor49.end();
    org.apache.commons.math.FieldElement fieldElement51 = array2DRowFieldMatrix47.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor49);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix52 = array2DRowFieldMatrix20.multiply((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix47);
    org.apache.commons.math.linear.FieldLUDecompositionImpl fieldLUDecompositionImpl53 = new org.apache.commons.math.linear.FieldLUDecompositionImpl(fieldMatrix52);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix54 = fieldLUDecompositionImpl53.getU();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix55 = fieldLUDecompositionImpl53.getL();
    int[] i_array56 = fieldLUDecompositionImpl53.getPivot();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte27 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte34 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldMatrix54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldMatrix55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array56);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test152"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { (-1.0d) };
    java.lang.NullPointerException nullPointerException5 = org.apache.commons.math.MathRuntimeException.createNullPointerException("", obj_array4);
    java.util.ConcurrentModificationException concurrentModificationException6 = org.apache.commons.math.MathRuntimeException.createConcurrentModificationException("hi!", obj_array4);
    java.lang.ArrayIndexOutOfBoundsException arrayIndexOutOfBoundsException7 = org.apache.commons.math.MathRuntimeException.createArrayIndexOutOfBoundsException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 10", obj_array4);
    org.apache.commons.math.fraction.BigFraction bigFraction11 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction12 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor13 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction12);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor14 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction12);
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction11.subtract(bigFraction12);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor16 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction15);
    java.math.BigDecimal bigDecimal19 = bigFraction15.bigDecimalValue(0, 0);
    java.math.BigDecimal[] bigDecimal_array20 = new java.math.BigDecimal[] { bigDecimal19 };
    org.apache.commons.math.linear.BigMatrix bigMatrix21 = org.apache.commons.math.linear.MatrixUtils.createColumnBigMatrix(bigDecimal_array20);
    java.math.BigDecimal[][] bigDecimal_array_array22 = new java.math.BigDecimal[][] { bigDecimal_array20 };
    org.apache.commons.math.linear.BigMatrix bigMatrix23 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array22);
    java.lang.ArithmeticException arithmeticException24 = org.apache.commons.math.MathRuntimeException.createArithmeticException("Maximal number of evaluations ({0}) exceeded", (java.lang.Object[])bigDecimal_array_array22);
    org.apache.commons.math.ode.IntegratorException integratorException25 = new org.apache.commons.math.ode.IntegratorException("Maximal number of evaluations ({0}) exceeded", (java.lang.Object[])bigDecimal_array_array22);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)arrayIndexOutOfBoundsException7, "hi!", (java.lang.Object[])bigDecimal_array_array22);
    java.lang.RuntimeException runtimeException27 = org.apache.commons.math.MathRuntimeException.createInternalError((java.lang.Throwable)arrayIndexOutOfBoundsException7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(nullPointerException5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(concurrentModificationException6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayIndexOutOfBoundsException7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arithmeticException24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(runtimeException27);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test153"); }


    double[] d_array5 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array7 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator8 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array5, d_array7);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator10 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array5, true);
    boolean b11 = dummyStepInterpolator10.isForward();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator12 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator10);
    dummyStepInterpolator10.finalizeStep();
    double[] d_array14 = dummyStepInterpolator10.getInterpolatedState();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test154"); }


    double[] d_array8 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array8, d_array10);
    double[] d_array15 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix16 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array15);
    org.apache.commons.math.linear.RealMatrix realMatrix17 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array15);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator18 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 10.0d, 10.0d, d_array8, d_array15);
    double d19 = adamsMoultonIntegrator18.getMinReduction();
    double d20 = adamsMoultonIntegrator18.getMaxGrowth();
    adamsMoultonIntegrator18.setMinReduction(0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0650410894399627d);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test155"); }


    java.lang.Throwable throwable0 = null;
    double[] d_array9 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException10 = new org.apache.commons.math.FunctionEvaluationException(d_array9);
    double[] d_array11 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator12 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array9, d_array11);
    double[] d_array16 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix17 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array16);
    org.apache.commons.math.linear.RealMatrix realMatrix18 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array16);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator19 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 10.0d, 10.0d, d_array9, d_array16);
    double d20 = adamsMoultonIntegrator19.getMinReduction();
    double d21 = adamsMoultonIntegrator19.getMaxGrowth();
    double[] d_array27 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array27);
    double[] d_array29 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array27, d_array29);
    double[] d_array39 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array39);
    double[] d_array41 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator42 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array39, d_array41);
    double[] d_array46 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix47 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array46);
    org.apache.commons.math.linear.RealMatrix realMatrix48 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array46);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator49 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 10.0d, 10.0d, d_array39, d_array46);
    double[] d_array55 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array55);
    double[] d_array57 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator58 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array55, d_array57);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix59 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array55);
    double[] d_array65 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array65);
    double[] d_array67 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator68 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array65, d_array67);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix69 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array65);
    org.apache.commons.math.linear.RealMatrix realMatrix71 = array2DRowRealMatrix69.scalarAdd(0.0d);
    org.apache.commons.math.linear.RealMatrix realMatrix72 = array2DRowRealMatrix69.copy();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix73 = array2DRowRealMatrix59.add(array2DRowRealMatrix69);
    adamsMoultonIntegrator19.updateHighOrderDerivativesPhase2(d_array27, d_array39, array2DRowRealMatrix73);
    org.apache.commons.math.linear.BigMatrix bigMatrix75 = org.apache.commons.math.linear.MatrixUtils.createRowBigMatrix(d_array39);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException(throwable0, d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0650410894399627d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix75);

  }

  @Test
  public void test156() {}
// Defects4J: flaky method
//   @Test
//   public void test156() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test156"); }
// 
// 
//     org.apache.commons.math.fraction.BigFraction bigFraction2 = new org.apache.commons.math.fraction.BigFraction(0, 10);
//     java.math.BigInteger bigInteger3 = bigFraction2.getDenominator();
//     org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator4 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
//     double d5 = dummyStepInterpolator4.getPreviousTime();
//     dummyStepInterpolator4.storeTime(0.0d);
//     dummyStepInterpolator4.finalizeStep();
//     boolean b9 = bigFraction2.equals((java.lang.Object)dummyStepInterpolator4);
//     short s10 = bigFraction2.shortValue();
//     short s11 = bigFraction2.shortValue();
//     org.apache.commons.math.fraction.BigFraction bigFraction12 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
//     org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor13 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction12);
//     org.apache.commons.math.fraction.BigFraction bigFraction18 = new org.apache.commons.math.fraction.BigFraction(0, 10);
//     java.math.BigInteger bigInteger19 = bigFraction18.getDenominator();
//     org.apache.commons.math.fraction.BigFraction bigFraction20 = new org.apache.commons.math.fraction.BigFraction(bigInteger19);
//     org.apache.commons.math.FieldElement fieldElement21 = defaultFieldMatrixChangingVisitor13.visit(100, (-1), (org.apache.commons.math.FieldElement)bigFraction20);
//     org.apache.commons.math.fraction.BigFraction bigFraction24 = new org.apache.commons.math.fraction.BigFraction(0, 10);
//     java.math.BigInteger bigInteger25 = bigFraction24.getDenominator();
//     org.apache.commons.math.fraction.BigFraction bigFraction26 = new org.apache.commons.math.fraction.BigFraction(bigInteger25);
//     org.apache.commons.math.fraction.BigFraction bigFraction27 = bigFraction20.pow(bigInteger25);
//     org.apache.commons.math.fraction.BigFraction bigFraction28 = bigFraction2.pow(bigInteger25);
//     java.math.BigInteger bigInteger29 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.fraction.BigFraction bigFraction30 = new org.apache.commons.math.fraction.BigFraction(bigInteger25, bigInteger29);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigInteger3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b9 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(s10 == (short)0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(s11 == (short)0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigInteger19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigInteger25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction28);
// 
//   }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test157"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix12 = blockRealMatrix4.getColumnMatrix(0);
    double[] d_array14 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector15 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array14);
    double[][] d_array_array16 = new double[][] { d_array14 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix17 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array16);
    double[] d_array19 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector20 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix17.multiply(blockRealMatrix22);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix17.getColumnMatrix(0);
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
    double[][] d_array_array29 = new double[][] { d_array27 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array29);
    double[] d_array32 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array34);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = blockRealMatrix30.multiply(blockRealMatrix35);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = blockRealMatrix35.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix25.add(blockRealMatrix37);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix39 = blockRealMatrix12.subtract(blockRealMatrix25);
    double[] d_array41 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector42 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix44 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array43);
    double[] d_array46 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector47 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array46);
    double[][] d_array_array48 = new double[][] { d_array46 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix49 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array48);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix44.multiply(blockRealMatrix49);
    double[] d_array52 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector53 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array52);
    double[][] d_array_array54 = new double[][] { d_array52 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix55 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array54);
    double[] d_array57 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector58 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array57);
    double[][] d_array_array59 = new double[][] { d_array57 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix60 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array59);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix61 = blockRealMatrix55.multiply(blockRealMatrix60);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix62 = blockRealMatrix60.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix63 = blockRealMatrix44.add(blockRealMatrix62);
    double d64 = blockRealMatrix44.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix65 = blockRealMatrix44.transpose();
    double[] d_array67 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector68 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array67);
    double[][] d_array_array69 = new double[][] { d_array67 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix70 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array69);
    double[] d_array72 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector73 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array72);
    double[][] d_array_array74 = new double[][] { d_array72 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix75 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array74);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix76 = blockRealMatrix70.multiply(blockRealMatrix75);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix77 = blockRealMatrix75.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix78 = blockRealMatrix65.subtract(blockRealMatrix75);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix79 = blockRealMatrix39.add(blockRealMatrix75);
    double d80 = blockRealMatrix79.getNorm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 1.0d);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test158"); }


    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator0 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array6 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix7 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array6);
    double[] d_array13 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    double[] d_array15 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator16 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array13, d_array15);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array15);
    nordsieckStepInterpolator0.reinitialize(10.0d, 1.0d, d_array6, array2DRowRealMatrix17);
    double[] d_array25 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array25);
    double[] d_array30 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array30);
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "Maximal number of evaluations ({0}) exceeded", obj_array33);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator35 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array25, d_array30);
    nordsieckStepInterpolator0.reinitialize(d_array25, true);
    double[][] d_array_array38 = new double[][] { d_array25 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix39 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array38);
    double d40 = blockRealMatrix39.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix42 = blockRealMatrix39.getRowMatrix(0);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix43 = blockRealMatrix42.copy();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix45 = blockRealMatrix42.getRowMatrix(36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.7320508075688772d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix43);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test159"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.ode.events.EventException eventException2 = new org.apache.commons.math.ode.events.EventException("Array2DRowFieldMatrix{{1}}", obj_array1);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.IllegalArgumentException illegalArgumentException3 = org.apache.commons.math.MathRuntimeException.createIllegalArgumentException((java.lang.Throwable)eventException2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test160"); }


    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = bigFraction1.subtract(bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger7 = bigFraction6.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction2.subtract(bigInteger7);
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction10 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = bigFraction9.subtract(bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger15 = bigFraction14.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction10.subtract(bigInteger15);
    org.apache.commons.math.fraction.BigFraction bigFraction17 = bigFraction8.pow(bigInteger15);
    org.apache.commons.math.FieldElement[] fieldElement_array18 = new org.apache.commons.math.FieldElement[] { bigFraction17 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix19 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array18);
    org.apache.commons.math.ode.DerivativeException derivativeException20 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.IntegratorException: hi!", (java.lang.Object[])fieldElement_array18);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array21 = new org.apache.commons.math.FieldElement[][] { fieldElement_array18 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix23 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array21, false);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix24 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array21);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix25 = blockFieldMatrix24.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix30 = blockFieldMatrix24.getSubMatrix(100, 100, 8, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix25);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test161"); }


    org.apache.commons.math.fraction.BigFraction bigFraction4 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor6 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction5);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor7 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction5);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction4.subtract(bigFraction5);
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger10 = bigFraction9.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction11 = bigFraction5.subtract(bigInteger10);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor14 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction13);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor15 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction13);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction12.subtract(bigFraction13);
    org.apache.commons.math.fraction.BigFraction bigFraction17 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger18 = bigFraction17.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction19 = bigFraction13.subtract(bigInteger18);
    org.apache.commons.math.fraction.BigFraction bigFraction20 = bigFraction11.pow(bigInteger18);
    org.apache.commons.math.FieldElement[] fieldElement_array21 = new org.apache.commons.math.FieldElement[] { bigFraction20 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix22 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array21);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array23 = new org.apache.commons.math.FieldElement[][] { fieldElement_array21 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix24 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array23);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix26 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array23, true);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix27 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array23);
    org.apache.commons.math.Field field28 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix29 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field28);
    org.apache.commons.math.fraction.BigFraction bigFraction30 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger31 = bigFraction30.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction32 = bigFraction30.reduce();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor33 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction30);
    org.apache.commons.math.FieldElement fieldElement34 = array2DRowFieldMatrix29.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor33);
    org.apache.commons.math.FieldElement[] fieldElement_array35 = new org.apache.commons.math.FieldElement[] { fieldElement34 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix36 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array35);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix37 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array35);
    org.apache.commons.math.FieldElement[] fieldElement_array38 = blockFieldMatrix27.operate(fieldElement_array35);
    java.io.EOFException eOFException39 = org.apache.commons.math.MathRuntimeException.createEOFException("Array2DRowFieldMatrix{}", (java.lang.Object[])fieldElement_array38);
    org.apache.commons.math.MaxEvaluationsExceededException maxEvaluationsExceededException40 = new org.apache.commons.math.MaxEvaluationsExceededException(36, "org.apache.commons.math.ConvergenceException: Dormand-Prince 8 (5, 3)", (java.lang.Object[])fieldElement_array38);
    java.lang.NullPointerException nullPointerException41 = org.apache.commons.math.MathRuntimeException.createNullPointerException("0", (java.lang.Object[])fieldElement_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(eOFException39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(nullPointerException41);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test162"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double d24 = blockRealMatrix4.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix4.transpose();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
    double[][] d_array_array29 = new double[][] { d_array27 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array29);
    double[] d_array32 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array34);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = blockRealMatrix30.multiply(blockRealMatrix35);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = blockRealMatrix35.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix25.subtract(blockRealMatrix35);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix39 = blockRealMatrix38.copy();
    double[][] d_array_array40 = blockRealMatrix39.getData();
    double[] d_array42 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector43 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array42);
    double[][] d_array_array44 = new double[][] { d_array42 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array44);
    double[] d_array47 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector48 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array47);
    double[][] d_array_array49 = new double[][] { d_array47 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix50 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array49);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix51 = blockRealMatrix45.multiply(blockRealMatrix50);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix53 = blockRealMatrix45.getColumnMatrix(0);
    double[] d_array55 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector56 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array55);
    double[][] d_array_array57 = new double[][] { d_array55 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix58 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array57);
    double[] d_array60 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector61 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array60);
    double[][] d_array_array62 = new double[][] { d_array60 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix63 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array62);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix64 = blockRealMatrix58.multiply(blockRealMatrix63);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix66 = blockRealMatrix58.getColumnMatrix(0);
    double[] d_array68 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector69 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array68);
    double[][] d_array_array70 = new double[][] { d_array68 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix71 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array70);
    double[] d_array73 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector74 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array73);
    double[][] d_array_array75 = new double[][] { d_array73 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix76 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array75);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix77 = blockRealMatrix71.multiply(blockRealMatrix76);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix78 = blockRealMatrix76.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix79 = blockRealMatrix66.add(blockRealMatrix78);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix80 = blockRealMatrix53.subtract(blockRealMatrix66);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix81 = blockRealMatrix39.multiply(blockRealMatrix80);
    double[] d_array83 = blockRealMatrix80.getColumn(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test163"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, Double.NaN, 1);
    int i5 = eventState4.getMaxIterationCount();
    double d6 = eventState4.getConvergence();
    boolean b7 = eventState4.stop();
    double d8 = eventState4.getEventTime();
    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator9 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array13 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    nordsieckStepInterpolator9.reinitialize(d_array13, false);
    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator17 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator(nordsieckStepInterpolator9);
    // The following exception was thrown during execution in test generation
    try {
      boolean b18 = eventState4.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)nordsieckStepInterpolator9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test164"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, Double.NaN, 1);
    double d5 = eventState4.getMaxCheckInterval();
    int i6 = eventState4.getMaxIterationCount();
    org.apache.commons.math.ode.events.EventHandler eventHandler7 = eventState4.getEventHandler();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler7);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test165"); }


    org.apache.commons.math.fraction.BigFraction bigFraction4 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor6 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction5);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor7 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction5);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction4.subtract(bigFraction5);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor9 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction8);
    java.math.BigDecimal bigDecimal12 = bigFraction8.bigDecimalValue(0, 0);
    java.math.BigDecimal[] bigDecimal_array13 = new java.math.BigDecimal[] { bigDecimal12 };
    org.apache.commons.math.linear.BigMatrix bigMatrix14 = org.apache.commons.math.linear.MatrixUtils.createColumnBigMatrix(bigDecimal_array13);
    java.math.BigDecimal[][] bigDecimal_array_array15 = new java.math.BigDecimal[][] { bigDecimal_array13 };
    org.apache.commons.math.linear.BigMatrix bigMatrix16 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array15);
    java.lang.ArithmeticException arithmeticException17 = org.apache.commons.math.MathRuntimeException.createArithmeticException("Maximal number of evaluations ({0}) exceeded", (java.lang.Object[])bigDecimal_array_array15);
    org.apache.commons.math.ode.IntegratorException integratorException18 = new org.apache.commons.math.ode.IntegratorException("Maximal number of evaluations ({0}) exceeded", (java.lang.Object[])bigDecimal_array_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "0", (java.lang.Object[])bigDecimal_array_array15);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException19, 1.0650410894399627d);
    double[] d_array22 = functionEvaluationException21.getArgument();
    org.apache.commons.math.ode.IntegratorException integratorException23 = new org.apache.commons.math.ode.IntegratorException((java.lang.Throwable)functionEvaluationException21);
    double[] d_array24 = functionEvaluationException21.getArgument();
    java.lang.Object[] obj_array25 = functionEvaluationException21.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arithmeticException17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test166"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor1 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction0);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger7 = bigFraction6.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = new org.apache.commons.math.fraction.BigFraction(bigInteger7);
    org.apache.commons.math.FieldElement fieldElement9 = defaultFieldMatrixChangingVisitor1.visit(100, (-1), (org.apache.commons.math.FieldElement)bigFraction8);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger13 = bigFraction12.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction14 = new org.apache.commons.math.fraction.BigFraction(bigInteger13);
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction8.pow(bigInteger13);
    int i16 = bigFraction8.getDenominatorAsInt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test167"); }


    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator0 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array6 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix7 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array6);
    double[] d_array13 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    double[] d_array15 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator16 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array13, d_array15);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array15);
    nordsieckStepInterpolator0.reinitialize(10.0d, 1.0d, d_array6, array2DRowRealMatrix17);
    double[] d_array25 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array25);
    double[] d_array30 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array30);
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "Maximal number of evaluations ({0}) exceeded", obj_array33);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator35 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array25, d_array30);
    nordsieckStepInterpolator0.reinitialize(d_array25, true);
    double[][] d_array_array38 = new double[][] { d_array25 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix39 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array38);
    double[] d_array42 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector43 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array42);
    double[][] d_array_array44 = new double[][] { d_array42 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array44);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix47 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array44, false);
    double[] d_array49 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector50 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array49);
    double[][] d_array_array51 = new double[][] { d_array49 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix52 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array51);
    double[] d_array54 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector55 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array54);
    double[][] d_array_array56 = new double[][] { d_array54 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix57 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array56);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix58 = blockRealMatrix52.multiply(blockRealMatrix57);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix60 = blockRealMatrix52.getColumnMatrix(0);
    double[] d_array62 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector63 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array62);
    double[][] d_array_array64 = new double[][] { d_array62 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix65 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array64);
    double[] d_array67 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector68 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array67);
    double[][] d_array_array69 = new double[][] { d_array67 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix70 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array69);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix71 = blockRealMatrix65.multiply(blockRealMatrix70);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix73 = blockRealMatrix65.getColumnMatrix(0);
    double[] d_array75 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector76 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array75);
    double[][] d_array_array77 = new double[][] { d_array75 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix78 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array77);
    double[] d_array80 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector81 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array80);
    double[][] d_array_array82 = new double[][] { d_array80 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix83 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array82);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix84 = blockRealMatrix78.multiply(blockRealMatrix83);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix85 = blockRealMatrix83.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix86 = blockRealMatrix73.add(blockRealMatrix85);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix87 = blockRealMatrix60.subtract(blockRealMatrix73);
    org.apache.commons.math.linear.RealMatrix realMatrix88 = array2DRowRealMatrix47.add((org.apache.commons.math.linear.RealMatrix)blockRealMatrix73);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix39.setColumnMatrix(3, realMatrix88);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix88);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test168"); }


    double[] d_array8 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array8, d_array10);
    double[] d_array15 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix16 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array15);
    org.apache.commons.math.linear.RealMatrix realMatrix17 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array15);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator18 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 10.0d, 10.0d, d_array8, d_array15);
    double d19 = adamsMoultonIntegrator18.getMinReduction();
    double d20 = adamsMoultonIntegrator18.getMaxGrowth();
    adamsMoultonIntegrator18.clearEventHandlers();
    org.apache.commons.math.ode.ODEIntegrator oDEIntegrator22 = adamsMoultonIntegrator18.getStarterIntegrator();
    double d23 = adamsMoultonIntegrator18.getMinStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0650410894399627d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oDEIntegrator22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 10.0d);

  }

  @Test
  public void test169() {}
// Defects4J: flaky method
//   @Test
//   public void test169() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test169"); }
// 
// 
//     org.apache.commons.math.Field field0 = null;
//     org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
//     org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
//     org.apache.commons.math.FieldElement fieldElement4 = array2DRowFieldMatrix1.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor3);
//     int i5 = array2DRowFieldMatrix1.getRowDimension();
//     org.apache.commons.math.fraction.BigFraction bigFraction6 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor7 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction6);
//     org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor8 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction6);
//     org.apache.commons.math.FieldElement fieldElement9 = array2DRowFieldMatrix1.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor8);
//     org.apache.commons.math.Field field10 = null;
//     org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix11 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field10);
//     org.apache.commons.math.fraction.BigFraction bigFraction12 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor13 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction12);
//     org.apache.commons.math.FieldElement fieldElement14 = array2DRowFieldMatrix11.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor13);
//     org.apache.commons.math.Field field15 = null;
//     org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix16 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field15);
//     org.apache.commons.math.fraction.BigFraction bigFraction17 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor18 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction17);
//     org.apache.commons.math.FieldElement fieldElement19 = array2DRowFieldMatrix16.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor18);
//     int i20 = array2DRowFieldMatrix16.getRowDimension();
//     org.apache.commons.math.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math.linear.AnyMatrix)array2DRowFieldMatrix11, (org.apache.commons.math.linear.AnyMatrix)array2DRowFieldMatrix16);
//     org.apache.commons.math.fraction.BigFraction bigFraction22 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.fraction.BigFraction bigFraction23 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor24 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction23);
//     org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor25 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction23);
//     org.apache.commons.math.fraction.BigFraction bigFraction26 = bigFraction22.subtract(bigFraction23);
//     org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor27 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction26);
//     defaultFieldMatrixPreservingVisitor27.start((-1), 0, 1, 100, 10, 10);
//     org.apache.commons.math.FieldElement fieldElement35 = array2DRowFieldMatrix16.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor27);
//     org.apache.commons.math.FieldElement fieldElement36 = array2DRowFieldMatrix1.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor27);
//     org.apache.commons.math.FieldElement fieldElement37 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.FieldMatrix fieldMatrix38 = array2DRowFieldMatrix1.scalarAdd(fieldElement37);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i20 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement36);
// 
//   }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test170"); }


    double[] d_array8 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array8, d_array10);
    double[] d_array15 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix16 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array15);
    org.apache.commons.math.linear.RealMatrix realMatrix17 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array15);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator18 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 10.0d, 10.0d, d_array8, d_array15);
    double[] d_array25 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array25);
    double[] d_array30 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array30);
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "Maximal number of evaluations ({0}) exceeded", obj_array33);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator35 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array25, d_array30);
    double[] d_array41 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array41);
    double[] d_array43 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator44 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array41, d_array43);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix45 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array41);
    double[] d_array47 = array2DRowRealMatrix45.getRow(1);
    double[] d_array53 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(d_array53);
    double[] d_array55 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator56 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array53, d_array55);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix57 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array53);
    org.apache.commons.math.linear.RealMatrix realMatrix59 = array2DRowRealMatrix57.scalarAdd(0.0d);
    adamsMoultonIntegrator18.updateHighOrderDerivativesPhase2(d_array30, d_array47, array2DRowRealMatrix57);
    double[][] d_array_array61 = new double[][] { d_array47 };
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix62 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array61);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix64 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array61, true);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector66 = array2DRowRealMatrix64.getRowVector(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array61);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test171"); }


    java.lang.String[] str_array1 = new java.lang.String[] { "org.apache.commons.math.MathRuntimeException$10: internal error, please fill a bug report at https://issues.apache.org/jira/browse/MATH" };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix2 = org.apache.commons.math.linear.MatrixUtils.createColumnBigMatrix(str_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException");
    } catch (java.lang.NumberFormatException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NumberFormatException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NumberFormatException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array1);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test172"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix9.copy();
    boolean b12 = blockRealMatrix11.isSquare();
    org.apache.commons.math.linear.RealMatrix realMatrix14 = blockRealMatrix11.scalarMultiply(0.2d);
    double d15 = blockRealMatrix11.getFrobeniusNorm();
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor16 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d17 = blockRealMatrix11.walkInRowOrder(realMatrixPreservingVisitor16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test173"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BigMatrix bigMatrix1 = org.apache.commons.math.linear.MatrixUtils.createBigIdentityMatrix((-1));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test174"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix21 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.fraction.BigFraction bigFraction22 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction23 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor24 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction23);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor25 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction23);
    org.apache.commons.math.fraction.BigFraction bigFraction26 = bigFraction22.subtract(bigFraction23);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor27 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction26);
    org.apache.commons.math.FieldElement fieldElement28 = blockFieldMatrix21.walkInOptimizedOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor27);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix30 = blockFieldMatrix21.getColumnMatrix(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement[] fieldElement_array32 = blockFieldMatrix21.getColumn(3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix30);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test175"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix9.copy();
    boolean b12 = blockRealMatrix11.isSquare();
    double[][] d_array_array13 = blockRealMatrix11.getData();
    double d14 = blockRealMatrix11.getNorm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test176"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    double[][] d_array_array1 = array2DRowRealMatrix0.getDataRef();
    org.apache.commons.math.linear.RealMatrix realMatrix4 = array2DRowRealMatrix0.createMatrix(3, 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test177"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(100.0d, 0.0d, 100.0d, (-1.0d));
    dormandPrince853Integrator4.setMaxEvaluations(10);
    java.util.Collection collection7 = dormandPrince853Integrator4.getStepHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler8, (-1.0d), 100.0d, 0);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler13 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler13);
    double d15 = dormandPrince853Integrator4.getMinReduction();
    dormandPrince853Integrator4.clearEventHandlers();
    dormandPrince853Integrator4.setMaxEvaluations(36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.2d);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test178"); }


    double[] d_array8 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array8, d_array10);
    double[] d_array15 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix16 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array15);
    org.apache.commons.math.linear.RealMatrix realMatrix17 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array15);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator18 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 10.0d, 10.0d, d_array8, d_array15);
    double[] d_array25 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array25);
    double[] d_array30 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array30);
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "Maximal number of evaluations ({0}) exceeded", obj_array33);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator35 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array25, d_array30);
    double[] d_array41 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array41);
    double[] d_array43 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator44 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array41, d_array43);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix45 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array41);
    double[] d_array47 = array2DRowRealMatrix45.getRow(1);
    double[] d_array53 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(d_array53);
    double[] d_array55 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator56 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array53, d_array55);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix57 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array53);
    org.apache.commons.math.linear.RealMatrix realMatrix59 = array2DRowRealMatrix57.scalarAdd(0.0d);
    adamsMoultonIntegrator18.updateHighOrderDerivativesPhase2(d_array30, d_array47, array2DRowRealMatrix57);
    double[][] d_array_array61 = new double[][] { d_array47 };
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix62 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array61);
    java.io.ObjectOutputStream objectOutputStream63 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.serializeRealMatrix((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix62, objectOutputStream63);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array61);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test179"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, true);
    org.apache.commons.math.fraction.BigFraction bigFraction23 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger24 = bigFraction23.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction26 = bigFraction23.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array27 = new org.apache.commons.math.FieldElement[] { bigFraction23 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix28 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array27);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix29 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array27);
    java.lang.String str30 = array2DRowFieldMatrix29.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction31 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix32 = array2DRowFieldMatrix29.scalarAdd((org.apache.commons.math.FieldElement)bigFraction31);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array33 = array2DRowFieldMatrix29.getDataRef();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array34 = array2DRowFieldMatrix29.getDataRef();
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix36 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array34, false);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix22.setSubMatrix(fieldElement_array_array34, 0, 8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str30.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array34);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test180"); }


    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator5 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(8, (-1.0d), 1.4142135623730951d, 1.4142135623730951d, Double.NaN);
    adamsMoultonIntegrator5.setInitialStepSize(1.0E-14d);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test181"); }


    double[] d_array5 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array7 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator8 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array5, d_array7);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array5);
    double[] d_array11 = array2DRowRealMatrix9.getRow(1);
    java.lang.String str12 = array2DRowRealMatrix9.toString();
    double[] d_array14 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector15 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array14);
    double[][] d_array_array16 = new double[][] { d_array14 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix17 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array16);
    double[] d_array19 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector20 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix17.multiply(blockRealMatrix22);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix17.getColumnMatrix(0);
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
    double[][] d_array_array29 = new double[][] { d_array27 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array29);
    double[] d_array32 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array34);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = blockRealMatrix30.multiply(blockRealMatrix35);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = blockRealMatrix35.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix25.add(blockRealMatrix37);
    double[] d_array40 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector41 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array40);
    org.apache.commons.math.linear.RealVector realVector42 = blockRealMatrix38.operate(realVector41);
    org.apache.commons.math.linear.RealVector realVector43 = array2DRowRealMatrix9.operate(realVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "Array2DRowRealMatrix{{1.0},{1.0},{-1.0}}"+ "'", str12.equals("Array2DRowRealMatrix{{1.0},{1.0},{-1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector43);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test182"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction3 = bigFraction0.multiply(0);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger7 = bigFraction6.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = new org.apache.commons.math.fraction.BigFraction(bigInteger7);
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction15 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger16 = bigFraction15.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction17 = new org.apache.commons.math.fraction.BigFraction(bigInteger16);
    org.apache.commons.math.FieldElement fieldElement18 = defaultFieldMatrixChangingVisitor10.visit(100, (-1), (org.apache.commons.math.FieldElement)bigFraction17);
    org.apache.commons.math.fraction.BigFraction bigFraction21 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger22 = bigFraction21.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction23 = new org.apache.commons.math.fraction.BigFraction(bigInteger22);
    org.apache.commons.math.fraction.BigFraction bigFraction24 = bigFraction17.pow(bigInteger22);
    org.apache.commons.math.fraction.BigFraction bigFraction25 = bigFraction8.add(bigInteger22);
    org.apache.commons.math.fraction.BigFraction bigFraction26 = bigFraction0.subtract(bigFraction25);
    double d28 = bigFraction0.pow(1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);

  }

  @Test
  public void test183() {}
// Defects4J: flaky method
//   @Test
//   public void test183() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test183"); }
// 
// 
//     org.apache.commons.math.ode.nonstiff.AdamsNordsieckTransformer adamsNordsieckTransformer1 = org.apache.commons.math.ode.nonstiff.AdamsNordsieckTransformer.getInstance(1);
//     double[] d_array7 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(d_array7);
//     double[] d_array9 = new double[] {  };
//     org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator10 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array7, d_array9);
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix11 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array7);
//     org.apache.commons.math.linear.RealMatrix realMatrix13 = array2DRowRealMatrix11.scalarAdd(0.0d);
//     double[][] d_array_array14 = array2DRowRealMatrix11.getData();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix15 = adamsNordsieckTransformer1.updateHighOrderDerivativesPhase1(array2DRowRealMatrix11);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(adamsNordsieckTransformer1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realMatrix13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array14);
// 
//   }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test184"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.getReducedFraction(100, (-1));
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction2.divide(1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.TWO_FIFTHS;
    org.apache.commons.math.fraction.BigFraction bigFraction6 = bigFraction4.multiply(bigFraction5);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction5.pow(0L);
    long long9 = bigFraction5.getDenominatorAsLong();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 5L);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test185"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double d24 = blockRealMatrix4.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix4.transpose();
    org.apache.commons.math.linear.RealMatrix realMatrix27 = blockRealMatrix4.scalarMultiply(1.7320508075688772d);
    double[] d_array29 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector30 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array29);
    double[][] d_array_array31 = new double[][] { d_array29 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix32 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array31);
    double[] d_array34 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector35 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array36);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix32.multiply(blockRealMatrix37);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix40 = blockRealMatrix32.getColumnMatrix(0);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix41 = blockRealMatrix4.multiply(blockRealMatrix40);
    double[] d_array44 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector45 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array44);
    double[][] d_array_array46 = new double[][] { d_array44 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix47 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array46);
    org.apache.commons.math.linear.RealMatrix realMatrix49 = blockRealMatrix47.scalarMultiply(0.0d);
    blockRealMatrix41.setRowMatrix(0, realMatrix49);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix55 = blockRealMatrix41.getSubMatrix(36, 10, 52, 52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix49);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test186"); }


    org.apache.commons.math.fraction.BigFraction bigFraction1 = new org.apache.commons.math.fraction.BigFraction((-100.0d));

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test187"); }


    org.apache.commons.math.fraction.FractionConversionException fractionConversionException2 = new org.apache.commons.math.fraction.FractionConversionException((-1000.0d), 0);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test188"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array3, false);
    double[] d_array8 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector9 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array8);
    double[][] d_array_array10 = new double[][] { d_array8 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array10);
    double[] d_array13 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector14 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array15);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix17 = blockRealMatrix11.multiply(blockRealMatrix16);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix19 = blockRealMatrix11.getColumnMatrix(0);
    double[] d_array21 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector22 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array21);
    double[][] d_array_array23 = new double[][] { d_array21 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix24 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array23);
    double[] d_array26 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector27 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array26);
    double[][] d_array_array28 = new double[][] { d_array26 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix29 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array28);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = blockRealMatrix24.multiply(blockRealMatrix29);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix32 = blockRealMatrix24.getColumnMatrix(0);
    double[] d_array34 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector35 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array36);
    double[] d_array39 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector40 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array39);
    double[][] d_array_array41 = new double[][] { d_array39 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix42 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array41);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix43 = blockRealMatrix37.multiply(blockRealMatrix42);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix44 = blockRealMatrix42.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix45 = blockRealMatrix32.add(blockRealMatrix44);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix46 = blockRealMatrix19.subtract(blockRealMatrix32);
    org.apache.commons.math.linear.RealMatrix realMatrix47 = array2DRowRealMatrix6.add((org.apache.commons.math.linear.RealMatrix)blockRealMatrix32);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix32.scalarAdd(Double.NaN);
    double[][] d_array_array50 = blockRealMatrix32.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix51 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array50);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test189"); }


    java.math.BigDecimal bigDecimal1 = null;
    java.math.BigDecimal[] bigDecimal_array2 = new java.math.BigDecimal[] { bigDecimal1 };
    org.apache.commons.math.linear.BigMatrix bigMatrix3 = org.apache.commons.math.linear.MatrixUtils.createRowBigMatrix(bigDecimal_array2);
    org.apache.commons.math.linear.BigMatrix bigMatrix4 = org.apache.commons.math.linear.MatrixUtils.createRowBigMatrix(bigDecimal_array2);
    org.apache.commons.math.linear.BigMatrix bigMatrix5 = org.apache.commons.math.linear.MatrixUtils.createColumnBigMatrix(bigDecimal_array2);
    java.io.EOFException eOFException6 = org.apache.commons.math.MathRuntimeException.createEOFException("org.apache.commons.math.MathRuntimeException$2: Dormand-Prince 8 (5, 3)", (java.lang.Object[])bigDecimal_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(eOFException6);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test190"); }


    org.apache.commons.math.fraction.FractionConversionException fractionConversionException3 = new org.apache.commons.math.fraction.FractionConversionException(Double.POSITIVE_INFINITY, 10L, (-1L));

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test191"); }


    double[] d_array10 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array10);
    double[] d_array12 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator13 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array10, d_array12);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator15 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array10, true);
    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator16 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array22 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix23 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array22);
    double[] d_array29 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array29);
    double[] d_array31 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator32 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array29, d_array31);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix33 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array31);
    nordsieckStepInterpolator16.reinitialize(10.0d, 1.0d, d_array22, array2DRowRealMatrix33);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator35 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 0.0d, 0.0d, d_array10, d_array22);
    double[] d_array41 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array41);
    double[] d_array43 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator44 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array41, d_array43);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix45 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array43);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator46 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9d, 100.0d, d_array10, d_array43);
    dormandPrince853Integrator46.clearEventHandlers();
    int i48 = dormandPrince853Integrator46.getOrder();
    dormandPrince853Integrator46.clearEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 8);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test192"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction3 = bigFraction0.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array4 = new org.apache.commons.math.FieldElement[] { bigFraction0 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix6 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    java.lang.String str7 = array2DRowFieldMatrix6.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix9 = array2DRowFieldMatrix6.scalarAdd((org.apache.commons.math.FieldElement)bigFraction8);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array10 = array2DRowFieldMatrix6.getDataRef();
    org.apache.commons.math.fraction.BigFraction bigFraction11 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction12 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor13 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction12);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor14 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction12);
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction11.subtract(bigFraction12);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger17 = bigFraction16.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction18 = bigFraction12.subtract(bigInteger17);
    org.apache.commons.math.fraction.BigFraction bigFraction19 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction20 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor21 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction20);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor22 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction20);
    org.apache.commons.math.fraction.BigFraction bigFraction23 = bigFraction19.subtract(bigFraction20);
    org.apache.commons.math.fraction.BigFraction bigFraction24 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger25 = bigFraction24.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction26 = bigFraction20.subtract(bigInteger25);
    org.apache.commons.math.fraction.BigFraction bigFraction27 = bigFraction18.pow(bigInteger25);
    org.apache.commons.math.FieldElement[] fieldElement_array28 = new org.apache.commons.math.FieldElement[] { bigFraction27 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix29 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array28);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array30 = new org.apache.commons.math.FieldElement[][] { fieldElement_array28 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix31 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array30);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix33 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array30, false);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix34 = array2DRowFieldMatrix6.subtract((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix33);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix35 = org.apache.commons.math.linear.MatrixUtils.bigFractionMatrixToRealMatrix((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix33);
    double[] d_array37 = array2DRowRealMatrix35.getColumn(0);
    org.apache.commons.math.linear.RealMatrix realMatrix40 = array2DRowRealMatrix35.createMatrix(3, 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str7.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix40);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test193"); }


    double[] d_array8 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array8, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array8, true);
    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator14 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array20 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix21 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array20);
    double[] d_array27 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array27);
    double[] d_array29 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array27, d_array29);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix31 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array29);
    nordsieckStepInterpolator14.reinitialize(10.0d, 1.0d, d_array20, array2DRowRealMatrix31);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator33 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 0.0d, 0.0d, d_array8, d_array20);
    adamsMoultonIntegrator33.setMaxGrowth(Double.NaN);
    double[] d_array39 = new double[] { 1.0d, 0.0d, 100.0d };
    org.apache.commons.math.linear.RealVector realVector40 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array39);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix41 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array39);
    double[][] d_array_array42 = new double[][] { d_array39 };
    double[][] d_array_array43 = org.apache.commons.math.linear.BlockRealMatrix.toBlocksLayout(d_array_array42);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix44 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array42);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix45 = adamsMoultonIntegrator33.updateHighOrderDerivativesPhase1(array2DRowRealMatrix44);
    org.apache.commons.math.linear.RealVector realVector47 = array2DRowRealMatrix44.getColumnVector(0);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix44.addToEntry(1, 0, 1.000001d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector47);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test194"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(100.0d, 0.0d, 100.0d, (-1.0d));
    dormandPrince853Integrator4.setMaxEvaluations(10);
    java.util.Collection collection7 = dormandPrince853Integrator4.getStepHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler8, (-1.0d), 100.0d, 0);
    org.apache.commons.math.ode.sampling.StepHandler stepHandler13 = null;
    dormandPrince853Integrator4.addStepHandler(stepHandler13);
    double d15 = dormandPrince853Integrator4.getMinReduction();
    org.apache.commons.math.ode.events.EventHandler eventHandler16 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler16, (-1.0d), 0.0d, (-1));
    int i21 = dormandPrince853Integrator4.getOrder();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 8);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test195"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix9.copy();
    boolean b12 = blockRealMatrix11.isSquare();
    org.apache.commons.math.linear.RealMatrix realMatrix14 = blockRealMatrix11.scalarMultiply(0.2d);
    double[] d_array16 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    double[][] d_array_array18 = new double[][] { d_array16 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix19 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array18);
    double[] d_array21 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector22 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array21);
    double[][] d_array_array23 = new double[][] { d_array21 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix24 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array23);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix19.multiply(blockRealMatrix24);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix26 = blockRealMatrix24.transpose();
    org.apache.commons.math.linear.RealMatrix realMatrix27 = blockRealMatrix24.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix28 = blockRealMatrix11.multiply((org.apache.commons.math.linear.RealMatrix)blockRealMatrix24);
    org.apache.commons.math.fraction.BigFraction bigFraction30 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction31 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor32 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction31);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor33 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction31);
    org.apache.commons.math.fraction.BigFraction bigFraction34 = bigFraction30.subtract(bigFraction31);
    org.apache.commons.math.fraction.BigFraction bigFraction35 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger36 = bigFraction35.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction37 = bigFraction31.subtract(bigInteger36);
    org.apache.commons.math.fraction.BigFraction bigFraction38 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction39 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor40 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction39);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor41 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction39);
    org.apache.commons.math.fraction.BigFraction bigFraction42 = bigFraction38.subtract(bigFraction39);
    org.apache.commons.math.fraction.BigFraction bigFraction43 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger44 = bigFraction43.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction45 = bigFraction39.subtract(bigInteger44);
    org.apache.commons.math.fraction.BigFraction bigFraction46 = bigFraction37.pow(bigInteger44);
    org.apache.commons.math.FieldElement[] fieldElement_array47 = new org.apache.commons.math.FieldElement[] { bigFraction46 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix48 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array47);
    org.apache.commons.math.ode.DerivativeException derivativeException49 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.IntegratorException: hi!", (java.lang.Object[])fieldElement_array47);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array50 = new org.apache.commons.math.FieldElement[][] { fieldElement_array47 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix52 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array50, false);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix53 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array50);
    org.apache.commons.math.fraction.BigFraction bigFraction54 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor55 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction54);
    org.apache.commons.math.FieldElement fieldElement56 = defaultFieldMatrixChangingVisitor55.end();
    org.apache.commons.math.FieldElement fieldElement57 = defaultFieldMatrixChangingVisitor55.end();
    org.apache.commons.math.FieldElement fieldElement58 = blockFieldMatrix53.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor55);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix59 = blockFieldMatrix53.transpose();
    org.apache.commons.math.Field field60 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix61 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field60);
    org.apache.commons.math.fraction.BigFraction bigFraction62 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger63 = bigFraction62.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction64 = bigFraction62.reduce();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor65 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction62);
    org.apache.commons.math.FieldElement fieldElement66 = array2DRowFieldMatrix61.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor65);
    org.apache.commons.math.fraction.BigFraction bigFraction71 = org.apache.commons.math.fraction.BigFraction.getReducedFraction(100, (-1));
    org.apache.commons.math.fraction.BigFraction bigFraction73 = bigFraction71.divide(1);
    org.apache.commons.math.fraction.BigFraction bigFraction75 = bigFraction71.multiply((-1));
    org.apache.commons.math.fraction.BigFraction bigFraction77 = bigFraction71.divide((-1L));
    long long78 = bigFraction71.longValue();
    org.apache.commons.math.FieldElement fieldElement79 = defaultFieldMatrixChangingVisitor65.visit(10, 100, (org.apache.commons.math.FieldElement)bigFraction71);
    org.apache.commons.math.FieldElement fieldElement80 = blockFieldMatrix53.walkInOptimizedOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor65);
    boolean b81 = blockRealMatrix24.equals((java.lang.Object)defaultFieldMatrixChangingVisitor65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long78 == (-100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test196"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    java.lang.Throwable[] throwable_array5 = functionEvaluationException4.getSuppressed();
    java.lang.ArrayIndexOutOfBoundsException arrayIndexOutOfBoundsException6 = org.apache.commons.math.MathRuntimeException.createArrayIndexOutOfBoundsException("hi!", (java.lang.Object[])throwable_array5);
    java.text.ParseException parseException7 = org.apache.commons.math.MathRuntimeException.createParseException(0, "org.apache.commons.math.FunctionEvaluationException: ", (java.lang.Object[])throwable_array5);
    java.lang.String str8 = parseException7.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayIndexOutOfBoundsException6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(parseException7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.MathRuntimeException$9: org.apache.commons.math.FunctionEvaluationException: "+ "'", str8.equals("org.apache.commons.math.MathRuntimeException$9: org.apache.commons.math.FunctionEvaluationException: "));

  }

  @Test
  public void test197() {}
// Defects4J: flaky method
//   @Test
//   public void test197() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test197"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getRelativeAccuracy();
//     double d2 = brentSolver0.getAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d6 = brentSolver0.solve(1.0d, 0.0d, 0.9d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 1.0E-6d);
// 
//   }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test198"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, true);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix23 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.fraction.BigFraction bigFraction24 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor25 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction24);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor26 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction24);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix27 = blockFieldMatrix23.scalarMultiply((org.apache.commons.math.FieldElement)bigFraction24);
    org.apache.commons.math.fraction.BigFraction bigFraction28 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction29 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor30 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor31 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = bigFraction28.subtract(bigFraction29);
    org.apache.commons.math.fraction.BigFraction bigFraction33 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger34 = bigFraction33.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction35 = bigFraction29.subtract(bigInteger34);
    org.apache.commons.math.fraction.BigFraction bigFraction36 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction37 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor38 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction37);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor39 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction37);
    org.apache.commons.math.fraction.BigFraction bigFraction40 = bigFraction36.subtract(bigFraction37);
    org.apache.commons.math.fraction.BigFraction bigFraction41 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger42 = bigFraction41.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction43 = bigFraction37.subtract(bigInteger42);
    org.apache.commons.math.fraction.BigFraction bigFraction44 = bigFraction35.pow(bigInteger42);
    org.apache.commons.math.FieldElement[] fieldElement_array45 = new org.apache.commons.math.FieldElement[] { bigFraction44 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix46 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array45);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array47 = new org.apache.commons.math.FieldElement[][] { fieldElement_array45 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix48 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array47);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix50 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array47, true);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix51 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array47);
    org.apache.commons.math.fraction.BigFraction bigFraction52 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor53 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction52);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor54 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction52);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix55 = blockFieldMatrix51.scalarMultiply((org.apache.commons.math.FieldElement)bigFraction52);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix56 = blockFieldMatrix51.copy();
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix57 = blockFieldMatrix23.multiply(blockFieldMatrix51);
    int i58 = blockFieldMatrix57.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix60 = blockFieldMatrix57.getColumnMatrix(1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockFieldMatrix57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 1);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test199"); }


    org.apache.commons.math.ode.events.CombinedEventsManager combinedEventsManager0 = new org.apache.commons.math.ode.events.CombinedEventsManager();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    double d2 = dummyStepInterpolator1.getPreviousTime();
    double d3 = dummyStepInterpolator1.getPreviousTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator4 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator1);
    double d5 = dummyStepInterpolator1.getCurrentTime();
    boolean b6 = combinedEventsManager0.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator1);
    boolean b7 = combinedEventsManager0.stop();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator8 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    double d9 = dummyStepInterpolator8.getPreviousTime();
    double d10 = dummyStepInterpolator8.getPreviousTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator11 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator8);
    double d12 = dummyStepInterpolator8.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator8);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator13);
    dummyStepInterpolator13.setInterpolatedTime(1.4142135623730951d);
    boolean b17 = combinedEventsManager0.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator13);
    double[] d_array21 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix22 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array21);
    org.apache.commons.math.linear.RealMatrix realMatrix23 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array21);
    org.apache.commons.math.linear.RealMatrix realMatrix24 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array21);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator26 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array21, false);
    dummyStepInterpolator26.storeTime(100.0d);
    boolean b29 = combinedEventsManager0.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test200"); }


    org.apache.commons.math.FunctionEvaluationException functionEvaluationException1 = new org.apache.commons.math.FunctionEvaluationException((-1.0d));

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test201"); }


    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = bigFraction1.subtract(bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger7 = bigFraction6.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction2.subtract(bigInteger7);
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction10 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = bigFraction9.subtract(bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger15 = bigFraction14.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction10.subtract(bigInteger15);
    org.apache.commons.math.fraction.BigFraction bigFraction17 = bigFraction8.pow(bigInteger15);
    org.apache.commons.math.FieldElement[] fieldElement_array18 = new org.apache.commons.math.FieldElement[] { bigFraction17 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix19 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array18);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array20 = new org.apache.commons.math.FieldElement[][] { fieldElement_array18 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix21 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array20);
    org.apache.commons.math.ode.IntegratorException integratorException22 = new org.apache.commons.math.ode.IntegratorException("a {0}x{1} matrix was provided instead of a square matrix", (java.lang.Object[])fieldElement_array_array20);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix24 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array20, true);
    org.apache.commons.math.fraction.BigFraction bigFraction27 = org.apache.commons.math.fraction.BigFraction.TWO_FIFTHS;
    java.math.BigInteger bigInteger28 = bigFraction27.getNumerator();
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix24.multiplyEntry((-1), 0, (org.apache.commons.math.FieldElement)bigFraction27);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger28);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test202"); }


    double[] d_array6 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    double[] d_array11 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "Maximal number of evaluations ({0}) exceeded", obj_array14);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator16 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array6, d_array11);
    adamsMoultonIntegrator16.setMaxEvaluations(10);
    adamsMoultonIntegrator16.setMaxGrowth(0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test203"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor1 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction0);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction0);
    float f3 = bigFraction0.floatValue();
    float f4 = bigFraction0.floatValue();
    long long5 = bigFraction0.getDenominatorAsLong();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f4 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 1L);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test204"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.fraction.BigFraction bigFraction21 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction22 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor23 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction22);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor24 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction22);
    org.apache.commons.math.fraction.BigFraction bigFraction25 = bigFraction21.subtract(bigFraction22);
    double d26 = bigFraction22.doubleValue();
    byte byte27 = bigFraction22.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction28 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction29 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor30 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor31 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = bigFraction28.subtract(bigFraction29);
    double d33 = bigFraction29.doubleValue();
    byte byte34 = bigFraction29.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction36 = bigFraction29.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction38 = bigFraction29.add(100);
    org.apache.commons.math.fraction.BigFraction bigFraction39 = bigFraction22.divide(bigFraction38);
    org.apache.commons.math.FieldElement[] fieldElement_array40 = new org.apache.commons.math.FieldElement[] { bigFraction39 };
    org.apache.commons.math.FieldElement[] fieldElement_array41 = array2DRowFieldMatrix20.preMultiply(fieldElement_array40);
    org.apache.commons.math.fraction.BigFraction bigFraction42 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger43 = bigFraction42.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction45 = bigFraction42.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array46 = new org.apache.commons.math.FieldElement[] { bigFraction42 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix47 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array46);
    org.apache.commons.math.fraction.BigFraction bigFraction48 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor49 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction48);
    org.apache.commons.math.FieldElement fieldElement50 = defaultFieldMatrixChangingVisitor49.end();
    org.apache.commons.math.FieldElement fieldElement51 = array2DRowFieldMatrix47.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor49);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix52 = array2DRowFieldMatrix20.multiply((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix47);
    org.apache.commons.math.linear.FieldLUDecompositionImpl fieldLUDecompositionImpl53 = new org.apache.commons.math.linear.FieldLUDecompositionImpl(fieldMatrix52);
    int[] i_array54 = fieldLUDecompositionImpl53.getPivot();
    int[] i_array55 = fieldLUDecompositionImpl53.getPivot();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix56 = fieldLUDecompositionImpl53.getL();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte27 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte34 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldMatrix56);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test205"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double d24 = blockRealMatrix4.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix4.transpose();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
    double[][] d_array_array29 = new double[][] { d_array27 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array29);
    double[] d_array32 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array34);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = blockRealMatrix30.multiply(blockRealMatrix35);
    double[] d_array38 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector39 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array38);
    double[][] d_array_array40 = new double[][] { d_array38 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix41 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array40);
    double[] d_array43 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector44 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix46 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array45);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix47 = blockRealMatrix41.multiply(blockRealMatrix46);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix48 = blockRealMatrix46.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix30.add(blockRealMatrix48);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix25.subtract(blockRealMatrix30);
    double[] d_array53 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector54 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array53);
    double[][] d_array_array55 = new double[][] { d_array53 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix56 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array55);
    double[] d_array58 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector59 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array58);
    double[][] d_array_array60 = new double[][] { d_array58 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix61 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array60);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix62 = blockRealMatrix56.multiply(blockRealMatrix61);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix63 = blockRealMatrix61.transpose();
    double d64 = blockRealMatrix63.getNorm();
    double d65 = blockRealMatrix63.getNorm();
    java.lang.Object obj66 = null;
    boolean b67 = blockRealMatrix63.equals(obj66);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix69 = blockRealMatrix63.scalarAdd(2.0d);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix50.setRowMatrix(100, blockRealMatrix69);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix69);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test206"); }


    org.apache.commons.math.linear.NonSquareMatrixException nonSquareMatrixException4 = new org.apache.commons.math.linear.NonSquareMatrixException(1, (-1));
    java.lang.Object[] obj_array5 = nonSquareMatrixException4.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(52, "", obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);

  }

  @Test
  public void test207() {}
// Defects4J: flaky method
//   @Test
//   public void test207() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test207"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.setRelativeAccuracy((-1.0d));
//     double d3 = brentSolver0.getAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d6 = brentSolver0.solve(Double.POSITIVE_INFINITY, 0.9d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 1.0E-6d);
// 
//   }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test208"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    double d5 = bigFraction1.doubleValue();
    byte byte6 = bigFraction1.byteValue();
    float f7 = bigFraction1.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte6 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f7 == 1.0f);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test209"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException();
    org.apache.commons.math.ode.IntegratorException integratorException2 = new org.apache.commons.math.ode.IntegratorException((java.lang.Throwable)mathException1);
    java.lang.Object[] obj_array3 = mathException1.getArguments();
    org.apache.commons.math.ode.IntegratorException integratorException4 = new org.apache.commons.math.ode.IntegratorException("", obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);

  }

  @Test
  public void test210() {}
// Defects4J: flaky method
//   @Test
//   public void test210() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test210"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getRelativeAccuracy();
//     double d2 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setRelativeAccuracy(Double.NaN);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d5 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 1.0E-6d);
// 
//   }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test211"); }


    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = bigFraction1.subtract(bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger7 = bigFraction6.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction2.subtract(bigInteger7);
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction10 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = bigFraction9.subtract(bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger15 = bigFraction14.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction10.subtract(bigInteger15);
    org.apache.commons.math.fraction.BigFraction bigFraction17 = bigFraction8.pow(bigInteger15);
    org.apache.commons.math.FieldElement[] fieldElement_array18 = new org.apache.commons.math.FieldElement[] { bigFraction17 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix19 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array18);
    org.apache.commons.math.ode.DerivativeException derivativeException20 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.IntegratorException: hi!", (java.lang.Object[])fieldElement_array18);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array21 = new org.apache.commons.math.FieldElement[][] { fieldElement_array18 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix23 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array21, false);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix24 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array21);
    org.apache.commons.math.fraction.BigFraction bigFraction25 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor26 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction25);
    org.apache.commons.math.FieldElement fieldElement27 = defaultFieldMatrixChangingVisitor26.end();
    org.apache.commons.math.FieldElement fieldElement28 = defaultFieldMatrixChangingVisitor26.end();
    org.apache.commons.math.FieldElement fieldElement29 = blockFieldMatrix24.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor26);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix30 = blockFieldMatrix24.transpose();
    org.apache.commons.math.Field field31 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix32 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field31);
    org.apache.commons.math.fraction.BigFraction bigFraction33 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger34 = bigFraction33.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction35 = bigFraction33.reduce();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor36 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction33);
    org.apache.commons.math.FieldElement fieldElement37 = array2DRowFieldMatrix32.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor36);
    org.apache.commons.math.fraction.BigFraction bigFraction42 = org.apache.commons.math.fraction.BigFraction.getReducedFraction(100, (-1));
    org.apache.commons.math.fraction.BigFraction bigFraction44 = bigFraction42.divide(1);
    org.apache.commons.math.fraction.BigFraction bigFraction46 = bigFraction42.multiply((-1));
    org.apache.commons.math.fraction.BigFraction bigFraction48 = bigFraction42.divide((-1L));
    long long49 = bigFraction42.longValue();
    org.apache.commons.math.FieldElement fieldElement50 = defaultFieldMatrixChangingVisitor36.visit(10, 100, (org.apache.commons.math.FieldElement)bigFraction42);
    org.apache.commons.math.FieldElement fieldElement51 = blockFieldMatrix24.walkInOptimizedOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor36);
    org.apache.commons.math.fraction.BigFraction bigFraction53 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction54 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor55 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction54);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor56 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction54);
    org.apache.commons.math.fraction.BigFraction bigFraction57 = bigFraction53.subtract(bigFraction54);
    org.apache.commons.math.fraction.BigFraction bigFraction58 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger59 = bigFraction58.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction60 = bigFraction54.subtract(bigInteger59);
    org.apache.commons.math.fraction.BigFraction bigFraction61 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction62 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor63 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction62);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor64 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction62);
    org.apache.commons.math.fraction.BigFraction bigFraction65 = bigFraction61.subtract(bigFraction62);
    org.apache.commons.math.fraction.BigFraction bigFraction66 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger67 = bigFraction66.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction68 = bigFraction62.subtract(bigInteger67);
    org.apache.commons.math.fraction.BigFraction bigFraction69 = bigFraction60.pow(bigInteger67);
    org.apache.commons.math.FieldElement[] fieldElement_array70 = new org.apache.commons.math.FieldElement[] { bigFraction69 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix71 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array70);
    org.apache.commons.math.ode.DerivativeException derivativeException72 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.IntegratorException: hi!", (java.lang.Object[])fieldElement_array70);
    org.apache.commons.math.FieldElement[] fieldElement_array73 = blockFieldMatrix24.preMultiply(fieldElement_array70);
    org.apache.commons.math.fraction.BigFraction bigFraction74 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor75 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction74);
    defaultFieldMatrixPreservingVisitor75.start(10, 0, (-1), 0, 1, 1);
    org.apache.commons.math.FieldElement fieldElement83 = defaultFieldMatrixPreservingVisitor75.end();
    org.apache.commons.math.FieldElement fieldElement84 = blockFieldMatrix24.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor75);
    org.apache.commons.math.FieldElement fieldElement85 = blockFieldMatrix24.getTrace();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long49 == (-100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement85);

  }

  @Test
  public void test212() {}
// Defects4J: flaky method
//   @Test
//   public void test212() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test212"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.setRelativeAccuracy(0.2d);
//     brentSolver0.resetRelativeAccuracy();
//     double d4 = brentSolver0.getAbsoluteAccuracy();
//     brentSolver0.setFunctionValueAccuracy(1.0E-15d);
//     int i7 = brentSolver0.getMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 100);
// 
//   }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test213"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, Double.NaN, 1);
    double d5 = eventState4.getMaxCheckInterval();
    double d6 = eventState4.getEventTime();
    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator8 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array14 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix15 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array14);
    double[] d_array21 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array21);
    double[] d_array23 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator24 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array21, d_array23);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array23);
    nordsieckStepInterpolator8.reinitialize(10.0d, 1.0d, d_array14, array2DRowRealMatrix25);
    double[] d_array33 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array33);
    double[] d_array38 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array38);
    java.lang.Object[] obj_array41 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array38, "Maximal number of evaluations ({0}) exceeded", obj_array41);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator43 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array33, d_array38);
    nordsieckStepInterpolator8.reinitialize(d_array33, true);
    double[] d_array46 = nordsieckStepInterpolator8.getInterpolatedStateVariation();
    org.apache.commons.math.ode.events.CombinedEventsManager combinedEventsManager47 = new org.apache.commons.math.ode.events.CombinedEventsManager();
    double[] d_array52 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix53 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array52);
    org.apache.commons.math.linear.RealMatrix realMatrix54 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array52);
    org.apache.commons.math.linear.RealMatrix realMatrix55 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array52);
    combinedEventsManager47.stepAccepted(10.0d, d_array52);
    nordsieckStepInterpolator8.reinitialize(d_array52, false);
    double[] d_array59 = nordsieckStepInterpolator8.getInterpolatedStateVariation();
    // The following exception was thrown during execution in test generation
    try {
      eventState4.stepAccepted(100.0d, d_array59);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test214"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double d24 = blockRealMatrix4.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix4.transpose();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
    double[][] d_array_array29 = new double[][] { d_array27 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array29);
    double[] d_array32 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array34);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = blockRealMatrix30.multiply(blockRealMatrix35);
    double[] d_array38 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector39 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array38);
    double[][] d_array_array40 = new double[][] { d_array38 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix41 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array40);
    double[] d_array43 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector44 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix46 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array45);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix47 = blockRealMatrix41.multiply(blockRealMatrix46);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix48 = blockRealMatrix46.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix30.add(blockRealMatrix48);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix25.subtract(blockRealMatrix30);
    int i51 = blockRealMatrix25.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix56 = blockRealMatrix25.getSubMatrix(3, 1, 0, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 1);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test215"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix9.copy();
    boolean b12 = blockRealMatrix11.isSquare();
    double[] d_array14 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector15 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array14);
    double[][] d_array_array16 = new double[][] { d_array14 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix17 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array16);
    double[] d_array19 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector20 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix17.multiply(blockRealMatrix22);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix17.getColumnMatrix(0);
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
    double[][] d_array_array29 = new double[][] { d_array27 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array29);
    double[] d_array32 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array34);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = blockRealMatrix30.multiply(blockRealMatrix35);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = blockRealMatrix35.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix25.add(blockRealMatrix37);
    org.apache.commons.math.linear.RealMatrix realMatrix39 = blockRealMatrix11.solve((org.apache.commons.math.linear.RealMatrix)blockRealMatrix25);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor40 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d45 = blockRealMatrix11.walkInColumnOrder(realMatrixChangingVisitor40, 52, (-1), 52, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix39);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test216"); }


    double[] d_array6 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    double[] d_array11 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "Maximal number of evaluations ({0}) exceeded", obj_array14);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator16 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array6, d_array11);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator21 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(100.0d, 0.0d, 100.0d, (-1.0d));
    dormandPrince853Integrator21.setMaxEvaluations(10);
    dormandPrince853Integrator21.clearEventHandlers();
    dormandPrince853Integrator21.clearEventHandlers();
    adamsMoultonIntegrator16.setStarterIntegrator((org.apache.commons.math.ode.FirstOrderIntegrator)dormandPrince853Integrator21);
    double d27 = adamsMoultonIntegrator16.getCurrentStepStart();
    double d28 = adamsMoultonIntegrator16.getMaxGrowth();
    double d29 = adamsMoultonIntegrator16.getCurrentSignedStepsize();
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator34 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(100.0d, 100.0d, Double.NaN, 10.0d);
    dormandPrince853Integrator34.clearStepHandlers();
    int i36 = dormandPrince853Integrator34.getOrder();
    int i37 = dormandPrince853Integrator34.getEvaluations();
    java.util.Collection collection38 = dormandPrince853Integrator34.getStepHandlers();
    int i39 = dormandPrince853Integrator34.getOrder();
    adamsMoultonIntegrator16.setStarterIntegrator((org.apache.commons.math.ode.FirstOrderIntegrator)dormandPrince853Integrator34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 8);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test217"); }


    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator0 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array6 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix7 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array6);
    double[] d_array13 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    double[] d_array15 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator16 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array13, d_array15);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array15);
    nordsieckStepInterpolator0.reinitialize(10.0d, 1.0d, d_array6, array2DRowRealMatrix17);
    double[] d_array25 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array25);
    double[] d_array30 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array30);
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "Maximal number of evaluations ({0}) exceeded", obj_array33);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator35 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array25, d_array30);
    nordsieckStepInterpolator0.reinitialize(d_array25, true);
    double[] d_array43 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(d_array43);
    double[] d_array50 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array50);
    double[] d_array52 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator53 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array50, d_array52);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix54 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array50);
    nordsieckStepInterpolator0.reinitialize(1.0d, 1.0650410894399627d, d_array43, array2DRowRealMatrix54);
    double[][] d_array_array56 = array2DRowRealMatrix54.getDataRef();
    org.apache.commons.math.fraction.BigFraction bigFraction57 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger58 = bigFraction57.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction60 = bigFraction57.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array61 = new org.apache.commons.math.FieldElement[] { bigFraction57 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix62 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array61);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix63 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array61);
    java.lang.String str64 = array2DRowFieldMatrix63.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction65 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix66 = array2DRowFieldMatrix63.scalarAdd((org.apache.commons.math.FieldElement)bigFraction65);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array67 = array2DRowFieldMatrix63.getDataRef();
    org.apache.commons.math.fraction.BigFraction bigFraction68 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction69 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor70 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction69);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor71 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction69);
    org.apache.commons.math.fraction.BigFraction bigFraction72 = bigFraction68.subtract(bigFraction69);
    org.apache.commons.math.fraction.BigFraction bigFraction73 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger74 = bigFraction73.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction75 = bigFraction69.subtract(bigInteger74);
    org.apache.commons.math.fraction.BigFraction bigFraction76 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction77 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor78 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction77);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor79 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction77);
    org.apache.commons.math.fraction.BigFraction bigFraction80 = bigFraction76.subtract(bigFraction77);
    org.apache.commons.math.fraction.BigFraction bigFraction81 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger82 = bigFraction81.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction83 = bigFraction77.subtract(bigInteger82);
    org.apache.commons.math.fraction.BigFraction bigFraction84 = bigFraction75.pow(bigInteger82);
    org.apache.commons.math.FieldElement[] fieldElement_array85 = new org.apache.commons.math.FieldElement[] { bigFraction84 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix86 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array85);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array87 = new org.apache.commons.math.FieldElement[][] { fieldElement_array85 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix88 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array87);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix90 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array87, false);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix91 = array2DRowFieldMatrix63.subtract((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix90);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix92 = org.apache.commons.math.linear.MatrixUtils.bigFractionMatrixToRealMatrix((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix90);
    org.apache.commons.math.linear.RealMatrix realMatrix93 = array2DRowRealMatrix92.copy();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix94 = array2DRowRealMatrix54.multiply(array2DRowRealMatrix92);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix92.setEntry(100, 52, 2.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str64.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix94);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test218"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.FieldElement fieldElement4 = array2DRowFieldMatrix1.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor3);
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.fraction.BigFraction bigFraction6 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor7 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction6);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor8 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction6);
    org.apache.commons.math.FieldElement fieldElement9 = array2DRowFieldMatrix1.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor8);
    int i10 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException13 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    double[][] d_array_array17 = org.apache.commons.math.linear.BlockRealMatrix.createBlocksLayout(100, 100);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException13, "", (java.lang.Object[])d_array_array17);
    java.lang.ArithmeticException arithmeticException19 = org.apache.commons.math.MathRuntimeException.createArithmeticException("", (java.lang.Object[])d_array_array17);
    boolean b20 = array2DRowFieldMatrix1.equals((java.lang.Object)d_array_array17);
    org.apache.commons.math.fraction.BigFraction bigFraction21 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor22 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction21);
    boolean b23 = array2DRowFieldMatrix1.equals((java.lang.Object)bigFraction21);
    int i24 = array2DRowFieldMatrix1.getColumnDimension();
    int i25 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.fraction.BigFraction bigFraction26 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger27 = bigFraction26.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction29 = bigFraction26.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array30 = new org.apache.commons.math.FieldElement[] { bigFraction26 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix31 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array30);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor33 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction32);
    org.apache.commons.math.FieldElement fieldElement34 = defaultFieldMatrixChangingVisitor33.end();
    org.apache.commons.math.FieldElement fieldElement35 = array2DRowFieldMatrix31.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor33);
    org.apache.commons.math.FieldElement fieldElement36 = array2DRowFieldMatrix31.getTrace();
    org.apache.commons.math.Field field37 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix38 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field37);
    org.apache.commons.math.fraction.BigFraction bigFraction39 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor40 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction39);
    org.apache.commons.math.FieldElement fieldElement41 = array2DRowFieldMatrix38.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor40);
    org.apache.commons.math.FieldElement fieldElement42 = defaultFieldMatrixPreservingVisitor40.end();
    org.apache.commons.math.FieldElement fieldElement43 = array2DRowFieldMatrix31.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor40);
    org.apache.commons.math.linear.FieldLUDecompositionImpl fieldLUDecompositionImpl44 = new org.apache.commons.math.linear.FieldLUDecompositionImpl((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix31);
    org.apache.commons.math.fraction.BigFraction bigFraction45 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor46 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction45);
    org.apache.commons.math.FieldElement fieldElement47 = defaultFieldMatrixChangingVisitor46.end();
    org.apache.commons.math.FieldElement fieldElement48 = defaultFieldMatrixChangingVisitor46.end();
    org.apache.commons.math.FieldElement fieldElement49 = array2DRowFieldMatrix31.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor46);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement54 = array2DRowFieldMatrix1.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor46, 36, 52, (-100), (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arithmeticException19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement49);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test219"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, true);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array23 = org.apache.commons.math.linear.BlockFieldMatrix.<org.apache.commons.math.FieldElement>toBlocksLayout(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix25 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, false);
    org.apache.commons.math.Field field26 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix27 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field26);
    org.apache.commons.math.fraction.BigFraction bigFraction28 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor29 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction28);
    org.apache.commons.math.FieldElement fieldElement30 = array2DRowFieldMatrix27.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor29);
    int i31 = array2DRowFieldMatrix27.getRowDimension();
    org.apache.commons.math.fraction.BigFraction bigFraction32 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger33 = bigFraction32.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction34 = bigFraction32.reduce();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor35 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction32);
    org.apache.commons.math.FieldElement fieldElement36 = array2DRowFieldMatrix27.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor35);
    org.apache.commons.math.FieldElement fieldElement37 = array2DRowFieldMatrix25.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor35);
    org.apache.commons.math.fraction.BigFraction bigFraction38 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger39 = bigFraction38.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction41 = bigFraction38.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array42 = new org.apache.commons.math.FieldElement[] { bigFraction38 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix43 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array42);
    org.apache.commons.math.fraction.BigFraction bigFraction44 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction45 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor46 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction45);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor47 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction45);
    org.apache.commons.math.fraction.BigFraction bigFraction48 = bigFraction44.subtract(bigFraction45);
    org.apache.commons.math.fraction.BigFraction bigFraction49 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger50 = bigFraction49.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction51 = bigFraction45.subtract(bigInteger50);
    org.apache.commons.math.fraction.BigFraction bigFraction52 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction53 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor54 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction53);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor55 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction53);
    org.apache.commons.math.fraction.BigFraction bigFraction56 = bigFraction52.subtract(bigFraction53);
    org.apache.commons.math.fraction.BigFraction bigFraction57 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger58 = bigFraction57.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction59 = bigFraction53.subtract(bigInteger58);
    org.apache.commons.math.fraction.BigFraction bigFraction60 = bigFraction51.pow(bigInteger58);
    org.apache.commons.math.FieldElement[] fieldElement_array61 = new org.apache.commons.math.FieldElement[] { bigFraction60 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix62 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array61);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array63 = new org.apache.commons.math.FieldElement[][] { fieldElement_array61 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix64 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array63);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix66 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array63, true);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix67 = array2DRowFieldMatrix43.add(array2DRowFieldMatrix66);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix68 = array2DRowFieldMatrix25.add(array2DRowFieldMatrix67);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix70 = array2DRowFieldMatrix68.getRowMatrix(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowFieldMatrix67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowFieldMatrix68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix70);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test220"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, Double.NaN, 1);
    double d5 = eventState4.getMaxCheckInterval();
    double d6 = eventState4.getMaxCheckInterval();
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator7 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b8 = eventState4.evaluateStep(stepInterpolator7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test221"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(100.0d, 0.0d, 100.0d, (-1.0d));
    dormandPrince853Integrator4.setMaxEvaluations(10);
    java.util.Collection collection7 = dormandPrince853Integrator4.getStepHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler8, (-1.0d), 100.0d, 0);
    dormandPrince853Integrator4.clearEventHandlers();
    double d14 = dormandPrince853Integrator4.getSafety();
    double d15 = dormandPrince853Integrator4.getCurrentStepStart();
    double d16 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    int i17 = dormandPrince853Integrator4.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test222"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double[] d_array25 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector26 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix28 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array27);
    double[] d_array30 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector31 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix33 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array32);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix34 = blockRealMatrix28.multiply(blockRealMatrix33);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = blockRealMatrix23.subtract(blockRealMatrix28);
    double[] d_array37 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector38 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array37);
    double[][] d_array_array39 = new double[][] { d_array37 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array39);
    double[] d_array42 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector43 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array42);
    double[][] d_array_array44 = new double[][] { d_array42 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array44);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix46 = blockRealMatrix40.multiply(blockRealMatrix45);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix47 = blockRealMatrix40.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix48 = blockRealMatrix28.subtract(blockRealMatrix40);
    double d49 = blockRealMatrix48.getDeterminant();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix51 = blockRealMatrix48.scalarAdd(2.0d);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor52 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d57 = blockRealMatrix48.walkInOptimizedOrder(realMatrixChangingVisitor52, (-1), 3, (-100), 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix51);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test223"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(100.0d, 0.0d, 100.0d, (-1.0d));
    dormandPrince853Integrator4.setMaxEvaluations(10);
    java.util.Collection collection7 = dormandPrince853Integrator4.getStepHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler8, (-1.0d), 100.0d, 0);
    dormandPrince853Integrator4.clearEventHandlers();
    double d14 = dormandPrince853Integrator4.getSafety();
    double d15 = dormandPrince853Integrator4.getMaxStep();
    dormandPrince853Integrator4.setInitialStepSize(100.0d);
    double d18 = dormandPrince853Integrator4.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.2d);

  }

  @Test
  public void test224() {}
// Defects4J: flaky method
//   @Test
//   public void test224() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test224"); }
// 
// 
//     org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
//     org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
//     org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
//     double d5 = bigFraction1.doubleValue();
//     byte byte6 = bigFraction1.byteValue();
//     org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction1.pow(0L);
//     org.apache.commons.math.fraction.BigFraction bigFraction10 = bigFraction1.add(100);
//     org.apache.commons.math.fraction.BigFractionField bigFractionField11 = bigFraction1.getField();
//     org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFractionField11.getOne();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix15 = new org.apache.commons.math.linear.BlockFieldMatrix((org.apache.commons.math.Field)bigFractionField11, 100, 0);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(byte6 == (byte)1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFractionField11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction12);
// 
//   }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test225"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, true);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix23 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.fraction.BigFraction bigFraction24 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor25 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction24);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor26 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction24);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix27 = blockFieldMatrix23.scalarMultiply((org.apache.commons.math.FieldElement)bigFraction24);
    org.apache.commons.math.fraction.BigFraction bigFraction28 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction29 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor30 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor31 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = bigFraction28.subtract(bigFraction29);
    org.apache.commons.math.fraction.BigFraction bigFraction33 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger34 = bigFraction33.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction35 = bigFraction29.subtract(bigInteger34);
    org.apache.commons.math.fraction.BigFraction bigFraction36 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction37 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor38 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction37);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor39 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction37);
    org.apache.commons.math.fraction.BigFraction bigFraction40 = bigFraction36.subtract(bigFraction37);
    org.apache.commons.math.fraction.BigFraction bigFraction41 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger42 = bigFraction41.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction43 = bigFraction37.subtract(bigInteger42);
    org.apache.commons.math.fraction.BigFraction bigFraction44 = bigFraction35.pow(bigInteger42);
    org.apache.commons.math.FieldElement[] fieldElement_array45 = new org.apache.commons.math.FieldElement[] { bigFraction44 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix46 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array45);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array47 = new org.apache.commons.math.FieldElement[][] { fieldElement_array45 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix48 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array47);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix50 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array47, true);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix51 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array47);
    org.apache.commons.math.fraction.BigFraction bigFraction52 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor53 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction52);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor54 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction52);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix55 = blockFieldMatrix51.scalarMultiply((org.apache.commons.math.FieldElement)bigFraction52);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix56 = blockFieldMatrix51.copy();
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix57 = blockFieldMatrix23.multiply(blockFieldMatrix51);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array58 = blockFieldMatrix51.getData();
    org.apache.commons.math.Field field59 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix60 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field59);
    org.apache.commons.math.fraction.BigFraction bigFraction61 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor62 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction61);
    org.apache.commons.math.FieldElement fieldElement63 = array2DRowFieldMatrix60.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor62);
    org.apache.commons.math.FieldElement fieldElement64 = defaultFieldMatrixPreservingVisitor62.end();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement69 = blockFieldMatrix51.walkInOptimizedOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor62, 100, 10, 10, 52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockFieldMatrix57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement64);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test226"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double[] d_array25 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector26 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix28 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array27);
    double[] d_array30 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector31 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix33 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array32);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix34 = blockRealMatrix28.multiply(blockRealMatrix33);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = blockRealMatrix23.subtract(blockRealMatrix28);
    double d36 = blockRealMatrix23.getNorm();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array38 = blockRealMatrix23.getRow((-100));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 2.0d);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test227"); }


    org.apache.commons.math.linear.AnyMatrix anyMatrix0 = null;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger2 = bigFraction1.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction1.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array5 = new org.apache.commons.math.FieldElement[] { bigFraction1 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix6 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array5);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix7 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array5);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix8 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array5);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.checkAdditionCompatible(anyMatrix0, (org.apache.commons.math.linear.AnyMatrix)array2DRowFieldMatrix8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix7);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test228"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    double d5 = bigFraction1.doubleValue();
    byte byte6 = bigFraction1.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction1.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction10 = bigFraction1.add(100);
    org.apache.commons.math.fraction.BigFractionField bigFractionField11 = bigFraction1.getField();
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFractionField11.getZero();
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix15 = new org.apache.commons.math.linear.BlockFieldMatrix((org.apache.commons.math.Field)bigFractionField11, 10, 100);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction17 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor18 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction17);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor19 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction17);
    org.apache.commons.math.fraction.BigFraction bigFraction20 = bigFraction16.subtract(bigFraction17);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor21 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction17);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement26 = blockFieldMatrix15.walkInOptimizedOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor21, 36, 1, 0, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte6 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFractionField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction20);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test229"); }


    double[] d_array8 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array8, d_array10);
    double[] d_array15 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix16 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array15);
    org.apache.commons.math.linear.RealMatrix realMatrix17 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array15);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator18 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 10.0d, 10.0d, d_array8, d_array15);
    double d19 = adamsMoultonIntegrator18.getMinReduction();
    double d20 = adamsMoultonIntegrator18.getMaxGrowth();
    double d21 = adamsMoultonIntegrator18.getMaxGrowth();
    adamsMoultonIntegrator18.setMaxGrowth(0.0d);
    double d24 = adamsMoultonIntegrator18.getMaxGrowth();
    double d25 = adamsMoultonIntegrator18.getMinStep();
    java.util.Collection collection26 = adamsMoultonIntegrator18.getStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0650410894399627d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0650410894399627d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection26);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test230"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, true);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix23 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.fraction.BigFraction bigFraction24 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor25 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction24);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor26 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction24);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix27 = blockFieldMatrix23.scalarMultiply((org.apache.commons.math.FieldElement)bigFraction24);
    org.apache.commons.math.fraction.BigFraction bigFraction28 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction29 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor30 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor31 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = bigFraction28.subtract(bigFraction29);
    org.apache.commons.math.fraction.BigFraction bigFraction33 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger34 = bigFraction33.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction35 = bigFraction29.subtract(bigInteger34);
    org.apache.commons.math.fraction.BigFraction bigFraction36 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction37 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor38 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction37);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor39 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction37);
    org.apache.commons.math.fraction.BigFraction bigFraction40 = bigFraction36.subtract(bigFraction37);
    org.apache.commons.math.fraction.BigFraction bigFraction41 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger42 = bigFraction41.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction43 = bigFraction37.subtract(bigInteger42);
    org.apache.commons.math.fraction.BigFraction bigFraction44 = bigFraction35.pow(bigInteger42);
    org.apache.commons.math.FieldElement[] fieldElement_array45 = new org.apache.commons.math.FieldElement[] { bigFraction44 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix46 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array45);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array47 = new org.apache.commons.math.FieldElement[][] { fieldElement_array45 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix48 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array47);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix50 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array47, true);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix51 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array47);
    org.apache.commons.math.fraction.BigFraction bigFraction52 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor53 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction52);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor54 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction52);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix55 = blockFieldMatrix51.scalarMultiply((org.apache.commons.math.FieldElement)bigFraction52);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix56 = blockFieldMatrix51.copy();
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix57 = blockFieldMatrix23.multiply(blockFieldMatrix51);
    int i58 = blockFieldMatrix23.getRowDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockFieldMatrix57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 1);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test231"); }


    org.apache.commons.math.ode.events.CombinedEventsManager combinedEventsManager0 = new org.apache.commons.math.ode.events.CombinedEventsManager();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    double d2 = dummyStepInterpolator1.getPreviousTime();
    double d3 = dummyStepInterpolator1.getPreviousTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator4 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator1);
    double d5 = dummyStepInterpolator1.getCurrentTime();
    boolean b6 = combinedEventsManager0.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator1);
    boolean b7 = combinedEventsManager0.stop();
    double[] d_array14 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array14);
    double[] d_array16 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator17 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array14, d_array16);
    org.apache.commons.math.linear.RealMatrix realMatrix18 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array14);
    combinedEventsManager0.stepAccepted(100.0d, d_array14);
    double[] d_array26 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(d_array26);
    double[] d_array28 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator29 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array26, d_array28);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix30 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array26);
    combinedEventsManager0.stepAccepted(0.0d, d_array26);
    java.util.Collection collection32 = combinedEventsManager0.getEventsStates();
    combinedEventsManager0.clearEventsHandlers();
    boolean b34 = combinedEventsManager0.stop();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test232"); }


    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = bigFraction1.subtract(bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger7 = bigFraction6.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction2.subtract(bigInteger7);
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction10 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = bigFraction9.subtract(bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger15 = bigFraction14.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction10.subtract(bigInteger15);
    org.apache.commons.math.fraction.BigFraction bigFraction17 = bigFraction8.pow(bigInteger15);
    org.apache.commons.math.FieldElement[] fieldElement_array18 = new org.apache.commons.math.FieldElement[] { bigFraction17 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix19 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array18);
    org.apache.commons.math.ode.DerivativeException derivativeException20 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.IntegratorException: hi!", (java.lang.Object[])fieldElement_array18);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array21 = new org.apache.commons.math.FieldElement[][] { fieldElement_array18 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix23 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array21, false);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix24 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array21);
    org.apache.commons.math.fraction.BigFraction bigFraction25 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor26 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction25);
    org.apache.commons.math.FieldElement fieldElement27 = defaultFieldMatrixChangingVisitor26.end();
    org.apache.commons.math.FieldElement fieldElement28 = defaultFieldMatrixChangingVisitor26.end();
    org.apache.commons.math.FieldElement fieldElement29 = blockFieldMatrix24.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor26);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction33 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor34 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction33);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor35 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction33);
    org.apache.commons.math.fraction.BigFraction bigFraction36 = bigFraction32.subtract(bigFraction33);
    double d37 = bigFraction33.doubleValue();
    byte byte38 = bigFraction33.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction40 = bigFraction33.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction42 = bigFraction33.multiply((-100L));
    blockFieldMatrix24.setEntry((-1), 1, (org.apache.commons.math.FieldElement)bigFraction33);
    org.apache.commons.math.Field field44 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix45 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field44);
    org.apache.commons.math.fraction.BigFraction bigFraction46 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor47 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction46);
    org.apache.commons.math.FieldElement fieldElement48 = array2DRowFieldMatrix45.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor47);
    org.apache.commons.math.FieldElement fieldElement49 = defaultFieldMatrixPreservingVisitor47.end();
    org.apache.commons.math.FieldElement fieldElement50 = blockFieldMatrix24.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor47);
    org.apache.commons.math.FieldElement fieldElement51 = defaultFieldMatrixPreservingVisitor47.end();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte38 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement51);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test233"); }


    double[] d_array5 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array7 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator8 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array5, d_array7);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array5);
    double[] d_array15 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array15);
    double[] d_array17 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator18 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array15, d_array17);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array15);
    org.apache.commons.math.linear.RealMatrix realMatrix21 = array2DRowRealMatrix19.scalarAdd(0.0d);
    org.apache.commons.math.linear.RealMatrix realMatrix22 = array2DRowRealMatrix19.copy();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = array2DRowRealMatrix9.add(array2DRowRealMatrix19);
    org.apache.commons.math.linear.RealMatrix realMatrix26 = array2DRowRealMatrix23.createMatrix(3, 1);
    org.apache.commons.math.fraction.BigFraction bigFraction27 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger28 = bigFraction27.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction30 = bigFraction27.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array31 = new org.apache.commons.math.FieldElement[] { bigFraction27 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix32 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array31);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix33 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array31);
    java.lang.String str34 = array2DRowFieldMatrix33.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction35 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix36 = array2DRowFieldMatrix33.scalarAdd((org.apache.commons.math.FieldElement)bigFraction35);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array37 = array2DRowFieldMatrix33.getDataRef();
    org.apache.commons.math.fraction.BigFraction bigFraction38 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction39 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor40 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction39);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor41 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction39);
    org.apache.commons.math.fraction.BigFraction bigFraction42 = bigFraction38.subtract(bigFraction39);
    org.apache.commons.math.fraction.BigFraction bigFraction43 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger44 = bigFraction43.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction45 = bigFraction39.subtract(bigInteger44);
    org.apache.commons.math.fraction.BigFraction bigFraction46 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction47 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor48 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction47);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor49 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction47);
    org.apache.commons.math.fraction.BigFraction bigFraction50 = bigFraction46.subtract(bigFraction47);
    org.apache.commons.math.fraction.BigFraction bigFraction51 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger52 = bigFraction51.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction53 = bigFraction47.subtract(bigInteger52);
    org.apache.commons.math.fraction.BigFraction bigFraction54 = bigFraction45.pow(bigInteger52);
    org.apache.commons.math.FieldElement[] fieldElement_array55 = new org.apache.commons.math.FieldElement[] { bigFraction54 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix56 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array55);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array57 = new org.apache.commons.math.FieldElement[][] { fieldElement_array55 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix58 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array57);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix60 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array57, false);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix61 = array2DRowFieldMatrix33.subtract((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix60);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix62 = org.apache.commons.math.linear.MatrixUtils.bigFractionMatrixToRealMatrix((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix60);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix63 = array2DRowRealMatrix23.multiply(array2DRowRealMatrix62);
    double[] d_array65 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector66 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array65);
    double[][] d_array_array67 = new double[][] { d_array65 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix68 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array67);
    double[] d_array70 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector71 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array70);
    double[][] d_array_array72 = new double[][] { d_array70 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix73 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array72);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix74 = blockRealMatrix68.multiply(blockRealMatrix73);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix75 = blockRealMatrix73.copy();
    boolean b76 = blockRealMatrix75.isSquare();
    org.apache.commons.math.linear.RealMatrix realMatrix78 = blockRealMatrix75.scalarMultiply(0.2d);
    double[] d_array80 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector81 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array80);
    double[][] d_array_array82 = new double[][] { d_array80 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix83 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array82);
    double[] d_array85 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector86 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array85);
    double[][] d_array_array87 = new double[][] { d_array85 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix88 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array87);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix89 = blockRealMatrix83.multiply(blockRealMatrix88);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix90 = blockRealMatrix88.transpose();
    org.apache.commons.math.linear.RealMatrix realMatrix91 = blockRealMatrix88.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix92 = blockRealMatrix75.multiply((org.apache.commons.math.linear.RealMatrix)blockRealMatrix88);
    org.apache.commons.math.linear.RealMatrix realMatrix93 = array2DRowRealMatrix62.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix92);
    double[] d_array94 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array95 = array2DRowRealMatrix62.preMultiply(d_array94);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str34.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix93);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test234"); }


    double[] d_array5 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array7 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator8 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array5, d_array7);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator10 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array5, true);
    boolean b11 = dummyStepInterpolator10.isForward();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator12 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator10);
    double[] d_array13 = dummyStepInterpolator12.getInterpolatedDerivatives();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test235"); }


    double[] d_array8 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array8, d_array10);
    double[] d_array15 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix16 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array15);
    org.apache.commons.math.linear.RealMatrix realMatrix17 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array15);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator18 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 10.0d, 10.0d, d_array8, d_array15);
    double d19 = adamsMoultonIntegrator18.getMinReduction();
    double d20 = adamsMoultonIntegrator18.getMaxGrowth();
    double d21 = adamsMoultonIntegrator18.getMaxGrowth();
    adamsMoultonIntegrator18.setMaxGrowth(0.0d);
    double d24 = adamsMoultonIntegrator18.getSafety();
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator29 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(100.0d, 100.0d, Double.NaN, 10.0d);
    dormandPrince853Integrator29.clearStepHandlers();
    java.util.Collection collection31 = dormandPrince853Integrator29.getStepHandlers();
    adamsMoultonIntegrator18.setStarterIntegrator((org.apache.commons.math.ode.FirstOrderIntegrator)dormandPrince853Integrator29);
    adamsMoultonIntegrator18.setMinReduction(2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0650410894399627d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0650410894399627d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection31);

  }

  @Test
  public void test236() {}
// Defects4J: flaky method
//   @Test
//   public void test236() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test236"); }
// 
// 
//     org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
//     org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
//     org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
//     org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
//     java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
//     org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
//     org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
//     org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
//     org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
//     org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
//     java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
//     org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
//     org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
//     org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
//     org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
//     org.apache.commons.math.linear.FieldMatrix fieldMatrix19 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldDiagonalMatrix(fieldElement_array17);
//     org.apache.commons.math.FieldElement[][] fieldElement_array_array20 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
//     org.apache.commons.math.linear.FieldMatrix fieldMatrix21 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldMatrix(fieldElement_array_array20);
//     org.apache.commons.math.FieldElement[][] fieldElement_array_array22 = org.apache.commons.math.linear.BlockFieldMatrix.<org.apache.commons.math.FieldElement>toBlocksLayout(fieldElement_array_array20);
//     org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix24 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array20, true);
//     org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix25 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array20);
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = org.apache.commons.math.linear.MatrixUtils.bigFractionMatrixToRealMatrix((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix25);
//     double[][] d_array_array27 = array2DRowRealMatrix26.getDataRef();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.RealMatrix realMatrix30 = array2DRowRealMatrix26.createMatrix(100, (-100));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigInteger6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigInteger14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement_array17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldMatrix18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldMatrix19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement_array_array20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldMatrix21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement_array_array22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(array2DRowRealMatrix26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array27);
// 
//   }

  @Test
  public void test237() {}
// Defects4J: flaky method
//   @Test
//   public void test237() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test237"); }
// 
// 
//     double[] d_array3 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector4 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array3);
//     double[][] d_array_array5 = new double[][] { d_array3 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix6 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array5);
//     double[] d_array8 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector9 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array8);
//     double[][] d_array_array10 = new double[][] { d_array8 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array10);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix12 = blockRealMatrix6.multiply(blockRealMatrix11);
//     double[] d_array14 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector15 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array14);
//     double[][] d_array_array16 = new double[][] { d_array14 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix17 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array16);
//     double[] d_array19 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector20 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array19);
//     double[][] d_array_array21 = new double[][] { d_array19 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array21);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix17.multiply(blockRealMatrix22);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix22.copy();
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix6.add(blockRealMatrix24);
//     double d26 = blockRealMatrix6.getFrobeniusNorm();
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix27 = blockRealMatrix6.transpose();
//     double[] d_array29 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector30 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array29);
//     double[][] d_array_array31 = new double[][] { d_array29 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix32 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array31);
//     double[] d_array34 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector35 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array34);
//     double[][] d_array_array36 = new double[][] { d_array34 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array36);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix32.multiply(blockRealMatrix37);
//     double[] d_array40 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector41 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array40);
//     double[][] d_array_array42 = new double[][] { d_array40 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix43 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array42);
//     double[] d_array45 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector46 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array45);
//     double[][] d_array_array47 = new double[][] { d_array45 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix48 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array47);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix43.multiply(blockRealMatrix48);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix48.copy();
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix51 = blockRealMatrix32.add(blockRealMatrix50);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix52 = blockRealMatrix27.subtract(blockRealMatrix32);
//     int i53 = blockRealMatrix27.getRowDimension();
//     double[][] d_array_array54 = blockRealMatrix27.getData();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix56 = new org.apache.commons.math.linear.BlockRealMatrix(0, 10, d_array_array54, true);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d26 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i53 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array54);
// 
//   }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test238"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, Double.NaN, 1);
    double d5 = eventState4.getMaxCheckInterval();
    double d6 = eventState4.getConvergence();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test239"); }


    org.apache.commons.math.fraction.BigFraction bigFraction1 = new org.apache.commons.math.fraction.BigFraction(1.0d);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test240"); }


    org.apache.commons.math.fraction.BigFraction bigFraction3 = new org.apache.commons.math.fraction.BigFraction(1.0E-14d, 10000.0d, 0);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test241"); }


    double[] d_array5 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array7 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator8 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array5, d_array7);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array5);
    org.apache.commons.math.linear.RealMatrix realMatrix11 = array2DRowRealMatrix9.scalarAdd(0.0d);
    double[][] d_array_array12 = array2DRowRealMatrix9.getData();
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix9.addToEntry(0, 52, (-1000.0d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array12);

  }

  @Test
  public void test242() {}
// Defects4J: flaky method
//   @Test
//   public void test242() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test242"); }
// 
// 
//     double[] d_array1 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
//     double[][] d_array_array3 = new double[][] { d_array1 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
//     double[] d_array6 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
//     double[][] d_array_array8 = new double[][] { d_array6 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
//     double[] d_array12 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
//     double[][] d_array_array14 = new double[][] { d_array12 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
//     double[] d_array17 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
//     double[][] d_array_array19 = new double[][] { d_array17 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
//     double d24 = blockRealMatrix4.getFrobeniusNorm();
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix4.transpose();
//     double[] d_array27 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
//     double[][] d_array_array29 = new double[][] { d_array27 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array29);
//     double[] d_array32 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array32);
//     double[][] d_array_array34 = new double[][] { d_array32 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array34);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = blockRealMatrix30.multiply(blockRealMatrix35);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = blockRealMatrix35.transpose();
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix25.subtract(blockRealMatrix35);
//     double[][] d_array_array39 = blockRealMatrix25.getData();
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array39);
//     org.apache.commons.math.linear.RealMatrix realMatrix42 = org.apache.commons.math.linear.MatrixUtils.createRealIdentityMatrix(36);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix43 = blockRealMatrix40.multiply(realMatrix42);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d24 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realMatrix42);
// 
//   }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test243"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array3, false);
    double[] d_array8 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector9 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array8);
    double[][] d_array_array10 = new double[][] { d_array8 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array10);
    double[] d_array13 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector14 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array15);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix17 = blockRealMatrix11.multiply(blockRealMatrix16);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix19 = blockRealMatrix11.getColumnMatrix(0);
    double[] d_array21 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector22 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array21);
    double[][] d_array_array23 = new double[][] { d_array21 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix24 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array23);
    double[] d_array26 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector27 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array26);
    double[][] d_array_array28 = new double[][] { d_array26 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix29 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array28);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = blockRealMatrix24.multiply(blockRealMatrix29);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix32 = blockRealMatrix24.getColumnMatrix(0);
    double[] d_array34 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector35 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array36);
    double[] d_array39 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector40 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array39);
    double[][] d_array_array41 = new double[][] { d_array39 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix42 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array41);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix43 = blockRealMatrix37.multiply(blockRealMatrix42);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix44 = blockRealMatrix42.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix45 = blockRealMatrix32.add(blockRealMatrix44);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix46 = blockRealMatrix19.subtract(blockRealMatrix32);
    org.apache.commons.math.linear.RealMatrix realMatrix47 = array2DRowRealMatrix6.add((org.apache.commons.math.linear.RealMatrix)blockRealMatrix32);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix32.scalarAdd(Double.NaN);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector51 = blockRealMatrix49.getColumnVector((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test244"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double[] d_array25 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector26 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix28 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array27);
    double[] d_array30 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector31 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix33 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array32);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix34 = blockRealMatrix28.multiply(blockRealMatrix33);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = blockRealMatrix23.subtract(blockRealMatrix28);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = blockRealMatrix23.getRowMatrix(0);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor38 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d43 = blockRealMatrix37.walkInOptimizedOrder(realMatrixChangingVisitor38, 1, 3, 10, 3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix37);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test245"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, Double.NaN, 1);
    double d5 = eventState4.getMaxCheckInterval();
    double d6 = eventState4.getMaxCheckInterval();
    double[] d_array11 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix12 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array11);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator14 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array11, true);
    org.apache.commons.math.linear.RealMatrix realMatrix15 = org.apache.commons.math.linear.MatrixUtils.createRowRealMatrix(d_array11);
    // The following exception was thrown during execution in test generation
    try {
      eventState4.stepAccepted(0.9d, d_array11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix15);

  }

  @Test
  public void test246() {}
// Defects4J: flaky method
//   @Test
//   public void test246() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test246"); }
// 
// 
//     double[] d_array8 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
//     double[] d_array10 = new double[] {  };
//     org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array8, d_array10);
//     org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array8, true);
//     org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator14 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
//     double[] d_array20 = new double[] { 0.0d, (-1.0d), 10.0d };
//     org.apache.commons.math.linear.RealMatrix realMatrix21 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array20);
//     double[] d_array27 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array27);
//     double[] d_array29 = new double[] {  };
//     org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array27, d_array29);
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix31 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array29);
//     nordsieckStepInterpolator14.reinitialize(10.0d, 1.0d, d_array20, array2DRowRealMatrix31);
//     org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator33 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 0.0d, 0.0d, d_array8, d_array20);
//     adamsMoultonIntegrator33.setMaxGrowth(Double.NaN);
//     double[] d_array39 = new double[] { 1.0d, 0.0d, 100.0d };
//     org.apache.commons.math.linear.RealVector realVector40 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array39);
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix41 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array39);
//     double[][] d_array_array42 = new double[][] { d_array39 };
//     double[][] d_array_array43 = org.apache.commons.math.linear.BlockRealMatrix.toBlocksLayout(d_array_array42);
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix44 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array42);
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix45 = adamsMoultonIntegrator33.updateHighOrderDerivativesPhase1(array2DRowRealMatrix44);
//     double[] d_array49 = new double[] { 1.0d, 0.0d, 100.0d };
//     org.apache.commons.math.linear.RealVector realVector50 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array49);
//     org.apache.commons.math.linear.RealMatrix realMatrix51 = org.apache.commons.math.linear.MatrixUtils.createColumnRealMatrix(d_array49);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.RealMatrix realMatrix52 = array2DRowRealMatrix45.add(realMatrix51);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realMatrix21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(array2DRowRealMatrix45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realMatrix51);
// 
//   }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test247"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger3 = bigFraction2.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction6 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger7 = bigFraction6.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = new org.apache.commons.math.fraction.BigFraction(bigInteger3, bigInteger7);
    org.apache.commons.math.fraction.BigFraction bigFraction11 = new org.apache.commons.math.fraction.BigFraction(10L, (-1L));
    org.apache.commons.math.fraction.BigFraction bigFraction13 = bigFraction11.add(1);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger17 = bigFraction16.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction18 = new org.apache.commons.math.fraction.BigFraction(bigInteger17);
    org.apache.commons.math.fraction.BigFraction bigFraction19 = new org.apache.commons.math.fraction.BigFraction(bigInteger17);
    org.apache.commons.math.fraction.BigFraction bigFraction20 = new org.apache.commons.math.fraction.BigFraction(bigInteger17);
    org.apache.commons.math.fraction.BigFraction bigFraction21 = bigFraction13.subtract(bigInteger17);
    org.apache.commons.math.fraction.BigFraction bigFraction22 = new org.apache.commons.math.fraction.BigFraction(bigInteger3, bigInteger17);
    org.apache.commons.math.fraction.BigFraction bigFraction23 = new org.apache.commons.math.fraction.BigFraction(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test248"); }


    org.apache.commons.math.ode.events.CombinedEventsManager combinedEventsManager0 = new org.apache.commons.math.ode.events.CombinedEventsManager();
    java.util.Collection collection1 = combinedEventsManager0.getEventsHandlers();
    combinedEventsManager0.clearEventsHandlers();
    java.util.Collection collection3 = combinedEventsManager0.getEventsHandlers();
    combinedEventsManager0.clearEventsHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection3);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test249"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(100.0d, 0.0d, 100.0d, (-1.0d));
    dormandPrince853Integrator4.setMaxEvaluations(10);
    int i7 = dormandPrince853Integrator4.getOrder();
    java.util.Collection collection8 = dormandPrince853Integrator4.getStepHandlers();
    double d9 = dormandPrince853Integrator4.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 10.0d);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test250"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.getReducedFraction(1, 1);
    float f3 = bigFraction2.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 1.0f);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test251"); }


    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator0 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array6 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix7 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array6);
    double[] d_array13 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    double[] d_array15 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator16 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array13, d_array15);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array15);
    nordsieckStepInterpolator0.reinitialize(10.0d, 1.0d, d_array6, array2DRowRealMatrix17);
    double[] d_array25 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array25);
    double[] d_array30 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array30);
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "Maximal number of evaluations ({0}) exceeded", obj_array33);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator35 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array25, d_array30);
    nordsieckStepInterpolator0.reinitialize(d_array25, true);
    double[] d_array43 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(d_array43);
    double[] d_array50 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array50);
    double[] d_array52 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator53 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array50, d_array52);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix54 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array50);
    nordsieckStepInterpolator0.reinitialize(1.0d, 1.0650410894399627d, d_array43, array2DRowRealMatrix54);
    double[][] d_array_array56 = array2DRowRealMatrix54.getDataRef();
    double[][] d_array_array57 = array2DRowRealMatrix54.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix58 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array57);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor59 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d60 = blockRealMatrix58.walkInOptimizedOrder(realMatrixChangingVisitor59);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array57);

  }

  @Test
  public void test252() {}
// Defects4J: flaky method
//   @Test
//   public void test252() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test252"); }
// 
// 
//     org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
//     org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
//     org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
//     double d5 = bigFraction1.doubleValue();
//     byte byte6 = bigFraction1.byteValue();
//     org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction1.pow(0L);
//     org.apache.commons.math.fraction.BigFraction bigFraction10 = bigFraction1.add(100);
//     org.apache.commons.math.fraction.BigFractionField bigFractionField11 = bigFraction1.getField();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.FieldMatrix fieldMatrix14 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldMatrix((org.apache.commons.math.Field)bigFractionField11, 1, 0);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(byte6 == (byte)1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFractionField11);
// 
//   }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test253"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger3 = bigFraction2.getDenominator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator4 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    double d5 = dummyStepInterpolator4.getPreviousTime();
    dummyStepInterpolator4.storeTime(0.0d);
    dummyStepInterpolator4.finalizeStep();
    boolean b9 = bigFraction2.equals((java.lang.Object)dummyStepInterpolator4);
    double d10 = dummyStepInterpolator4.getPreviousTime();
    dummyStepInterpolator4.finalizeStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test254() {}
// Defects4J: flaky method
//   @Test
//   public void test254() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test254"); }
// 
// 
//     org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
//     java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
//     org.apache.commons.math.fraction.BigFraction bigFraction3 = bigFraction0.multiply(0);
//     org.apache.commons.math.FieldElement[] fieldElement_array4 = new org.apache.commons.math.FieldElement[] { bigFraction0 };
//     org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
//     org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix6 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
//     org.apache.commons.math.fraction.BigFraction bigFraction7 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
//     org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor8 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction7);
//     org.apache.commons.math.fraction.BigFraction bigFraction10 = bigFraction7.multiply(100);
//     org.apache.commons.math.linear.FieldMatrix fieldMatrix11 = array2DRowFieldMatrix6.scalarMultiply((org.apache.commons.math.FieldElement)bigFraction10);
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix12 = org.apache.commons.math.linear.MatrixUtils.bigFractionMatrixToRealMatrix(fieldMatrix11);
//     double[] d_array14 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector15 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array14);
//     double[][] d_array_array16 = new double[][] { d_array14 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix17 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array16);
//     double[] d_array19 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector20 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array19);
//     double[][] d_array_array21 = new double[][] { d_array19 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array21);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix17.multiply(blockRealMatrix22);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix17.transpose();
//     org.apache.commons.math.linear.RealMatrix realMatrix25 = array2DRowRealMatrix12.add((org.apache.commons.math.linear.RealMatrix)blockRealMatrix24);
//     org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator26 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
//     double[] d_array32 = new double[] { 0.0d, (-1.0d), 10.0d };
//     org.apache.commons.math.linear.RealMatrix realMatrix33 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array32);
//     double[] d_array39 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array39);
//     double[] d_array41 = new double[] {  };
//     org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator42 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array39, d_array41);
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix43 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array41);
//     nordsieckStepInterpolator26.reinitialize(10.0d, 1.0d, d_array32, array2DRowRealMatrix43);
//     double[] d_array51 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException(d_array51);
//     double[] d_array56 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(d_array56);
//     java.lang.Object[] obj_array59 = null;
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException(d_array56, "Maximal number of evaluations ({0}) exceeded", obj_array59);
//     org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator61 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array51, d_array56);
//     nordsieckStepInterpolator26.reinitialize(d_array51, true);
//     double[] d_array69 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException70 = new org.apache.commons.math.FunctionEvaluationException(d_array69);
//     double[] d_array76 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException(d_array76);
//     double[] d_array78 = new double[] {  };
//     org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator79 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array76, d_array78);
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix80 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array76);
//     nordsieckStepInterpolator26.reinitialize(1.0d, 1.0650410894399627d, d_array69, array2DRowRealMatrix80);
//     double[][] d_array_array82 = array2DRowRealMatrix80.getDataRef();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.RealMatrix realMatrix83 = array2DRowRealMatrix12.add((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix80);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigInteger1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement_array4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldMatrix11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(array2DRowRealMatrix12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realMatrix25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realMatrix33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array78);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array82);
// 
//   }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test255"); }


    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator2 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array8 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix9 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array8);
    double[] d_array15 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array15);
    double[] d_array17 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator18 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array15, d_array17);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array17);
    nordsieckStepInterpolator2.reinitialize(10.0d, 1.0d, d_array8, array2DRowRealMatrix19);
    double[] d_array27 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array27);
    double[] d_array32 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array32);
    java.lang.Object[] obj_array35 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array32, "Maximal number of evaluations ({0}) exceeded", obj_array35);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator37 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array27, d_array32);
    nordsieckStepInterpolator2.reinitialize(d_array27, true);
    double[] d_array45 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(d_array45);
    double[] d_array52 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(d_array52);
    double[] d_array54 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator55 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array52, d_array54);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix56 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array52);
    nordsieckStepInterpolator2.reinitialize(1.0d, 1.0650410894399627d, d_array45, array2DRowRealMatrix56);
    double[][] d_array_array58 = array2DRowRealMatrix56.getDataRef();
    org.apache.commons.math.ConvergenceException convergenceException59 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.FunctionEvaluationException: ", (java.lang.Object[])d_array_array58);
    org.apache.commons.math.MathRuntimeException mathRuntimeException60 = new org.apache.commons.math.MathRuntimeException("", (java.lang.Object[])d_array_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array58);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test256"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor1 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction0);
    org.apache.commons.math.FieldElement fieldElement2 = defaultFieldMatrixChangingVisitor1.end();
    org.apache.commons.math.FieldElement fieldElement3 = defaultFieldMatrixChangingVisitor1.end();
    defaultFieldMatrixChangingVisitor1.start(0, 52, 52, 1, 0, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement3);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test257"); }


    org.apache.commons.math.ode.events.CombinedEventsManager combinedEventsManager0 = new org.apache.commons.math.ode.events.CombinedEventsManager();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    double d2 = dummyStepInterpolator1.getPreviousTime();
    double d3 = dummyStepInterpolator1.getPreviousTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator4 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator1);
    double d5 = dummyStepInterpolator1.getCurrentTime();
    boolean b6 = combinedEventsManager0.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator1);
    combinedEventsManager0.clearEventsHandlers();
    boolean b8 = combinedEventsManager0.stop();
    java.util.Collection collection9 = combinedEventsManager0.getEventsHandlers();
    double d10 = combinedEventsManager0.getEventTime();
    double[] d_array17 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array17);
    double[] d_array19 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator20 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array17, d_array19);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix21 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array17);
    double[] d_array23 = array2DRowRealMatrix21.getRow(1);
    boolean b24 = array2DRowRealMatrix21.isSquare();
    org.apache.commons.math.linear.RealMatrix realMatrix26 = array2DRowRealMatrix21.scalarMultiply(0.0d);
    org.apache.commons.math.linear.RealVector realVector28 = array2DRowRealMatrix21.getRowVector(1);
    double[] d_array34 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(d_array34);
    double[] d_array36 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator37 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array34, d_array36);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix38 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array34);
    double[] d_array40 = array2DRowRealMatrix38.getRow(1);
    org.apache.commons.math.linear.RealMatrix realMatrix41 = array2DRowRealMatrix21.subtract((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix38);
    double[] d_array43 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector44 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array43);
    org.apache.commons.math.linear.RealVector realVector45 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array43);
    double[] d_array46 = array2DRowRealMatrix38.operate(d_array43);
    boolean b47 = combinedEventsManager0.reset(Double.NaN, d_array46);
    org.apache.commons.math.ode.events.EventHandler eventHandler48 = null;
    combinedEventsManager0.addEventHandler(eventHandler48, Double.NaN, 1.0E-6d, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test258"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction3 = bigFraction0.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array4 = new org.apache.commons.math.FieldElement[] { bigFraction0 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix6 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array4);
    org.apache.commons.math.linear.FieldVector fieldVector7 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldVector(fieldElement_array4);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix8 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    java.lang.String str9 = array2DRowFieldMatrix8.toString();
    double[] d_array11 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector12 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array11);
    double[][] d_array_array13 = new double[][] { d_array11 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix14 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array13);
    double[] d_array16 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    double[][] d_array_array18 = new double[][] { d_array16 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix19 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array18);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = blockRealMatrix14.multiply(blockRealMatrix19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix14.getColumnMatrix(0);
    double[] d_array24 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector25 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array24);
    double[][] d_array_array26 = new double[][] { d_array24 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix27 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array26);
    double[] d_array29 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector30 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array29);
    double[][] d_array_array31 = new double[][] { d_array29 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix32 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array31);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix33 = blockRealMatrix27.multiply(blockRealMatrix32);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix34 = blockRealMatrix32.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = blockRealMatrix22.add(blockRealMatrix34);
    org.apache.commons.math.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math.linear.AnyMatrix)array2DRowFieldMatrix8, (org.apache.commons.math.linear.AnyMatrix)blockRealMatrix22);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix38 = array2DRowFieldMatrix8.getRowMatrix(36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str9.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix35);

  }

  @Test
  public void test259() {}
// Defects4J: flaky method
//   @Test
//   public void test259() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test259"); }
// 
// 
//     double[] d_array6 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
//     double[] d_array11 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
//     java.lang.Object[] obj_array14 = null;
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "Maximal number of evaluations ({0}) exceeded", obj_array14);
//     org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator16 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array6, d_array11);
//     org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator21 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(100.0d, 0.0d, 100.0d, (-1.0d));
//     dormandPrince853Integrator21.setMaxEvaluations(10);
//     dormandPrince853Integrator21.clearEventHandlers();
//     dormandPrince853Integrator21.clearEventHandlers();
//     adamsMoultonIntegrator16.setStarterIntegrator((org.apache.commons.math.ode.FirstOrderIntegrator)dormandPrince853Integrator21);
//     double d27 = adamsMoultonIntegrator16.getCurrentStepStart();
//     double d28 = adamsMoultonIntegrator16.getMaxGrowth();
//     double d29 = adamsMoultonIntegrator16.getCurrentSignedStepsize();
//     double[] d_array38 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array38);
//     double[] d_array40 = new double[] {  };
//     org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator41 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array38, d_array40);
//     double[] d_array45 = new double[] { 0.0d, (-1.0d), 10.0d };
//     org.apache.commons.math.linear.RealMatrix realMatrix46 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array45);
//     org.apache.commons.math.linear.RealMatrix realMatrix47 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array45);
//     org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator48 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 10.0d, 10.0d, d_array38, d_array45);
//     double[] d_array55 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array55);
//     double[] d_array60 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException(d_array60);
//     java.lang.Object[] obj_array63 = null;
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(d_array60, "Maximal number of evaluations ({0}) exceeded", obj_array63);
//     org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator65 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array55, d_array60);
//     double[] d_array71 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException(d_array71);
//     double[] d_array73 = new double[] {  };
//     org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator74 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array71, d_array73);
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix75 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array71);
//     double[] d_array77 = array2DRowRealMatrix75.getRow(1);
//     double[] d_array83 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException(d_array83);
//     double[] d_array85 = new double[] {  };
//     org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator86 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array83, d_array85);
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix87 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array83);
//     org.apache.commons.math.linear.RealMatrix realMatrix89 = array2DRowRealMatrix87.scalarAdd(0.0d);
//     adamsMoultonIntegrator48.updateHighOrderDerivativesPhase2(d_array60, d_array77, array2DRowRealMatrix87);
//     double[][] d_array_array91 = new double[][] { d_array77 };
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix92 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array91);
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix93 = adamsMoultonIntegrator16.updateHighOrderDerivativesPhase1(array2DRowRealMatrix92);
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix94 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix95 = adamsMoultonIntegrator16.updateHighOrderDerivativesPhase1(array2DRowRealMatrix94);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d28 == 1.4142135623730951d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d29 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realMatrix46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realMatrix47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array71);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array83);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array85);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realMatrix89);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array91);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(array2DRowRealMatrix93);
// 
//   }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test260"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException((-1));

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test261"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction3 = bigFraction0.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array4 = new org.apache.commons.math.FieldElement[] { bigFraction0 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix6 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    java.lang.String str7 = array2DRowFieldMatrix6.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix9 = array2DRowFieldMatrix6.scalarAdd((org.apache.commons.math.FieldElement)bigFraction8);
    int i10 = array2DRowFieldMatrix6.getColumnDimension();
    int i11 = array2DRowFieldMatrix6.getColumnDimension();
    org.apache.commons.math.fraction.BigFraction bigFraction12 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger13 = bigFraction12.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction12.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array16 = new org.apache.commons.math.FieldElement[] { bigFraction12 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix17 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array16);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array16);
    org.apache.commons.math.linear.FieldVector fieldVector19 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldVector(fieldElement_array16);
    org.apache.commons.math.linear.FieldVector fieldVector20 = array2DRowFieldMatrix6.preMultiply(fieldVector19);
    org.apache.commons.math.fraction.BigFraction bigFraction21 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger22 = bigFraction21.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction24 = bigFraction21.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array25 = new org.apache.commons.math.FieldElement[] { bigFraction21 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix26 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array25);
    org.apache.commons.math.fraction.BigFraction bigFraction27 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction28 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor29 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction28);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor30 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction28);
    org.apache.commons.math.fraction.BigFraction bigFraction31 = bigFraction27.subtract(bigFraction28);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger33 = bigFraction32.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction34 = bigFraction28.subtract(bigInteger33);
    org.apache.commons.math.fraction.BigFraction bigFraction35 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction36 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor37 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction36);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor38 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction36);
    org.apache.commons.math.fraction.BigFraction bigFraction39 = bigFraction35.subtract(bigFraction36);
    org.apache.commons.math.fraction.BigFraction bigFraction40 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger41 = bigFraction40.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction42 = bigFraction36.subtract(bigInteger41);
    org.apache.commons.math.fraction.BigFraction bigFraction43 = bigFraction34.pow(bigInteger41);
    org.apache.commons.math.FieldElement[] fieldElement_array44 = new org.apache.commons.math.FieldElement[] { bigFraction43 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix45 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array44);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array46 = new org.apache.commons.math.FieldElement[][] { fieldElement_array44 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix47 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array46);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix49 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array46, true);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix50 = array2DRowFieldMatrix26.add(array2DRowFieldMatrix49);
    org.apache.commons.math.FieldElement[] fieldElement_array52 = array2DRowFieldMatrix26.getColumn(0);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix53 = array2DRowFieldMatrix6.multiply(array2DRowFieldMatrix26);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement56 = array2DRowFieldMatrix53.getEntry(36, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str7.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowFieldMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowFieldMatrix53);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test262"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction19 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger20 = bigFraction19.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction23 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger24 = bigFraction23.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction25 = new org.apache.commons.math.fraction.BigFraction(bigInteger20, bigInteger24);
    org.apache.commons.math.fraction.BigFraction bigFraction26 = new org.apache.commons.math.fraction.BigFraction(bigInteger14, bigInteger24);
    org.apache.commons.math.fraction.BigFraction bigFraction28 = bigFraction26.add((-100L));
    java.lang.String str29 = bigFraction28.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "-99"+ "'", str29.equals("-99"));

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test263"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, true);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array23 = org.apache.commons.math.linear.BlockFieldMatrix.<org.apache.commons.math.FieldElement>toBlocksLayout(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix25 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, false);
    org.apache.commons.math.Field field26 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix27 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field26);
    org.apache.commons.math.fraction.BigFraction bigFraction28 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor29 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction28);
    org.apache.commons.math.FieldElement fieldElement30 = array2DRowFieldMatrix27.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor29);
    int i31 = array2DRowFieldMatrix27.getRowDimension();
    org.apache.commons.math.fraction.BigFraction bigFraction32 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger33 = bigFraction32.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction34 = bigFraction32.reduce();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor35 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction32);
    org.apache.commons.math.FieldElement fieldElement36 = array2DRowFieldMatrix27.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor35);
    org.apache.commons.math.FieldElement fieldElement37 = array2DRowFieldMatrix25.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor35);
    org.apache.commons.math.fraction.BigFraction bigFraction38 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction39 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor40 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction39);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor41 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction39);
    org.apache.commons.math.fraction.BigFraction bigFraction42 = bigFraction38.subtract(bigFraction39);
    org.apache.commons.math.fraction.BigFraction bigFraction43 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger44 = bigFraction43.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction45 = bigFraction39.subtract(bigInteger44);
    org.apache.commons.math.fraction.BigFraction bigFraction46 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction47 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor48 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction47);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor49 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction47);
    org.apache.commons.math.fraction.BigFraction bigFraction50 = bigFraction46.subtract(bigFraction47);
    org.apache.commons.math.fraction.BigFraction bigFraction51 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger52 = bigFraction51.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction53 = bigFraction47.subtract(bigInteger52);
    org.apache.commons.math.fraction.BigFraction bigFraction54 = bigFraction45.pow(bigInteger52);
    org.apache.commons.math.FieldElement[] fieldElement_array55 = new org.apache.commons.math.FieldElement[] { bigFraction54 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix56 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array55);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array57 = new org.apache.commons.math.FieldElement[][] { fieldElement_array55 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix58 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array57);
    org.apache.commons.math.fraction.BigFraction bigFraction59 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction60 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor61 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction60);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor62 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction60);
    org.apache.commons.math.fraction.BigFraction bigFraction63 = bigFraction59.subtract(bigFraction60);
    double d64 = bigFraction60.doubleValue();
    byte byte65 = bigFraction60.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction66 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction67 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor68 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction67);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor69 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction67);
    org.apache.commons.math.fraction.BigFraction bigFraction70 = bigFraction66.subtract(bigFraction67);
    double d71 = bigFraction67.doubleValue();
    byte byte72 = bigFraction67.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction74 = bigFraction67.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction76 = bigFraction67.add(100);
    org.apache.commons.math.fraction.BigFraction bigFraction77 = bigFraction60.divide(bigFraction76);
    org.apache.commons.math.FieldElement[] fieldElement_array78 = new org.apache.commons.math.FieldElement[] { bigFraction77 };
    org.apache.commons.math.FieldElement[] fieldElement_array79 = array2DRowFieldMatrix58.preMultiply(fieldElement_array78);
    org.apache.commons.math.FieldElement[] fieldElement_array80 = array2DRowFieldMatrix25.preMultiply(fieldElement_array78);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix81 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createColumnFieldMatrix(fieldElement_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte65 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte72 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix81);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test264"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction3 = bigFraction0.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array4 = new org.apache.commons.math.FieldElement[] { bigFraction0 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix6 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    java.lang.String str7 = array2DRowFieldMatrix6.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix9 = array2DRowFieldMatrix6.scalarAdd((org.apache.commons.math.FieldElement)bigFraction8);
    int i10 = array2DRowFieldMatrix6.getColumnDimension();
    org.apache.commons.math.fraction.BigFraction bigFraction11 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger12 = bigFraction11.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction14 = bigFraction11.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array15 = new org.apache.commons.math.FieldElement[] { bigFraction11 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix16 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array15);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix17 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array15);
    java.lang.String str18 = array2DRowFieldMatrix17.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction19 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix20 = array2DRowFieldMatrix17.scalarAdd((org.apache.commons.math.FieldElement)bigFraction19);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array21 = array2DRowFieldMatrix17.getDataRef();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix22 = array2DRowFieldMatrix6.add((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix17);
    int i23 = array2DRowFieldMatrix6.getRowDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str7.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str18.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 1);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test265"); }


    double[] d_array5 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array7 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator8 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array5, d_array7);
    dormandPrince853Integrator8.setMaxEvaluations((-1));
    double d11 = dormandPrince853Integrator8.getSafety();
    dormandPrince853Integrator8.clearEventHandlers();
    java.util.Collection collection13 = dormandPrince853Integrator8.getEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection13);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test266"); }


    org.apache.commons.math.fraction.BigFraction bigFraction3 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction4 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor5 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction4);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor6 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction4);
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction3.subtract(bigFraction4);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger9 = bigFraction8.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction10 = bigFraction4.subtract(bigInteger9);
    org.apache.commons.math.fraction.BigFraction bigFraction11 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction12 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor13 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction12);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor14 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction12);
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction11.subtract(bigFraction12);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger17 = bigFraction16.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction18 = bigFraction12.subtract(bigInteger17);
    org.apache.commons.math.fraction.BigFraction bigFraction19 = bigFraction10.pow(bigInteger17);
    org.apache.commons.math.FieldElement[] fieldElement_array20 = new org.apache.commons.math.FieldElement[] { bigFraction19 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix21 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array20);
    org.apache.commons.math.ode.DerivativeException derivativeException22 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.IntegratorException: hi!", (java.lang.Object[])fieldElement_array20);
    java.lang.String str23 = derivativeException22.getPattern();
    java.lang.Throwable[] throwable_array24 = derivativeException22.getSuppressed();
    java.text.ParseException parseException25 = org.apache.commons.math.MathRuntimeException.createParseException((-1), "Array2DRowFieldMatrix{{1}}", (java.lang.Object[])throwable_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.ode.IntegratorException: hi!"+ "'", str23.equals("org.apache.commons.math.ode.IntegratorException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(parseException25);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test267"); }


    double[] d_array5 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array7 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator8 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array5, d_array7);
    double[] d_array13 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    org.apache.commons.math.MaxEvaluationsExceededException maxEvaluationsExceededException16 = new org.apache.commons.math.MaxEvaluationsExceededException(0);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException();
    maxEvaluationsExceededException16.addSuppressed((java.lang.Throwable)mathException17);
    java.lang.String str19 = maxEvaluationsExceededException16.getPattern();
    int i20 = maxEvaluationsExceededException16.getMaxEvaluations();
    double[][] d_array_array24 = org.apache.commons.math.linear.BlockRealMatrix.createBlocksLayout(100, 100);
    org.apache.commons.math.ode.DerivativeException derivativeException25 = new org.apache.commons.math.ode.DerivativeException("", (java.lang.Object[])d_array_array24);
    double[] d_array29 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(d_array29);
    java.lang.Object[] obj_array32 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException33 = new org.apache.commons.math.FunctionEvaluationException(d_array29, "Maximal number of evaluations ({0}) exceeded", obj_array32);
    org.apache.commons.math.fraction.FractionConversionException fractionConversionException37 = new org.apache.commons.math.fraction.FractionConversionException(100.0d, (-1));
    java.lang.Object[] obj_array43 = new java.lang.Object[] { (-1.0d) };
    java.lang.NullPointerException nullPointerException44 = org.apache.commons.math.MathRuntimeException.createNullPointerException("", obj_array43);
    java.util.ConcurrentModificationException concurrentModificationException45 = org.apache.commons.math.MathRuntimeException.createConcurrentModificationException("hi!", obj_array43);
    org.apache.commons.math.linear.MatrixIndexException matrixIndexException46 = new org.apache.commons.math.linear.MatrixIndexException("hi!", obj_array43);
    java.lang.Object[] obj_array47 = matrixIndexException46.getArguments();
    org.apache.commons.math.MathRuntimeException mathRuntimeException48 = new org.apache.commons.math.MathRuntimeException((java.lang.Throwable)fractionConversionException37, "hi!", obj_array47);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException49 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException25, d_array29, "Array2DRowFieldMatrix{{1}}", obj_array47);
    java.lang.Object[] obj_array51 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException(d_array29, "Maximal number of evaluations ({0}) exceeded", obj_array51);
    org.apache.commons.math.fraction.BigFraction bigFraction59 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction60 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor61 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction60);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor62 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction60);
    org.apache.commons.math.fraction.BigFraction bigFraction63 = bigFraction59.subtract(bigFraction60);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor64 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction63);
    java.math.BigDecimal bigDecimal67 = bigFraction63.bigDecimalValue(0, 0);
    java.math.BigDecimal[] bigDecimal_array68 = new java.math.BigDecimal[] { bigDecimal67 };
    org.apache.commons.math.linear.BigMatrix bigMatrix69 = org.apache.commons.math.linear.MatrixUtils.createColumnBigMatrix(bigDecimal_array68);
    java.math.BigDecimal[][] bigDecimal_array_array70 = new java.math.BigDecimal[][] { bigDecimal_array68 };
    org.apache.commons.math.linear.BigMatrix bigMatrix71 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array70);
    java.lang.ArithmeticException arithmeticException72 = org.apache.commons.math.MathRuntimeException.createArithmeticException("Maximal number of evaluations ({0}) exceeded", (java.lang.Object[])bigDecimal_array_array70);
    org.apache.commons.math.ode.IntegratorException integratorException73 = new org.apache.commons.math.ode.IntegratorException("Maximal number of evaluations ({0}) exceeded", (java.lang.Object[])bigDecimal_array_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "0", (java.lang.Object[])bigDecimal_array_array70);
    org.apache.commons.math.linear.MatrixIndexException matrixIndexException75 = new org.apache.commons.math.linear.MatrixIndexException("Overflow trying to convert {0} to fraction ({1}/{2})", (java.lang.Object[])bigDecimal_array_array70);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxEvaluationsExceededException16, d_array29, "Array2DRowFieldMatrix{{1}}", (java.lang.Object[])bigDecimal_array_array70);
    // The following exception was thrown during execution in test generation
    try {
      dormandPrince853Integrator8.computeDerivatives(0.0d, d_array13, d_array29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "Maximal number of evaluations ({0}) exceeded"+ "'", str19.equals("Maximal number of evaluations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(nullPointerException44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(concurrentModificationException45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arithmeticException72);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test268"); }


    org.apache.commons.math.linear.NonSquareMatrixException nonSquareMatrixException2 = new org.apache.commons.math.linear.NonSquareMatrixException(0, 100);
    java.lang.String str3 = nonSquareMatrixException2.getPattern();
    java.lang.Object[] obj_array4 = nonSquareMatrixException2.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "a {0}x{1} matrix was provided instead of a square matrix"+ "'", str3.equals("a {0}x{1} matrix was provided instead of a square matrix"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test269"); }


    org.apache.commons.math.fraction.FractionConversionException fractionConversionException2 = new org.apache.commons.math.fraction.FractionConversionException((-1.0d), 36);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test270"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(100.0d, 0.0d, 100.0d, (-1.0d));
    dormandPrince853Integrator4.setMaxEvaluations(10);
    java.util.Collection collection7 = dormandPrince853Integrator4.getStepHandlers();
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = null;
    dormandPrince853Integrator4.addEventHandler(eventHandler8, (-1.0d), 100.0d, 0);
    dormandPrince853Integrator4.clearEventHandlers();
    double d14 = dormandPrince853Integrator4.getSafety();
    double d15 = dormandPrince853Integrator4.getCurrentStepStart();
    double d16 = dormandPrince853Integrator4.getCurrentSignedStepsize();
    double d17 = dormandPrince853Integrator4.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 10.0d);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test271"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(100.0d, 0.0d, 100.0d, (-1.0d));
    double d5 = dormandPrince853Integrator4.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.2d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test272"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double d24 = blockRealMatrix23.getFrobeniusNorm();
    org.apache.commons.math.ode.nonstiff.AdamsNordsieckTransformer adamsNordsieckTransformer27 = org.apache.commons.math.ode.nonstiff.AdamsNordsieckTransformer.getInstance(3);
    int i28 = adamsNordsieckTransformer27.getNSteps();
    double[] d_array34 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(d_array34);
    double[] d_array36 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator37 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array34, d_array36);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator39 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array34, true);
    org.apache.commons.math.MaxEvaluationsExceededException maxEvaluationsExceededException41 = new org.apache.commons.math.MaxEvaluationsExceededException(0);
    java.lang.String str42 = maxEvaluationsExceededException41.getPattern();
    org.apache.commons.math.MathRuntimeException mathRuntimeException43 = new org.apache.commons.math.MathRuntimeException((java.lang.Throwable)maxEvaluationsExceededException41);
    double[][] d_array_array48 = org.apache.commons.math.linear.BlockRealMatrix.createBlocksLayout(100, 100);
    org.apache.commons.math.ode.DerivativeException derivativeException49 = new org.apache.commons.math.ode.DerivativeException("", (java.lang.Object[])d_array_array48);
    org.apache.commons.math.ConvergenceException convergenceException50 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathRuntimeException43, "", (java.lang.Object[])d_array_array48);
    java.lang.IllegalArgumentException illegalArgumentException51 = org.apache.commons.math.MathRuntimeException.createIllegalArgumentException((java.lang.Throwable)convergenceException50);
    org.apache.commons.math.ode.events.EventHandler eventHandler52 = null;
    org.apache.commons.math.ode.events.EventState eventState56 = new org.apache.commons.math.ode.events.EventState(eventHandler52, 0.0d, Double.NaN, 1);
    int i57 = eventState56.getMaxIterationCount();
    double d58 = eventState56.getConvergence();
    boolean b59 = eventState56.stop();
    double[] d_array66 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException(d_array66);
    double[] d_array68 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator69 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array66, d_array68);
    org.apache.commons.math.linear.RealMatrix realMatrix70 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array66);
    boolean b71 = eventState56.reset(1.0E-6d, d_array66);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException50, d_array66);
    double[] d_array78 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException79 = new org.apache.commons.math.FunctionEvaluationException(d_array78);
    double[] d_array80 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator81 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array78, d_array80);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix82 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array78);
    org.apache.commons.math.linear.RealMatrix realMatrix84 = array2DRowRealMatrix82.scalarAdd(0.0d);
    org.apache.commons.math.linear.RealMatrix realMatrix85 = array2DRowRealMatrix82.copy();
    org.apache.commons.math.linear.RealMatrix realMatrix87 = array2DRowRealMatrix82.scalarAdd(0.9d);
    adamsNordsieckTransformer27.updateHighOrderDerivativesPhase2(d_array34, d_array66, array2DRowRealMatrix82);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix23.setColumn(0, d_array66);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(adamsNordsieckTransformer27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "Maximal number of evaluations ({0}) exceeded"+ "'", str42.equals("Maximal number of evaluations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(illegalArgumentException51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d58, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix87);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test273"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction3 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction3);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor5 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction3);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = bigFraction2.subtract(bigFraction3);
    org.apache.commons.math.fraction.BigFraction bigFraction7 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger8 = bigFraction7.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction9 = bigFraction3.subtract(bigInteger8);
    org.apache.commons.math.fraction.BigFraction bigFraction10 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction11 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction11);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor13 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction11);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = bigFraction10.subtract(bigFraction11);
    org.apache.commons.math.fraction.BigFraction bigFraction15 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger16 = bigFraction15.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction17 = bigFraction11.subtract(bigInteger16);
    org.apache.commons.math.fraction.BigFraction bigFraction18 = bigFraction9.pow(bigInteger16);
    org.apache.commons.math.FieldElement[] fieldElement_array19 = new org.apache.commons.math.FieldElement[] { bigFraction18 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix20 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array19);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array21 = new org.apache.commons.math.FieldElement[][] { fieldElement_array19 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array21);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix24 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array21, true);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array25 = org.apache.commons.math.linear.BlockFieldMatrix.<org.apache.commons.math.FieldElement>toBlocksLayout(fieldElement_array_array21);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix26 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array25);
    java.util.NoSuchElementException noSuchElementException27 = org.apache.commons.math.MathRuntimeException.createNoSuchElementException("hi!", (java.lang.Object[])fieldElement_array_array25);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array28 = org.apache.commons.math.linear.BlockFieldMatrix.<org.apache.commons.math.FieldElement>toBlocksLayout(fieldElement_array_array25);
    org.apache.commons.math.linear.MatrixIndexException matrixIndexException29 = new org.apache.commons.math.linear.MatrixIndexException("Convergence failed", (java.lang.Object[])fieldElement_array_array25);
    org.apache.commons.math.MathRuntimeException mathRuntimeException30 = new org.apache.commons.math.MathRuntimeException((java.lang.Throwable)matrixIndexException29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(noSuchElementException27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array28);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test274"); }


    org.apache.commons.math.fraction.BigFraction bigFraction3 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction4 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor5 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction4);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor6 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction4);
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction3.subtract(bigFraction4);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor8 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction7);
    java.math.BigDecimal bigDecimal11 = bigFraction7.bigDecimalValue(0, 0);
    java.math.BigDecimal[] bigDecimal_array12 = new java.math.BigDecimal[] { bigDecimal11 };
    org.apache.commons.math.linear.BigMatrix bigMatrix13 = org.apache.commons.math.linear.MatrixUtils.createColumnBigMatrix(bigDecimal_array12);
    java.math.BigDecimal[][] bigDecimal_array_array14 = new java.math.BigDecimal[][] { bigDecimal_array12 };
    org.apache.commons.math.linear.BigMatrix bigMatrix15 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array14);
    java.lang.ArithmeticException arithmeticException16 = org.apache.commons.math.MathRuntimeException.createArithmeticException("Maximal number of evaluations ({0}) exceeded", (java.lang.Object[])bigDecimal_array_array14);
    org.apache.commons.math.linear.BigMatrix bigMatrix17 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array14);
    org.apache.commons.math.linear.BigMatrix bigMatrix18 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array14);
    org.apache.commons.math.linear.BigMatrix bigMatrix20 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array14, true);
    java.lang.NullPointerException nullPointerException21 = org.apache.commons.math.MathRuntimeException.createNullPointerException("a {0}x{1} matrix was provided instead of a square matrix", (java.lang.Object[])bigDecimal_array_array14);
    java.util.ConcurrentModificationException concurrentModificationException22 = org.apache.commons.math.MathRuntimeException.createConcurrentModificationException("Unable to convert {0} to fraction after {1} iterations", (java.lang.Object[])bigDecimal_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arithmeticException16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(nullPointerException21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(concurrentModificationException22);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test275"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction17 = new org.apache.commons.math.fraction.BigFraction(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction19 = bigFraction17.multiply(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction21 = bigFraction19.multiply(8);
    org.apache.commons.math.fraction.BigFraction bigFraction22 = bigFraction21.reduce();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test276"); }


    org.apache.commons.math.MaxEvaluationsExceededException maxEvaluationsExceededException1 = new org.apache.commons.math.MaxEvaluationsExceededException((-1));
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)maxEvaluationsExceededException1);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException2, 1.0d);
    double[] d_array5 = functionEvaluationException4.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test277"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    double d5 = bigFraction1.doubleValue();
    byte byte6 = bigFraction1.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction1.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction10 = bigFraction1.add(100);
    org.apache.commons.math.fraction.BigFractionField bigFractionField11 = bigFraction1.getField();
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFractionField11.getZero();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix14 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldIdentityMatrix((org.apache.commons.math.Field)bigFractionField11, 1);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array17 = org.apache.commons.math.linear.BlockFieldMatrix.<org.apache.commons.math.FieldElement>createBlocksLayout((org.apache.commons.math.Field)bigFractionField11, 8, 36);
    org.apache.commons.math.fraction.BigFraction bigFraction18 = bigFractionField11.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte6 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFractionField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test278"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor9 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction8);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger15 = bigFraction14.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction16 = new org.apache.commons.math.fraction.BigFraction(bigInteger15);
    org.apache.commons.math.FieldElement fieldElement17 = defaultFieldMatrixChangingVisitor9.visit(100, (-1), (org.apache.commons.math.FieldElement)bigFraction16);
    java.math.BigDecimal bigDecimal20 = bigFraction16.bigDecimalValue(8, 0);
    org.apache.commons.math.fraction.BigFraction bigFraction22 = bigFraction16.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction23 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor24 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction23);
    org.apache.commons.math.fraction.BigFraction bigFraction29 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger30 = bigFraction29.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction31 = new org.apache.commons.math.fraction.BigFraction(bigInteger30);
    org.apache.commons.math.FieldElement fieldElement32 = defaultFieldMatrixChangingVisitor24.visit(100, (-1), (org.apache.commons.math.FieldElement)bigFraction31);
    org.apache.commons.math.fraction.BigFraction bigFraction33 = bigFraction22.multiply(bigFraction31);
    java.math.BigInteger bigInteger34 = bigFraction33.getNumerator();
    org.apache.commons.math.fraction.BigFraction bigFraction35 = new org.apache.commons.math.fraction.BigFraction(bigInteger6, bigInteger34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger34);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test279"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction3 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction3);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor5 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction3);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = bigFraction2.subtract(bigFraction3);
    org.apache.commons.math.fraction.BigFraction bigFraction7 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger8 = bigFraction7.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction9 = bigFraction3.subtract(bigInteger8);
    org.apache.commons.math.fraction.BigFraction bigFraction10 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction11 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction11);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor13 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction11);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = bigFraction10.subtract(bigFraction11);
    org.apache.commons.math.fraction.BigFraction bigFraction15 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger16 = bigFraction15.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction17 = bigFraction11.subtract(bigInteger16);
    org.apache.commons.math.fraction.BigFraction bigFraction18 = bigFraction9.pow(bigInteger16);
    org.apache.commons.math.FieldElement[] fieldElement_array19 = new org.apache.commons.math.FieldElement[] { bigFraction18 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix20 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array19);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix21 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldDiagonalMatrix(fieldElement_array19);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array22 = new org.apache.commons.math.FieldElement[][] { fieldElement_array19 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix23 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldMatrix(fieldElement_array_array22);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array24 = org.apache.commons.math.linear.BlockFieldMatrix.<org.apache.commons.math.FieldElement>toBlocksLayout(fieldElement_array_array22);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix26 = new org.apache.commons.math.linear.BlockFieldMatrix(1, 1, fieldElement_array_array22, false);
    int i27 = blockFieldMatrix26.getRowDimension();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement[] fieldElement_array29 = blockFieldMatrix26.getColumn((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 1);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test280"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double d24 = blockRealMatrix4.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix4.transpose();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
    double[][] d_array_array29 = new double[][] { d_array27 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array29);
    double[] d_array32 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array34);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = blockRealMatrix30.multiply(blockRealMatrix35);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = blockRealMatrix35.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix25.subtract(blockRealMatrix35);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix39 = blockRealMatrix38.copy();
    double[] d_array41 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector42 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix44 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array43);
    double[] d_array46 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector47 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array46);
    double[][] d_array_array48 = new double[][] { d_array46 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix49 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array48);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix44.multiply(blockRealMatrix49);
    double[] d_array52 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector53 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array52);
    double[][] d_array_array54 = new double[][] { d_array52 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix55 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array54);
    double[] d_array57 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector58 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array57);
    double[][] d_array_array59 = new double[][] { d_array57 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix60 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array59);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix61 = blockRealMatrix55.multiply(blockRealMatrix60);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix62 = blockRealMatrix60.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix63 = blockRealMatrix44.add(blockRealMatrix62);
    double[] d_array65 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector66 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array65);
    double[][] d_array_array67 = new double[][] { d_array65 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix68 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array67);
    double[] d_array70 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector71 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array70);
    double[][] d_array_array72 = new double[][] { d_array70 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix73 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array72);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix74 = blockRealMatrix68.multiply(blockRealMatrix73);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix75 = blockRealMatrix63.subtract(blockRealMatrix68);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix76 = blockRealMatrix39.subtract(blockRealMatrix68);
    boolean b77 = blockRealMatrix39.isSingular();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == true);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test281"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array3, false);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = array2DRowRealMatrix6.walkInRowOrder(realMatrixChangingVisitor7, (-1), (-1), (-100), 52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test282"); }


    double[] d_array8 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array8, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array8, true);
    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator14 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array20 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix21 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array20);
    double[] d_array27 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array27);
    double[] d_array29 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array27, d_array29);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix31 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array29);
    nordsieckStepInterpolator14.reinitialize(10.0d, 1.0d, d_array20, array2DRowRealMatrix31);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator33 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 0.0d, 0.0d, d_array8, d_array20);
    adamsMoultonIntegrator33.setMaxGrowth(Double.NaN);
    org.apache.commons.math.ode.ODEIntegrator oDEIntegrator36 = adamsMoultonIntegrator33.getStarterIntegrator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oDEIntegrator36);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test283"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger3 = bigFraction2.getDenominator();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator4 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    double d5 = dummyStepInterpolator4.getPreviousTime();
    dummyStepInterpolator4.storeTime(0.0d);
    dummyStepInterpolator4.finalizeStep();
    boolean b9 = bigFraction2.equals((java.lang.Object)dummyStepInterpolator4);
    double d10 = dummyStepInterpolator4.getPreviousTime();
    dummyStepInterpolator4.shift();
    boolean b12 = dummyStepInterpolator4.isForward();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test284"); }


    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator0 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array4 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException(d_array4);
    nordsieckStepInterpolator0.reinitialize(d_array4, false);
    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator8 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator(nordsieckStepInterpolator0);
    boolean b9 = nordsieckStepInterpolator0.isForward();
    boolean b10 = nordsieckStepInterpolator0.isForward();
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction13.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction13 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix18 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix19 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array17);
    java.lang.String str20 = array2DRowFieldMatrix19.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction21 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix22 = array2DRowFieldMatrix19.scalarAdd((org.apache.commons.math.FieldElement)bigFraction21);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array23 = array2DRowFieldMatrix19.getDataRef();
    org.apache.commons.math.fraction.BigFraction bigFraction24 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction25 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor26 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction25);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor27 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction25);
    org.apache.commons.math.fraction.BigFraction bigFraction28 = bigFraction24.subtract(bigFraction25);
    org.apache.commons.math.fraction.BigFraction bigFraction29 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger30 = bigFraction29.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction31 = bigFraction25.subtract(bigInteger30);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction33 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor34 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction33);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor35 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction33);
    org.apache.commons.math.fraction.BigFraction bigFraction36 = bigFraction32.subtract(bigFraction33);
    org.apache.commons.math.fraction.BigFraction bigFraction37 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger38 = bigFraction37.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction39 = bigFraction33.subtract(bigInteger38);
    org.apache.commons.math.fraction.BigFraction bigFraction40 = bigFraction31.pow(bigInteger38);
    org.apache.commons.math.FieldElement[] fieldElement_array41 = new org.apache.commons.math.FieldElement[] { bigFraction40 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix42 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array41);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array43 = new org.apache.commons.math.FieldElement[][] { fieldElement_array41 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix44 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array43);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix46 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array43, false);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix47 = array2DRowFieldMatrix19.subtract((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix46);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix48 = org.apache.commons.math.linear.MatrixUtils.bigFractionMatrixToRealMatrix((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix46);
    double[] d_array50 = array2DRowRealMatrix48.getColumn(0);
    double[] d_array56 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException57 = new org.apache.commons.math.FunctionEvaluationException(d_array56);
    double[] d_array58 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator59 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array56, d_array58);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix60 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array56);
    double[] d_array62 = array2DRowRealMatrix60.getRow(1);
    boolean b63 = array2DRowRealMatrix60.isSquare();
    org.apache.commons.math.linear.RealMatrix realMatrix65 = array2DRowRealMatrix60.scalarMultiply(0.0d);
    org.apache.commons.math.linear.RealVector realVector67 = array2DRowRealMatrix60.getRowVector(1);
    double[] d_array73 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException(d_array73);
    double[] d_array75 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator76 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array73, d_array75);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix77 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array73);
    double[] d_array79 = array2DRowRealMatrix77.getRow(1);
    org.apache.commons.math.linear.RealMatrix realMatrix80 = array2DRowRealMatrix60.subtract((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix77);
    nordsieckStepInterpolator0.reinitialize(1.7320508075688772d, 0.9d, d_array50, array2DRowRealMatrix60);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array82 = nordsieckStepInterpolator0.getInterpolatedDerivatives();
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str20.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix80);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test285"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor5 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction4);
    long long6 = bigFraction4.getDenominatorAsLong();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger8 = bigFraction7.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction10 = bigFraction7.multiply(0);
    java.math.BigInteger bigInteger11 = bigFraction10.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction4.add(bigInteger11);
    byte byte13 = bigInteger11.byteValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte13 == (byte)1);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test286"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double[] d_array25 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector26 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix28 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array27);
    double[] d_array30 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector31 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix33 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array32);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix34 = blockRealMatrix28.multiply(blockRealMatrix33);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = blockRealMatrix23.subtract(blockRealMatrix28);
    int i36 = blockRealMatrix35.getColumnDimension();
    boolean b37 = blockRealMatrix35.isSquare();
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor38 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d43 = blockRealMatrix35.walkInOptimizedOrder(realMatrixPreservingVisitor38, 0, 3, 52, 52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == true);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test287"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, true);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array23 = org.apache.commons.math.linear.BlockFieldMatrix.<org.apache.commons.math.FieldElement>toBlocksLayout(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix24 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array23);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix25 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array23);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement[] fieldElement_array27 = blockFieldMatrix25.getRow((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array23);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test288"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor5 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction4);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = bigFraction4.negate();
    int i7 = bigFraction4.getDenominatorAsInt();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor9 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction8);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger15 = bigFraction14.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction16 = new org.apache.commons.math.fraction.BigFraction(bigInteger15);
    org.apache.commons.math.FieldElement fieldElement17 = defaultFieldMatrixChangingVisitor9.visit(100, (-1), (org.apache.commons.math.FieldElement)bigFraction16);
    java.math.BigDecimal bigDecimal20 = bigFraction16.bigDecimalValue(8, 0);
    org.apache.commons.math.fraction.BigFraction bigFraction22 = bigFraction16.pow(0L);
    int i23 = bigFraction4.compareTo(bigFraction22);
    org.apache.commons.math.fraction.BigFractionField bigFractionField24 = bigFraction22.getField();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix26 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldIdentityMatrix((org.apache.commons.math.Field)bigFractionField24, 100);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array29 = org.apache.commons.math.linear.BlockFieldMatrix.<org.apache.commons.math.FieldElement>createBlocksLayout((org.apache.commons.math.Field)bigFractionField24, 52, 10);
    org.apache.commons.math.fraction.BigFraction bigFraction30 = bigFractionField24.getOne();
    org.apache.commons.math.fraction.BigFraction bigFraction31 = bigFractionField24.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFractionField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test289"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (-1.0d) };
    java.lang.NullPointerException nullPointerException8 = org.apache.commons.math.MathRuntimeException.createNullPointerException("", obj_array7);
    java.util.ConcurrentModificationException concurrentModificationException9 = org.apache.commons.math.MathRuntimeException.createConcurrentModificationException("hi!", obj_array7);
    org.apache.commons.math.linear.MatrixIndexException matrixIndexException10 = new org.apache.commons.math.linear.MatrixIndexException("hi!", obj_array7);
    java.lang.ArithmeticException arithmeticException11 = org.apache.commons.math.MathRuntimeException.createArithmeticException("org.apache.commons.math.FunctionEvaluationException: evaluation failed for argument = 10", obj_array7);
    java.text.ParseException parseException12 = org.apache.commons.math.MathRuntimeException.createParseException(0, "Maximal number of evaluations ({0}) exceeded", obj_array7);
    org.apache.commons.math.ode.DerivativeException derivativeException13 = new org.apache.commons.math.ode.DerivativeException((java.lang.Throwable)parseException12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(nullPointerException8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(concurrentModificationException9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arithmeticException11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(parseException12);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test290"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setRelativeAccuracy(0.2d);
    brentSolver0.resetRelativeAccuracy();
    double d4 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setFunctionValueAccuracy(1.0E-15d);
    int i7 = brentSolver0.getMaximalIterationCount();
    int i8 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 100);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test291"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.FieldElement fieldElement21 = array2DRowFieldMatrix20.getTrace();
    org.apache.commons.math.linear.FieldLUDecompositionImpl fieldLUDecompositionImpl22 = new org.apache.commons.math.linear.FieldLUDecompositionImpl((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix20);
    org.apache.commons.math.FieldElement fieldElement23 = fieldLUDecompositionImpl22.getDeterminant();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix24 = fieldLUDecompositionImpl22.getL();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix25 = fieldLUDecompositionImpl22.getL();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldMatrix25);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test292"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(100.0d, 0.0d, 100.0d, (-1.0d));
    dormandPrince853Integrator4.setMaxEvaluations(10);
    java.util.Collection collection7 = dormandPrince853Integrator4.getStepHandlers();
    dormandPrince853Integrator4.setMinReduction(0.0d);
    dormandPrince853Integrator4.setSafety(1.0E-14d);
    dormandPrince853Integrator4.clearEventHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection7);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test293"); }


    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = bigFraction1.subtract(bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger7 = bigFraction6.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction2.subtract(bigInteger7);
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction10 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = bigFraction9.subtract(bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger15 = bigFraction14.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction10.subtract(bigInteger15);
    org.apache.commons.math.fraction.BigFraction bigFraction17 = bigFraction8.pow(bigInteger15);
    org.apache.commons.math.FieldElement[] fieldElement_array18 = new org.apache.commons.math.FieldElement[] { bigFraction17 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix19 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array18);
    org.apache.commons.math.ode.DerivativeException derivativeException20 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.IntegratorException: hi!", (java.lang.Object[])fieldElement_array18);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array21 = new org.apache.commons.math.FieldElement[][] { fieldElement_array18 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix23 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array21, false);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix24 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array21);
    org.apache.commons.math.fraction.BigFraction bigFraction25 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor26 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction25);
    org.apache.commons.math.FieldElement fieldElement27 = defaultFieldMatrixChangingVisitor26.end();
    org.apache.commons.math.FieldElement fieldElement28 = defaultFieldMatrixChangingVisitor26.end();
    org.apache.commons.math.FieldElement fieldElement29 = blockFieldMatrix24.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor26);
    org.apache.commons.math.fraction.BigFraction bigFraction30 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction31 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor32 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction31);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor33 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction31);
    org.apache.commons.math.fraction.BigFraction bigFraction34 = bigFraction30.subtract(bigFraction31);
    org.apache.commons.math.fraction.BigFraction bigFraction35 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger36 = bigFraction35.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction37 = bigFraction31.subtract(bigInteger36);
    org.apache.commons.math.fraction.BigFraction bigFraction38 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction39 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor40 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction39);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor41 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction39);
    org.apache.commons.math.fraction.BigFraction bigFraction42 = bigFraction38.subtract(bigFraction39);
    org.apache.commons.math.fraction.BigFraction bigFraction43 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger44 = bigFraction43.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction45 = bigFraction39.subtract(bigInteger44);
    org.apache.commons.math.fraction.BigFraction bigFraction46 = bigFraction37.pow(bigInteger44);
    org.apache.commons.math.FieldElement[] fieldElement_array47 = new org.apache.commons.math.FieldElement[] { bigFraction46 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix48 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array47);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array49 = new org.apache.commons.math.FieldElement[][] { fieldElement_array47 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix50 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array49);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix52 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array49, true);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix53 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array49);
    org.apache.commons.math.fraction.BigFraction bigFraction54 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor55 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction54);
    org.apache.commons.math.FieldElement fieldElement56 = blockFieldMatrix53.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor55);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix57 = blockFieldMatrix24.subtract((org.apache.commons.math.linear.FieldMatrix)blockFieldMatrix53);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix58 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix59 = blockFieldMatrix53.add(blockFieldMatrix58);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix57);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test294"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix12 = blockRealMatrix4.getColumnMatrix(0);
    double[] d_array14 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector15 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array14);
    double[][] d_array_array16 = new double[][] { d_array14 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix17 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array16);
    double[] d_array19 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector20 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix17.multiply(blockRealMatrix22);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix17.getColumnMatrix(0);
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
    double[][] d_array_array29 = new double[][] { d_array27 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array29);
    double[] d_array32 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array34);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = blockRealMatrix30.multiply(blockRealMatrix35);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = blockRealMatrix35.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix25.add(blockRealMatrix37);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix39 = blockRealMatrix12.subtract(blockRealMatrix25);
    double[] d_array41 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector42 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix44 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array43);
    double[] d_array46 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector47 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array46);
    double[][] d_array_array48 = new double[][] { d_array46 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix49 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array48);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix44.multiply(blockRealMatrix49);
    double[] d_array52 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector53 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array52);
    double[][] d_array_array54 = new double[][] { d_array52 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix55 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array54);
    double[] d_array57 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector58 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array57);
    double[][] d_array_array59 = new double[][] { d_array57 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix60 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array59);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix61 = blockRealMatrix55.multiply(blockRealMatrix60);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix62 = blockRealMatrix60.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix63 = blockRealMatrix44.add(blockRealMatrix62);
    double d64 = blockRealMatrix44.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix65 = blockRealMatrix44.transpose();
    double[] d_array67 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector68 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array67);
    double[][] d_array_array69 = new double[][] { d_array67 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix70 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array69);
    double[] d_array72 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector73 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array72);
    double[][] d_array_array74 = new double[][] { d_array72 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix75 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array74);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix76 = blockRealMatrix70.multiply(blockRealMatrix75);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix77 = blockRealMatrix75.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix78 = blockRealMatrix65.subtract(blockRealMatrix75);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix79 = blockRealMatrix39.add(blockRealMatrix75);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix75.addToEntry(36, 0, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix79);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test295"); }


    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = bigFraction1.subtract(bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger7 = bigFraction6.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction2.subtract(bigInteger7);
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction10 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = bigFraction9.subtract(bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger15 = bigFraction14.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction10.subtract(bigInteger15);
    org.apache.commons.math.fraction.BigFraction bigFraction17 = bigFraction8.pow(bigInteger15);
    org.apache.commons.math.FieldElement[] fieldElement_array18 = new org.apache.commons.math.FieldElement[] { bigFraction17 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix19 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array18);
    org.apache.commons.math.ode.DerivativeException derivativeException20 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.IntegratorException: hi!", (java.lang.Object[])fieldElement_array18);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array21 = new org.apache.commons.math.FieldElement[][] { fieldElement_array18 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix23 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array21, false);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix24 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array21);
    org.apache.commons.math.fraction.BigFraction bigFraction25 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor26 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction25);
    org.apache.commons.math.FieldElement fieldElement27 = defaultFieldMatrixChangingVisitor26.end();
    org.apache.commons.math.FieldElement fieldElement28 = defaultFieldMatrixChangingVisitor26.end();
    org.apache.commons.math.FieldElement fieldElement29 = blockFieldMatrix24.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor26);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger33 = bigFraction32.getDenominator();
    long long34 = bigFraction32.getNumeratorAsLong();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor35 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction32);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix36 = blockFieldMatrix24.scalarMultiply((org.apache.commons.math.FieldElement)bigFraction32);
    int i37 = blockFieldMatrix24.getColumnDimension();
    org.apache.commons.math.fraction.BigFraction bigFraction38 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger39 = bigFraction38.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction41 = bigFraction38.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array42 = new org.apache.commons.math.FieldElement[] { bigFraction38 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix43 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array42);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix44 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array42);
    java.lang.String str45 = array2DRowFieldMatrix44.toString();
    org.apache.commons.math.Field field46 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix47 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field46);
    org.apache.commons.math.fraction.BigFraction bigFraction48 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor49 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction48);
    org.apache.commons.math.FieldElement fieldElement50 = array2DRowFieldMatrix47.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor49);
    org.apache.commons.math.Field field51 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix52 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field51);
    org.apache.commons.math.fraction.BigFraction bigFraction53 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor54 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction53);
    org.apache.commons.math.FieldElement fieldElement55 = array2DRowFieldMatrix52.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor54);
    int i56 = array2DRowFieldMatrix52.getRowDimension();
    org.apache.commons.math.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math.linear.AnyMatrix)array2DRowFieldMatrix47, (org.apache.commons.math.linear.AnyMatrix)array2DRowFieldMatrix52);
    org.apache.commons.math.fraction.BigFraction bigFraction58 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor59 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction58);
    defaultFieldMatrixPreservingVisitor59.start(10, 0, (-1), 0, 1, 1);
    org.apache.commons.math.FieldElement fieldElement67 = defaultFieldMatrixPreservingVisitor59.end();
    org.apache.commons.math.FieldElement fieldElement68 = array2DRowFieldMatrix52.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor59);
    org.apache.commons.math.FieldElement fieldElement69 = array2DRowFieldMatrix44.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor59);
    defaultFieldMatrixPreservingVisitor59.start(100, 1, 100, 10, 1, 0);
    defaultFieldMatrixPreservingVisitor59.start(10, 100, 0, (-1), 100, 8);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement88 = blockFieldMatrix24.walkInOptimizedOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor59, 36, 1, 0, 3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long34 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str45.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement69);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test296"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix19 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldDiagonalMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array20 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix21 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldMatrix(fieldElement_array_array20);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array22 = org.apache.commons.math.linear.BlockFieldMatrix.<org.apache.commons.math.FieldElement>toBlocksLayout(fieldElement_array_array20);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix24 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array20, true);
    org.apache.commons.math.fraction.BigFraction bigFraction25 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger26 = bigFraction25.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction28 = bigFraction25.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array29 = new org.apache.commons.math.FieldElement[] { bigFraction25 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix30 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array29);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix31 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array29);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger33 = bigFraction32.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction35 = bigFraction32.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array36 = new org.apache.commons.math.FieldElement[] { bigFraction32 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix37 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array36);
    org.apache.commons.math.fraction.BigFraction bigFraction38 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor39 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction38);
    org.apache.commons.math.FieldElement fieldElement40 = defaultFieldMatrixChangingVisitor39.end();
    org.apache.commons.math.FieldElement fieldElement41 = array2DRowFieldMatrix37.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor39);
    org.apache.commons.math.FieldElement fieldElement42 = array2DRowFieldMatrix37.getTrace();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix43 = array2DRowFieldMatrix37.copy();
    org.apache.commons.math.Field field44 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix45 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field44);
    org.apache.commons.math.fraction.BigFraction bigFraction46 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor47 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction46);
    org.apache.commons.math.FieldElement fieldElement48 = array2DRowFieldMatrix45.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor47);
    int i49 = array2DRowFieldMatrix45.getRowDimension();
    org.apache.commons.math.fraction.BigFraction bigFraction50 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor51 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction50);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor52 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction50);
    org.apache.commons.math.FieldElement fieldElement53 = array2DRowFieldMatrix45.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor52);
    org.apache.commons.math.FieldElement fieldElement54 = array2DRowFieldMatrix37.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor52);
    org.apache.commons.math.FieldElement fieldElement55 = array2DRowFieldMatrix31.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor52);
    org.apache.commons.math.FieldElement fieldElement56 = array2DRowFieldMatrix24.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement56);

  }

  @Test
  public void test297() {}
// Defects4J: flaky method
//   @Test
//   public void test297() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test297"); }
// 
// 
//     org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
//     java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
//     org.apache.commons.math.fraction.BigFraction bigFraction3 = bigFraction0.multiply(0);
//     org.apache.commons.math.FieldElement[] fieldElement_array4 = new org.apache.commons.math.FieldElement[] { bigFraction0 };
//     org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
//     org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix6 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
//     java.lang.String str7 = array2DRowFieldMatrix6.toString();
//     org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
//     org.apache.commons.math.linear.FieldMatrix fieldMatrix9 = array2DRowFieldMatrix6.scalarAdd((org.apache.commons.math.FieldElement)bigFraction8);
//     int i10 = array2DRowFieldMatrix6.getColumnDimension();
//     int i11 = array2DRowFieldMatrix6.getColumnDimension();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.FieldMatrix fieldMatrix14 = array2DRowFieldMatrix6.createMatrix(3, 0);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigInteger1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement_array4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str7.equals("Array2DRowFieldMatrix{{1}}"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldMatrix9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 1);
// 
//   }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test298"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction3 = bigFraction0.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array4 = new org.apache.commons.math.FieldElement[] { bigFraction0 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix6 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    java.lang.String str7 = array2DRowFieldMatrix6.toString();
    org.apache.commons.math.Field field8 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix9 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field8);
    org.apache.commons.math.fraction.BigFraction bigFraction10 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.FieldElement fieldElement12 = array2DRowFieldMatrix9.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor11);
    org.apache.commons.math.Field field13 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix14 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field13);
    org.apache.commons.math.fraction.BigFraction bigFraction15 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor16 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction15);
    org.apache.commons.math.FieldElement fieldElement17 = array2DRowFieldMatrix14.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor16);
    int i18 = array2DRowFieldMatrix14.getRowDimension();
    org.apache.commons.math.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math.linear.AnyMatrix)array2DRowFieldMatrix9, (org.apache.commons.math.linear.AnyMatrix)array2DRowFieldMatrix14);
    org.apache.commons.math.fraction.BigFraction bigFraction20 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor21 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction20);
    defaultFieldMatrixPreservingVisitor21.start(10, 0, (-1), 0, 1, 1);
    org.apache.commons.math.FieldElement fieldElement29 = defaultFieldMatrixPreservingVisitor21.end();
    org.apache.commons.math.FieldElement fieldElement30 = array2DRowFieldMatrix14.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor21);
    org.apache.commons.math.FieldElement fieldElement31 = array2DRowFieldMatrix6.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor21);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array32 = array2DRowFieldMatrix6.getDataRef();
    org.apache.commons.math.fraction.BigFraction bigFraction33 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor34 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction33);
    defaultFieldMatrixPreservingVisitor34.start(10, 0, (-1), 0, 1, 1);
    org.apache.commons.math.FieldElement fieldElement42 = defaultFieldMatrixPreservingVisitor34.end();
    org.apache.commons.math.FieldElement fieldElement43 = defaultFieldMatrixPreservingVisitor34.end();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement48 = array2DRowFieldMatrix6.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor34, 52, 52, 8, 52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str7.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement43);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test299"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix9.transpose();
    double d12 = blockRealMatrix11.getNorm();
    boolean b13 = blockRealMatrix11.isSquare();
    org.apache.commons.math.linear.RealMatrix realMatrix14 = blockRealMatrix11.inverse();
    double[] d_array21 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array21);
    double[] d_array23 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator24 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array21, d_array23);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array21);
    double[] d_array27 = array2DRowRealMatrix25.getRow(1);
    org.apache.commons.math.linear.RealMatrix realMatrix28 = org.apache.commons.math.linear.MatrixUtils.createColumnRealMatrix(d_array27);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix11.setColumn(3, d_array27);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix28);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test300"); }


    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = bigFraction1.subtract(bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger7 = bigFraction6.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction2.subtract(bigInteger7);
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction10 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = bigFraction9.subtract(bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger15 = bigFraction14.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction10.subtract(bigInteger15);
    org.apache.commons.math.fraction.BigFraction bigFraction17 = bigFraction8.pow(bigInteger15);
    org.apache.commons.math.FieldElement[] fieldElement_array18 = new org.apache.commons.math.FieldElement[] { bigFraction17 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix19 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array18);
    org.apache.commons.math.ode.DerivativeException derivativeException20 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.IntegratorException: hi!", (java.lang.Object[])fieldElement_array18);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array21 = new org.apache.commons.math.FieldElement[][] { fieldElement_array18 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix23 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array21, false);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix24 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array21);
    org.apache.commons.math.fraction.BigFraction bigFraction25 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor26 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction25);
    org.apache.commons.math.FieldElement fieldElement27 = defaultFieldMatrixChangingVisitor26.end();
    org.apache.commons.math.FieldElement fieldElement28 = defaultFieldMatrixChangingVisitor26.end();
    org.apache.commons.math.FieldElement fieldElement29 = blockFieldMatrix24.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor26);
    org.apache.commons.math.fraction.BigFraction bigFraction30 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger31 = bigFraction30.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction32 = bigFraction30.reduce();
    long long33 = bigFraction30.getDenominatorAsLong();
    org.apache.commons.math.fraction.BigFraction bigFraction34 = org.apache.commons.math.fraction.BigFraction.ONE_FIFTH;
    long long35 = bigFraction34.getNumeratorAsLong();
    org.apache.commons.math.fraction.BigFraction bigFraction36 = bigFraction30.subtract(bigFraction34);
    org.apache.commons.math.fraction.BigFraction bigFraction38 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction39 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor40 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction39);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor41 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction39);
    org.apache.commons.math.fraction.BigFraction bigFraction42 = bigFraction38.subtract(bigFraction39);
    org.apache.commons.math.fraction.BigFraction bigFraction43 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger44 = bigFraction43.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction45 = bigFraction39.subtract(bigInteger44);
    org.apache.commons.math.fraction.BigFraction bigFraction46 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction47 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor48 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction47);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor49 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction47);
    org.apache.commons.math.fraction.BigFraction bigFraction50 = bigFraction46.subtract(bigFraction47);
    org.apache.commons.math.fraction.BigFraction bigFraction51 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger52 = bigFraction51.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction53 = bigFraction47.subtract(bigInteger52);
    org.apache.commons.math.fraction.BigFraction bigFraction54 = bigFraction45.pow(bigInteger52);
    org.apache.commons.math.FieldElement[] fieldElement_array55 = new org.apache.commons.math.FieldElement[] { bigFraction54 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix56 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array55);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array57 = new org.apache.commons.math.FieldElement[][] { fieldElement_array55 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix58 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array57);
    org.apache.commons.math.fraction.BigFraction bigFraction59 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction60 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor61 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction60);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor62 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction60);
    org.apache.commons.math.fraction.BigFraction bigFraction63 = bigFraction59.subtract(bigFraction60);
    double d64 = bigFraction60.doubleValue();
    byte byte65 = bigFraction60.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction66 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction67 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor68 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction67);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor69 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction67);
    org.apache.commons.math.fraction.BigFraction bigFraction70 = bigFraction66.subtract(bigFraction67);
    double d71 = bigFraction67.doubleValue();
    byte byte72 = bigFraction67.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction74 = bigFraction67.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction76 = bigFraction67.add(100);
    org.apache.commons.math.fraction.BigFraction bigFraction77 = bigFraction60.divide(bigFraction76);
    org.apache.commons.math.FieldElement[] fieldElement_array78 = new org.apache.commons.math.FieldElement[] { bigFraction77 };
    org.apache.commons.math.FieldElement[] fieldElement_array79 = array2DRowFieldMatrix58.preMultiply(fieldElement_array78);
    java.lang.IllegalStateException illegalStateException80 = org.apache.commons.math.MathRuntimeException.createIllegalStateException("org.apache.commons.math.ode.IntegratorException: hi!", (java.lang.Object[])fieldElement_array78);
    boolean b81 = bigFraction36.equals((java.lang.Object)fieldElement_array78);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix82 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldDiagonalMatrix(fieldElement_array78);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix83 = blockFieldMatrix24.preMultiply(fieldMatrix82);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix84 = blockFieldMatrix24.transpose();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long33 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long35 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte65 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte72 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(illegalStateException80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix84);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test301"); }


    double[] d_array8 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array8, d_array10);
    double[] d_array15 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix16 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array15);
    org.apache.commons.math.linear.RealMatrix realMatrix17 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array15);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator18 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 10.0d, 10.0d, d_array8, d_array15);
    double d19 = adamsMoultonIntegrator18.getMinReduction();
    double d20 = adamsMoultonIntegrator18.getMaxGrowth();
    double[] d_array26 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(d_array26);
    double[] d_array28 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator29 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array26, d_array28);
    double[] d_array38 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array38);
    double[] d_array40 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator41 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array38, d_array40);
    double[] d_array45 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix46 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array45);
    org.apache.commons.math.linear.RealMatrix realMatrix47 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array45);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator48 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 10.0d, 10.0d, d_array38, d_array45);
    double[] d_array54 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException(d_array54);
    double[] d_array56 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator57 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array54, d_array56);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix58 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array54);
    double[] d_array64 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(d_array64);
    double[] d_array66 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator67 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array64, d_array66);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix68 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array64);
    org.apache.commons.math.linear.RealMatrix realMatrix70 = array2DRowRealMatrix68.scalarAdd(0.0d);
    org.apache.commons.math.linear.RealMatrix realMatrix71 = array2DRowRealMatrix68.copy();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix72 = array2DRowRealMatrix58.add(array2DRowRealMatrix68);
    adamsMoultonIntegrator18.updateHighOrderDerivativesPhase2(d_array26, d_array38, array2DRowRealMatrix72);
    org.apache.commons.math.linear.RealMatrix realMatrix74 = org.apache.commons.math.linear.MatrixUtils.createColumnRealMatrix(d_array26);
    org.apache.commons.math.linear.BigMatrix bigMatrix75 = org.apache.commons.math.linear.MatrixUtils.createColumnBigMatrix(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0650410894399627d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix75);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test302"); }


    double[] d_array6 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    double[] d_array11 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "Maximal number of evaluations ({0}) exceeded", obj_array14);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator16 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array6, d_array11);
    org.apache.commons.math.ode.ODEIntegrator oDEIntegrator17 = adamsMoultonIntegrator16.getStarterIntegrator();
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator22 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(100.0d, 0.0d, 100.0d, (-1.0d));
    dormandPrince853Integrator22.setMaxEvaluations(10);
    java.util.Collection collection25 = dormandPrince853Integrator22.getStepHandlers();
    java.util.Collection collection26 = dormandPrince853Integrator22.getStepHandlers();
    dormandPrince853Integrator22.setMinReduction(Double.NaN);
    dormandPrince853Integrator22.clearStepHandlers();
    double d30 = dormandPrince853Integrator22.getCurrentSignedStepsize();
    dormandPrince853Integrator22.setMaxEvaluations(0);
    adamsMoultonIntegrator16.setStarterIntegrator((org.apache.commons.math.ode.FirstOrderIntegrator)dormandPrince853Integrator22);
    adamsMoultonIntegrator16.clearEventHandlers();
    adamsMoultonIntegrator16.setMaxEvaluations(0);
    double d37 = adamsMoultonIntegrator16.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oDEIntegrator17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.4142135623730951d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test303"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, true);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix23 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.Field field24 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix25 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field24);
    org.apache.commons.math.fraction.BigFraction bigFraction26 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger27 = bigFraction26.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction28 = bigFraction26.reduce();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor29 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction26);
    org.apache.commons.math.FieldElement fieldElement30 = array2DRowFieldMatrix25.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor29);
    org.apache.commons.math.FieldElement[] fieldElement_array31 = new org.apache.commons.math.FieldElement[] { fieldElement30 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix32 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array31);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix33 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array31);
    org.apache.commons.math.FieldElement[] fieldElement_array34 = blockFieldMatrix23.operate(fieldElement_array31);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix36 = blockFieldMatrix23.getColumnMatrix(0);
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException();
    double[] d_array46 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException47 = new org.apache.commons.math.FunctionEvaluationException(d_array46);
    double[] d_array51 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException52 = new org.apache.commons.math.FunctionEvaluationException(d_array51);
    java.lang.Object[] obj_array54 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException(d_array51, "Maximal number of evaluations ({0}) exceeded", obj_array54);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator56 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array46, d_array51);
    double[] d_array63 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(d_array63);
    double[] d_array68 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException(d_array68);
    java.lang.Object[] obj_array71 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException(d_array68, "Maximal number of evaluations ({0}) exceeded", obj_array71);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator73 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array63, d_array68);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator74 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9d, 1.0d, d_array46, d_array63);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException75 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException37, d_array63);
    boolean b76 = blockFieldMatrix23.equals((java.lang.Object)d_array63);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement[] fieldElement_array78 = blockFieldMatrix23.getRow(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);

  }

  @Test
  public void test304() {}
// Defects4J: flaky method
//   @Test
//   public void test304() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test304"); }
// 
// 
//     double[] d_array5 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
//     double[] d_array7 = new double[] {  };
//     org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator8 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array5, d_array7);
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array5);
//     org.apache.commons.math.linear.RealMatrix realMatrix11 = array2DRowRealMatrix9.scalarAdd(0.0d);
//     double[][] d_array_array12 = array2DRowRealMatrix9.getData();
//     int i13 = array2DRowRealMatrix9.getColumnDimension();
//     boolean b14 = array2DRowRealMatrix9.isSquare();
//     double[] d_array16 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
//     double[][] d_array_array18 = new double[][] { d_array16 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix19 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array18);
//     double[] d_array21 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector22 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array21);
//     double[][] d_array_array23 = new double[][] { d_array21 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix24 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array23);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix19.multiply(blockRealMatrix24);
//     double[] d_array27 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
//     double[][] d_array_array29 = new double[][] { d_array27 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array29);
//     double[] d_array32 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array32);
//     double[][] d_array_array34 = new double[][] { d_array32 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array34);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = blockRealMatrix30.multiply(blockRealMatrix35);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = blockRealMatrix35.copy();
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix19.add(blockRealMatrix37);
//     double d39 = blockRealMatrix19.getFrobeniusNorm();
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix40 = blockRealMatrix19.transpose();
//     org.apache.commons.math.linear.RealMatrix realMatrix42 = blockRealMatrix19.scalarMultiply(1.7320508075688772d);
//     double[] d_array44 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector45 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array44);
//     double[][] d_array_array46 = new double[][] { d_array44 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix47 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array46);
//     double[] d_array49 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector50 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array49);
//     double[][] d_array_array51 = new double[][] { d_array49 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix52 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array51);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix53 = blockRealMatrix47.multiply(blockRealMatrix52);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix55 = blockRealMatrix47.getColumnMatrix(0);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix56 = blockRealMatrix19.multiply(blockRealMatrix55);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.RealMatrix realMatrix57 = array2DRowRealMatrix9.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix19);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realMatrix11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b14 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d39 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realMatrix42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix56);
// 
//   }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test305"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix9.transpose();
    double d12 = blockRealMatrix11.getNorm();
    double d13 = blockRealMatrix11.getNorm();
    boolean b14 = blockRealMatrix11.isSquare();
    double d15 = blockRealMatrix11.getFrobeniusNorm();
    java.lang.String str16 = blockRealMatrix11.toString();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix11.addToEntry(100, 100, (-1000.0d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "BlockRealMatrix{{1.0}}"+ "'", str16.equals("BlockRealMatrix{{1.0}}"));

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test306"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, Double.NaN, 1);
    int i5 = eventState4.getMaxIterationCount();
    double d6 = eventState4.getConvergence();
    boolean b7 = eventState4.stop();
    double d8 = eventState4.getEventTime();
    double d9 = eventState4.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);

  }

  @Test
  public void test307() {}
// Defects4J: flaky method
//   @Test
//   public void test307() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test307"); }
// 
// 
//     double[] d_array1 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
//     double[][] d_array_array3 = new double[][] { d_array1 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
//     double[] d_array6 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
//     double[][] d_array_array8 = new double[][] { d_array6 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
//     double[] d_array12 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
//     double[][] d_array_array14 = new double[][] { d_array12 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
//     double[] d_array17 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
//     double[][] d_array_array19 = new double[][] { d_array17 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
//     double[] d_array25 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector26 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array25);
//     double[][] d_array_array27 = new double[][] { d_array25 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix28 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array27);
//     double[] d_array30 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector31 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array30);
//     double[][] d_array_array32 = new double[][] { d_array30 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix33 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array32);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix34 = blockRealMatrix28.multiply(blockRealMatrix33);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = blockRealMatrix23.subtract(blockRealMatrix28);
//     double[] d_array37 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector38 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array37);
//     double[][] d_array_array39 = new double[][] { d_array37 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array39);
//     double[] d_array42 = new double[] { 1.0d };
//     org.apache.commons.math.linear.RealVector realVector43 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array42);
//     double[][] d_array_array44 = new double[][] { d_array42 };
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array44);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix46 = blockRealMatrix40.multiply(blockRealMatrix45);
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix47 = blockRealMatrix40.transpose();
//     org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix48 = blockRealMatrix28.subtract(blockRealMatrix40);
//     double[] d_array54 = new double[] { 1.0d, 0.0d, 100.0d };
//     org.apache.commons.math.linear.RealVector realVector55 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array54);
//     org.apache.commons.math.linear.RealMatrix realMatrix56 = org.apache.commons.math.linear.MatrixUtils.createColumnRealMatrix(d_array54);
//     double[][] d_array_array60 = org.apache.commons.math.linear.BlockRealMatrix.createBlocksLayout(100, 100);
//     org.apache.commons.math.ode.DerivativeException derivativeException61 = new org.apache.commons.math.ode.DerivativeException("", (java.lang.Object[])d_array_array60);
//     double[] d_array65 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException66 = new org.apache.commons.math.FunctionEvaluationException(d_array65);
//     java.lang.Object[] obj_array68 = null;
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException69 = new org.apache.commons.math.FunctionEvaluationException(d_array65, "Maximal number of evaluations ({0}) exceeded", obj_array68);
//     org.apache.commons.math.fraction.FractionConversionException fractionConversionException73 = new org.apache.commons.math.fraction.FractionConversionException(100.0d, (-1));
//     java.lang.Object[] obj_array79 = new java.lang.Object[] { (-1.0d) };
//     java.lang.NullPointerException nullPointerException80 = org.apache.commons.math.MathRuntimeException.createNullPointerException("", obj_array79);
//     java.util.ConcurrentModificationException concurrentModificationException81 = org.apache.commons.math.MathRuntimeException.createConcurrentModificationException("hi!", obj_array79);
//     org.apache.commons.math.linear.MatrixIndexException matrixIndexException82 = new org.apache.commons.math.linear.MatrixIndexException("hi!", obj_array79);
//     java.lang.Object[] obj_array83 = matrixIndexException82.getArguments();
//     org.apache.commons.math.MathRuntimeException mathRuntimeException84 = new org.apache.commons.math.MathRuntimeException((java.lang.Throwable)fractionConversionException73, "hi!", obj_array83);
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException85 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException61, d_array65, "Array2DRowFieldMatrix{{1}}", obj_array83);
//     java.lang.Object[] obj_array87 = null;
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException88 = new org.apache.commons.math.FunctionEvaluationException(d_array65, "Maximal number of evaluations ({0}) exceeded", obj_array87);
//     org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator89 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(10.0d, Double.NaN, d_array54, d_array65);
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array90 = blockRealMatrix28.operate(d_array65);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(blockRealMatrix48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realMatrix56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(obj_array79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(nullPointerException80);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(concurrentModificationException81);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(obj_array83);
// 
//   }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test308"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction3 = bigFraction0.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array4 = new org.apache.commons.math.FieldElement[] { bigFraction0 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix6 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    java.lang.String str7 = array2DRowFieldMatrix6.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix9 = array2DRowFieldMatrix6.scalarAdd((org.apache.commons.math.FieldElement)bigFraction8);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array10 = array2DRowFieldMatrix6.getDataRef();
    org.apache.commons.math.fraction.BigFraction bigFraction11 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction12 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor13 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction12);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor14 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction12);
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction11.subtract(bigFraction12);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger17 = bigFraction16.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction18 = bigFraction12.subtract(bigInteger17);
    org.apache.commons.math.fraction.BigFraction bigFraction19 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction20 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor21 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction20);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor22 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction20);
    org.apache.commons.math.fraction.BigFraction bigFraction23 = bigFraction19.subtract(bigFraction20);
    org.apache.commons.math.fraction.BigFraction bigFraction24 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger25 = bigFraction24.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction26 = bigFraction20.subtract(bigInteger25);
    org.apache.commons.math.fraction.BigFraction bigFraction27 = bigFraction18.pow(bigInteger25);
    org.apache.commons.math.FieldElement[] fieldElement_array28 = new org.apache.commons.math.FieldElement[] { bigFraction27 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix29 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array28);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array30 = new org.apache.commons.math.FieldElement[][] { fieldElement_array28 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix31 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array30);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix33 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array30, false);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix34 = array2DRowFieldMatrix6.subtract((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix33);
    org.apache.commons.math.fraction.BigFraction bigFraction35 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger36 = bigFraction35.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction38 = bigFraction35.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array39 = new org.apache.commons.math.FieldElement[] { bigFraction35 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix40 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array39);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix41 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array39);
    java.lang.String str42 = array2DRowFieldMatrix41.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction43 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix44 = array2DRowFieldMatrix41.scalarAdd((org.apache.commons.math.FieldElement)bigFraction43);
    int i45 = array2DRowFieldMatrix41.getColumnDimension();
    org.apache.commons.math.fraction.BigFraction bigFraction46 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger47 = bigFraction46.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction49 = bigFraction46.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array50 = new org.apache.commons.math.FieldElement[] { bigFraction46 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix51 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array50);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix52 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array50);
    java.lang.String str53 = array2DRowFieldMatrix52.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction54 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix55 = array2DRowFieldMatrix52.scalarAdd((org.apache.commons.math.FieldElement)bigFraction54);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array56 = array2DRowFieldMatrix52.getDataRef();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix57 = array2DRowFieldMatrix41.add((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix52);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix58 = array2DRowFieldMatrix6.subtract((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix52);
    org.apache.commons.math.fraction.BigFraction bigFraction59 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction60 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor61 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction60);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor62 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction60);
    org.apache.commons.math.fraction.BigFraction bigFraction63 = bigFraction59.subtract(bigFraction60);
    org.apache.commons.math.fraction.BigFraction bigFraction64 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger65 = bigFraction64.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction66 = bigFraction60.subtract(bigInteger65);
    org.apache.commons.math.fraction.BigFraction bigFraction67 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction68 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor69 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction68);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor70 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction68);
    org.apache.commons.math.fraction.BigFraction bigFraction71 = bigFraction67.subtract(bigFraction68);
    org.apache.commons.math.fraction.BigFraction bigFraction72 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger73 = bigFraction72.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction74 = bigFraction68.subtract(bigInteger73);
    org.apache.commons.math.fraction.BigFraction bigFraction75 = bigFraction66.pow(bigInteger73);
    org.apache.commons.math.FieldElement[] fieldElement_array76 = new org.apache.commons.math.FieldElement[] { bigFraction75 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix77 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array76);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix78 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldDiagonalMatrix(fieldElement_array76);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array79 = new org.apache.commons.math.FieldElement[][] { fieldElement_array76 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix80 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldMatrix(fieldElement_array_array79);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array81 = org.apache.commons.math.linear.BlockFieldMatrix.<org.apache.commons.math.FieldElement>toBlocksLayout(fieldElement_array_array79);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix6.setSubMatrix(fieldElement_array_array81, 100, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str7.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str42.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str53.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array81);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test309"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix9.transpose();
    org.apache.commons.math.linear.RealMatrix realMatrix12 = blockRealMatrix9.transpose();
    double[] d_array14 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector15 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array14);
    double[][] d_array_array16 = new double[][] { d_array14 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix17 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array16);
    double[] d_array19 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector20 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix17.multiply(blockRealMatrix22);
    double[] d_array25 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector26 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix28 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array27);
    double[] d_array30 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector31 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix33 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array32);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix34 = blockRealMatrix28.multiply(blockRealMatrix33);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = blockRealMatrix33.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = blockRealMatrix17.add(blockRealMatrix35);
    double d37 = blockRealMatrix17.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix17.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix40 = blockRealMatrix38.scalarAdd(1.0E-6d);
    double d41 = blockRealMatrix40.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix42 = blockRealMatrix9.multiply(blockRealMatrix40);
    double[] d_array44 = blockRealMatrix9.getRow(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.000001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test310"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, true);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix23 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.Field field24 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix25 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field24);
    org.apache.commons.math.fraction.BigFraction bigFraction26 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger27 = bigFraction26.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction28 = bigFraction26.reduce();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor29 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction26);
    org.apache.commons.math.FieldElement fieldElement30 = array2DRowFieldMatrix25.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor29);
    org.apache.commons.math.FieldElement[] fieldElement_array31 = new org.apache.commons.math.FieldElement[] { fieldElement30 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix32 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array31);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix33 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array31);
    org.apache.commons.math.FieldElement[] fieldElement_array34 = blockFieldMatrix23.operate(fieldElement_array31);
    org.apache.commons.math.fraction.BigFraction bigFraction37 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger38 = bigFraction37.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction39 = bigFraction37.reduce();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor40 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction37);
    org.apache.commons.math.fraction.BigFraction bigFraction41 = org.apache.commons.math.fraction.BigFraction.TWO_THIRDS;
    org.apache.commons.math.fraction.BigFraction bigFraction42 = org.apache.commons.math.fraction.BigFraction.TWO_FIFTHS;
    org.apache.commons.math.fraction.BigFraction bigFraction43 = bigFraction41.subtract(bigFraction42);
    org.apache.commons.math.fraction.BigFraction bigFraction44 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor45 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction44);
    java.math.BigInteger bigInteger46 = bigFraction44.getNumerator();
    org.apache.commons.math.fraction.BigFraction bigFraction47 = bigFraction42.divide(bigInteger46);
    org.apache.commons.math.fraction.BigFraction bigFraction48 = bigFraction37.divide(bigInteger46);
    // The following exception was thrown during execution in test generation
    try {
      blockFieldMatrix23.setEntry(3, 36, (org.apache.commons.math.FieldElement)bigFraction37);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction48);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test311"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    double[][] d_array_array1 = array2DRowRealMatrix0.getDataRef();
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor2 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = array2DRowRealMatrix0.walkInRowOrder(realMatrixChangingVisitor2, (-100), 0, 0, 3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array_array1);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test312"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setRelativeAccuracy(0.2d);
    int i3 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test313"); }


    org.apache.commons.math.Field field1 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix2 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field1);
    org.apache.commons.math.fraction.BigFraction bigFraction3 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction3);
    org.apache.commons.math.FieldElement fieldElement5 = array2DRowFieldMatrix2.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor4);
    int i6 = array2DRowFieldMatrix2.getRowDimension();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor8 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction7);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor9 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction7);
    org.apache.commons.math.FieldElement fieldElement10 = array2DRowFieldMatrix2.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor9);
    int i11 = array2DRowFieldMatrix2.getRowDimension();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    double[][] d_array_array18 = org.apache.commons.math.linear.BlockRealMatrix.createBlocksLayout(100, 100);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException14, "", (java.lang.Object[])d_array_array18);
    java.lang.ArithmeticException arithmeticException20 = org.apache.commons.math.MathRuntimeException.createArithmeticException("", (java.lang.Object[])d_array_array18);
    boolean b21 = array2DRowFieldMatrix2.equals((java.lang.Object)d_array_array18);
    java.io.EOFException eOFException22 = org.apache.commons.math.MathRuntimeException.createEOFException("Overflow trying to convert {0} to fraction ({1}/{2})", (java.lang.Object[])d_array_array18);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException24 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)eOFException22, 0.2d);
    java.lang.RuntimeException runtimeException25 = org.apache.commons.math.MathRuntimeException.createInternalError((java.lang.Throwable)eOFException22);
    java.lang.String str26 = eOFException22.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arithmeticException20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(eOFException22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(runtimeException25);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test314"); }


    org.apache.commons.math.fraction.BigFraction bigFraction3 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction4 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor5 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction4);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor6 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction4);
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction3.subtract(bigFraction4);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger9 = bigFraction8.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction10 = bigFraction4.subtract(bigInteger9);
    org.apache.commons.math.fraction.BigFraction bigFraction11 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction12 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor13 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction12);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor14 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction12);
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction11.subtract(bigFraction12);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger17 = bigFraction16.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction18 = bigFraction12.subtract(bigInteger17);
    org.apache.commons.math.fraction.BigFraction bigFraction19 = bigFraction10.pow(bigInteger17);
    org.apache.commons.math.FieldElement[] fieldElement_array20 = new org.apache.commons.math.FieldElement[] { bigFraction19 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix21 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array20);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array22 = new org.apache.commons.math.FieldElement[][] { fieldElement_array20 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix23 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array22);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix25 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array22, true);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix26 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array22);
    org.apache.commons.math.Field field27 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix28 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field27);
    org.apache.commons.math.fraction.BigFraction bigFraction29 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger30 = bigFraction29.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction31 = bigFraction29.reduce();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor32 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.FieldElement fieldElement33 = array2DRowFieldMatrix28.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor32);
    org.apache.commons.math.FieldElement[] fieldElement_array34 = new org.apache.commons.math.FieldElement[] { fieldElement33 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix35 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array34);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix36 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array34);
    org.apache.commons.math.FieldElement[] fieldElement_array37 = blockFieldMatrix26.operate(fieldElement_array34);
    java.io.EOFException eOFException38 = org.apache.commons.math.MathRuntimeException.createEOFException("Array2DRowFieldMatrix{}", (java.lang.Object[])fieldElement_array37);
    org.apache.commons.math.MaxEvaluationsExceededException maxEvaluationsExceededException39 = new org.apache.commons.math.MaxEvaluationsExceededException(36, "org.apache.commons.math.ConvergenceException: Dormand-Prince 8 (5, 3)", (java.lang.Object[])fieldElement_array37);
    java.io.IOException iOException40 = org.apache.commons.math.MathRuntimeException.createIOException((java.lang.Throwable)maxEvaluationsExceededException39);
    java.io.IOException iOException41 = org.apache.commons.math.MathRuntimeException.createIOException((java.lang.Throwable)iOException40);
    java.lang.RuntimeException runtimeException42 = org.apache.commons.math.MathRuntimeException.createInternalError((java.lang.Throwable)iOException40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(eOFException38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iOException40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iOException41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(runtimeException42);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test315"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.fraction.BigFraction bigFraction21 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction22 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor23 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction22);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor24 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction22);
    org.apache.commons.math.fraction.BigFraction bigFraction25 = bigFraction21.subtract(bigFraction22);
    double d26 = bigFraction22.doubleValue();
    byte byte27 = bigFraction22.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction28 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction29 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor30 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor31 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = bigFraction28.subtract(bigFraction29);
    double d33 = bigFraction29.doubleValue();
    byte byte34 = bigFraction29.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction36 = bigFraction29.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction38 = bigFraction29.add(100);
    org.apache.commons.math.fraction.BigFraction bigFraction39 = bigFraction22.divide(bigFraction38);
    org.apache.commons.math.FieldElement[] fieldElement_array40 = new org.apache.commons.math.FieldElement[] { bigFraction39 };
    org.apache.commons.math.FieldElement[] fieldElement_array41 = array2DRowFieldMatrix20.preMultiply(fieldElement_array40);
    org.apache.commons.math.fraction.BigFraction bigFraction42 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger43 = bigFraction42.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction45 = bigFraction42.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array46 = new org.apache.commons.math.FieldElement[] { bigFraction42 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix47 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array46);
    org.apache.commons.math.fraction.BigFraction bigFraction48 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor49 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction48);
    org.apache.commons.math.FieldElement fieldElement50 = defaultFieldMatrixChangingVisitor49.end();
    org.apache.commons.math.FieldElement fieldElement51 = array2DRowFieldMatrix47.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor49);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix52 = array2DRowFieldMatrix20.multiply((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix47);
    org.apache.commons.math.linear.FieldLUDecompositionImpl fieldLUDecompositionImpl53 = new org.apache.commons.math.linear.FieldLUDecompositionImpl(fieldMatrix52);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix54 = fieldLUDecompositionImpl53.getU();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix55 = fieldLUDecompositionImpl53.getL();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix56 = fieldLUDecompositionImpl53.getP();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte27 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte34 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldMatrix54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldMatrix55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldMatrix56);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test316"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.fraction.BigFraction bigFraction2 = new org.apache.commons.math.fraction.BigFraction(10.0d, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.fraction.FractionConversionException");
    } catch (org.apache.commons.math.fraction.FractionConversionException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.fraction.FractionConversionException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.fraction.FractionConversionException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test317"); }


    double[] d_array3 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException4 = new org.apache.commons.math.FunctionEvaluationException(d_array3);
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array3, "Maximal number of evaluations ({0}) exceeded", obj_array6);
    org.apache.commons.math.linear.RealMatrix realMatrix8 = org.apache.commons.math.linear.MatrixUtils.createColumnRealMatrix(d_array3);
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(d_array3, "", obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix8);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test318"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.getReducedFraction(10, 10);
    java.math.BigInteger bigInteger3 = bigFraction2.getNumerator();
    org.apache.commons.math.fraction.BigFraction bigFraction4 = new org.apache.commons.math.fraction.BigFraction(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test319"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    double d5 = bigFraction1.doubleValue();
    byte byte6 = bigFraction1.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction1.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction10 = bigFraction1.add(100);
    org.apache.commons.math.fraction.BigFractionField bigFractionField11 = bigFraction1.getField();
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFractionField11.getZero();
    org.apache.commons.math.fraction.BigFraction bigFraction13 = bigFractionField11.getZero();
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix16 = new org.apache.commons.math.linear.Array2DRowFieldMatrix((org.apache.commons.math.Field)bigFractionField11, 100, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte6 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFractionField11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test320"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, true);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix23 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.Field field24 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix25 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field24);
    org.apache.commons.math.fraction.BigFraction bigFraction26 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger27 = bigFraction26.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction28 = bigFraction26.reduce();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor29 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction26);
    org.apache.commons.math.FieldElement fieldElement30 = array2DRowFieldMatrix25.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor29);
    org.apache.commons.math.FieldElement[] fieldElement_array31 = new org.apache.commons.math.FieldElement[] { fieldElement30 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix32 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array31);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix33 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array31);
    org.apache.commons.math.FieldElement[] fieldElement_array34 = blockFieldMatrix23.operate(fieldElement_array31);
    org.apache.commons.math.fraction.BigFraction bigFraction35 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction36 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor37 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction36);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor38 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction36);
    org.apache.commons.math.fraction.BigFraction bigFraction39 = bigFraction35.subtract(bigFraction36);
    org.apache.commons.math.fraction.BigFraction bigFraction40 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger41 = bigFraction40.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction42 = bigFraction36.subtract(bigInteger41);
    org.apache.commons.math.fraction.BigFraction bigFraction43 = new org.apache.commons.math.fraction.BigFraction(bigInteger41);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix44 = blockFieldMatrix23.scalarMultiply((org.apache.commons.math.FieldElement)bigFraction43);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement47 = blockFieldMatrix23.getEntry((-100), 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix44);

  }

  @Test
  public void test321() {}
// Defects4J: flaky method
//   @Test
//   public void test321() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test321"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.setRelativeAccuracy(0.2d);
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     double d5 = brentSolver0.getRelativeAccuracy();
//     int i6 = brentSolver0.getMaximalIterationCount();
//     int i7 = brentSolver0.getIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.solve(Double.POSITIVE_INFINITY, 0.2d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 100);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i7 == 0);
// 
//   }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test322"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setRelativeAccuracy(0.2d);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetMaximalIterationCount();
    double d5 = brentSolver0.getAbsoluteAccuracy();
    double d6 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-14d);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test323"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    boolean b23 = blockRealMatrix22.isSquare();
    org.apache.commons.math.linear.RealMatrix realMatrix25 = blockRealMatrix22.scalarMultiply(0.2d);
    double[] d_array28 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector29 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array28);
    double[][] d_array_array30 = new double[][] { d_array28 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix31 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array30);
    double[] d_array33 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector34 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array33);
    double[][] d_array_array35 = new double[][] { d_array33 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array35);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = blockRealMatrix31.multiply(blockRealMatrix36);
    double[] d_array39 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector40 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array39);
    double[][] d_array_array41 = new double[][] { d_array39 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix42 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array41);
    double[] d_array44 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector45 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array44);
    double[][] d_array_array46 = new double[][] { d_array44 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix47 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array46);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix48 = blockRealMatrix42.multiply(blockRealMatrix47);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix47.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix31.add(blockRealMatrix49);
    double d51 = blockRealMatrix31.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix52 = blockRealMatrix31.transpose();
    int i53 = blockRealMatrix52.getColumnDimension();
    blockRealMatrix22.setColumnMatrix(0, (org.apache.commons.math.linear.RealMatrix)blockRealMatrix52);
    double[] d_array56 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector57 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array56);
    double[][] d_array_array58 = new double[][] { d_array56 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix59 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array58);
    double[] d_array61 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector62 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array61);
    double[][] d_array_array63 = new double[][] { d_array61 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix64 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array63);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix65 = blockRealMatrix59.multiply(blockRealMatrix64);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix66 = blockRealMatrix64.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix67 = blockRealMatrix66.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix68 = blockRealMatrix52.multiply((org.apache.commons.math.linear.RealMatrix)blockRealMatrix67);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix69 = blockRealMatrix4.subtract((org.apache.commons.math.linear.RealMatrix)blockRealMatrix67);
    org.apache.commons.math.linear.RealMatrix realMatrix70 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix71 = blockRealMatrix4.subtract(realMatrix70);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix69);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test324"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix21 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.fraction.BigFraction bigFraction22 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction23 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor24 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction23);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor25 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction23);
    org.apache.commons.math.fraction.BigFraction bigFraction26 = bigFraction22.subtract(bigFraction23);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor27 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction26);
    org.apache.commons.math.FieldElement fieldElement28 = blockFieldMatrix21.walkInOptimizedOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor27);
    defaultFieldMatrixPreservingVisitor27.start(0, (-1), 8, 8, 100, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement28);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test325"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double d24 = blockRealMatrix4.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix4.transpose();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
    double[][] d_array_array29 = new double[][] { d_array27 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array29);
    double[] d_array32 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array34);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = blockRealMatrix30.multiply(blockRealMatrix35);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = blockRealMatrix35.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix25.subtract(blockRealMatrix35);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix39 = blockRealMatrix38.copy();
    double[] d_array41 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector42 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix44 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array43);
    double[] d_array46 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector47 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array46);
    double[][] d_array_array48 = new double[][] { d_array46 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix49 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array48);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix44.multiply(blockRealMatrix49);
    double[] d_array52 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector53 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array52);
    double[][] d_array_array54 = new double[][] { d_array52 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix55 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array54);
    double[] d_array57 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector58 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array57);
    double[][] d_array_array59 = new double[][] { d_array57 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix60 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array59);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix61 = blockRealMatrix55.multiply(blockRealMatrix60);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix62 = blockRealMatrix60.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix63 = blockRealMatrix44.add(blockRealMatrix62);
    double[] d_array65 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector66 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array65);
    double[][] d_array_array67 = new double[][] { d_array65 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix68 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array67);
    double[] d_array70 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector71 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array70);
    double[][] d_array_array72 = new double[][] { d_array70 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix73 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array72);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix74 = blockRealMatrix68.multiply(blockRealMatrix73);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix75 = blockRealMatrix63.subtract(blockRealMatrix68);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix76 = blockRealMatrix39.subtract(blockRealMatrix68);
    double d77 = blockRealMatrix76.getTrace();
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor78 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d79 = blockRealMatrix76.walkInOptimizedOrder(realMatrixChangingVisitor78);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == (-1.0d));

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test326"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.ode.DerivativeException derivativeException2 = new org.apache.commons.math.ode.DerivativeException("Maximal number of evaluations ({0}) exceeded", obj_array1);

  }

  @Test
  public void test327() {}
// Defects4J: flaky method
//   @Test
//   public void test327() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test327"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.setRelativeAccuracy(0.2d);
//     brentSolver0.resetRelativeAccuracy();
//     int i4 = brentSolver0.getIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d7 = brentSolver0.solve(1.7320508075688772d, 1.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i4 == 0);
// 
//   }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test328"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.fraction.BigFraction bigFraction21 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction22 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor23 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction22);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor24 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction22);
    org.apache.commons.math.fraction.BigFraction bigFraction25 = bigFraction21.subtract(bigFraction22);
    double d26 = bigFraction22.doubleValue();
    byte byte27 = bigFraction22.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction28 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction29 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor30 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor31 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = bigFraction28.subtract(bigFraction29);
    double d33 = bigFraction29.doubleValue();
    byte byte34 = bigFraction29.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction36 = bigFraction29.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction38 = bigFraction29.add(100);
    org.apache.commons.math.fraction.BigFraction bigFraction39 = bigFraction22.divide(bigFraction38);
    org.apache.commons.math.FieldElement[] fieldElement_array40 = new org.apache.commons.math.FieldElement[] { bigFraction39 };
    org.apache.commons.math.FieldElement[] fieldElement_array41 = array2DRowFieldMatrix20.preMultiply(fieldElement_array40);
    org.apache.commons.math.fraction.BigFraction bigFraction42 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger43 = bigFraction42.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction45 = bigFraction42.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array46 = new org.apache.commons.math.FieldElement[] { bigFraction42 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix47 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array46);
    org.apache.commons.math.fraction.BigFraction bigFraction48 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor49 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction48);
    org.apache.commons.math.FieldElement fieldElement50 = defaultFieldMatrixChangingVisitor49.end();
    org.apache.commons.math.FieldElement fieldElement51 = array2DRowFieldMatrix47.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor49);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix52 = array2DRowFieldMatrix20.multiply((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix47);
    org.apache.commons.math.fraction.BigFraction bigFraction53 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor54 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction53);
    defaultFieldMatrixPreservingVisitor54.start(10, 0, (-1), 0, 1, 1);
    org.apache.commons.math.FieldElement fieldElement62 = defaultFieldMatrixPreservingVisitor54.end();
    org.apache.commons.math.FieldElement fieldElement63 = defaultFieldMatrixPreservingVisitor54.end();
    org.apache.commons.math.FieldElement fieldElement64 = defaultFieldMatrixPreservingVisitor54.end();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix65 = array2DRowFieldMatrix20.scalarMultiply(fieldElement64);
    org.apache.commons.math.fraction.BigFraction bigFraction66 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction67 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor68 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction67);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor69 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction67);
    org.apache.commons.math.fraction.BigFraction bigFraction70 = bigFraction66.subtract(bigFraction67);
    org.apache.commons.math.fraction.BigFraction bigFraction71 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger72 = bigFraction71.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction73 = bigFraction67.subtract(bigInteger72);
    org.apache.commons.math.fraction.BigFraction bigFraction74 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction75 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor76 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction75);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor77 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction75);
    org.apache.commons.math.fraction.BigFraction bigFraction78 = bigFraction74.subtract(bigFraction75);
    org.apache.commons.math.fraction.BigFraction bigFraction79 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger80 = bigFraction79.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction81 = bigFraction75.subtract(bigInteger80);
    org.apache.commons.math.fraction.BigFraction bigFraction82 = bigFraction73.pow(bigInteger80);
    org.apache.commons.math.FieldElement[] fieldElement_array83 = new org.apache.commons.math.FieldElement[] { bigFraction82 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix84 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array83);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array85 = new org.apache.commons.math.FieldElement[][] { fieldElement_array83 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix86 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array85);
    org.apache.commons.math.FieldElement fieldElement87 = array2DRowFieldMatrix86.getTrace();
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix88 = array2DRowFieldMatrix20.subtract(array2DRowFieldMatrix86);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix89 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix90 = array2DRowFieldMatrix86.multiply(array2DRowFieldMatrix89);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte27 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte34 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowFieldMatrix88);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test329"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(1.0650410894399627d, 1.7320508075688772d, 0.2d, 2.0d);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test330"); }


    double[] d_array6 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    double[] d_array11 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "Maximal number of evaluations ({0}) exceeded", obj_array14);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator16 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array6, d_array11);
    org.apache.commons.math.ode.ODEIntegrator oDEIntegrator17 = adamsMoultonIntegrator16.getStarterIntegrator();
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator22 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(100.0d, 0.0d, 100.0d, (-1.0d));
    dormandPrince853Integrator22.setMaxEvaluations(10);
    java.util.Collection collection25 = dormandPrince853Integrator22.getStepHandlers();
    java.util.Collection collection26 = dormandPrince853Integrator22.getStepHandlers();
    dormandPrince853Integrator22.setMinReduction(Double.NaN);
    dormandPrince853Integrator22.clearStepHandlers();
    double d30 = dormandPrince853Integrator22.getCurrentSignedStepsize();
    dormandPrince853Integrator22.setMaxEvaluations(0);
    adamsMoultonIntegrator16.setStarterIntegrator((org.apache.commons.math.ode.FirstOrderIntegrator)dormandPrince853Integrator22);
    adamsMoultonIntegrator16.clearEventHandlers();
    double d35 = adamsMoultonIntegrator16.getMaxGrowth();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oDEIntegrator17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.4142135623730951d);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test331"); }


    double[] d_array5 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array7 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator8 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array5, d_array7);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array5);
    double[] d_array15 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException16 = new org.apache.commons.math.FunctionEvaluationException(d_array15);
    double[] d_array17 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator18 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array15, d_array17);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix19 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array15);
    org.apache.commons.math.linear.RealMatrix realMatrix21 = array2DRowRealMatrix19.scalarAdd(0.0d);
    org.apache.commons.math.linear.RealMatrix realMatrix22 = array2DRowRealMatrix19.copy();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix23 = array2DRowRealMatrix9.add(array2DRowRealMatrix19);
    org.apache.commons.math.Field field24 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix25 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field24);
    org.apache.commons.math.fraction.BigFraction bigFraction26 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor27 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction26);
    org.apache.commons.math.FieldElement fieldElement28 = array2DRowFieldMatrix25.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor27);
    org.apache.commons.math.Field field29 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix30 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field29);
    org.apache.commons.math.fraction.BigFraction bigFraction31 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor32 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction31);
    org.apache.commons.math.FieldElement fieldElement33 = array2DRowFieldMatrix30.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor32);
    int i34 = array2DRowFieldMatrix30.getRowDimension();
    org.apache.commons.math.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math.linear.AnyMatrix)array2DRowFieldMatrix25, (org.apache.commons.math.linear.AnyMatrix)array2DRowFieldMatrix30);
    org.apache.commons.math.fraction.BigFraction bigFraction36 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction37 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor38 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction37);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor39 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction37);
    org.apache.commons.math.fraction.BigFraction bigFraction40 = bigFraction36.subtract(bigFraction37);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor41 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction40);
    defaultFieldMatrixPreservingVisitor41.start((-1), 0, 1, 100, 10, 10);
    org.apache.commons.math.FieldElement fieldElement49 = array2DRowFieldMatrix30.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor41);
    boolean b50 = array2DRowRealMatrix19.equals((java.lang.Object)defaultFieldMatrixPreservingVisitor41);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor51 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d52 = array2DRowRealMatrix19.walkInColumnOrder(realMatrixPreservingVisitor51);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test332"); }


    double[] d_array3 = new double[] { 1.0d, 0.0d, 100.0d };
    org.apache.commons.math.linear.RealVector realVector4 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array3);
    org.apache.commons.math.linear.RealMatrix realMatrix5 = org.apache.commons.math.linear.MatrixUtils.createColumnRealMatrix(d_array3);
    org.apache.commons.math.fraction.BigFraction bigFraction7 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor9 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction8);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction8);
    org.apache.commons.math.fraction.BigFraction bigFraction11 = bigFraction7.subtract(bigFraction8);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger13 = bigFraction12.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction14 = bigFraction8.subtract(bigInteger13);
    org.apache.commons.math.fraction.BigFraction bigFraction15 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction16 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor17 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction16);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor18 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction16);
    org.apache.commons.math.fraction.BigFraction bigFraction19 = bigFraction15.subtract(bigFraction16);
    org.apache.commons.math.fraction.BigFraction bigFraction20 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger21 = bigFraction20.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction22 = bigFraction16.subtract(bigInteger21);
    org.apache.commons.math.fraction.BigFraction bigFraction23 = bigFraction14.pow(bigInteger21);
    org.apache.commons.math.FieldElement[] fieldElement_array24 = new org.apache.commons.math.FieldElement[] { bigFraction23 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix25 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array24);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array26 = new org.apache.commons.math.FieldElement[][] { fieldElement_array24 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix27 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array26);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix29 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array26, true);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix30 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array26);
    org.apache.commons.math.fraction.BigFraction bigFraction31 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor32 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction31);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor33 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction31);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix34 = blockFieldMatrix30.scalarMultiply((org.apache.commons.math.FieldElement)bigFraction31);
    org.apache.commons.math.fraction.BigFraction bigFraction35 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction36 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor37 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction36);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor38 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction36);
    org.apache.commons.math.fraction.BigFraction bigFraction39 = bigFraction35.subtract(bigFraction36);
    org.apache.commons.math.fraction.BigFraction bigFraction40 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger41 = bigFraction40.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction42 = bigFraction36.subtract(bigInteger41);
    org.apache.commons.math.fraction.BigFraction bigFraction43 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction44 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor45 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction44);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor46 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction44);
    org.apache.commons.math.fraction.BigFraction bigFraction47 = bigFraction43.subtract(bigFraction44);
    org.apache.commons.math.fraction.BigFraction bigFraction48 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger49 = bigFraction48.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction50 = bigFraction44.subtract(bigInteger49);
    org.apache.commons.math.fraction.BigFraction bigFraction51 = bigFraction42.pow(bigInteger49);
    org.apache.commons.math.FieldElement[] fieldElement_array52 = new org.apache.commons.math.FieldElement[] { bigFraction51 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix53 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array52);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array54 = new org.apache.commons.math.FieldElement[][] { fieldElement_array52 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix55 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array54);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix57 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array54, true);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix58 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array54);
    org.apache.commons.math.fraction.BigFraction bigFraction59 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor60 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction59);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor61 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction59);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix62 = blockFieldMatrix58.scalarMultiply((org.apache.commons.math.FieldElement)bigFraction59);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix63 = blockFieldMatrix58.copy();
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix64 = blockFieldMatrix30.multiply(blockFieldMatrix58);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array65 = blockFieldMatrix58.getData();
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix66 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array65);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException67 = new org.apache.commons.math.FunctionEvaluationException(d_array3, "Array2DRowRealMatrix{}", (java.lang.Object[])fieldElement_array_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockFieldMatrix64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array65);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test333"); }


    double[][] d_array_array5 = org.apache.commons.math.linear.BlockRealMatrix.createBlocksLayout(100, 100);
    org.apache.commons.math.ode.IntegratorException integratorException6 = new org.apache.commons.math.ode.IntegratorException("hi!", (java.lang.Object[])d_array_array5);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException((-1), "Maximal number of evaluations ({0}) exceeded", (java.lang.Object[])d_array_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    double[][] d_array_array15 = org.apache.commons.math.linear.BlockRealMatrix.createBlocksLayout(100, 100);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException11, "", (java.lang.Object[])d_array_array15);
    java.lang.ArithmeticException arithmeticException17 = org.apache.commons.math.MathRuntimeException.createArithmeticException("", (java.lang.Object[])d_array_array15);
    org.apache.commons.math.MathRuntimeException mathRuntimeException18 = new org.apache.commons.math.MathRuntimeException((java.lang.Throwable)maxIterationsExceededException7, "Maximal number of evaluations ({0}) exceeded", (java.lang.Object[])d_array_array15);
    int i19 = maxIterationsExceededException7.getMaxIterations();
    java.lang.IllegalArgumentException illegalArgumentException20 = org.apache.commons.math.MathRuntimeException.createIllegalArgumentException((java.lang.Throwable)maxIterationsExceededException7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arithmeticException17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(illegalArgumentException20);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test334"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, true);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix23 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.fraction.BigFraction bigFraction24 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor25 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction24);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor26 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction24);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix27 = blockFieldMatrix23.scalarMultiply((org.apache.commons.math.FieldElement)bigFraction24);
    org.apache.commons.math.fraction.BigFraction bigFraction28 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction29 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor30 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor31 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = bigFraction28.subtract(bigFraction29);
    org.apache.commons.math.fraction.BigFraction bigFraction33 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger34 = bigFraction33.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction35 = bigFraction29.subtract(bigInteger34);
    org.apache.commons.math.fraction.BigFraction bigFraction36 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction37 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor38 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction37);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor39 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction37);
    org.apache.commons.math.fraction.BigFraction bigFraction40 = bigFraction36.subtract(bigFraction37);
    org.apache.commons.math.fraction.BigFraction bigFraction41 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger42 = bigFraction41.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction43 = bigFraction37.subtract(bigInteger42);
    org.apache.commons.math.fraction.BigFraction bigFraction44 = bigFraction35.pow(bigInteger42);
    org.apache.commons.math.FieldElement[] fieldElement_array45 = new org.apache.commons.math.FieldElement[] { bigFraction44 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix46 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array45);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array47 = new org.apache.commons.math.FieldElement[][] { fieldElement_array45 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix48 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array47);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix50 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array47, true);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix51 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array47);
    org.apache.commons.math.fraction.BigFraction bigFraction52 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor53 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction52);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor54 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction52);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix55 = blockFieldMatrix51.scalarMultiply((org.apache.commons.math.FieldElement)bigFraction52);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix56 = blockFieldMatrix51.copy();
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix57 = blockFieldMatrix23.multiply(blockFieldMatrix51);
    org.apache.commons.math.fraction.BigFraction bigFraction58 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction59 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor60 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction59);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor61 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction59);
    org.apache.commons.math.fraction.BigFraction bigFraction62 = bigFraction58.subtract(bigFraction59);
    double d63 = bigFraction59.doubleValue();
    byte byte64 = bigFraction59.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction66 = bigFraction59.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction68 = bigFraction59.add(100);
    org.apache.commons.math.fraction.BigFractionField bigFractionField69 = bigFraction59.getField();
    org.apache.commons.math.fraction.BigFraction bigFraction70 = bigFractionField69.getZero();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix72 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldIdentityMatrix((org.apache.commons.math.Field)bigFractionField69, 1);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix73 = blockFieldMatrix23.preMultiply(fieldMatrix72);
    org.apache.commons.math.fraction.BigFraction bigFraction76 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger77 = bigFraction76.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction78 = bigFraction76.reduce();
    org.apache.commons.math.fraction.BigFraction bigFraction80 = bigFraction78.pow(100);
    org.apache.commons.math.fraction.BigFraction bigFraction81 = bigFraction78.reduce();
    // The following exception was thrown during execution in test generation
    try {
      blockFieldMatrix23.setEntry(1, 0, (org.apache.commons.math.FieldElement)bigFraction81);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockFieldMatrix57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte64 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFractionField69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction81);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test335"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction3 = bigFraction0.add(0);
    double d4 = bigFraction3.percentageValue();
    org.apache.commons.math.fraction.BigFraction bigFraction6 = bigFraction3.divide(5L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test336"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, true);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix23 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.Field field24 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix25 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field24);
    org.apache.commons.math.fraction.BigFraction bigFraction26 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger27 = bigFraction26.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction28 = bigFraction26.reduce();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor29 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction26);
    org.apache.commons.math.FieldElement fieldElement30 = array2DRowFieldMatrix25.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor29);
    org.apache.commons.math.FieldElement[] fieldElement_array31 = new org.apache.commons.math.FieldElement[] { fieldElement30 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix32 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array31);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix33 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array31);
    org.apache.commons.math.FieldElement[] fieldElement_array34 = blockFieldMatrix23.operate(fieldElement_array31);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix35 = blockFieldMatrix23.transpose();
    int i36 = blockFieldMatrix23.getColumnDimension();
    org.apache.commons.math.fraction.BigFraction bigFraction38 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction39 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor40 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction39);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor41 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction39);
    org.apache.commons.math.fraction.BigFraction bigFraction42 = bigFraction38.subtract(bigFraction39);
    org.apache.commons.math.fraction.BigFraction bigFraction43 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger44 = bigFraction43.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction45 = bigFraction39.subtract(bigInteger44);
    org.apache.commons.math.fraction.BigFraction bigFraction46 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction47 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor48 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction47);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor49 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction47);
    org.apache.commons.math.fraction.BigFraction bigFraction50 = bigFraction46.subtract(bigFraction47);
    org.apache.commons.math.fraction.BigFraction bigFraction51 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger52 = bigFraction51.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction53 = bigFraction47.subtract(bigInteger52);
    org.apache.commons.math.fraction.BigFraction bigFraction54 = bigFraction45.pow(bigInteger52);
    org.apache.commons.math.FieldElement[] fieldElement_array55 = new org.apache.commons.math.FieldElement[] { bigFraction54 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix56 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array55);
    org.apache.commons.math.ode.DerivativeException derivativeException57 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.IntegratorException: hi!", (java.lang.Object[])fieldElement_array55);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array58 = new org.apache.commons.math.FieldElement[][] { fieldElement_array55 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix60 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array58, false);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix61 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array58);
    org.apache.commons.math.fraction.BigFraction bigFraction62 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor63 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction62);
    org.apache.commons.math.FieldElement fieldElement64 = defaultFieldMatrixChangingVisitor63.end();
    org.apache.commons.math.FieldElement fieldElement65 = defaultFieldMatrixChangingVisitor63.end();
    org.apache.commons.math.FieldElement fieldElement66 = blockFieldMatrix61.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor63);
    org.apache.commons.math.fraction.BigFraction bigFraction67 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor68 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction67);
    org.apache.commons.math.FieldElement fieldElement69 = defaultFieldMatrixChangingVisitor68.end();
    org.apache.commons.math.FieldElement fieldElement70 = defaultFieldMatrixChangingVisitor68.end();
    org.apache.commons.math.fraction.BigFraction bigFraction73 = org.apache.commons.math.fraction.BigFraction.ONE_FIFTH;
    org.apache.commons.math.fraction.BigFraction bigFraction74 = bigFraction73.abs();
    org.apache.commons.math.FieldElement fieldElement75 = defaultFieldMatrixChangingVisitor68.visit(0, 8, (org.apache.commons.math.FieldElement)bigFraction73);
    org.apache.commons.math.fraction.BigFraction bigFraction78 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger79 = bigFraction78.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction81 = bigFraction78.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array82 = new org.apache.commons.math.FieldElement[] { bigFraction78 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix83 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array82);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix84 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array82);
    java.lang.String str85 = array2DRowFieldMatrix84.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction86 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix87 = array2DRowFieldMatrix84.scalarAdd((org.apache.commons.math.FieldElement)bigFraction86);
    org.apache.commons.math.fraction.BigFraction bigFraction89 = bigFraction86.multiply(1L);
    org.apache.commons.math.FieldElement fieldElement90 = defaultFieldMatrixChangingVisitor68.visit(100, 0, (org.apache.commons.math.FieldElement)bigFraction89);
    org.apache.commons.math.FieldElement fieldElement91 = blockFieldMatrix61.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor68);
    org.apache.commons.math.FieldElement fieldElement92 = blockFieldMatrix23.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor68);
    org.apache.commons.math.fraction.BigFraction bigFraction93 = org.apache.commons.math.fraction.BigFraction.ONE_FIFTH;
    org.apache.commons.math.fraction.BigFraction bigFraction94 = bigFraction93.abs();
    double d95 = bigFraction94.doubleValue();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor96 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction94);
    org.apache.commons.math.FieldElement fieldElement97 = blockFieldMatrix23.walkInOptimizedOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str85 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str85.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d95 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement97);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test337"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix21 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array19);
    double[] d_array27 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array27);
    double[] d_array29 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array27, d_array29);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix31 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array27);
    double[] d_array37 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(d_array37);
    double[] d_array39 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator40 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array37, d_array39);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix41 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array37);
    org.apache.commons.math.linear.RealMatrix realMatrix43 = array2DRowRealMatrix41.scalarAdd(0.0d);
    org.apache.commons.math.linear.RealMatrix realMatrix44 = array2DRowRealMatrix41.copy();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix45 = array2DRowRealMatrix31.add(array2DRowRealMatrix41);
    org.apache.commons.math.Field field46 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix47 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field46);
    org.apache.commons.math.fraction.BigFraction bigFraction48 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor49 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction48);
    org.apache.commons.math.FieldElement fieldElement50 = array2DRowFieldMatrix47.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor49);
    org.apache.commons.math.Field field51 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix52 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field51);
    org.apache.commons.math.fraction.BigFraction bigFraction53 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor54 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction53);
    org.apache.commons.math.FieldElement fieldElement55 = array2DRowFieldMatrix52.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor54);
    int i56 = array2DRowFieldMatrix52.getRowDimension();
    org.apache.commons.math.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math.linear.AnyMatrix)array2DRowFieldMatrix47, (org.apache.commons.math.linear.AnyMatrix)array2DRowFieldMatrix52);
    org.apache.commons.math.fraction.BigFraction bigFraction58 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction59 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor60 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction59);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor61 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction59);
    org.apache.commons.math.fraction.BigFraction bigFraction62 = bigFraction58.subtract(bigFraction59);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor63 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction62);
    defaultFieldMatrixPreservingVisitor63.start((-1), 0, 1, 100, 10, 10);
    org.apache.commons.math.FieldElement fieldElement71 = array2DRowFieldMatrix52.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor63);
    boolean b72 = array2DRowRealMatrix41.equals((java.lang.Object)defaultFieldMatrixPreservingVisitor63);
    org.apache.commons.math.FieldElement fieldElement75 = null;
    defaultFieldMatrixPreservingVisitor63.visit(8, 10, fieldElement75);
    defaultFieldMatrixPreservingVisitor63.start(3, 8, 3, 0, 10, 100);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement88 = blockFieldMatrix21.walkInOptimizedOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor63, 52, 52, 100, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test338"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    org.apache.commons.math.linear.RealMatrix realMatrix6 = blockRealMatrix4.scalarMultiply(0.0d);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array8 = blockRealMatrix4.getRow(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);

  }

  @Test
  public void test339() {}
// Defects4J: flaky method
//   @Test
//   public void test339() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test339"); }
// 
// 
//     org.apache.commons.math.Field field0 = null;
//     org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
//     org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
//     org.apache.commons.math.FieldElement fieldElement4 = array2DRowFieldMatrix1.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor3);
//     int i5 = array2DRowFieldMatrix1.getRowDimension();
//     org.apache.commons.math.fraction.BigFraction bigFraction6 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor7 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction6);
//     org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor8 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction6);
//     org.apache.commons.math.FieldElement fieldElement9 = array2DRowFieldMatrix1.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor8);
//     int i10 = array2DRowFieldMatrix1.getRowDimension();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.FieldMatrix fieldMatrix11 = array2DRowFieldMatrix1.transpose();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 0);
// 
//   }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test340"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double[] d_array25 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector26 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array25);
    double[][] d_array_array27 = new double[][] { d_array25 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix28 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array27);
    double[] d_array30 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector31 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array30);
    double[][] d_array_array32 = new double[][] { d_array30 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix33 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array32);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix34 = blockRealMatrix28.multiply(blockRealMatrix33);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = blockRealMatrix23.subtract(blockRealMatrix28);
    double[] d_array37 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector38 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array37);
    double[][] d_array_array39 = new double[][] { d_array37 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix40 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array39);
    double[] d_array42 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector43 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array42);
    double[][] d_array_array44 = new double[][] { d_array42 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix45 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array44);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix46 = blockRealMatrix40.multiply(blockRealMatrix45);
    double[] d_array48 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector49 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array48);
    double[][] d_array_array50 = new double[][] { d_array48 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix51 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array50);
    double[] d_array53 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector54 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array53);
    double[][] d_array_array55 = new double[][] { d_array53 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix56 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array55);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix57 = blockRealMatrix51.multiply(blockRealMatrix56);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix58 = blockRealMatrix56.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix59 = blockRealMatrix40.add(blockRealMatrix58);
    org.apache.commons.math.linear.MatrixUtils.checkSubtractionCompatible((org.apache.commons.math.linear.AnyMatrix)blockRealMatrix28, (org.apache.commons.math.linear.AnyMatrix)blockRealMatrix58);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor61 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d66 = blockRealMatrix58.walkInOptimizedOrder(realMatrixChangingVisitor61, 3, 0, 0, 8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix59);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test341"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix12 = blockRealMatrix4.getColumnMatrix(0);
    double d13 = blockRealMatrix12.getFrobeniusNorm();
    org.apache.commons.math.linear.RealMatrix realMatrix14 = blockRealMatrix12.inverse();
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor15 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d16 = blockRealMatrix12.walkInRowOrder(realMatrixPreservingVisitor15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test342"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor1 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction0);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction0);
    float f3 = bigFraction0.floatValue();
    org.apache.commons.math.fraction.BigFraction bigFraction4 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor6 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction5);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor7 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction5);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction4.subtract(bigFraction5);
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger10 = bigFraction9.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction11 = bigFraction5.subtract(bigInteger10);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor14 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction13);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor15 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction13);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction12.subtract(bigFraction13);
    org.apache.commons.math.fraction.BigFraction bigFraction17 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger18 = bigFraction17.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction19 = bigFraction13.subtract(bigInteger18);
    org.apache.commons.math.fraction.BigFraction bigFraction20 = bigFraction11.pow(bigInteger18);
    org.apache.commons.math.fraction.BigFraction bigFraction21 = new org.apache.commons.math.fraction.BigFraction(bigInteger18);
    org.apache.commons.math.fraction.BigFraction bigFraction23 = bigFraction21.multiply(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction24 = bigFraction23.abs();
    org.apache.commons.math.fraction.BigFraction bigFraction26 = new org.apache.commons.math.fraction.BigFraction(100L);
    org.apache.commons.math.fraction.BigFraction bigFraction28 = bigFraction26.divide(100L);
    short s29 = bigFraction28.shortValue();
    org.apache.commons.math.fraction.BigFraction bigFraction30 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction31 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor32 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction31);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor33 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction31);
    org.apache.commons.math.fraction.BigFraction bigFraction34 = bigFraction30.subtract(bigFraction31);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor35 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction34);
    long long36 = bigFraction34.getDenominatorAsLong();
    org.apache.commons.math.fraction.BigFraction bigFraction37 = bigFraction28.add(bigFraction34);
    org.apache.commons.math.fraction.BigFraction bigFraction38 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction39 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor40 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction39);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor41 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction39);
    org.apache.commons.math.fraction.BigFraction bigFraction42 = bigFraction38.subtract(bigFraction39);
    org.apache.commons.math.fraction.BigFraction bigFraction43 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger44 = bigFraction43.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction45 = bigFraction39.subtract(bigInteger44);
    org.apache.commons.math.fraction.BigFraction bigFraction46 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction47 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor48 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction47);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor49 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction47);
    org.apache.commons.math.fraction.BigFraction bigFraction50 = bigFraction46.subtract(bigFraction47);
    org.apache.commons.math.fraction.BigFraction bigFraction51 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger52 = bigFraction51.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction53 = bigFraction47.subtract(bigInteger52);
    org.apache.commons.math.fraction.BigFraction bigFraction54 = bigFraction45.pow(bigInteger52);
    org.apache.commons.math.fraction.BigFraction bigFraction57 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger58 = bigFraction57.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction61 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger62 = bigFraction61.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction63 = new org.apache.commons.math.fraction.BigFraction(bigInteger58, bigInteger62);
    org.apache.commons.math.fraction.BigFraction bigFraction64 = new org.apache.commons.math.fraction.BigFraction(bigInteger52, bigInteger62);
    org.apache.commons.math.fraction.BigFraction bigFraction65 = bigFraction28.add(bigInteger62);
    org.apache.commons.math.fraction.BigFraction bigFraction66 = bigFraction24.subtract(bigInteger62);
    org.apache.commons.math.fraction.BigFraction bigFraction67 = bigFraction0.divide(bigInteger62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s29 == (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long36 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction67);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test343"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, true);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix23 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.fraction.BigFraction bigFraction24 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor25 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction24);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor26 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction24);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix27 = blockFieldMatrix23.scalarMultiply((org.apache.commons.math.FieldElement)bigFraction24);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix28 = blockFieldMatrix23.copy();
    int i29 = blockFieldMatrix23.getRowDimension();
    org.apache.commons.math.Field field32 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix33 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field32);
    org.apache.commons.math.fraction.BigFraction bigFraction34 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger35 = bigFraction34.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction36 = bigFraction34.reduce();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor37 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction34);
    org.apache.commons.math.FieldElement fieldElement38 = array2DRowFieldMatrix33.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor37);
    // The following exception was thrown during execution in test generation
    try {
      blockFieldMatrix23.multiplyEntry(10, (-1), fieldElement38);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement38);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test344"); }


    org.apache.commons.math.ode.events.CombinedEventsManager combinedEventsManager0 = new org.apache.commons.math.ode.events.CombinedEventsManager();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    double d2 = dummyStepInterpolator1.getPreviousTime();
    double d3 = dummyStepInterpolator1.getPreviousTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator4 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator1);
    double d5 = dummyStepInterpolator1.getCurrentTime();
    boolean b6 = combinedEventsManager0.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator1);
    boolean b7 = combinedEventsManager0.stop();
    double[] d_array9 = null;
    boolean b10 = combinedEventsManager0.reset(Double.NaN, d_array9);
    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator12 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array18 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix19 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array18);
    double[] d_array25 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array25);
    double[] d_array27 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator28 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array25, d_array27);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix29 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array27);
    nordsieckStepInterpolator12.reinitialize(10.0d, 1.0d, d_array18, array2DRowRealMatrix29);
    double[] d_array37 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException38 = new org.apache.commons.math.FunctionEvaluationException(d_array37);
    double[] d_array42 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array42);
    java.lang.Object[] obj_array45 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(d_array42, "Maximal number of evaluations ({0}) exceeded", obj_array45);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator47 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array37, d_array42);
    nordsieckStepInterpolator12.reinitialize(d_array37, true);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException50 = new org.apache.commons.math.FunctionEvaluationException(d_array37);
    org.apache.commons.math.linear.RealMatrix realMatrix51 = org.apache.commons.math.linear.MatrixUtils.createColumnRealMatrix(d_array37);
    combinedEventsManager0.stepAccepted(1.0650410894399627d, d_array37);
    org.apache.commons.math.ode.events.EventHandler eventHandler53 = null;
    combinedEventsManager0.addEventHandler(eventHandler53, Double.NaN, 0.0d, 3);
    java.util.Collection collection58 = combinedEventsManager0.getEventsHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection58);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test345"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor5 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction4);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = bigFraction4.negate();
    int i7 = bigFraction4.getDenominatorAsInt();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ZERO;
    java.math.BigDecimal bigDecimal11 = bigFraction8.bigDecimalValue(36, 1);
    int i12 = bigFraction4.compareTo(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test346"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix9.copy();
    boolean b12 = blockRealMatrix11.isSquare();
    org.apache.commons.math.linear.RealMatrix realMatrix14 = blockRealMatrix11.scalarMultiply(0.2d);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    double[] d_array22 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector23 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array22);
    double[][] d_array_array24 = new double[][] { d_array22 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array24);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix26 = blockRealMatrix20.multiply(blockRealMatrix25);
    double[] d_array28 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector29 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array28);
    double[][] d_array_array30 = new double[][] { d_array28 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix31 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array30);
    double[] d_array33 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector34 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array33);
    double[][] d_array_array35 = new double[][] { d_array33 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array35);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = blockRealMatrix31.multiply(blockRealMatrix36);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix36.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix39 = blockRealMatrix20.add(blockRealMatrix38);
    double d40 = blockRealMatrix20.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix41 = blockRealMatrix20.transpose();
    int i42 = blockRealMatrix41.getColumnDimension();
    blockRealMatrix11.setColumnMatrix(0, (org.apache.commons.math.linear.RealMatrix)blockRealMatrix41);
    double[] d_array45 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector46 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array45);
    double[][] d_array_array47 = new double[][] { d_array45 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix48 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array47);
    double[] d_array50 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector51 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array50);
    double[][] d_array_array52 = new double[][] { d_array50 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix53 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array52);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix54 = blockRealMatrix48.multiply(blockRealMatrix53);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix55 = blockRealMatrix48.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix56 = blockRealMatrix11.multiply(blockRealMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix56);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test347"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.FieldElement fieldElement21 = array2DRowFieldMatrix20.getTrace();
    org.apache.commons.math.fraction.BigFraction bigFraction23 = new org.apache.commons.math.fraction.BigFraction(100L);
    org.apache.commons.math.fraction.BigFraction bigFraction25 = bigFraction23.divide(100L);
    short s26 = bigFraction25.shortValue();
    org.apache.commons.math.fraction.BigFraction bigFraction27 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction28 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor29 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction28);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor30 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction28);
    org.apache.commons.math.fraction.BigFraction bigFraction31 = bigFraction27.subtract(bigFraction28);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor32 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction31);
    long long33 = bigFraction31.getDenominatorAsLong();
    org.apache.commons.math.fraction.BigFraction bigFraction34 = bigFraction25.add(bigFraction31);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix35 = array2DRowFieldMatrix20.scalarMultiply((org.apache.commons.math.FieldElement)bigFraction31);
    java.lang.String str36 = array2DRowFieldMatrix20.toString();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.checkRowIndex((org.apache.commons.math.linear.AnyMatrix)array2DRowFieldMatrix20, 8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s26 == (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long33 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "Array2DRowFieldMatrix{{0}}"+ "'", str36.equals("Array2DRowFieldMatrix{{0}}"));

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test348"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = new org.apache.commons.math.fraction.BigFraction(10L, 10L);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test349"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator11 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array17 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix18 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array17);
    double[] d_array24 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException25 = new org.apache.commons.math.FunctionEvaluationException(d_array24);
    double[] d_array26 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator27 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array24, d_array26);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix28 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array26);
    nordsieckStepInterpolator11.reinitialize(10.0d, 1.0d, d_array17, array2DRowRealMatrix28);
    double[] d_array36 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException37 = new org.apache.commons.math.FunctionEvaluationException(d_array36);
    double[] d_array41 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array41);
    java.lang.Object[] obj_array44 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException45 = new org.apache.commons.math.FunctionEvaluationException(d_array41, "Maximal number of evaluations ({0}) exceeded", obj_array44);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator46 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array36, d_array41);
    nordsieckStepInterpolator11.reinitialize(d_array36, true);
    double[][] d_array_array49 = new double[][] { d_array36 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix50 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array49);
    double d51 = blockRealMatrix50.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix53 = blockRealMatrix50.getRowMatrix(0);
    org.apache.commons.math.linear.RealVector realVector55 = blockRealMatrix50.getColumnVector(0);
    org.apache.commons.math.linear.RealMatrix realMatrix57 = blockRealMatrix50.scalarMultiply(0.0d);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix58 = blockRealMatrix9.multiply(blockRealMatrix50);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix63 = blockRealMatrix50.getSubMatrix((-100), 1, 3, 52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 1.7320508075688772d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix58);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test350"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array3, false);
    double[] d_array8 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector9 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array8);
    double[][] d_array_array10 = new double[][] { d_array8 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array10);
    double[] d_array13 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector14 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array15);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix17 = blockRealMatrix11.multiply(blockRealMatrix16);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix19 = blockRealMatrix11.getColumnMatrix(0);
    double[] d_array21 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector22 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array21);
    double[][] d_array_array23 = new double[][] { d_array21 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix24 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array23);
    double[] d_array26 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector27 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array26);
    double[][] d_array_array28 = new double[][] { d_array26 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix29 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array28);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = blockRealMatrix24.multiply(blockRealMatrix29);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix32 = blockRealMatrix24.getColumnMatrix(0);
    double[] d_array34 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector35 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array36);
    double[] d_array39 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector40 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array39);
    double[][] d_array_array41 = new double[][] { d_array39 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix42 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array41);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix43 = blockRealMatrix37.multiply(blockRealMatrix42);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix44 = blockRealMatrix42.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix45 = blockRealMatrix32.add(blockRealMatrix44);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix46 = blockRealMatrix19.subtract(blockRealMatrix32);
    org.apache.commons.math.linear.RealMatrix realMatrix47 = array2DRowRealMatrix6.add((org.apache.commons.math.linear.RealMatrix)blockRealMatrix32);
    double d48 = array2DRowRealMatrix6.getDeterminant();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test351"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE_FIFTH;
    long long1 = bigFraction0.getNumeratorAsLong();
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE_FIFTH;
    org.apache.commons.math.fraction.BigFraction bigFraction3 = bigFraction2.abs();
    int i4 = bigFraction0.compareTo(bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = bigFraction2.subtract(10L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigDecimal bigDecimal9 = bigFraction2.bigDecimalValue(3, (-100));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test352"); }


    org.apache.commons.math.fraction.BigFraction bigFraction1 = new org.apache.commons.math.fraction.BigFraction(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction3 = bigFraction1.subtract((-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test353"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (-1.0d) };
    java.lang.NullPointerException nullPointerException6 = org.apache.commons.math.MathRuntimeException.createNullPointerException("", obj_array5);
    java.util.ConcurrentModificationException concurrentModificationException7 = org.apache.commons.math.MathRuntimeException.createConcurrentModificationException("hi!", obj_array5);
    org.apache.commons.math.linear.InvalidMatrixException invalidMatrixException8 = new org.apache.commons.math.linear.InvalidMatrixException("hi!", obj_array5);
    org.apache.commons.math.ode.IntegratorException integratorException9 = new org.apache.commons.math.ode.IntegratorException("hi!", obj_array5);
    java.lang.String str10 = integratorException9.toString();
    java.lang.Object[] obj_array11 = integratorException9.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(nullPointerException6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(concurrentModificationException7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.ode.IntegratorException: hi!"+ "'", str10.equals("org.apache.commons.math.ode.IntegratorException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test354"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix9.transpose();
    double d12 = blockRealMatrix11.getNorm();
    double d13 = blockRealMatrix11.getNorm();
    boolean b14 = blockRealMatrix11.isSquare();
    double d15 = blockRealMatrix11.getFrobeniusNorm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test355"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, true);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix23 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.Field field24 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix25 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field24);
    org.apache.commons.math.fraction.BigFraction bigFraction26 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger27 = bigFraction26.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction28 = bigFraction26.reduce();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor29 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction26);
    org.apache.commons.math.FieldElement fieldElement30 = array2DRowFieldMatrix25.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor29);
    org.apache.commons.math.FieldElement[] fieldElement_array31 = new org.apache.commons.math.FieldElement[] { fieldElement30 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix32 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array31);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix33 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array31);
    org.apache.commons.math.FieldElement[] fieldElement_array34 = blockFieldMatrix23.operate(fieldElement_array31);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix35 = blockFieldMatrix23.transpose();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement[] fieldElement_array37 = blockFieldMatrix23.getColumn(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix35);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test356"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    java.math.BigInteger bigInteger1 = bigFraction0.getNumerator();
    short s2 = bigInteger1.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)1);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test357"); }


    double[][] d_array_array3 = org.apache.commons.math.linear.BlockRealMatrix.createBlocksLayout(100, 100);
    org.apache.commons.math.ode.DerivativeException derivativeException4 = new org.apache.commons.math.ode.DerivativeException("", (java.lang.Object[])d_array_array3);
    double[] d_array8 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    java.lang.Object[] obj_array11 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "Maximal number of evaluations ({0}) exceeded", obj_array11);
    org.apache.commons.math.fraction.FractionConversionException fractionConversionException16 = new org.apache.commons.math.fraction.FractionConversionException(100.0d, (-1));
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (-1.0d) };
    java.lang.NullPointerException nullPointerException23 = org.apache.commons.math.MathRuntimeException.createNullPointerException("", obj_array22);
    java.util.ConcurrentModificationException concurrentModificationException24 = org.apache.commons.math.MathRuntimeException.createConcurrentModificationException("hi!", obj_array22);
    org.apache.commons.math.linear.MatrixIndexException matrixIndexException25 = new org.apache.commons.math.linear.MatrixIndexException("hi!", obj_array22);
    java.lang.Object[] obj_array26 = matrixIndexException25.getArguments();
    org.apache.commons.math.MathRuntimeException mathRuntimeException27 = new org.apache.commons.math.MathRuntimeException((java.lang.Throwable)fractionConversionException16, "hi!", obj_array26);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException4, d_array8, "Array2DRowFieldMatrix{{1}}", obj_array26);
    java.lang.Object[] obj_array30 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array8, "Maximal number of evaluations ({0}) exceeded", obj_array30);
    double[] d_array32 = functionEvaluationException31.getArgument();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException31, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(nullPointerException23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(concurrentModificationException24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test358"); }


    double[] d_array8 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array8, d_array10);
    double[] d_array15 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix16 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array15);
    org.apache.commons.math.linear.RealMatrix realMatrix17 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array15);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator18 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 10.0d, 10.0d, d_array8, d_array15);
    double[] d_array25 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array25);
    double[] d_array30 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array30);
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "Maximal number of evaluations ({0}) exceeded", obj_array33);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator35 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array25, d_array30);
    double[] d_array41 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array41);
    double[] d_array43 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator44 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array41, d_array43);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix45 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array41);
    double[] d_array47 = array2DRowRealMatrix45.getRow(1);
    double[] d_array53 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(d_array53);
    double[] d_array55 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator56 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array53, d_array55);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix57 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array53);
    org.apache.commons.math.linear.RealMatrix realMatrix59 = array2DRowRealMatrix57.scalarAdd(0.0d);
    adamsMoultonIntegrator18.updateHighOrderDerivativesPhase2(d_array30, d_array47, array2DRowRealMatrix57);
    double[][] d_array_array61 = new double[][] { d_array47 };
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix62 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array61);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix64 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array61, true);
    org.apache.commons.math.linear.RealMatrix realMatrix66 = array2DRowRealMatrix64.scalarMultiply(2.0d);
    int i67 = array2DRowRealMatrix64.getColumnDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 1);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test359"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger3 = bigFraction2.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction2.reduce();
    org.apache.commons.math.fraction.BigFraction bigFraction6 = bigFraction4.multiply(100L);
    int i7 = bigFraction6.getNumeratorAsInt();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction6.negate();
    org.apache.commons.math.fraction.BigFraction bigFraction10 = bigFraction6.divide(3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test360"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction3 = bigFraction0.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array4 = new org.apache.commons.math.FieldElement[] { bigFraction0 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix6 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    java.lang.String str7 = array2DRowFieldMatrix6.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix9 = array2DRowFieldMatrix6.scalarAdd((org.apache.commons.math.FieldElement)bigFraction8);
    int i10 = array2DRowFieldMatrix6.getColumnDimension();
    int i11 = array2DRowFieldMatrix6.getColumnDimension();
    org.apache.commons.math.fraction.BigFraction bigFraction12 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger13 = bigFraction12.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction12.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array16 = new org.apache.commons.math.FieldElement[] { bigFraction12 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix17 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array16);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array16);
    org.apache.commons.math.linear.FieldVector fieldVector19 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldVector(fieldElement_array16);
    org.apache.commons.math.linear.FieldVector fieldVector20 = array2DRowFieldMatrix6.preMultiply(fieldVector19);
    org.apache.commons.math.fraction.BigFraction bigFraction21 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger22 = bigFraction21.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction24 = bigFraction21.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array25 = new org.apache.commons.math.FieldElement[] { bigFraction21 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix26 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array25);
    org.apache.commons.math.fraction.BigFraction bigFraction27 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction28 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor29 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction28);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor30 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction28);
    org.apache.commons.math.fraction.BigFraction bigFraction31 = bigFraction27.subtract(bigFraction28);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger33 = bigFraction32.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction34 = bigFraction28.subtract(bigInteger33);
    org.apache.commons.math.fraction.BigFraction bigFraction35 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction36 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor37 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction36);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor38 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction36);
    org.apache.commons.math.fraction.BigFraction bigFraction39 = bigFraction35.subtract(bigFraction36);
    org.apache.commons.math.fraction.BigFraction bigFraction40 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger41 = bigFraction40.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction42 = bigFraction36.subtract(bigInteger41);
    org.apache.commons.math.fraction.BigFraction bigFraction43 = bigFraction34.pow(bigInteger41);
    org.apache.commons.math.FieldElement[] fieldElement_array44 = new org.apache.commons.math.FieldElement[] { bigFraction43 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix45 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array44);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array46 = new org.apache.commons.math.FieldElement[][] { fieldElement_array44 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix47 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array46);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix49 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array46, true);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix50 = array2DRowFieldMatrix26.add(array2DRowFieldMatrix49);
    org.apache.commons.math.FieldElement[] fieldElement_array52 = array2DRowFieldMatrix26.getColumn(0);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix53 = array2DRowFieldMatrix6.multiply(array2DRowFieldMatrix26);
    java.lang.String str54 = array2DRowFieldMatrix6.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str7.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowFieldMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowFieldMatrix53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str54.equals("Array2DRowFieldMatrix{{1}}"));

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test361"); }


    org.apache.commons.math.ode.events.CombinedEventsManager combinedEventsManager0 = new org.apache.commons.math.ode.events.CombinedEventsManager();
    java.util.Collection collection1 = combinedEventsManager0.getEventsHandlers();
    double[] d_array3 = null;
    boolean b4 = combinedEventsManager0.reset((-1.0d), d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test362"); }


    org.apache.commons.math.ode.nonstiff.AdamsNordsieckTransformer adamsNordsieckTransformer1 = org.apache.commons.math.ode.nonstiff.AdamsNordsieckTransformer.getInstance(3);
    int i2 = adamsNordsieckTransformer1.getNSteps();
    double[] d_array8 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array8, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array8, true);
    org.apache.commons.math.MaxEvaluationsExceededException maxEvaluationsExceededException15 = new org.apache.commons.math.MaxEvaluationsExceededException(0);
    java.lang.String str16 = maxEvaluationsExceededException15.getPattern();
    org.apache.commons.math.MathRuntimeException mathRuntimeException17 = new org.apache.commons.math.MathRuntimeException((java.lang.Throwable)maxEvaluationsExceededException15);
    double[][] d_array_array22 = org.apache.commons.math.linear.BlockRealMatrix.createBlocksLayout(100, 100);
    org.apache.commons.math.ode.DerivativeException derivativeException23 = new org.apache.commons.math.ode.DerivativeException("", (java.lang.Object[])d_array_array22);
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathRuntimeException17, "", (java.lang.Object[])d_array_array22);
    java.lang.IllegalArgumentException illegalArgumentException25 = org.apache.commons.math.MathRuntimeException.createIllegalArgumentException((java.lang.Throwable)convergenceException24);
    org.apache.commons.math.ode.events.EventHandler eventHandler26 = null;
    org.apache.commons.math.ode.events.EventState eventState30 = new org.apache.commons.math.ode.events.EventState(eventHandler26, 0.0d, Double.NaN, 1);
    int i31 = eventState30.getMaxIterationCount();
    double d32 = eventState30.getConvergence();
    boolean b33 = eventState30.stop();
    double[] d_array40 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array40);
    double[] d_array42 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array40, d_array42);
    org.apache.commons.math.linear.RealMatrix realMatrix44 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array40);
    boolean b45 = eventState30.reset(1.0E-6d, d_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException24, d_array40);
    double[] d_array52 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(d_array52);
    double[] d_array54 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator55 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array52, d_array54);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix56 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array52);
    org.apache.commons.math.linear.RealMatrix realMatrix58 = array2DRowRealMatrix56.scalarAdd(0.0d);
    org.apache.commons.math.linear.RealMatrix realMatrix59 = array2DRowRealMatrix56.copy();
    org.apache.commons.math.linear.RealMatrix realMatrix61 = array2DRowRealMatrix56.scalarAdd(0.9d);
    adamsNordsieckTransformer1.updateHighOrderDerivativesPhase2(d_array8, d_array40, array2DRowRealMatrix56);
    double[][] d_array_array73 = org.apache.commons.math.linear.BlockRealMatrix.createBlocksLayout(100, 100);
    org.apache.commons.math.ode.IntegratorException integratorException74 = new org.apache.commons.math.ode.IntegratorException("hi!", (java.lang.Object[])d_array_array73);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException75 = new org.apache.commons.math.MaxIterationsExceededException((-1), "Maximal number of evaluations ({0}) exceeded", (java.lang.Object[])d_array_array73);
    java.lang.ArrayIndexOutOfBoundsException arrayIndexOutOfBoundsException76 = org.apache.commons.math.MathRuntimeException.createArrayIndexOutOfBoundsException("Array2DRowFieldMatrix{{1}}", (java.lang.Object[])d_array_array73);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix56.copySubMatrix(1, 10, 36, 52, d_array_array73);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(adamsNordsieckTransformer1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "Maximal number of evaluations ({0}) exceeded"+ "'", str16.equals("Maximal number of evaluations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(illegalArgumentException25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayIndexOutOfBoundsException76);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test363"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix9.copy();
    org.apache.commons.math.linear.RealMatrix realMatrix13 = blockRealMatrix11.scalarMultiply(100.0d);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix14 = blockRealMatrix11.transpose();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix14);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test364"); }


    double[][] d_array_array5 = org.apache.commons.math.linear.BlockRealMatrix.createBlocksLayout(100, 100);
    org.apache.commons.math.ode.IntegratorException integratorException6 = new org.apache.commons.math.ode.IntegratorException("hi!", (java.lang.Object[])d_array_array5);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException((-1), "Maximal number of evaluations ({0}) exceeded", (java.lang.Object[])d_array_array5);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException11 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    double[][] d_array_array15 = org.apache.commons.math.linear.BlockRealMatrix.createBlocksLayout(100, 100);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException11, "", (java.lang.Object[])d_array_array15);
    java.lang.ArithmeticException arithmeticException17 = org.apache.commons.math.MathRuntimeException.createArithmeticException("", (java.lang.Object[])d_array_array15);
    org.apache.commons.math.MathRuntimeException mathRuntimeException18 = new org.apache.commons.math.MathRuntimeException((java.lang.Throwable)maxIterationsExceededException7, "Maximal number of evaluations ({0}) exceeded", (java.lang.Object[])d_array_array15);
    org.apache.commons.math.fraction.BigFraction bigFraction21 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction22 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor23 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction22);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor24 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction22);
    org.apache.commons.math.fraction.BigFraction bigFraction25 = bigFraction21.subtract(bigFraction22);
    org.apache.commons.math.fraction.BigFraction bigFraction26 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger27 = bigFraction26.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction28 = bigFraction22.subtract(bigInteger27);
    org.apache.commons.math.fraction.BigFraction bigFraction29 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction30 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor31 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction30);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor32 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction30);
    org.apache.commons.math.fraction.BigFraction bigFraction33 = bigFraction29.subtract(bigFraction30);
    org.apache.commons.math.fraction.BigFraction bigFraction34 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger35 = bigFraction34.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction36 = bigFraction30.subtract(bigInteger35);
    org.apache.commons.math.fraction.BigFraction bigFraction37 = bigFraction28.pow(bigInteger35);
    org.apache.commons.math.FieldElement[] fieldElement_array38 = new org.apache.commons.math.FieldElement[] { bigFraction37 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix39 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array38);
    org.apache.commons.math.ode.DerivativeException derivativeException40 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.IntegratorException: hi!", (java.lang.Object[])fieldElement_array38);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array41 = new org.apache.commons.math.FieldElement[][] { fieldElement_array38 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix43 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array41, false);
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException7, "Dormand-Prince 8 (5, 3)", (java.lang.Object[])fieldElement_array_array41);
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arithmeticException17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array41);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test365"); }


    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    double d1 = array2DRowRealMatrix0.getDeterminant();
    double[] d_array4 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector5 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array4);
    org.apache.commons.math.linear.RealVector realVector6 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array4);
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array4);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowRealMatrix0.setRowVector(36, realVector7);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test366"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.MathRuntimeException mathRuntimeException1 = new org.apache.commons.math.MathRuntimeException(throwable0);
    java.lang.RuntimeException runtimeException2 = org.apache.commons.math.MathRuntimeException.createInternalError((java.lang.Throwable)mathRuntimeException1);
    org.apache.commons.math.ode.events.EventException eventException3 = new org.apache.commons.math.ode.events.EventException((java.lang.Throwable)runtimeException2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(runtimeException2);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test367"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, Double.NaN, 1);
    double d5 = eventState4.getMaxCheckInterval();
    double d6 = eventState4.getMaxCheckInterval();
    org.apache.commons.math.fraction.BigFraction bigFraction12 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor14 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction13);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor15 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction13);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction12.subtract(bigFraction13);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor17 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction16);
    java.math.BigDecimal bigDecimal20 = bigFraction16.bigDecimalValue(0, 0);
    java.math.BigDecimal[] bigDecimal_array21 = new java.math.BigDecimal[] { bigDecimal20 };
    org.apache.commons.math.linear.BigMatrix bigMatrix22 = org.apache.commons.math.linear.MatrixUtils.createColumnBigMatrix(bigDecimal_array21);
    java.math.BigDecimal[][] bigDecimal_array_array23 = new java.math.BigDecimal[][] { bigDecimal_array21 };
    org.apache.commons.math.linear.BigMatrix bigMatrix24 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array23);
    java.lang.ArithmeticException arithmeticException25 = org.apache.commons.math.MathRuntimeException.createArithmeticException("Maximal number of evaluations ({0}) exceeded", (java.lang.Object[])bigDecimal_array_array23);
    org.apache.commons.math.ode.IntegratorException integratorException26 = new org.apache.commons.math.ode.IntegratorException("Maximal number of evaluations ({0}) exceeded", (java.lang.Object[])bigDecimal_array_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "0", (java.lang.Object[])bigDecimal_array_array23);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException29 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)functionEvaluationException27, 1.0650410894399627d);
    double[] d_array30 = functionEvaluationException29.getArgument();
    org.apache.commons.math.linear.RealVector realVector31 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array30);
    // The following exception was thrown during execution in test generation
    try {
      eventState4.stepAccepted(0.0d, d_array30);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arithmeticException25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector31);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test368"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger3 = bigFraction2.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction2.reduce();
    org.apache.commons.math.fraction.BigFraction bigFraction6 = bigFraction4.multiply(100L);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction6.multiply(52);
    double d10 = bigFraction8.pow(0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test369"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    double d1 = dummyStepInterpolator0.getPreviousTime();
    double d2 = dummyStepInterpolator0.getPreviousTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator3 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d4 = dummyStepInterpolator0.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator6 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator5);
    dummyStepInterpolator5.setInterpolatedTime(1.4142135623730951d);
    double d9 = dummyStepInterpolator5.getInterpolatedTime();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.4142135623730951d);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test370"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    float f8 = bigFraction7.floatValue();
    org.apache.commons.math.fraction.BigFraction bigFraction11 = new org.apache.commons.math.fraction.BigFraction(10L, (-1L));
    org.apache.commons.math.fraction.BigFraction bigFraction13 = bigFraction11.add(1);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = bigFraction7.add(bigFraction13);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction14.subtract(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f8 == 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test371"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = bigFraction0.abs();
    int i6 = bigFraction5.getNumeratorAsInt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test372"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, Double.NaN, 1);
    int i5 = eventState4.getMaxIterationCount();
    double d6 = eventState4.getConvergence();
    boolean b7 = eventState4.stop();
    double[] d_array14 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array14);
    double[] d_array16 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator17 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array14, d_array16);
    org.apache.commons.math.linear.RealMatrix realMatrix18 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array14);
    boolean b19 = eventState4.reset(1.0E-6d, d_array14);
    int i20 = eventState4.getMaxIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);

  }

  @Test
  public void test373() {}
// Defects4J: flaky method
//   @Test
//   public void test373() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test373"); }
// 
// 
//     org.apache.commons.math.Field field0 = null;
//     org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
//     org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
//     org.apache.commons.math.FieldElement fieldElement4 = array2DRowFieldMatrix1.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor3);
//     int i5 = array2DRowFieldMatrix1.getRowDimension();
//     org.apache.commons.math.fraction.BigFraction bigFraction6 = org.apache.commons.math.fraction.BigFraction.ONE;
//     java.math.BigInteger bigInteger7 = bigFraction6.getDenominator();
//     org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction6.reduce();
//     org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor9 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction6);
//     org.apache.commons.math.FieldElement fieldElement10 = array2DRowFieldMatrix1.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor9);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.FieldMatrix fieldMatrix13 = array2DRowFieldMatrix1.createMatrix(0, (-100));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigInteger7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement10);
// 
//   }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test374"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor5 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction4);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = bigFraction4.negate();
    int i7 = bigFraction4.getDenominatorAsInt();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor9 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction8);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger15 = bigFraction14.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction16 = new org.apache.commons.math.fraction.BigFraction(bigInteger15);
    org.apache.commons.math.FieldElement fieldElement17 = defaultFieldMatrixChangingVisitor9.visit(100, (-1), (org.apache.commons.math.FieldElement)bigFraction16);
    java.math.BigDecimal bigDecimal20 = bigFraction16.bigDecimalValue(8, 0);
    org.apache.commons.math.fraction.BigFraction bigFraction22 = bigFraction16.pow(0L);
    int i23 = bigFraction4.compareTo(bigFraction22);
    org.apache.commons.math.fraction.BigFractionField bigFractionField24 = bigFraction22.getField();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix26 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldIdentityMatrix((org.apache.commons.math.Field)bigFractionField24, 100);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix27 = new org.apache.commons.math.linear.Array2DRowFieldMatrix((org.apache.commons.math.Field)bigFractionField24);
    org.apache.commons.math.fraction.BigFraction bigFraction28 = bigFractionField24.getOne();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array31 = org.apache.commons.math.linear.BlockFieldMatrix.<org.apache.commons.math.FieldElement>createBlocksLayout((org.apache.commons.math.Field)bigFractionField24, (-1), 52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFractionField24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array31);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test375"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor24 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d29 = blockRealMatrix22.walkInOptimizedOrder(realMatrixChangingVisitor24, (-100), 52, (-100), (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test376"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.FieldElement fieldElement4 = array2DRowFieldMatrix1.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor3);
    org.apache.commons.math.Field field5 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix6 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field5);
    org.apache.commons.math.fraction.BigFraction bigFraction7 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor8 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction7);
    org.apache.commons.math.FieldElement fieldElement9 = array2DRowFieldMatrix6.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor8);
    int i10 = array2DRowFieldMatrix6.getRowDimension();
    org.apache.commons.math.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math.linear.AnyMatrix)array2DRowFieldMatrix1, (org.apache.commons.math.linear.AnyMatrix)array2DRowFieldMatrix6);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor14 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction13);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor15 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction13);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction12.subtract(bigFraction13);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor17 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction16);
    defaultFieldMatrixPreservingVisitor17.start((-1), 0, 1, 100, 10, 10);
    org.apache.commons.math.FieldElement fieldElement25 = array2DRowFieldMatrix6.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor17);
    defaultFieldMatrixPreservingVisitor17.start(10, 0, 3, 0, 1, 52);
    org.apache.commons.math.fraction.BigFraction bigFraction35 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    defaultFieldMatrixPreservingVisitor17.visit(52, 0, (org.apache.commons.math.FieldElement)bigFraction35);
    org.apache.commons.math.FieldElement fieldElement37 = defaultFieldMatrixPreservingVisitor17.end();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement37);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test377"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix9.transpose();
    org.apache.commons.math.linear.RealMatrix realMatrix12 = blockRealMatrix9.transpose();
    double d13 = blockRealMatrix9.getFrobeniusNorm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test378"); }


    org.apache.commons.math.ode.events.CombinedEventsManager combinedEventsManager0 = new org.apache.commons.math.ode.events.CombinedEventsManager();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    double d2 = dummyStepInterpolator1.getPreviousTime();
    double d3 = dummyStepInterpolator1.getPreviousTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator4 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator1);
    double d5 = dummyStepInterpolator1.getCurrentTime();
    boolean b6 = combinedEventsManager0.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator1);
    boolean b7 = combinedEventsManager0.stop();
    boolean b8 = combinedEventsManager0.isEmpty();
    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator9 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array13 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    nordsieckStepInterpolator9.reinitialize(d_array13, false);
    double[] d_array22 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    double[] d_array24 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator25 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array22, d_array24);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array22);
    nordsieckStepInterpolator9.reinitialize(d_array22, false);
    boolean b29 = combinedEventsManager0.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)nordsieckStepInterpolator9);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator30 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    double d31 = dummyStepInterpolator30.getPreviousTime();
    boolean b32 = combinedEventsManager0.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator30);
    double[] d_array42 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException43 = new org.apache.commons.math.FunctionEvaluationException(d_array42);
    double[] d_array44 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator45 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array42, d_array44);
    double[] d_array49 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix50 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array49);
    org.apache.commons.math.linear.RealMatrix realMatrix51 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array49);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator52 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 10.0d, 10.0d, d_array42, d_array49);
    double[] d_array59 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException60 = new org.apache.commons.math.FunctionEvaluationException(d_array59);
    double[] d_array64 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(d_array64);
    java.lang.Object[] obj_array67 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException(d_array64, "Maximal number of evaluations ({0}) exceeded", obj_array67);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator69 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array59, d_array64);
    double[] d_array75 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException(d_array75);
    double[] d_array77 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator78 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array75, d_array77);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix79 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array75);
    double[] d_array81 = array2DRowRealMatrix79.getRow(1);
    double[] d_array87 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException88 = new org.apache.commons.math.FunctionEvaluationException(d_array87);
    double[] d_array89 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator90 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array87, d_array89);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix91 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array87);
    org.apache.commons.math.linear.RealMatrix realMatrix93 = array2DRowRealMatrix91.scalarAdd(0.0d);
    adamsMoultonIntegrator52.updateHighOrderDerivativesPhase2(d_array64, d_array81, array2DRowRealMatrix91);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException95 = new org.apache.commons.math.FunctionEvaluationException(d_array64);
    boolean b96 = combinedEventsManager0.reset(1.0650410894399627d, d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b96 == false);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test379"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.fraction.BigFraction bigFraction21 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction22 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor23 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction22);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor24 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction22);
    org.apache.commons.math.fraction.BigFraction bigFraction25 = bigFraction21.subtract(bigFraction22);
    double d26 = bigFraction22.doubleValue();
    byte byte27 = bigFraction22.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction28 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction29 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor30 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor31 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = bigFraction28.subtract(bigFraction29);
    double d33 = bigFraction29.doubleValue();
    byte byte34 = bigFraction29.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction36 = bigFraction29.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction38 = bigFraction29.add(100);
    org.apache.commons.math.fraction.BigFraction bigFraction39 = bigFraction22.divide(bigFraction38);
    org.apache.commons.math.FieldElement[] fieldElement_array40 = new org.apache.commons.math.FieldElement[] { bigFraction39 };
    org.apache.commons.math.FieldElement[] fieldElement_array41 = array2DRowFieldMatrix20.preMultiply(fieldElement_array40);
    org.apache.commons.math.fraction.BigFraction bigFraction42 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger43 = bigFraction42.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction45 = bigFraction42.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array46 = new org.apache.commons.math.FieldElement[] { bigFraction42 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix47 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array46);
    org.apache.commons.math.fraction.BigFraction bigFraction48 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor49 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction48);
    org.apache.commons.math.FieldElement fieldElement50 = defaultFieldMatrixChangingVisitor49.end();
    org.apache.commons.math.FieldElement fieldElement51 = array2DRowFieldMatrix47.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor49);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix52 = array2DRowFieldMatrix20.multiply((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix47);
    org.apache.commons.math.fraction.BigFraction bigFraction53 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor54 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction53);
    defaultFieldMatrixPreservingVisitor54.start(10, 0, (-1), 0, 1, 1);
    org.apache.commons.math.FieldElement fieldElement62 = defaultFieldMatrixPreservingVisitor54.end();
    org.apache.commons.math.FieldElement fieldElement63 = defaultFieldMatrixPreservingVisitor54.end();
    org.apache.commons.math.FieldElement fieldElement64 = defaultFieldMatrixPreservingVisitor54.end();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix65 = array2DRowFieldMatrix20.scalarMultiply(fieldElement64);
    org.apache.commons.math.fraction.BigFraction bigFraction66 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction67 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor68 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction67);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor69 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction67);
    org.apache.commons.math.fraction.BigFraction bigFraction70 = bigFraction66.subtract(bigFraction67);
    org.apache.commons.math.fraction.BigFraction bigFraction71 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger72 = bigFraction71.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction73 = bigFraction67.subtract(bigInteger72);
    org.apache.commons.math.fraction.BigFraction bigFraction74 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction75 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor76 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction75);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor77 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction75);
    org.apache.commons.math.fraction.BigFraction bigFraction78 = bigFraction74.subtract(bigFraction75);
    org.apache.commons.math.fraction.BigFraction bigFraction79 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger80 = bigFraction79.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction81 = bigFraction75.subtract(bigInteger80);
    org.apache.commons.math.fraction.BigFraction bigFraction82 = bigFraction73.pow(bigInteger80);
    org.apache.commons.math.FieldElement[] fieldElement_array83 = new org.apache.commons.math.FieldElement[] { bigFraction82 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix84 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array83);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array85 = new org.apache.commons.math.FieldElement[][] { fieldElement_array83 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix86 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array85);
    org.apache.commons.math.FieldElement fieldElement87 = array2DRowFieldMatrix86.getTrace();
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix88 = array2DRowFieldMatrix20.subtract(array2DRowFieldMatrix86);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array89 = array2DRowFieldMatrix86.getData();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix90 = array2DRowFieldMatrix86.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte27 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte34 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowFieldMatrix88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix90);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test380"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, true);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix23 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.fraction.BigFraction bigFraction24 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor25 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction24);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor26 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction24);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix27 = blockFieldMatrix23.scalarMultiply((org.apache.commons.math.FieldElement)bigFraction24);
    org.apache.commons.math.fraction.BigFraction bigFraction28 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction29 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor30 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor31 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = bigFraction28.subtract(bigFraction29);
    org.apache.commons.math.fraction.BigFraction bigFraction33 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger34 = bigFraction33.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction35 = bigFraction29.subtract(bigInteger34);
    org.apache.commons.math.fraction.BigFraction bigFraction36 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction37 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor38 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction37);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor39 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction37);
    org.apache.commons.math.fraction.BigFraction bigFraction40 = bigFraction36.subtract(bigFraction37);
    org.apache.commons.math.fraction.BigFraction bigFraction41 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger42 = bigFraction41.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction43 = bigFraction37.subtract(bigInteger42);
    org.apache.commons.math.fraction.BigFraction bigFraction44 = bigFraction35.pow(bigInteger42);
    org.apache.commons.math.FieldElement[] fieldElement_array45 = new org.apache.commons.math.FieldElement[] { bigFraction44 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix46 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array45);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array47 = new org.apache.commons.math.FieldElement[][] { fieldElement_array45 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix48 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array47);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix50 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array47, true);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix51 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array47);
    org.apache.commons.math.fraction.BigFraction bigFraction52 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor53 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction52);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor54 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction52);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix55 = blockFieldMatrix51.scalarMultiply((org.apache.commons.math.FieldElement)bigFraction52);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix56 = blockFieldMatrix51.copy();
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix57 = blockFieldMatrix23.multiply(blockFieldMatrix51);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array58 = blockFieldMatrix51.getData();
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix59 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array58);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement[] fieldElement_array61 = blockFieldMatrix59.getColumn(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockFieldMatrix57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array58);

  }

  @Test
  public void test381() {}
// Defects4J: flaky method
//   @Test
//   public void test381() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test381"); }
// 
// 
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix2 = new org.apache.commons.math.linear.Array2DRowRealMatrix(0, 1);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test382"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, false);
    org.apache.commons.math.Field field23 = array2DRowFieldMatrix22.getField();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix25 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldIdentityMatrix(field23, 10);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix28 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field23, 100, 1);
    java.io.ObjectInputStream objectInputStream30 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.deserializeRealVector((java.lang.Object)1, "BlockFieldMatrix{{0}}", objectInputStream30);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix25);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test383"); }


    org.apache.commons.math.ode.events.CombinedEventsManager combinedEventsManager0 = new org.apache.commons.math.ode.events.CombinedEventsManager();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    double d2 = dummyStepInterpolator1.getPreviousTime();
    double d3 = dummyStepInterpolator1.getPreviousTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator4 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator1);
    double d5 = dummyStepInterpolator1.getCurrentTime();
    boolean b6 = combinedEventsManager0.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator1);
    boolean b7 = combinedEventsManager0.stop();
    double[] d_array14 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array14);
    double[] d_array16 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator17 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array14, d_array16);
    org.apache.commons.math.linear.RealMatrix realMatrix18 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array14);
    combinedEventsManager0.stepAccepted(100.0d, d_array14);
    combinedEventsManager0.clearEventsHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test384"); }


    double[][] d_array_array2 = org.apache.commons.math.linear.BlockRealMatrix.createBlocksLayout(0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array2);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test385"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, Double.NaN, 1);
    int i5 = eventState4.getMaxIterationCount();
    boolean b6 = eventState4.stop();
    double d7 = eventState4.getMaxCheckInterval();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test386"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    double d1 = dummyStepInterpolator0.getPreviousTime();
    double d2 = dummyStepInterpolator0.getPreviousTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator3 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d4 = dummyStepInterpolator0.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator6 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator5);
    double d7 = dummyStepInterpolator6.getPreviousTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator8 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator6);
    org.apache.commons.math.ode.sampling.StepInterpolator stepInterpolator9 = dummyStepInterpolator8.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(stepInterpolator9);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test387"); }


    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator0 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array6 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix7 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array6);
    double[] d_array13 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    double[] d_array15 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator16 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array13, d_array15);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array15);
    nordsieckStepInterpolator0.reinitialize(10.0d, 1.0d, d_array6, array2DRowRealMatrix17);
    double[] d_array25 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array25);
    double[] d_array30 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array30);
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "Maximal number of evaluations ({0}) exceeded", obj_array33);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator35 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array25, d_array30);
    nordsieckStepInterpolator0.reinitialize(d_array25, true);
    double[] d_array43 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(d_array43);
    double[] d_array50 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array50);
    double[] d_array52 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator53 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array50, d_array52);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix54 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array50);
    nordsieckStepInterpolator0.reinitialize(1.0d, 1.0650410894399627d, d_array43, array2DRowRealMatrix54);
    double[][] d_array_array56 = array2DRowRealMatrix54.getDataRef();
    double[] d_array62 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(d_array62);
    double[] d_array64 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator65 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array62, d_array64);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix66 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array62);
    double[] d_array72 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException(d_array72);
    double[] d_array74 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator75 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array72, d_array74);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix76 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array72);
    org.apache.commons.math.linear.RealMatrix realMatrix78 = array2DRowRealMatrix76.scalarAdd(0.0d);
    org.apache.commons.math.linear.RealMatrix realMatrix79 = array2DRowRealMatrix76.copy();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix80 = array2DRowRealMatrix66.add(array2DRowRealMatrix76);
    org.apache.commons.math.linear.RealMatrix realMatrix82 = array2DRowRealMatrix80.getRowMatrix(0);
    org.apache.commons.math.linear.RealMatrix realMatrix83 = array2DRowRealMatrix54.add((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix80);
    double[][] d_array_array84 = array2DRowRealMatrix80.getDataRef();
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor85 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d90 = array2DRowRealMatrix80.walkInRowOrder(realMatrixPreservingVisitor85, (-1), 0, (-1), 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array84);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test388"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction3 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction3);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor5 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction3);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = bigFraction2.subtract(bigFraction3);
    org.apache.commons.math.fraction.BigFraction bigFraction7 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger8 = bigFraction7.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction9 = bigFraction3.subtract(bigInteger8);
    org.apache.commons.math.fraction.BigFraction bigFraction10 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction11 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction11);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor13 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction11);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = bigFraction10.subtract(bigFraction11);
    org.apache.commons.math.fraction.BigFraction bigFraction15 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger16 = bigFraction15.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction17 = bigFraction11.subtract(bigInteger16);
    org.apache.commons.math.fraction.BigFraction bigFraction18 = bigFraction9.pow(bigInteger16);
    org.apache.commons.math.FieldElement[] fieldElement_array19 = new org.apache.commons.math.FieldElement[] { bigFraction18 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix20 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array19);
    org.apache.commons.math.ode.DerivativeException derivativeException21 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.IntegratorException: hi!", (java.lang.Object[])fieldElement_array19);
    java.lang.String str22 = derivativeException21.getPattern();
    java.lang.Throwable[] throwable_array23 = derivativeException21.getSuppressed();
    org.apache.commons.math.MathRuntimeException mathRuntimeException24 = new org.apache.commons.math.MathRuntimeException("org.apache.commons.math.MathRuntimeException$10: internal error, please fill a bug report at https://issues.apache.org/jira/browse/MATH", (java.lang.Object[])throwable_array23);
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathRuntimeException24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math.ode.IntegratorException: hi!"+ "'", str22.equals("org.apache.commons.math.ode.IntegratorException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test389"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix4.transpose();
    double[] d_array13 = blockRealMatrix4.getRow(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.checkSubMatrixIndex((org.apache.commons.math.linear.AnyMatrix)blockRealMatrix4, 100, 1, 3, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test390"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, false);
    org.apache.commons.math.Field field23 = array2DRowFieldMatrix22.getField();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix25 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldIdentityMatrix(field23, 10);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix28 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field23, 100, 1);
    org.apache.commons.math.Field field29 = array2DRowFieldMatrix28.getField();
    org.apache.commons.math.fraction.BigFraction bigFraction32 = org.apache.commons.math.fraction.BigFraction.getReducedFraction(10, 10);
    org.apache.commons.math.fraction.BigFraction bigFraction34 = bigFraction32.pow(0);
    org.apache.commons.math.fraction.BigFraction bigFraction36 = bigFraction32.subtract(10);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix37 = array2DRowFieldMatrix28.scalarMultiply((org.apache.commons.math.FieldElement)bigFraction36);
    long long38 = bigFraction36.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(field29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long38 == (-9L));

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test391"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, true);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix23 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.Field field24 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix25 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field24);
    org.apache.commons.math.fraction.BigFraction bigFraction26 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger27 = bigFraction26.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction28 = bigFraction26.reduce();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor29 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction26);
    org.apache.commons.math.FieldElement fieldElement30 = array2DRowFieldMatrix25.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor29);
    org.apache.commons.math.FieldElement[] fieldElement_array31 = new org.apache.commons.math.FieldElement[] { fieldElement30 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix32 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array31);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix33 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array31);
    org.apache.commons.math.FieldElement[] fieldElement_array34 = blockFieldMatrix23.operate(fieldElement_array31);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix35 = blockFieldMatrix23.transpose();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix36 = blockFieldMatrix23.copy();
    org.apache.commons.math.fraction.BigFraction bigFraction37 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction38 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor39 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction38);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor40 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction38);
    org.apache.commons.math.fraction.BigFraction bigFraction41 = bigFraction37.subtract(bigFraction38);
    org.apache.commons.math.fraction.BigFraction bigFraction42 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger43 = bigFraction42.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction44 = bigFraction38.subtract(bigInteger43);
    org.apache.commons.math.fraction.BigFraction bigFraction45 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction46 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor47 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction46);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor48 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction46);
    org.apache.commons.math.fraction.BigFraction bigFraction49 = bigFraction45.subtract(bigFraction46);
    org.apache.commons.math.fraction.BigFraction bigFraction50 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger51 = bigFraction50.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction52 = bigFraction46.subtract(bigInteger51);
    org.apache.commons.math.fraction.BigFraction bigFraction53 = bigFraction44.pow(bigInteger51);
    org.apache.commons.math.FieldElement[] fieldElement_array54 = new org.apache.commons.math.FieldElement[] { bigFraction53 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix55 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array54);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array56 = new org.apache.commons.math.FieldElement[][] { fieldElement_array54 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix57 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array56);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix58 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array56);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix59 = blockFieldMatrix23.subtract(blockFieldMatrix58);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array60 = blockFieldMatrix59.getData();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockFieldMatrix59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array60);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test392"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction3 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction3);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor5 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction3);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = bigFraction2.subtract(bigFraction3);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor7 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction6);
    java.math.BigDecimal bigDecimal10 = bigFraction6.bigDecimalValue(0, 0);
    java.math.BigDecimal[] bigDecimal_array11 = new java.math.BigDecimal[] { bigDecimal10 };
    org.apache.commons.math.linear.BigMatrix bigMatrix12 = org.apache.commons.math.linear.MatrixUtils.createColumnBigMatrix(bigDecimal_array11);
    java.math.BigDecimal[][] bigDecimal_array_array13 = new java.math.BigDecimal[][] { bigDecimal_array11 };
    org.apache.commons.math.linear.BigMatrix bigMatrix14 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array13);
    java.lang.ArithmeticException arithmeticException15 = org.apache.commons.math.MathRuntimeException.createArithmeticException("Maximal number of evaluations ({0}) exceeded", (java.lang.Object[])bigDecimal_array_array13);
    org.apache.commons.math.linear.BigMatrix bigMatrix16 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array13);
    org.apache.commons.math.linear.BigMatrix bigMatrix17 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array13);
    org.apache.commons.math.linear.BigMatrix bigMatrix19 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array13, true);
    java.lang.NullPointerException nullPointerException20 = org.apache.commons.math.MathRuntimeException.createNullPointerException("a {0}x{1} matrix was provided instead of a square matrix", (java.lang.Object[])bigDecimal_array_array13);
    org.apache.commons.math.linear.BigMatrix bigMatrix21 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arithmeticException15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(nullPointerException20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix21);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test393"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction2 = bigFraction0.reduce();
    long long3 = bigFraction0.getDenominatorAsLong();
    org.apache.commons.math.fraction.BigFraction bigFraction4 = org.apache.commons.math.fraction.BigFraction.ONE_FIFTH;
    long long5 = bigFraction4.getNumeratorAsLong();
    org.apache.commons.math.fraction.BigFraction bigFraction6 = bigFraction0.subtract(bigFraction4);
    org.apache.commons.math.fraction.BigFractionField bigFractionField7 = bigFraction4.getField();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction4.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFractionField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test394"); }


    double[] d_array3 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix4 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array3);
    org.apache.commons.math.linear.RealMatrix realMatrix5 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array3);
    org.apache.commons.math.linear.RealMatrix realMatrix6 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array3);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator8 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array3, false);
    dummyStepInterpolator8.storeTime(100.0d);
    java.io.ObjectInput objectInput11 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator8.readExternal(objectInput11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix6);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test395"); }


    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator0 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array6 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix7 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array6);
    double[] d_array13 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    double[] d_array15 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator16 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array13, d_array15);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array15);
    nordsieckStepInterpolator0.reinitialize(10.0d, 1.0d, d_array6, array2DRowRealMatrix17);
    double[] d_array25 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array25);
    double[] d_array30 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array30);
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "Maximal number of evaluations ({0}) exceeded", obj_array33);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator35 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array25, d_array30);
    nordsieckStepInterpolator0.reinitialize(d_array25, true);
    double[][] d_array_array38 = new double[][] { d_array25 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix39 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array38);
    double d40 = blockRealMatrix39.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix42 = blockRealMatrix39.getRowMatrix(0);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix47 = blockRealMatrix42.getSubMatrix(1, 36, 10, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.7320508075688772d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix42);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test396"); }


    double[] d_array8 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array8, d_array10);
    double[] d_array15 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix16 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array15);
    org.apache.commons.math.linear.RealMatrix realMatrix17 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array15);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator18 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 10.0d, 10.0d, d_array8, d_array15);
    double d19 = adamsMoultonIntegrator18.getMinReduction();
    double d20 = adamsMoultonIntegrator18.getMaxGrowth();
    double[] d_array26 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(d_array26);
    double[] d_array28 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator29 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array26, d_array28);
    double[] d_array38 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array38);
    double[] d_array40 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator41 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array38, d_array40);
    double[] d_array45 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix46 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array45);
    org.apache.commons.math.linear.RealMatrix realMatrix47 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array45);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator48 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 10.0d, 10.0d, d_array38, d_array45);
    double[] d_array54 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException55 = new org.apache.commons.math.FunctionEvaluationException(d_array54);
    double[] d_array56 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator57 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array54, d_array56);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix58 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array54);
    double[] d_array64 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(d_array64);
    double[] d_array66 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator67 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array64, d_array66);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix68 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array64);
    org.apache.commons.math.linear.RealMatrix realMatrix70 = array2DRowRealMatrix68.scalarAdd(0.0d);
    org.apache.commons.math.linear.RealMatrix realMatrix71 = array2DRowRealMatrix68.copy();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix72 = array2DRowRealMatrix58.add(array2DRowRealMatrix68);
    adamsMoultonIntegrator18.updateHighOrderDerivativesPhase2(d_array26, d_array38, array2DRowRealMatrix72);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix74 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array26);
    org.apache.commons.math.linear.RealMatrix realMatrix75 = array2DRowRealMatrix74.copy();
    // The following exception was thrown during execution in test generation
    try {
      double d76 = array2DRowRealMatrix74.getDeterminant();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.NonSquareMatrixException");
    } catch (org.apache.commons.math.linear.NonSquareMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.NonSquareMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.NonSquareMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0650410894399627d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix75);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test397"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor1 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction0);
    org.apache.commons.math.fraction.BigFraction bigFraction3 = bigFraction0.multiply(100);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction3.reciprocal();
    org.apache.commons.math.fraction.BigFractionField bigFractionField5 = bigFraction3.getField();
    org.apache.commons.math.fraction.BigFraction bigFraction6 = bigFractionField5.getOne();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFractionField5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test398"); }


    double[] d_array6 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    double[] d_array11 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "Maximal number of evaluations ({0}) exceeded", obj_array14);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator16 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array6, d_array11);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator21 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(100.0d, 0.0d, 100.0d, (-1.0d));
    dormandPrince853Integrator21.setMaxEvaluations(10);
    dormandPrince853Integrator21.clearEventHandlers();
    dormandPrince853Integrator21.clearEventHandlers();
    adamsMoultonIntegrator16.setStarterIntegrator((org.apache.commons.math.ode.FirstOrderIntegrator)dormandPrince853Integrator21);
    double d27 = adamsMoultonIntegrator16.getCurrentStepStart();
    double d28 = adamsMoultonIntegrator16.getMaxGrowth();
    double d29 = adamsMoultonIntegrator16.getCurrentSignedStepsize();
    double[] d_array38 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array38);
    double[] d_array40 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator41 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array38, d_array40);
    double[] d_array45 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix46 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array45);
    org.apache.commons.math.linear.RealMatrix realMatrix47 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array45);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator48 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 10.0d, 10.0d, d_array38, d_array45);
    double[] d_array55 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array55);
    double[] d_array60 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException(d_array60);
    java.lang.Object[] obj_array63 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(d_array60, "Maximal number of evaluations ({0}) exceeded", obj_array63);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator65 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array55, d_array60);
    double[] d_array71 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException(d_array71);
    double[] d_array73 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator74 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array71, d_array73);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix75 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array71);
    double[] d_array77 = array2DRowRealMatrix75.getRow(1);
    double[] d_array83 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException(d_array83);
    double[] d_array85 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator86 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array83, d_array85);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix87 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array83);
    org.apache.commons.math.linear.RealMatrix realMatrix89 = array2DRowRealMatrix87.scalarAdd(0.0d);
    adamsMoultonIntegrator48.updateHighOrderDerivativesPhase2(d_array60, d_array77, array2DRowRealMatrix87);
    double[][] d_array_array91 = new double[][] { d_array77 };
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix92 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array91);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix93 = adamsMoultonIntegrator16.updateHighOrderDerivativesPhase1(array2DRowRealMatrix92);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor94 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d99 = array2DRowRealMatrix92.walkInColumnOrder(realMatrixChangingVisitor94, 3, (-100), 0, 52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix93);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test399"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix9.copy();
    java.lang.String str12 = blockRealMatrix11.toString();
    double[] d_array17 = new double[] { 1.0d, 0.0d, 100.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    org.apache.commons.math.linear.RealMatrix realMatrix19 = org.apache.commons.math.linear.MatrixUtils.createColumnRealMatrix(d_array17);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix11.setColumn(8, d_array17);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "BlockRealMatrix{{1.0}}"+ "'", str12.equals("BlockRealMatrix{{1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix19);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test400"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix4.transpose();
    double[] d_array13 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector14 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array15);
    double[] d_array18 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector19 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array18);
    double[][] d_array_array20 = new double[][] { d_array18 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix16.multiply(blockRealMatrix21);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix21.copy();
    boolean b24 = blockRealMatrix23.isSquare();
    double[] d_array26 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector27 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array26);
    double[][] d_array_array28 = new double[][] { d_array26 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix29 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array28);
    double[] d_array31 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector32 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array31);
    double[][] d_array_array33 = new double[][] { d_array31 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix34 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array33);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = blockRealMatrix29.multiply(blockRealMatrix34);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = blockRealMatrix29.getColumnMatrix(0);
    double[] d_array39 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector40 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array39);
    double[][] d_array_array41 = new double[][] { d_array39 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix42 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array41);
    double[] d_array44 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector45 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array44);
    double[][] d_array_array46 = new double[][] { d_array44 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix47 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array46);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix48 = blockRealMatrix42.multiply(blockRealMatrix47);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix47.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix37.add(blockRealMatrix49);
    org.apache.commons.math.linear.RealMatrix realMatrix51 = blockRealMatrix23.solve((org.apache.commons.math.linear.RealMatrix)blockRealMatrix37);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix52 = blockRealMatrix11.subtract(blockRealMatrix23);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector54 = blockRealMatrix23.getColumnVector((-100));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix52);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test401"); }


    org.apache.commons.math.MaxEvaluationsExceededException maxEvaluationsExceededException1 = new org.apache.commons.math.MaxEvaluationsExceededException(0);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException();
    maxEvaluationsExceededException1.addSuppressed((java.lang.Throwable)mathException2);
    java.lang.RuntimeException runtimeException4 = org.apache.commons.math.MathRuntimeException.createInternalError((java.lang.Throwable)mathException2);
    org.apache.commons.math.fraction.BigFraction bigFraction7 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor9 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction8);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction8);
    org.apache.commons.math.fraction.BigFraction bigFraction11 = bigFraction7.subtract(bigFraction8);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction11);
    java.math.BigDecimal bigDecimal15 = bigFraction11.bigDecimalValue(0, 0);
    java.math.BigDecimal[] bigDecimal_array16 = new java.math.BigDecimal[] { bigDecimal15 };
    org.apache.commons.math.linear.BigMatrix bigMatrix17 = org.apache.commons.math.linear.MatrixUtils.createColumnBigMatrix(bigDecimal_array16);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException2, 1.7320508075688772d, "0", (java.lang.Object[])bigDecimal_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(runtimeException4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix17);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test402"); }


    double[] d_array5 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array7 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator8 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array5, d_array7);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array5);
    double[] d_array11 = array2DRowRealMatrix9.getRow(1);
    boolean b12 = array2DRowRealMatrix9.isSquare();
    double[] d_array16 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix17 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array16);
    org.apache.commons.math.linear.RealMatrix realMatrix18 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array16);
    org.apache.commons.math.linear.RealMatrix realMatrix19 = array2DRowRealMatrix9.preMultiply(realMatrix18);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor20 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d25 = array2DRowRealMatrix9.walkInColumnOrder(realMatrixPreservingVisitor20, 8, 52, 36, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix19);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test403"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor6 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction5);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor7 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction5);
    float f8 = bigFraction5.floatValue();
    org.apache.commons.math.fraction.BigFraction bigFraction9 = bigFraction0.multiply(bigFraction5);
    org.apache.commons.math.fraction.BigFraction bigFraction10 = bigFraction0.negate();
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction0.add(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f8 == 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test404"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, true);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array23 = org.apache.commons.math.linear.BlockFieldMatrix.<org.apache.commons.math.FieldElement>toBlocksLayout(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix25 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, false);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix27 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, true);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = org.apache.commons.math.fraction.BigFraction.getReducedFraction(100, (-1));
    org.apache.commons.math.fraction.BigFraction bigFraction34 = bigFraction32.divide(1);
    org.apache.commons.math.fraction.BigFraction bigFraction36 = bigFraction32.multiply((-1));
    org.apache.commons.math.fraction.BigFraction bigFraction38 = bigFraction32.divide((-1L));
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix27.setEntry(100, 36, (org.apache.commons.math.FieldElement)bigFraction38);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test405"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double d24 = blockRealMatrix4.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix4.transpose();
    org.apache.commons.math.linear.RealMatrix realMatrix27 = blockRealMatrix4.scalarMultiply(1.7320508075688772d);
    double[] d_array29 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector30 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array29);
    double[][] d_array_array31 = new double[][] { d_array29 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix32 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array31);
    double[] d_array34 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector35 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array36);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix32.multiply(blockRealMatrix37);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix40 = blockRealMatrix32.getColumnMatrix(0);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix41 = blockRealMatrix4.multiply(blockRealMatrix40);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor42 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d47 = blockRealMatrix4.walkInRowOrder(realMatrixChangingVisitor42, 0, 8, (-100), (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix41);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test406"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor5 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.pow((-9L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test407"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction3 = bigFraction0.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array4 = new org.apache.commons.math.FieldElement[] { bigFraction0 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix6 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    java.lang.String str7 = array2DRowFieldMatrix6.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix9 = array2DRowFieldMatrix6.scalarAdd((org.apache.commons.math.FieldElement)bigFraction8);
    int i10 = array2DRowFieldMatrix6.getColumnDimension();
    int i11 = array2DRowFieldMatrix6.getColumnDimension();
    org.apache.commons.math.fraction.BigFraction bigFraction12 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger13 = bigFraction12.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction12.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array16 = new org.apache.commons.math.FieldElement[] { bigFraction12 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix17 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array16);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array16);
    org.apache.commons.math.linear.FieldVector fieldVector19 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldVector(fieldElement_array16);
    org.apache.commons.math.linear.FieldVector fieldVector20 = array2DRowFieldMatrix6.preMultiply(fieldVector19);
    org.apache.commons.math.fraction.BigFraction bigFraction21 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger22 = bigFraction21.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction24 = bigFraction21.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array25 = new org.apache.commons.math.FieldElement[] { bigFraction21 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix26 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array25);
    org.apache.commons.math.fraction.BigFraction bigFraction27 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction28 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor29 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction28);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor30 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction28);
    org.apache.commons.math.fraction.BigFraction bigFraction31 = bigFraction27.subtract(bigFraction28);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger33 = bigFraction32.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction34 = bigFraction28.subtract(bigInteger33);
    org.apache.commons.math.fraction.BigFraction bigFraction35 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction36 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor37 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction36);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor38 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction36);
    org.apache.commons.math.fraction.BigFraction bigFraction39 = bigFraction35.subtract(bigFraction36);
    org.apache.commons.math.fraction.BigFraction bigFraction40 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger41 = bigFraction40.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction42 = bigFraction36.subtract(bigInteger41);
    org.apache.commons.math.fraction.BigFraction bigFraction43 = bigFraction34.pow(bigInteger41);
    org.apache.commons.math.FieldElement[] fieldElement_array44 = new org.apache.commons.math.FieldElement[] { bigFraction43 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix45 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array44);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array46 = new org.apache.commons.math.FieldElement[][] { fieldElement_array44 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix47 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array46);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix49 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array46, true);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix50 = array2DRowFieldMatrix26.add(array2DRowFieldMatrix49);
    org.apache.commons.math.FieldElement[] fieldElement_array52 = array2DRowFieldMatrix26.getColumn(0);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix53 = array2DRowFieldMatrix6.multiply(array2DRowFieldMatrix26);
    org.apache.commons.math.fraction.BigFraction bigFraction54 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor55 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction54);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement60 = array2DRowFieldMatrix6.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor55, 36, 0, 100, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str7.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldVector19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowFieldMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowFieldMatrix53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction54);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test408"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double d24 = blockRealMatrix4.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix4.transpose();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
    double[][] d_array_array29 = new double[][] { d_array27 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array29);
    double[] d_array32 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array34);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = blockRealMatrix30.multiply(blockRealMatrix35);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = blockRealMatrix35.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix25.subtract(blockRealMatrix35);
    double[] d_array40 = blockRealMatrix38.getRow(0);
    org.apache.commons.math.linear.MatrixUtils.checkRowIndex((org.apache.commons.math.linear.AnyMatrix)blockRealMatrix38, 0);
    double[] d_array44 = blockRealMatrix38.getColumn(0);
    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator46 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array50 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array50);
    nordsieckStepInterpolator46.reinitialize(d_array50, false);
    org.apache.commons.math.linear.RealVector realVector54 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array50);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix38.setRowVector(100, realVector54);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector54);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test409"); }


    org.apache.commons.math.fraction.BigFraction bigFraction3 = new org.apache.commons.math.fraction.BigFraction(1.0650410894399627d, 0.9d, 52);

  }

  @Test
  public void test410() {}
// Defects4J: flaky method
//   @Test
//   public void test410() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test410"); }
// 
// 
//     org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
//     org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
//     org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
//     org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
//     java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
//     org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
//     org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
//     org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
//     org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
//     org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
//     java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
//     org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
//     org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
//     org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
//     org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
//     org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
//     org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
//     org.apache.commons.math.linear.FieldMatrix fieldMatrix21 = array2DRowFieldMatrix20.transpose();
//     boolean b22 = array2DRowFieldMatrix20.isSquare();
//     org.apache.commons.math.fraction.BigFraction bigFraction23 = org.apache.commons.math.fraction.BigFraction.ONE;
//     java.math.BigInteger bigInteger24 = bigFraction23.getDenominator();
//     org.apache.commons.math.fraction.BigFraction bigFraction26 = bigFraction23.multiply(0);
//     org.apache.commons.math.FieldElement[] fieldElement_array27 = new org.apache.commons.math.FieldElement[] { bigFraction23 };
//     org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix28 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array27);
//     org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix29 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array27);
//     java.lang.String str30 = array2DRowFieldMatrix29.toString();
//     org.apache.commons.math.fraction.BigFraction bigFraction31 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
//     org.apache.commons.math.linear.FieldMatrix fieldMatrix32 = array2DRowFieldMatrix29.scalarAdd((org.apache.commons.math.FieldElement)bigFraction31);
//     org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix33 = array2DRowFieldMatrix20.add(array2DRowFieldMatrix29);
//     org.apache.commons.math.fraction.BigFraction bigFraction35 = new org.apache.commons.math.fraction.BigFraction(100);
//     org.apache.commons.math.fraction.BigFractionField bigFractionField36 = bigFraction35.getField();
//     org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix37 = new org.apache.commons.math.linear.Array2DRowFieldMatrix((org.apache.commons.math.Field)bigFractionField36);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix38 = array2DRowFieldMatrix33.multiply(array2DRowFieldMatrix37);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigInteger6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction12);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigInteger14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement_array17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldMatrix18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement_array_array19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldMatrix21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigInteger24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement_array27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str30 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str30.equals("Array2DRowFieldMatrix{{1}}"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldMatrix32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(array2DRowFieldMatrix33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFractionField36);
// 
//   }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test411"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, false);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix23 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.Field field24 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix25 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field24);
    org.apache.commons.math.fraction.BigFraction bigFraction26 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger27 = bigFraction26.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction28 = bigFraction26.reduce();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor29 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction26);
    org.apache.commons.math.FieldElement fieldElement30 = array2DRowFieldMatrix25.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor29);
    defaultFieldMatrixChangingVisitor29.start(1, 8, 0, 36, 100, 100);
    org.apache.commons.math.FieldElement fieldElement38 = blockFieldMatrix23.walkInOptimizedOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor29);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor39 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor(fieldElement38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement38);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test412"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction3 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction3);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor5 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction3);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = bigFraction2.subtract(bigFraction3);
    org.apache.commons.math.fraction.BigFraction bigFraction7 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger8 = bigFraction7.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction9 = bigFraction3.subtract(bigInteger8);
    org.apache.commons.math.fraction.BigFraction bigFraction10 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction11 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction11);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor13 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction11);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = bigFraction10.subtract(bigFraction11);
    org.apache.commons.math.fraction.BigFraction bigFraction15 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger16 = bigFraction15.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction17 = bigFraction11.subtract(bigInteger16);
    org.apache.commons.math.fraction.BigFraction bigFraction18 = bigFraction9.pow(bigInteger16);
    org.apache.commons.math.FieldElement[] fieldElement_array19 = new org.apache.commons.math.FieldElement[] { bigFraction18 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix20 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array19);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix21 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldDiagonalMatrix(fieldElement_array19);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array22 = new org.apache.commons.math.FieldElement[][] { fieldElement_array19 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix23 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldMatrix(fieldElement_array_array22);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array24 = org.apache.commons.math.linear.BlockFieldMatrix.<org.apache.commons.math.FieldElement>toBlocksLayout(fieldElement_array_array22);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix26 = new org.apache.commons.math.linear.BlockFieldMatrix(1, 1, fieldElement_array_array22, false);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array27 = org.apache.commons.math.linear.BlockFieldMatrix.<org.apache.commons.math.FieldElement>toBlocksLayout(fieldElement_array_array22);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix29 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array22, true);
    org.apache.commons.math.Field field30 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix31 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field30);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor33 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction32);
    org.apache.commons.math.FieldElement fieldElement34 = array2DRowFieldMatrix31.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor33);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement fieldElement39 = array2DRowFieldMatrix29.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor33, 36, 10, 0, 3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement34);

  }

  @Test
  public void test413() {}
// Defects4J: flaky method
//   @Test
//   public void test413() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test413"); }
// 
// 
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator5 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator((-100), 10000.0d, 1.0E-6d, 1.4142135623730951d, (-1000.0d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test414"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix9.copy();
    java.lang.String str12 = blockRealMatrix11.toString();
    org.apache.commons.math.linear.RealMatrix realMatrix14 = blockRealMatrix11.scalarAdd(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "BlockRealMatrix{{1.0}}"+ "'", str12.equals("BlockRealMatrix{{1.0}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test415"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix12 = blockRealMatrix4.getColumnMatrix(0);
    double[] d_array14 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector15 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array14);
    double[][] d_array_array16 = new double[][] { d_array14 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix17 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array16);
    double[] d_array19 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector20 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix17.multiply(blockRealMatrix22);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix17.getColumnMatrix(0);
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
    double[][] d_array_array29 = new double[][] { d_array27 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array29);
    double[] d_array32 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array34);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = blockRealMatrix30.multiply(blockRealMatrix35);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = blockRealMatrix35.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix25.add(blockRealMatrix37);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix39 = blockRealMatrix12.subtract(blockRealMatrix25);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor40 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d41 = blockRealMatrix25.walkInRowOrder(realMatrixChangingVisitor40);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix39);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test416"); }


    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator0 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array6 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix7 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array6);
    double[] d_array13 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    double[] d_array15 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator16 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array13, d_array15);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array15);
    nordsieckStepInterpolator0.reinitialize(10.0d, 1.0d, d_array6, array2DRowRealMatrix17);
    double[] d_array25 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array25);
    double[] d_array30 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array30);
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "Maximal number of evaluations ({0}) exceeded", obj_array33);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator35 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array25, d_array30);
    nordsieckStepInterpolator0.reinitialize(d_array25, true);
    double[] d_array43 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(d_array43);
    double[] d_array50 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException(d_array50);
    double[] d_array52 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator53 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array50, d_array52);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix54 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array50);
    nordsieckStepInterpolator0.reinitialize(1.0d, 1.0650410894399627d, d_array43, array2DRowRealMatrix54);
    double[][] d_array_array56 = array2DRowRealMatrix54.getDataRef();
    double[] d_array62 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException63 = new org.apache.commons.math.FunctionEvaluationException(d_array62);
    double[] d_array64 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator65 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array62, d_array64);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix66 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array62);
    double[] d_array72 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException73 = new org.apache.commons.math.FunctionEvaluationException(d_array72);
    double[] d_array74 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator75 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array72, d_array74);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix76 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array72);
    org.apache.commons.math.linear.RealMatrix realMatrix78 = array2DRowRealMatrix76.scalarAdd(0.0d);
    org.apache.commons.math.linear.RealMatrix realMatrix79 = array2DRowRealMatrix76.copy();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix80 = array2DRowRealMatrix66.add(array2DRowRealMatrix76);
    org.apache.commons.math.linear.RealMatrix realMatrix82 = array2DRowRealMatrix80.getRowMatrix(0);
    org.apache.commons.math.linear.RealMatrix realMatrix83 = array2DRowRealMatrix54.add((org.apache.commons.math.linear.RealMatrix)array2DRowRealMatrix80);
    org.apache.commons.math.linear.RealMatrix realMatrix85 = array2DRowRealMatrix54.getColumnMatrix(0);
    // The following exception was thrown during execution in test generation
    try {
      double d88 = array2DRowRealMatrix54.getEntry((-1), 3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix85);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test417"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double d24 = blockRealMatrix4.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix4.transpose();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
    double[][] d_array_array29 = new double[][] { d_array27 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array29);
    double[] d_array32 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array34);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = blockRealMatrix30.multiply(blockRealMatrix35);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = blockRealMatrix35.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix25.subtract(blockRealMatrix35);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix39 = blockRealMatrix38.copy();
    double[] d_array41 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector42 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix44 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array43);
    double[] d_array46 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector47 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array46);
    double[][] d_array_array48 = new double[][] { d_array46 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix49 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array48);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix44.multiply(blockRealMatrix49);
    double[] d_array52 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector53 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array52);
    double[][] d_array_array54 = new double[][] { d_array52 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix55 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array54);
    double[] d_array57 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector58 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array57);
    double[][] d_array_array59 = new double[][] { d_array57 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix60 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array59);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix61 = blockRealMatrix55.multiply(blockRealMatrix60);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix62 = blockRealMatrix60.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix63 = blockRealMatrix44.add(blockRealMatrix62);
    double[] d_array65 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector66 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array65);
    double[][] d_array_array67 = new double[][] { d_array65 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix68 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array67);
    double[] d_array70 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector71 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array70);
    double[][] d_array_array72 = new double[][] { d_array70 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix73 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array72);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix74 = blockRealMatrix68.multiply(blockRealMatrix73);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix75 = blockRealMatrix63.subtract(blockRealMatrix68);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix76 = blockRealMatrix39.subtract(blockRealMatrix68);
    double d77 = blockRealMatrix68.getTrace();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 1.0d);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test418"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double d24 = blockRealMatrix4.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix4.transpose();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
    double[][] d_array_array29 = new double[][] { d_array27 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array29);
    double[] d_array32 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array34);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = blockRealMatrix30.multiply(blockRealMatrix35);
    double[] d_array38 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector39 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array38);
    double[][] d_array_array40 = new double[][] { d_array38 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix41 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array40);
    double[] d_array43 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector44 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix46 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array45);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix47 = blockRealMatrix41.multiply(blockRealMatrix46);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix48 = blockRealMatrix46.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix30.add(blockRealMatrix48);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix25.subtract(blockRealMatrix30);
    double[] d_array57 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException58 = new org.apache.commons.math.FunctionEvaluationException(d_array57);
    double[] d_array59 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator60 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array57, d_array59);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix61 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array57);
    double[] d_array63 = array2DRowRealMatrix61.getRow(1);
    boolean b64 = array2DRowRealMatrix61.isSquare();
    org.apache.commons.math.linear.RealMatrix realMatrix65 = array2DRowRealMatrix61.transpose();
    double[] d_array67 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector68 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array67);
    org.apache.commons.math.linear.RealVector realVector69 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array67);
    org.apache.commons.math.linear.RealVector realVector70 = array2DRowRealMatrix61.operate(realVector69);
    blockRealMatrix30.setColumnVector(0, realVector69);
    double[][] d_array_array72 = blockRealMatrix30.getData();
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix30.addToEntry(100, 3, 10000.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array72);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test419"); }


    org.apache.commons.math.ode.nonstiff.AdamsNordsieckTransformer adamsNordsieckTransformer1 = org.apache.commons.math.ode.nonstiff.AdamsNordsieckTransformer.getInstance(3);
    int i2 = adamsNordsieckTransformer1.getNSteps();
    double[] d_array8 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array8, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array8, true);
    org.apache.commons.math.MaxEvaluationsExceededException maxEvaluationsExceededException15 = new org.apache.commons.math.MaxEvaluationsExceededException(0);
    java.lang.String str16 = maxEvaluationsExceededException15.getPattern();
    org.apache.commons.math.MathRuntimeException mathRuntimeException17 = new org.apache.commons.math.MathRuntimeException((java.lang.Throwable)maxEvaluationsExceededException15);
    double[][] d_array_array22 = org.apache.commons.math.linear.BlockRealMatrix.createBlocksLayout(100, 100);
    org.apache.commons.math.ode.DerivativeException derivativeException23 = new org.apache.commons.math.ode.DerivativeException("", (java.lang.Object[])d_array_array22);
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathRuntimeException17, "", (java.lang.Object[])d_array_array22);
    java.lang.IllegalArgumentException illegalArgumentException25 = org.apache.commons.math.MathRuntimeException.createIllegalArgumentException((java.lang.Throwable)convergenceException24);
    org.apache.commons.math.ode.events.EventHandler eventHandler26 = null;
    org.apache.commons.math.ode.events.EventState eventState30 = new org.apache.commons.math.ode.events.EventState(eventHandler26, 0.0d, Double.NaN, 1);
    int i31 = eventState30.getMaxIterationCount();
    double d32 = eventState30.getConvergence();
    boolean b33 = eventState30.stop();
    double[] d_array40 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException41 = new org.apache.commons.math.FunctionEvaluationException(d_array40);
    double[] d_array42 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator43 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array40, d_array42);
    org.apache.commons.math.linear.RealMatrix realMatrix44 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array40);
    boolean b45 = eventState30.reset(1.0E-6d, d_array40);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)convergenceException24, d_array40);
    double[] d_array52 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(d_array52);
    double[] d_array54 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator55 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array52, d_array54);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix56 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array52);
    org.apache.commons.math.linear.RealMatrix realMatrix58 = array2DRowRealMatrix56.scalarAdd(0.0d);
    org.apache.commons.math.linear.RealMatrix realMatrix59 = array2DRowRealMatrix56.copy();
    org.apache.commons.math.linear.RealMatrix realMatrix61 = array2DRowRealMatrix56.scalarAdd(0.9d);
    adamsNordsieckTransformer1.updateHighOrderDerivativesPhase2(d_array8, d_array40, array2DRowRealMatrix56);
    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator63 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array67 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException68 = new org.apache.commons.math.FunctionEvaluationException(d_array67);
    nordsieckStepInterpolator63.reinitialize(d_array67, false);
    double[] d_array76 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException77 = new org.apache.commons.math.FunctionEvaluationException(d_array76);
    double[] d_array78 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator79 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array76, d_array78);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix80 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array76);
    nordsieckStepInterpolator63.reinitialize(d_array76, false);
    double[][] d_array_array83 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix84 = adamsNordsieckTransformer1.initializeHighOrderDerivatives(d_array76, d_array_array83);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(adamsNordsieckTransformer1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "Maximal number of evaluations ({0}) exceeded"+ "'", str16.equals("Maximal number of evaluations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(illegalArgumentException25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test420"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction3 = bigFraction0.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array4 = new org.apache.commons.math.FieldElement[] { bigFraction0 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix6 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    java.lang.String str7 = array2DRowFieldMatrix6.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix9 = array2DRowFieldMatrix6.scalarAdd((org.apache.commons.math.FieldElement)bigFraction8);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array10 = array2DRowFieldMatrix6.getDataRef();
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix12 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array10, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str7.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array10);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test421"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix12 = blockRealMatrix4.getColumnMatrix(0);
    double[] d_array14 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector15 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array14);
    double[][] d_array_array16 = new double[][] { d_array14 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix17 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array16);
    double[] d_array19 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector20 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix17.multiply(blockRealMatrix22);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix22.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix12.add(blockRealMatrix24);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor26 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d27 = blockRealMatrix12.walkInColumnOrder(realMatrixPreservingVisitor26);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test422"); }


    org.apache.commons.math.Field field0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix2 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldIdentityMatrix(field0, 52);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test423"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction3 = bigFraction0.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array4 = new org.apache.commons.math.FieldElement[] { bigFraction0 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix6 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    java.lang.String str7 = array2DRowFieldMatrix6.toString();
    org.apache.commons.math.Field field8 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix9 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field8);
    org.apache.commons.math.fraction.BigFraction bigFraction10 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.FieldElement fieldElement12 = array2DRowFieldMatrix9.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor11);
    org.apache.commons.math.Field field13 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix14 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field13);
    org.apache.commons.math.fraction.BigFraction bigFraction15 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor16 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction15);
    org.apache.commons.math.FieldElement fieldElement17 = array2DRowFieldMatrix14.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor16);
    int i18 = array2DRowFieldMatrix14.getRowDimension();
    org.apache.commons.math.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math.linear.AnyMatrix)array2DRowFieldMatrix9, (org.apache.commons.math.linear.AnyMatrix)array2DRowFieldMatrix14);
    org.apache.commons.math.fraction.BigFraction bigFraction20 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor21 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction20);
    defaultFieldMatrixPreservingVisitor21.start(10, 0, (-1), 0, 1, 1);
    org.apache.commons.math.FieldElement fieldElement29 = defaultFieldMatrixPreservingVisitor21.end();
    org.apache.commons.math.FieldElement fieldElement30 = array2DRowFieldMatrix14.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor21);
    org.apache.commons.math.FieldElement fieldElement31 = array2DRowFieldMatrix6.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor21);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction33 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor34 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction33);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor35 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction33);
    org.apache.commons.math.fraction.BigFraction bigFraction36 = bigFraction32.subtract(bigFraction33);
    org.apache.commons.math.fraction.BigFraction bigFraction37 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger38 = bigFraction37.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction39 = bigFraction33.subtract(bigInteger38);
    org.apache.commons.math.fraction.BigFraction bigFraction40 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction41 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor42 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction41);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor43 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction41);
    org.apache.commons.math.fraction.BigFraction bigFraction44 = bigFraction40.subtract(bigFraction41);
    org.apache.commons.math.fraction.BigFraction bigFraction45 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger46 = bigFraction45.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction47 = bigFraction41.subtract(bigInteger46);
    org.apache.commons.math.fraction.BigFraction bigFraction48 = bigFraction39.pow(bigInteger46);
    org.apache.commons.math.FieldElement[] fieldElement_array49 = new org.apache.commons.math.FieldElement[] { bigFraction48 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix50 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array49);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array51 = new org.apache.commons.math.FieldElement[][] { fieldElement_array49 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix52 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array51);
    org.apache.commons.math.fraction.BigFraction bigFraction53 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction54 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor55 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction54);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor56 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction54);
    org.apache.commons.math.fraction.BigFraction bigFraction57 = bigFraction53.subtract(bigFraction54);
    double d58 = bigFraction54.doubleValue();
    byte byte59 = bigFraction54.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction60 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction61 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor62 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction61);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor63 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction61);
    org.apache.commons.math.fraction.BigFraction bigFraction64 = bigFraction60.subtract(bigFraction61);
    double d65 = bigFraction61.doubleValue();
    byte byte66 = bigFraction61.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction68 = bigFraction61.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction70 = bigFraction61.add(100);
    org.apache.commons.math.fraction.BigFraction bigFraction71 = bigFraction54.divide(bigFraction70);
    org.apache.commons.math.FieldElement[] fieldElement_array72 = new org.apache.commons.math.FieldElement[] { bigFraction71 };
    org.apache.commons.math.FieldElement[] fieldElement_array73 = array2DRowFieldMatrix52.preMultiply(fieldElement_array72);
    org.apache.commons.math.linear.FieldVector fieldVector74 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldVector(fieldElement_array73);
    org.apache.commons.math.linear.FieldVector fieldVector75 = array2DRowFieldMatrix6.preMultiply(fieldVector74);
    org.apache.commons.math.Field field76 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix77 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field76);
    org.apache.commons.math.fraction.BigFraction bigFraction78 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor79 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction78);
    org.apache.commons.math.FieldElement fieldElement80 = array2DRowFieldMatrix77.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor79);
    int i81 = array2DRowFieldMatrix77.getRowDimension();
    org.apache.commons.math.fraction.BigFraction bigFraction82 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger83 = bigFraction82.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction84 = bigFraction82.reduce();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor85 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction82);
    org.apache.commons.math.FieldElement fieldElement86 = array2DRowFieldMatrix77.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor85);
    org.apache.commons.math.FieldElement fieldElement87 = array2DRowFieldMatrix6.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor85);
    org.apache.commons.math.Field field88 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix89 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field88);
    org.apache.commons.math.fraction.BigFraction bigFraction90 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger91 = bigFraction90.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction92 = bigFraction90.reduce();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor93 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction90);
    org.apache.commons.math.FieldElement fieldElement94 = array2DRowFieldMatrix89.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor93);
    org.apache.commons.math.FieldElement[] fieldElement_array95 = new org.apache.commons.math.FieldElement[] { fieldElement94 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix96 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array95);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix97 = array2DRowFieldMatrix6.preMultiply(fieldMatrix96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str7.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte59 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte66 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldVector74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldVector75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i81 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix97);

  }

  @Test
  public void test424() {}
// Defects4J: flaky method
//   @Test
//   public void test424() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test424"); }
// 
// 
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
//     double[][] d_array_array9 = org.apache.commons.math.linear.BlockRealMatrix.createBlocksLayout(100, 100);
//     org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException5, "", (java.lang.Object[])d_array_array9);
//     java.lang.ArithmeticException arithmeticException11 = org.apache.commons.math.MathRuntimeException.createArithmeticException("", (java.lang.Object[])d_array_array9);
//     java.io.EOFException eOFException12 = org.apache.commons.math.MathRuntimeException.createEOFException("a {0}x{1} matrix was provided instead of a square matrix", (java.lang.Object[])d_array_array9);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix14 = new org.apache.commons.math.linear.BlockRealMatrix(0, 0, d_array_array9, false);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(arithmeticException11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(eOFException12);
// 
//   }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test425"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    double d1 = dummyStepInterpolator0.getPreviousTime();
    double d2 = dummyStepInterpolator0.getPreviousTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator3 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    double d4 = dummyStepInterpolator0.getCurrentTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator5 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator6 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator5);
    double d7 = dummyStepInterpolator6.getPreviousTime();
    double d8 = dummyStepInterpolator6.getCurrentTime();
    java.io.ObjectOutput objectOutput9 = null;
    // The following exception was thrown during execution in test generation
    try {
      dummyStepInterpolator6.writeExternal(objectOutput9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test426"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction3 = bigFraction0.add(0);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction3.negate();
    long long5 = bigFraction3.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 1L);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test427"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double d24 = blockRealMatrix4.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix4.transpose();
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
    double[][] d_array_array29 = new double[][] { d_array27 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array29);
    double[] d_array32 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array34);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = blockRealMatrix30.multiply(blockRealMatrix35);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = blockRealMatrix35.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix25.subtract(blockRealMatrix35);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix39 = blockRealMatrix38.copy();
    double[] d_array41 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector42 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix44 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array43);
    double[] d_array46 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector47 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array46);
    double[][] d_array_array48 = new double[][] { d_array46 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix49 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array48);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix44.multiply(blockRealMatrix49);
    double[] d_array52 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector53 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array52);
    double[][] d_array_array54 = new double[][] { d_array52 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix55 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array54);
    double[] d_array57 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector58 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array57);
    double[][] d_array_array59 = new double[][] { d_array57 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix60 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array59);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix61 = blockRealMatrix55.multiply(blockRealMatrix60);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix62 = blockRealMatrix60.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix63 = blockRealMatrix44.add(blockRealMatrix62);
    double[] d_array65 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector66 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array65);
    double[][] d_array_array67 = new double[][] { d_array65 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix68 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array67);
    double[] d_array70 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector71 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array70);
    double[][] d_array_array72 = new double[][] { d_array70 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix73 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array72);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix74 = blockRealMatrix68.multiply(blockRealMatrix73);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix75 = blockRealMatrix63.subtract(blockRealMatrix68);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix76 = blockRealMatrix39.subtract(blockRealMatrix68);
    double d77 = blockRealMatrix76.getTrace();
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor78 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d79 = blockRealMatrix76.walkInRowOrder(realMatrixPreservingVisitor78);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == (-1.0d));

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test428"); }


    org.apache.commons.math.FieldElement[][] fieldElement_array_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.FieldElement[][] fieldElement_array_array1 = org.apache.commons.math.linear.BlockFieldMatrix.<org.apache.commons.math.FieldElement>toBlocksLayout(fieldElement_array_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test429"); }


    org.apache.commons.math.ode.events.CombinedEventsManager combinedEventsManager0 = new org.apache.commons.math.ode.events.CombinedEventsManager();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    double d2 = dummyStepInterpolator1.getPreviousTime();
    double d3 = dummyStepInterpolator1.getPreviousTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator4 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator1);
    double d5 = dummyStepInterpolator1.getCurrentTime();
    boolean b6 = combinedEventsManager0.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator1);
    boolean b7 = combinedEventsManager0.stop();
    boolean b8 = combinedEventsManager0.isEmpty();
    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator9 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array13 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    nordsieckStepInterpolator9.reinitialize(d_array13, false);
    double[] d_array22 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    double[] d_array24 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator25 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array22, d_array24);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix26 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array22);
    nordsieckStepInterpolator9.reinitialize(d_array22, false);
    boolean b29 = combinedEventsManager0.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)nordsieckStepInterpolator9);
    nordsieckStepInterpolator9.finalizeStep();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test430"); }


    org.apache.commons.math.ode.events.CombinedEventsManager combinedEventsManager0 = new org.apache.commons.math.ode.events.CombinedEventsManager();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    double d2 = dummyStepInterpolator1.getPreviousTime();
    double d3 = dummyStepInterpolator1.getPreviousTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator4 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator1);
    double d5 = dummyStepInterpolator1.getCurrentTime();
    boolean b6 = combinedEventsManager0.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator1);
    boolean b7 = combinedEventsManager0.stop();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(0);
    int i11 = maxIterationsExceededException10.getMaxIterations();
    org.apache.commons.math.ode.IntegratorException integratorException12 = new org.apache.commons.math.ode.IntegratorException((java.lang.Throwable)maxIterationsExceededException10);
    java.lang.IllegalArgumentException illegalArgumentException13 = org.apache.commons.math.MathRuntimeException.createIllegalArgumentException((java.lang.Throwable)integratorException12);
    org.apache.commons.math.MathRuntimeException mathRuntimeException14 = new org.apache.commons.math.MathRuntimeException((java.lang.Throwable)integratorException12);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)mathRuntimeException14);
    double[] d_array22 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(d_array22);
    double[] d_array27 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array27);
    java.lang.Object[] obj_array30 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array27, "Maximal number of evaluations ({0}) exceeded", obj_array30);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator32 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array22, d_array27);
    org.apache.commons.math.fraction.BigFraction bigFraction34 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger35 = bigFraction34.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction37 = bigFraction34.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array38 = new org.apache.commons.math.FieldElement[] { bigFraction34 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix39 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array38);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix40 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array38);
    java.lang.String str41 = array2DRowFieldMatrix40.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction42 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix43 = array2DRowFieldMatrix40.scalarAdd((org.apache.commons.math.FieldElement)bigFraction42);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array44 = array2DRowFieldMatrix40.getDataRef();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array45 = org.apache.commons.math.linear.BlockFieldMatrix.<org.apache.commons.math.FieldElement>toBlocksLayout(fieldElement_array_array44);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)mathException15, d_array22, "org.apache.commons.math.ConvergenceException: Dormand-Prince 8 (5, 3)", (java.lang.Object[])fieldElement_array_array44);
    combinedEventsManager0.stepAccepted(1.0E-15d, d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(illegalArgumentException13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str41.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array45);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test431"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.fraction.BigFraction bigFraction3 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction4 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor5 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction4);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor6 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction4);
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction3.subtract(bigFraction4);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger9 = bigFraction8.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction10 = bigFraction4.subtract(bigInteger9);
    org.apache.commons.math.fraction.BigFraction bigFraction11 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction12 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor13 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction12);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor14 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction12);
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction11.subtract(bigFraction12);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger17 = bigFraction16.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction18 = bigFraction12.subtract(bigInteger17);
    org.apache.commons.math.fraction.BigFraction bigFraction19 = bigFraction10.pow(bigInteger17);
    org.apache.commons.math.FieldElement[] fieldElement_array20 = new org.apache.commons.math.FieldElement[] { bigFraction19 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix21 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array20);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array22 = new org.apache.commons.math.FieldElement[][] { fieldElement_array20 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix23 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array22);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix24 = array2DRowFieldMatrix23.transpose();
    boolean b25 = array2DRowFieldMatrix23.isSquare();
    org.apache.commons.math.fraction.BigFraction bigFraction26 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger27 = bigFraction26.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction29 = bigFraction26.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array30 = new org.apache.commons.math.FieldElement[] { bigFraction26 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix31 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array30);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix32 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array30);
    java.lang.String str33 = array2DRowFieldMatrix32.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction34 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix35 = array2DRowFieldMatrix32.scalarAdd((org.apache.commons.math.FieldElement)bigFraction34);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix36 = array2DRowFieldMatrix23.add(array2DRowFieldMatrix32);
    org.apache.commons.math.fraction.BigFraction bigFraction38 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction39 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor40 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction39);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor41 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction39);
    org.apache.commons.math.fraction.BigFraction bigFraction42 = bigFraction38.subtract(bigFraction39);
    org.apache.commons.math.fraction.BigFraction bigFraction43 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger44 = bigFraction43.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction45 = bigFraction39.subtract(bigInteger44);
    org.apache.commons.math.fraction.BigFraction bigFraction46 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction47 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor48 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction47);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor49 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction47);
    org.apache.commons.math.fraction.BigFraction bigFraction50 = bigFraction46.subtract(bigFraction47);
    org.apache.commons.math.fraction.BigFraction bigFraction51 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger52 = bigFraction51.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction53 = bigFraction47.subtract(bigInteger52);
    org.apache.commons.math.fraction.BigFraction bigFraction54 = bigFraction45.pow(bigInteger52);
    org.apache.commons.math.FieldElement[] fieldElement_array55 = new org.apache.commons.math.FieldElement[] { bigFraction54 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix56 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array55);
    org.apache.commons.math.ode.DerivativeException derivativeException57 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.IntegratorException: hi!", (java.lang.Object[])fieldElement_array55);
    org.apache.commons.math.FieldElement[] fieldElement_array58 = array2DRowFieldMatrix32.operate(fieldElement_array55);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException59 = new org.apache.commons.math.FunctionEvaluationException(throwable0, 2.0d, "org.apache.commons.math.ConvergenceException: Dormand-Prince 8 (5, 3)", (java.lang.Object[])fieldElement_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str33.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowFieldMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array58);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test432"); }


    double[] d_array5 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array7 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator8 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array5, d_array7);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array5);
    double[] d_array11 = array2DRowRealMatrix9.getRow(1);
    boolean b12 = array2DRowRealMatrix9.isSquare();
    org.apache.commons.math.linear.RealMatrix realMatrix14 = array2DRowRealMatrix9.scalarMultiply(0.0d);
    double[] d_array21 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array21);
    double[] d_array23 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator24 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array21, d_array23);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix25 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array21);
    double[] d_array27 = array2DRowRealMatrix25.getRow(1);
    boolean b28 = array2DRowRealMatrix25.isSquare();
    org.apache.commons.math.linear.RealMatrix realMatrix30 = array2DRowRealMatrix25.scalarMultiply(0.0d);
    org.apache.commons.math.linear.RealVector realVector32 = array2DRowRealMatrix25.getRowVector(1);
    array2DRowRealMatrix9.setRowVector(0, realVector32);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealVector realVector35 = array2DRowRealMatrix9.getRowVector(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector32);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test433"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix9.copy();
    boolean b12 = blockRealMatrix11.isSquare();
    org.apache.commons.math.linear.RealMatrix realMatrix14 = blockRealMatrix11.scalarMultiply(0.2d);
    double d15 = blockRealMatrix11.getFrobeniusNorm();
    org.apache.commons.math.MaxEvaluationsExceededException maxEvaluationsExceededException18 = new org.apache.commons.math.MaxEvaluationsExceededException(0);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException();
    maxEvaluationsExceededException18.addSuppressed((java.lang.Throwable)mathException19);
    java.lang.String str21 = maxEvaluationsExceededException18.getPattern();
    int i22 = maxEvaluationsExceededException18.getMaxEvaluations();
    double[][] d_array_array26 = org.apache.commons.math.linear.BlockRealMatrix.createBlocksLayout(100, 100);
    org.apache.commons.math.ode.DerivativeException derivativeException27 = new org.apache.commons.math.ode.DerivativeException("", (java.lang.Object[])d_array_array26);
    double[] d_array31 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException32 = new org.apache.commons.math.FunctionEvaluationException(d_array31);
    java.lang.Object[] obj_array34 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException35 = new org.apache.commons.math.FunctionEvaluationException(d_array31, "Maximal number of evaluations ({0}) exceeded", obj_array34);
    org.apache.commons.math.fraction.FractionConversionException fractionConversionException39 = new org.apache.commons.math.fraction.FractionConversionException(100.0d, (-1));
    java.lang.Object[] obj_array45 = new java.lang.Object[] { (-1.0d) };
    java.lang.NullPointerException nullPointerException46 = org.apache.commons.math.MathRuntimeException.createNullPointerException("", obj_array45);
    java.util.ConcurrentModificationException concurrentModificationException47 = org.apache.commons.math.MathRuntimeException.createConcurrentModificationException("hi!", obj_array45);
    org.apache.commons.math.linear.MatrixIndexException matrixIndexException48 = new org.apache.commons.math.linear.MatrixIndexException("hi!", obj_array45);
    java.lang.Object[] obj_array49 = matrixIndexException48.getArguments();
    org.apache.commons.math.MathRuntimeException mathRuntimeException50 = new org.apache.commons.math.MathRuntimeException((java.lang.Throwable)fractionConversionException39, "hi!", obj_array49);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException51 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)derivativeException27, d_array31, "Array2DRowFieldMatrix{{1}}", obj_array49);
    java.lang.Object[] obj_array53 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(d_array31, "Maximal number of evaluations ({0}) exceeded", obj_array53);
    org.apache.commons.math.fraction.BigFraction bigFraction61 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction62 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor63 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction62);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor64 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction62);
    org.apache.commons.math.fraction.BigFraction bigFraction65 = bigFraction61.subtract(bigFraction62);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor66 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction65);
    java.math.BigDecimal bigDecimal69 = bigFraction65.bigDecimalValue(0, 0);
    java.math.BigDecimal[] bigDecimal_array70 = new java.math.BigDecimal[] { bigDecimal69 };
    org.apache.commons.math.linear.BigMatrix bigMatrix71 = org.apache.commons.math.linear.MatrixUtils.createColumnBigMatrix(bigDecimal_array70);
    java.math.BigDecimal[][] bigDecimal_array_array72 = new java.math.BigDecimal[][] { bigDecimal_array70 };
    org.apache.commons.math.linear.BigMatrix bigMatrix73 = org.apache.commons.math.linear.MatrixUtils.createBigMatrix(bigDecimal_array_array72);
    java.lang.ArithmeticException arithmeticException74 = org.apache.commons.math.MathRuntimeException.createArithmeticException("Maximal number of evaluations ({0}) exceeded", (java.lang.Object[])bigDecimal_array_array72);
    org.apache.commons.math.ode.IntegratorException integratorException75 = new org.apache.commons.math.ode.IntegratorException("Maximal number of evaluations ({0}) exceeded", (java.lang.Object[])bigDecimal_array_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException76 = new org.apache.commons.math.FunctionEvaluationException(Double.NaN, "0", (java.lang.Object[])bigDecimal_array_array72);
    org.apache.commons.math.linear.MatrixIndexException matrixIndexException77 = new org.apache.commons.math.linear.MatrixIndexException("Overflow trying to convert {0} to fraction ({1}/{2})", (java.lang.Object[])bigDecimal_array_array72);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException78 = new org.apache.commons.math.FunctionEvaluationException((java.lang.Throwable)maxEvaluationsExceededException18, d_array31, "Array2DRowFieldMatrix{{1}}", (java.lang.Object[])bigDecimal_array_array72);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix11.setRow(0, d_array31);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException");
    } catch (org.apache.commons.math.linear.InvalidMatrixException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.InvalidMatrixException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.InvalidMatrixException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "Maximal number of evaluations ({0}) exceeded"+ "'", str21.equals("Maximal number of evaluations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(nullPointerException46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(concurrentModificationException47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal_array_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigMatrix73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arithmeticException74);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test434"); }


    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger2 = bigFraction1.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction1.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array5 = new org.apache.commons.math.FieldElement[] { bigFraction1 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix6 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array5);
    org.apache.commons.math.fraction.BigFraction bigFraction7 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor9 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction8);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction8);
    org.apache.commons.math.fraction.BigFraction bigFraction11 = bigFraction7.subtract(bigFraction8);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger13 = bigFraction12.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction14 = bigFraction8.subtract(bigInteger13);
    org.apache.commons.math.fraction.BigFraction bigFraction15 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction16 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor17 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction16);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor18 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction16);
    org.apache.commons.math.fraction.BigFraction bigFraction19 = bigFraction15.subtract(bigFraction16);
    org.apache.commons.math.fraction.BigFraction bigFraction20 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger21 = bigFraction20.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction22 = bigFraction16.subtract(bigInteger21);
    org.apache.commons.math.fraction.BigFraction bigFraction23 = bigFraction14.pow(bigInteger21);
    org.apache.commons.math.FieldElement[] fieldElement_array24 = new org.apache.commons.math.FieldElement[] { bigFraction23 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix25 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array24);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array26 = new org.apache.commons.math.FieldElement[][] { fieldElement_array24 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix27 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array26);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix29 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array26, true);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix30 = array2DRowFieldMatrix6.add(array2DRowFieldMatrix29);
    org.apache.commons.math.FieldElement[] fieldElement_array32 = array2DRowFieldMatrix6.getColumn(0);
    java.lang.ArrayIndexOutOfBoundsException arrayIndexOutOfBoundsException33 = org.apache.commons.math.MathRuntimeException.createArrayIndexOutOfBoundsException("Adams-Moulton", (java.lang.Object[])fieldElement_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowFieldMatrix30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayIndexOutOfBoundsException33);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test435"); }


    double[] d_array8 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array8, d_array10);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator13 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array8, true);
    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator14 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array20 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix21 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array20);
    double[] d_array27 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException28 = new org.apache.commons.math.FunctionEvaluationException(d_array27);
    double[] d_array29 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator30 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array27, d_array29);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix31 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array29);
    nordsieckStepInterpolator14.reinitialize(10.0d, 1.0d, d_array20, array2DRowRealMatrix31);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator33 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 0.0d, 0.0d, d_array8, d_array20);
    adamsMoultonIntegrator33.setMaxGrowth(Double.NaN);
    double d36 = adamsMoultonIntegrator33.getSafety();
    int i37 = adamsMoultonIntegrator33.getEvaluations();
    double d38 = adamsMoultonIntegrator33.getSafety();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.9d);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test436"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.FieldElement fieldElement4 = array2DRowFieldMatrix1.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor3);
    org.apache.commons.math.Field field5 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix6 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field5);
    org.apache.commons.math.fraction.BigFraction bigFraction7 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor8 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction7);
    org.apache.commons.math.FieldElement fieldElement9 = array2DRowFieldMatrix6.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor8);
    int i10 = array2DRowFieldMatrix6.getRowDimension();
    org.apache.commons.math.linear.MatrixUtils.checkAdditionCompatible((org.apache.commons.math.linear.AnyMatrix)array2DRowFieldMatrix1, (org.apache.commons.math.linear.AnyMatrix)array2DRowFieldMatrix6);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor14 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction13);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor15 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction13);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction12.subtract(bigFraction13);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor17 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction16);
    defaultFieldMatrixPreservingVisitor17.start((-1), 0, 1, 100, 10, 10);
    org.apache.commons.math.FieldElement fieldElement25 = array2DRowFieldMatrix1.walkInOptimizedOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor17);
    int i26 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.fraction.BigFraction bigFraction27 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor28 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction27);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor29 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction27);
    org.apache.commons.math.FieldElement fieldElement30 = defaultFieldMatrixChangingVisitor29.end();
    org.apache.commons.math.FieldElement fieldElement31 = array2DRowFieldMatrix1.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor29);
    org.apache.commons.math.fraction.BigFraction bigFraction36 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction37 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor38 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction37);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor39 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction37);
    org.apache.commons.math.fraction.BigFraction bigFraction40 = bigFraction36.subtract(bigFraction37);
    org.apache.commons.math.fraction.BigFraction bigFraction41 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger42 = bigFraction41.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction43 = bigFraction37.subtract(bigInteger42);
    org.apache.commons.math.fraction.BigFraction bigFraction44 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction45 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor46 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction45);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor47 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction45);
    org.apache.commons.math.fraction.BigFraction bigFraction48 = bigFraction44.subtract(bigFraction45);
    org.apache.commons.math.fraction.BigFraction bigFraction49 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger50 = bigFraction49.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction51 = bigFraction45.subtract(bigInteger50);
    org.apache.commons.math.fraction.BigFraction bigFraction52 = bigFraction43.pow(bigInteger50);
    org.apache.commons.math.FieldElement[] fieldElement_array53 = new org.apache.commons.math.FieldElement[] { bigFraction52 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix54 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array53);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array55 = new org.apache.commons.math.FieldElement[][] { fieldElement_array53 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix56 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array55);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix58 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array55, true);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix60 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array55, true);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array61 = org.apache.commons.math.linear.BlockFieldMatrix.<org.apache.commons.math.FieldElement>toBlocksLayout(fieldElement_array_array55);
    // The following exception was thrown during execution in test generation
    try {
      array2DRowFieldMatrix1.copySubMatrix(10, 8, 52, 0, fieldElement_array_array61);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array61);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test437"); }


    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = bigFraction1.subtract(bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger7 = bigFraction6.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction2.subtract(bigInteger7);
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction10 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = bigFraction9.subtract(bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger15 = bigFraction14.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction10.subtract(bigInteger15);
    org.apache.commons.math.fraction.BigFraction bigFraction17 = bigFraction8.pow(bigInteger15);
    org.apache.commons.math.FieldElement[] fieldElement_array18 = new org.apache.commons.math.FieldElement[] { bigFraction17 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix19 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array18);
    org.apache.commons.math.ode.DerivativeException derivativeException20 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.IntegratorException: hi!", (java.lang.Object[])fieldElement_array18);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array21 = new org.apache.commons.math.FieldElement[][] { fieldElement_array18 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix23 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array21, false);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix24 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array21);
    org.apache.commons.math.fraction.BigFraction bigFraction25 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor26 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction25);
    org.apache.commons.math.FieldElement fieldElement27 = defaultFieldMatrixChangingVisitor26.end();
    org.apache.commons.math.FieldElement fieldElement28 = defaultFieldMatrixChangingVisitor26.end();
    org.apache.commons.math.FieldElement fieldElement29 = blockFieldMatrix24.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor26);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger33 = bigFraction32.getDenominator();
    long long34 = bigFraction32.getNumeratorAsLong();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor35 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction32);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix36 = blockFieldMatrix24.scalarMultiply((org.apache.commons.math.FieldElement)bigFraction32);
    int i37 = blockFieldMatrix24.getColumnDimension();
    int i38 = blockFieldMatrix24.getRowDimension();
    org.apache.commons.math.fraction.BigFraction bigFraction40 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction41 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor42 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction41);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor43 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction41);
    org.apache.commons.math.fraction.BigFraction bigFraction44 = bigFraction40.subtract(bigFraction41);
    org.apache.commons.math.fraction.BigFraction bigFraction45 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger46 = bigFraction45.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction47 = bigFraction41.subtract(bigInteger46);
    org.apache.commons.math.fraction.BigFraction bigFraction48 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction49 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor50 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction49);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor51 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction49);
    org.apache.commons.math.fraction.BigFraction bigFraction52 = bigFraction48.subtract(bigFraction49);
    org.apache.commons.math.fraction.BigFraction bigFraction53 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger54 = bigFraction53.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction55 = bigFraction49.subtract(bigInteger54);
    org.apache.commons.math.fraction.BigFraction bigFraction56 = bigFraction47.pow(bigInteger54);
    org.apache.commons.math.FieldElement[] fieldElement_array57 = new org.apache.commons.math.FieldElement[] { bigFraction56 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix58 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array57);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array59 = new org.apache.commons.math.FieldElement[][] { fieldElement_array57 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix60 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array59);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix62 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array59, true);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix64 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array59, true);
    // The following exception was thrown during execution in test generation
    try {
      blockFieldMatrix24.setRowMatrix((-1), (org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix64);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long34 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array59);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test438"); }


    double[] d_array6 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException7 = new org.apache.commons.math.FunctionEvaluationException(d_array6);
    double[] d_array11 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException12 = new org.apache.commons.math.FunctionEvaluationException(d_array11);
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException15 = new org.apache.commons.math.FunctionEvaluationException(d_array11, "Maximal number of evaluations ({0}) exceeded", obj_array14);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator16 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array6, d_array11);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator21 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(100.0d, 0.0d, 100.0d, (-1.0d));
    dormandPrince853Integrator21.setMaxEvaluations(10);
    dormandPrince853Integrator21.clearEventHandlers();
    dormandPrince853Integrator21.clearEventHandlers();
    adamsMoultonIntegrator16.setStarterIntegrator((org.apache.commons.math.ode.FirstOrderIntegrator)dormandPrince853Integrator21);
    double d27 = adamsMoultonIntegrator16.getCurrentStepStart();
    double d28 = adamsMoultonIntegrator16.getMaxGrowth();
    double d29 = adamsMoultonIntegrator16.getCurrentSignedStepsize();
    double[] d_array38 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException39 = new org.apache.commons.math.FunctionEvaluationException(d_array38);
    double[] d_array40 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator41 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array38, d_array40);
    double[] d_array45 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix46 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array45);
    org.apache.commons.math.linear.RealMatrix realMatrix47 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array45);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator48 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 10.0d, 10.0d, d_array38, d_array45);
    double[] d_array55 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array55);
    double[] d_array60 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException61 = new org.apache.commons.math.FunctionEvaluationException(d_array60);
    java.lang.Object[] obj_array63 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(d_array60, "Maximal number of evaluations ({0}) exceeded", obj_array63);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator65 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array55, d_array60);
    double[] d_array71 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException(d_array71);
    double[] d_array73 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator74 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array71, d_array73);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix75 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array71);
    double[] d_array77 = array2DRowRealMatrix75.getRow(1);
    double[] d_array83 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException84 = new org.apache.commons.math.FunctionEvaluationException(d_array83);
    double[] d_array85 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator86 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array83, d_array85);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix87 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array83);
    org.apache.commons.math.linear.RealMatrix realMatrix89 = array2DRowRealMatrix87.scalarAdd(0.0d);
    adamsMoultonIntegrator48.updateHighOrderDerivativesPhase2(d_array60, d_array77, array2DRowRealMatrix87);
    double[][] d_array_array91 = new double[][] { d_array77 };
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix92 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array91);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix93 = adamsMoultonIntegrator16.updateHighOrderDerivativesPhase1(array2DRowRealMatrix92);
    org.apache.commons.math.linear.RealMatrix realMatrix95 = array2DRowRealMatrix93.scalarMultiply((-1000.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix95);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test439"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(100.0d, 0.0d, 100.0d, (-1.0d));
    dormandPrince853Integrator4.setMaxEvaluations(10);
    java.util.Collection collection7 = dormandPrince853Integrator4.getStepHandlers();
    java.util.Collection collection8 = dormandPrince853Integrator4.getStepHandlers();
    dormandPrince853Integrator4.setMinReduction(Double.NaN);
    dormandPrince853Integrator4.clearStepHandlers();
    dormandPrince853Integrator4.setMinReduction(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection8);

  }

  @Test
  public void test440() {}
// Defects4J: flaky method
//   @Test
//   public void test440() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test440"); }
// 
// 
//     org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
//     org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
//     org.apache.commons.math.fraction.BigFraction bigFraction5 = bigFraction1.subtract(bigFraction2);
//     org.apache.commons.math.fraction.BigFraction bigFraction6 = org.apache.commons.math.fraction.BigFraction.ONE;
//     java.math.BigInteger bigInteger7 = bigFraction6.getDenominator();
//     org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction2.subtract(bigInteger7);
//     org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.fraction.BigFraction bigFraction10 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
//     org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
//     org.apache.commons.math.fraction.BigFraction bigFraction13 = bigFraction9.subtract(bigFraction10);
//     org.apache.commons.math.fraction.BigFraction bigFraction14 = org.apache.commons.math.fraction.BigFraction.ONE;
//     java.math.BigInteger bigInteger15 = bigFraction14.getDenominator();
//     org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction10.subtract(bigInteger15);
//     org.apache.commons.math.fraction.BigFraction bigFraction17 = bigFraction8.pow(bigInteger15);
//     org.apache.commons.math.FieldElement[] fieldElement_array18 = new org.apache.commons.math.FieldElement[] { bigFraction17 };
//     org.apache.commons.math.linear.FieldMatrix fieldMatrix19 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array18);
//     org.apache.commons.math.ode.DerivativeException derivativeException20 = new org.apache.commons.math.ode.DerivativeException("org.apache.commons.math.ode.IntegratorException: hi!", (java.lang.Object[])fieldElement_array18);
//     org.apache.commons.math.FieldElement[][] fieldElement_array_array21 = new org.apache.commons.math.FieldElement[][] { fieldElement_array18 };
//     org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix23 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array21, false);
//     org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix24 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array21);
//     org.apache.commons.math.fraction.BigFraction bigFraction25 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
//     org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor26 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction25);
//     org.apache.commons.math.FieldElement fieldElement27 = defaultFieldMatrixChangingVisitor26.end();
//     org.apache.commons.math.FieldElement fieldElement28 = defaultFieldMatrixChangingVisitor26.end();
//     org.apache.commons.math.FieldElement fieldElement29 = blockFieldMatrix24.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor26);
//     org.apache.commons.math.fraction.BigFraction bigFraction30 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
//     org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor31 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction30);
//     org.apache.commons.math.FieldElement fieldElement32 = defaultFieldMatrixChangingVisitor31.end();
//     org.apache.commons.math.FieldElement fieldElement33 = defaultFieldMatrixChangingVisitor31.end();
//     org.apache.commons.math.fraction.BigFraction bigFraction36 = org.apache.commons.math.fraction.BigFraction.ONE_FIFTH;
//     org.apache.commons.math.fraction.BigFraction bigFraction37 = bigFraction36.abs();
//     org.apache.commons.math.FieldElement fieldElement38 = defaultFieldMatrixChangingVisitor31.visit(0, 8, (org.apache.commons.math.FieldElement)bigFraction36);
//     org.apache.commons.math.fraction.BigFraction bigFraction41 = org.apache.commons.math.fraction.BigFraction.ONE;
//     java.math.BigInteger bigInteger42 = bigFraction41.getDenominator();
//     org.apache.commons.math.fraction.BigFraction bigFraction44 = bigFraction41.multiply(0);
//     org.apache.commons.math.FieldElement[] fieldElement_array45 = new org.apache.commons.math.FieldElement[] { bigFraction41 };
//     org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix46 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array45);
//     org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix47 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array45);
//     java.lang.String str48 = array2DRowFieldMatrix47.toString();
//     org.apache.commons.math.fraction.BigFraction bigFraction49 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
//     org.apache.commons.math.linear.FieldMatrix fieldMatrix50 = array2DRowFieldMatrix47.scalarAdd((org.apache.commons.math.FieldElement)bigFraction49);
//     org.apache.commons.math.fraction.BigFraction bigFraction52 = bigFraction49.multiply(1L);
//     org.apache.commons.math.FieldElement fieldElement53 = defaultFieldMatrixChangingVisitor31.visit(100, 0, (org.apache.commons.math.FieldElement)bigFraction52);
//     org.apache.commons.math.FieldElement fieldElement54 = blockFieldMatrix24.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor31);
//     org.apache.commons.math.fraction.BigFraction bigFraction55 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.fraction.BigFraction bigFraction56 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor57 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction56);
//     org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor58 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction56);
//     org.apache.commons.math.fraction.BigFraction bigFraction59 = bigFraction55.subtract(bigFraction56);
//     double d60 = bigFraction56.doubleValue();
//     byte byte61 = bigFraction56.byteValue();
//     org.apache.commons.math.linear.FieldMatrix fieldMatrix62 = blockFieldMatrix24.scalarMultiply((org.apache.commons.math.FieldElement)bigFraction56);
//     org.apache.commons.math.fraction.BigFraction bigFraction63 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.fraction.BigFraction bigFraction64 = org.apache.commons.math.fraction.BigFraction.ONE;
//     org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor65 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction64);
//     org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor66 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction64);
//     org.apache.commons.math.fraction.BigFraction bigFraction67 = bigFraction63.subtract(bigFraction64);
//     double d68 = bigFraction64.doubleValue();
//     byte byte69 = bigFraction64.byteValue();
//     org.apache.commons.math.fraction.BigFraction bigFraction71 = bigFraction64.pow(0L);
//     org.apache.commons.math.fraction.BigFraction bigFraction73 = bigFraction64.add(100);
//     org.apache.commons.math.fraction.BigFractionField bigFractionField74 = bigFraction64.getField();
//     org.apache.commons.math.fraction.BigFraction bigFraction75 = bigFractionField74.getZero();
//     org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix78 = new org.apache.commons.math.linear.BlockFieldMatrix((org.apache.commons.math.Field)bigFractionField74, 10, 100);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix79 = blockFieldMatrix24.multiply(blockFieldMatrix78);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigInteger7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigInteger15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement_array18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldMatrix19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement_array_array21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigInteger42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement_array45);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str48 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str48.equals("Array2DRowFieldMatrix{{1}}"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldMatrix50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement53);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldElement54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction59);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d60 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(byte61 == (byte)1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(fieldMatrix62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction67);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d68 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(byte69 == (byte)1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction71);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFractionField74);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(bigFraction75);
// 
//   }

  @Test
  public void test441() {}
// Defects4J: flaky method
//   @Test
//   public void test441() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test441"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.setRelativeAccuracy((-1.0d));
//     int i3 = brentSolver0.getIterationCount();
//     brentSolver0.setMaximalIterationCount(0);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = brentSolver0.solve(1.0E-14d, (-1000.0d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 0);
// 
//   }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test442"); }


    org.apache.commons.math.fraction.BigFraction bigFraction1 = new org.apache.commons.math.fraction.BigFraction(52);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test443"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.FieldElement fieldElement4 = array2DRowFieldMatrix1.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor3);
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.fraction.BigFraction bigFraction6 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor7 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction6);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor8 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction6);
    org.apache.commons.math.FieldElement fieldElement9 = array2DRowFieldMatrix1.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor8);
    int i10 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array11 = array2DRowFieldMatrix1.getDataRef();
    org.apache.commons.math.Field field12 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix13 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field12);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger15 = bigFraction14.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction14.reduce();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor17 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction14);
    org.apache.commons.math.FieldElement fieldElement18 = array2DRowFieldMatrix13.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor17);
    defaultFieldMatrixChangingVisitor17.start(1, 8, 0, 36, 100, 100);
    org.apache.commons.math.FieldElement fieldElement26 = array2DRowFieldMatrix1.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor17);
    org.apache.commons.math.fraction.BigFraction bigFraction29 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction30 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor31 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction30);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor32 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction30);
    org.apache.commons.math.fraction.BigFraction bigFraction33 = bigFraction29.subtract(bigFraction30);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor34 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction33);
    long long35 = bigFraction33.getDenominatorAsLong();
    org.apache.commons.math.fraction.BigFraction bigFraction36 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger37 = bigFraction36.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction39 = bigFraction36.multiply(0);
    java.math.BigInteger bigInteger40 = bigFraction39.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction41 = bigFraction33.add(bigInteger40);
    org.apache.commons.math.FieldElement fieldElement42 = defaultFieldMatrixChangingVisitor17.visit(8, 10, (org.apache.commons.math.FieldElement)bigFraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long35 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement42);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test444"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction3 = bigFraction0.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array4 = new org.apache.commons.math.FieldElement[] { bigFraction0 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix6 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array7 = array2DRowFieldMatrix6.getDataRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldVector fieldVector9 = array2DRowFieldMatrix6.getColumnVector(3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array7);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test445"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, Double.NaN, 1);
    double d5 = eventState4.getConvergence();
    org.apache.commons.math.ode.events.EventHandler eventHandler6 = eventState4.getEventHandler();
    double[] d_array11 = new double[] { 1.0d, 0.0d, 100.0d };
    org.apache.commons.math.linear.RealVector realVector12 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array11);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix13 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array11);
    double[][] d_array_array14 = new double[][] { d_array11 };
    double[][] d_array_array15 = org.apache.commons.math.linear.BlockRealMatrix.toBlocksLayout(d_array_array14);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix16 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array14);
    double[] d_array25 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array25);
    double[] d_array27 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator28 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array25, d_array27);
    double[] d_array32 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix33 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array32);
    org.apache.commons.math.linear.RealMatrix realMatrix34 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array32);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator35 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 10.0d, 10.0d, d_array25, d_array32);
    double d36 = adamsMoultonIntegrator35.getMinReduction();
    double d37 = adamsMoultonIntegrator35.getMaxGrowth();
    double[] d_array43 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException44 = new org.apache.commons.math.FunctionEvaluationException(d_array43);
    double[] d_array45 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator46 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array43, d_array45);
    double[] d_array55 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException56 = new org.apache.commons.math.FunctionEvaluationException(d_array55);
    double[] d_array57 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator58 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array55, d_array57);
    double[] d_array62 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix63 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array62);
    org.apache.commons.math.linear.RealMatrix realMatrix64 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array62);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator65 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 10.0d, 10.0d, d_array55, d_array62);
    double[] d_array71 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException72 = new org.apache.commons.math.FunctionEvaluationException(d_array71);
    double[] d_array73 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator74 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array71, d_array73);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix75 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array71);
    double[] d_array81 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException82 = new org.apache.commons.math.FunctionEvaluationException(d_array81);
    double[] d_array83 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator84 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array81, d_array83);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix85 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array81);
    org.apache.commons.math.linear.RealMatrix realMatrix87 = array2DRowRealMatrix85.scalarAdd(0.0d);
    org.apache.commons.math.linear.RealMatrix realMatrix88 = array2DRowRealMatrix85.copy();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix89 = array2DRowRealMatrix75.add(array2DRowRealMatrix85);
    adamsMoultonIntegrator35.updateHighOrderDerivativesPhase2(d_array43, d_array55, array2DRowRealMatrix89);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix91 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array43);
    double[] d_array92 = array2DRowRealMatrix16.operate(d_array43);
    boolean b93 = eventState4.reset(1.7320508075688772d, d_array43);
    int i94 = eventState4.getMaxIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(eventHandler6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0650410894399627d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b93 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i94 == 1);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test446"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(3);
    int i2 = maxIterationsExceededException1.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test447"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor5 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction4);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = bigFraction4.negate();
    double d7 = bigFraction4.doubleValue();
    float f8 = bigFraction4.floatValue();
    org.apache.commons.math.fraction.BigFraction bigFraction10 = bigFraction4.add(100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f8 == 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test448"); }


    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator0 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array6 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix7 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array6);
    double[] d_array13 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    double[] d_array15 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator16 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array13, d_array15);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array15);
    nordsieckStepInterpolator0.reinitialize(10.0d, 1.0d, d_array6, array2DRowRealMatrix17);
    double[] d_array26 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException27 = new org.apache.commons.math.FunctionEvaluationException(d_array26);
    double[] d_array28 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator29 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array26, d_array28);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator31 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array26, true);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix32 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
    boolean b33 = array2DRowRealMatrix32.isSquare();
    nordsieckStepInterpolator0.reinitialize(0.9d, (-1.0d), d_array26, array2DRowRealMatrix32);
    double[][] d_array_array35 = array2DRowRealMatrix32.getData();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array35);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test449"); }


    double[] d_array8 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array8, d_array10);
    double[] d_array15 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix16 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array15);
    org.apache.commons.math.linear.RealMatrix realMatrix17 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array15);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator18 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 10.0d, 10.0d, d_array8, d_array15);
    double[] d_array25 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array25);
    double[] d_array30 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array30);
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "Maximal number of evaluations ({0}) exceeded", obj_array33);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator35 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array25, d_array30);
    double[] d_array41 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array41);
    double[] d_array43 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator44 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array41, d_array43);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix45 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array41);
    double[] d_array47 = array2DRowRealMatrix45.getRow(1);
    double[] d_array53 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(d_array53);
    double[] d_array55 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator56 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array53, d_array55);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix57 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array53);
    org.apache.commons.math.linear.RealMatrix realMatrix59 = array2DRowRealMatrix57.scalarAdd(0.0d);
    adamsMoultonIntegrator18.updateHighOrderDerivativesPhase2(d_array30, d_array47, array2DRowRealMatrix57);
    double[][] d_array_array61 = new double[][] { d_array47 };
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix62 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array61);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix64 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array61, true);
    org.apache.commons.math.linear.RealMatrix realMatrix66 = array2DRowRealMatrix64.scalarMultiply(2.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d69 = array2DRowRealMatrix64.getEntry((-1), 3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix66);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test450"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setRelativeAccuracy(0.2d);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetMaximalIterationCount();
    double d5 = brentSolver0.getAbsoluteAccuracy();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    int i7 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setFunctionValueAccuracy(1.0d);
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test451"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, true);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix23 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.Field field24 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix25 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field24);
    org.apache.commons.math.fraction.BigFraction bigFraction26 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger27 = bigFraction26.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction28 = bigFraction26.reduce();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor29 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction26);
    org.apache.commons.math.FieldElement fieldElement30 = array2DRowFieldMatrix25.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor29);
    org.apache.commons.math.FieldElement[] fieldElement_array31 = new org.apache.commons.math.FieldElement[] { fieldElement30 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix32 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array31);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix33 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array31);
    org.apache.commons.math.FieldElement[] fieldElement_array34 = blockFieldMatrix23.operate(fieldElement_array31);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix35 = blockFieldMatrix23.transpose();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix36 = blockFieldMatrix23.copy();
    org.apache.commons.math.fraction.BigFraction bigFraction37 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction38 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor39 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction38);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor40 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction38);
    org.apache.commons.math.fraction.BigFraction bigFraction41 = bigFraction37.subtract(bigFraction38);
    double d42 = bigFraction38.doubleValue();
    byte byte43 = bigFraction38.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction45 = bigFraction38.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction47 = bigFraction38.add(100);
    org.apache.commons.math.fraction.BigFractionField bigFractionField48 = bigFraction38.getField();
    org.apache.commons.math.fraction.BigFraction bigFraction49 = bigFractionField48.getZero();
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix52 = new org.apache.commons.math.linear.BlockFieldMatrix((org.apache.commons.math.Field)bigFractionField48, 10, 100);
    org.apache.commons.math.fraction.BigFraction bigFraction53 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger54 = bigFraction53.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction56 = bigFraction53.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array57 = new org.apache.commons.math.FieldElement[] { bigFraction53 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix58 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array57);
    org.apache.commons.math.fraction.BigFraction bigFraction59 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor60 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction59);
    org.apache.commons.math.FieldElement fieldElement61 = defaultFieldMatrixChangingVisitor60.end();
    org.apache.commons.math.FieldElement fieldElement62 = array2DRowFieldMatrix58.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor60);
    org.apache.commons.math.FieldElement fieldElement63 = array2DRowFieldMatrix58.getTrace();
    org.apache.commons.math.Field field64 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix65 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field64);
    org.apache.commons.math.fraction.BigFraction bigFraction66 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor67 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction66);
    org.apache.commons.math.FieldElement fieldElement68 = array2DRowFieldMatrix65.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor67);
    org.apache.commons.math.FieldElement fieldElement69 = defaultFieldMatrixPreservingVisitor67.end();
    org.apache.commons.math.FieldElement fieldElement70 = array2DRowFieldMatrix58.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor67);
    org.apache.commons.math.linear.FieldLUDecompositionImpl fieldLUDecompositionImpl71 = new org.apache.commons.math.linear.FieldLUDecompositionImpl((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix58);
    org.apache.commons.math.fraction.BigFraction bigFraction72 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor73 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction72);
    org.apache.commons.math.FieldElement fieldElement74 = defaultFieldMatrixChangingVisitor73.end();
    org.apache.commons.math.FieldElement fieldElement75 = defaultFieldMatrixChangingVisitor73.end();
    org.apache.commons.math.FieldElement fieldElement76 = array2DRowFieldMatrix58.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor73);
    org.apache.commons.math.FieldElement fieldElement81 = blockFieldMatrix52.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor73, 0, 0, 0, 36);
    org.apache.commons.math.FieldElement fieldElement82 = blockFieldMatrix23.walkInOptimizedOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte43 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFractionField48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement82);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test452"); }


    org.apache.commons.math.fraction.FractionConversionException fractionConversionException3 = new org.apache.commons.math.fraction.FractionConversionException(100.0d, (-1));
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (-1.0d) };
    java.lang.NullPointerException nullPointerException10 = org.apache.commons.math.MathRuntimeException.createNullPointerException("", obj_array9);
    java.util.ConcurrentModificationException concurrentModificationException11 = org.apache.commons.math.MathRuntimeException.createConcurrentModificationException("hi!", obj_array9);
    org.apache.commons.math.linear.MatrixIndexException matrixIndexException12 = new org.apache.commons.math.linear.MatrixIndexException("hi!", obj_array9);
    java.lang.Object[] obj_array13 = matrixIndexException12.getArguments();
    org.apache.commons.math.MathRuntimeException mathRuntimeException14 = new org.apache.commons.math.MathRuntimeException((java.lang.Throwable)fractionConversionException3, "hi!", obj_array13);
    java.lang.IllegalArgumentException illegalArgumentException15 = org.apache.commons.math.MathRuntimeException.createIllegalArgumentException("Array2DRowFieldMatrix{{1}}", obj_array13);
    // The following exception was thrown during execution in test generation
    try {
      java.io.IOException iOException16 = org.apache.commons.math.MathRuntimeException.createIOException((java.lang.Throwable)illegalArgumentException15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(nullPointerException10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(concurrentModificationException11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(illegalArgumentException15);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test453"); }


    org.apache.commons.math.MaxEvaluationsExceededException maxEvaluationsExceededException1 = new org.apache.commons.math.MaxEvaluationsExceededException(10);
    java.lang.String str2 = maxEvaluationsExceededException1.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "Maximal number of evaluations ({0}) exceeded"+ "'", str2.equals("Maximal number of evaluations ({0}) exceeded"));

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test454"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException((-100));

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test455"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger3 = bigFraction2.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction6 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger7 = bigFraction6.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = new org.apache.commons.math.fraction.BigFraction(bigInteger3, bigInteger7);
    org.apache.commons.math.fraction.BigFraction bigFraction11 = new org.apache.commons.math.fraction.BigFraction(10L, (-1L));
    org.apache.commons.math.fraction.BigFraction bigFraction13 = bigFraction11.add(1);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger17 = bigFraction16.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction18 = new org.apache.commons.math.fraction.BigFraction(bigInteger17);
    org.apache.commons.math.fraction.BigFraction bigFraction19 = new org.apache.commons.math.fraction.BigFraction(bigInteger17);
    org.apache.commons.math.fraction.BigFraction bigFraction20 = new org.apache.commons.math.fraction.BigFraction(bigInteger17);
    org.apache.commons.math.fraction.BigFraction bigFraction21 = bigFraction13.subtract(bigInteger17);
    org.apache.commons.math.fraction.BigFraction bigFraction22 = new org.apache.commons.math.fraction.BigFraction(bigInteger3, bigInteger17);
    short s23 = bigInteger17.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s23 == (short)1);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test456"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction3 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction3);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor5 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction3);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = bigFraction2.subtract(bigFraction3);
    org.apache.commons.math.fraction.BigFraction bigFraction7 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger8 = bigFraction7.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction9 = bigFraction3.subtract(bigInteger8);
    org.apache.commons.math.fraction.BigFraction bigFraction10 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction11 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction11);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor13 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction11);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = bigFraction10.subtract(bigFraction11);
    org.apache.commons.math.fraction.BigFraction bigFraction15 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger16 = bigFraction15.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction17 = bigFraction11.subtract(bigInteger16);
    org.apache.commons.math.fraction.BigFraction bigFraction18 = bigFraction9.pow(bigInteger16);
    org.apache.commons.math.FieldElement[] fieldElement_array19 = new org.apache.commons.math.FieldElement[] { bigFraction18 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix20 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array19);
    org.apache.commons.math.MaxEvaluationsExceededException maxEvaluationsExceededException21 = new org.apache.commons.math.MaxEvaluationsExceededException(1, "org.apache.commons.math.MathRuntimeException$9: org.apache.commons.math.FunctionEvaluationException: ", (java.lang.Object[])fieldElement_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix20);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test457"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix9.copy();
    boolean b12 = blockRealMatrix11.isSquare();
    double[] d_array14 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector15 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array14);
    double[][] d_array_array16 = new double[][] { d_array14 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix17 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array16);
    double[] d_array19 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector20 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix17.multiply(blockRealMatrix22);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix17.getColumnMatrix(0);
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
    double[][] d_array_array29 = new double[][] { d_array27 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array29);
    double[] d_array32 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array34);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = blockRealMatrix30.multiply(blockRealMatrix35);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = blockRealMatrix35.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix25.add(blockRealMatrix37);
    org.apache.commons.math.linear.RealMatrix realMatrix39 = blockRealMatrix11.solve((org.apache.commons.math.linear.RealMatrix)blockRealMatrix25);
    double d40 = blockRealMatrix11.getFrobeniusNorm();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test458"); }


    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator0 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array4 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException5 = new org.apache.commons.math.FunctionEvaluationException(d_array4);
    nordsieckStepInterpolator0.reinitialize(d_array4, false);
    double d8 = nordsieckStepInterpolator0.getInterpolatedTime();
    boolean b9 = nordsieckStepInterpolator0.isForward();
    double d10 = nordsieckStepInterpolator0.getCurrentTime();
    java.io.ObjectOutput objectOutput11 = null;
    // The following exception was thrown during execution in test generation
    try {
      nordsieckStepInterpolator0.writeExternal(objectOutput11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test459() {}
// Defects4J: flaky method
//   @Test
//   public void test459() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test459"); }
// 
// 
//     double[] d_array5 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
//     double[] d_array7 = new double[] {  };
//     org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator8 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array5, d_array7);
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array5);
//     org.apache.commons.math.linear.RealMatrix realMatrix11 = array2DRowRealMatrix9.scalarAdd(0.0d);
//     double[] d_array20 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException21 = new org.apache.commons.math.FunctionEvaluationException(d_array20);
//     double[] d_array22 = new double[] {  };
//     org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator23 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array20, d_array22);
//     org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator25 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array20, true);
//     org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator26 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
//     double[] d_array32 = new double[] { 0.0d, (-1.0d), 10.0d };
//     org.apache.commons.math.linear.RealMatrix realMatrix33 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array32);
//     double[] d_array39 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException40 = new org.apache.commons.math.FunctionEvaluationException(d_array39);
//     double[] d_array41 = new double[] {  };
//     org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator42 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array39, d_array41);
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix43 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array41);
//     nordsieckStepInterpolator26.reinitialize(10.0d, 1.0d, d_array32, array2DRowRealMatrix43);
//     org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator45 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 0.0d, 0.0d, d_array20, d_array32);
//     double[] d_array46 = array2DRowRealMatrix9.preMultiply(d_array32);
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix47 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array32);
//     org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator48 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
//     double[] d_array52 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException53 = new org.apache.commons.math.FunctionEvaluationException(d_array52);
//     nordsieckStepInterpolator48.reinitialize(d_array52, false);
//     org.apache.commons.math.linear.RealVector realVector56 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array52);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.RealVector realVector57 = array2DRowRealMatrix47.operate(realVector56);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realMatrix11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realMatrix33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(realVector56);
// 
//   }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test460"); }


    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test461() {}
// Defects4J: flaky method
//   @Test
//   public void test461() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test461"); }
// 
// 
//     org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix0 = new org.apache.commons.math.linear.Array2DRowRealMatrix();
//     double d1 = array2DRowRealMatrix0.getDeterminant();
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.RealMatrix realMatrix4 = array2DRowRealMatrix0.createMatrix(0, (-1));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0d);
// 
//   }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test462"); }


    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = bigFraction1.subtract(bigFraction2);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger7 = bigFraction6.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = bigFraction2.subtract(bigInteger7);
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction10 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = bigFraction9.subtract(bigFraction10);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger15 = bigFraction14.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction10.subtract(bigInteger15);
    org.apache.commons.math.fraction.BigFraction bigFraction17 = bigFraction8.pow(bigInteger15);
    org.apache.commons.math.FieldElement[] fieldElement_array18 = new org.apache.commons.math.FieldElement[] { bigFraction17 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix19 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array18);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array20 = new org.apache.commons.math.FieldElement[][] { fieldElement_array18 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix21 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array20);
    org.apache.commons.math.fraction.BigFraction bigFraction22 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction23 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor24 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction23);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor25 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction23);
    org.apache.commons.math.fraction.BigFraction bigFraction26 = bigFraction22.subtract(bigFraction23);
    double d27 = bigFraction23.doubleValue();
    byte byte28 = bigFraction23.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction29 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction30 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor31 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction30);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor32 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction30);
    org.apache.commons.math.fraction.BigFraction bigFraction33 = bigFraction29.subtract(bigFraction30);
    double d34 = bigFraction30.doubleValue();
    byte byte35 = bigFraction30.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction37 = bigFraction30.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction39 = bigFraction30.add(100);
    org.apache.commons.math.fraction.BigFraction bigFraction40 = bigFraction23.divide(bigFraction39);
    org.apache.commons.math.FieldElement[] fieldElement_array41 = new org.apache.commons.math.FieldElement[] { bigFraction40 };
    org.apache.commons.math.FieldElement[] fieldElement_array42 = array2DRowFieldMatrix21.preMultiply(fieldElement_array41);
    java.lang.ArrayIndexOutOfBoundsException arrayIndexOutOfBoundsException43 = org.apache.commons.math.MathRuntimeException.createArrayIndexOutOfBoundsException("a {0}x{1} matrix was provided instead of a square matrix", (java.lang.Object[])fieldElement_array42);
    java.lang.String str44 = arrayIndexOutOfBoundsException43.toString();
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException((java.lang.Throwable)arrayIndexOutOfBoundsException43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte28 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte35 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayIndexOutOfBoundsException43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "org.apache.commons.math.MathRuntimeException$2: a 0x{1} matrix was provided instead of a square matrix"+ "'", str44.equals("org.apache.commons.math.MathRuntimeException$2: a 0x{1} matrix was provided instead of a square matrix"));

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test463"); }


    double[] d_array6 = new double[] { (-1.0d) };
    double[] d_array13 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    double[] d_array18 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException19 = new org.apache.commons.math.FunctionEvaluationException(d_array18);
    java.lang.Object[] obj_array21 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException22 = new org.apache.commons.math.FunctionEvaluationException(d_array18, "Maximal number of evaluations ({0}) exceeded", obj_array21);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator23 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array13, d_array18);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator24 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 100.0d, 0.0d, d_array6, d_array18);
    double[] d_array30 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array30);
    double[] d_array32 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator33 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array30, d_array32);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix34 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array30);
    org.apache.commons.math.linear.RealMatrix realMatrix36 = array2DRowRealMatrix34.scalarAdd(0.0d);
    double[] d_array45 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException46 = new org.apache.commons.math.FunctionEvaluationException(d_array45);
    double[] d_array47 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator48 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array45, d_array47);
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator50 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array45, true);
    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator51 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array57 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix58 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array57);
    double[] d_array64 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException65 = new org.apache.commons.math.FunctionEvaluationException(d_array64);
    double[] d_array66 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator67 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array64, d_array66);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix68 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array66);
    nordsieckStepInterpolator51.reinitialize(10.0d, 1.0d, d_array57, array2DRowRealMatrix68);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator70 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 0.0d, 0.0d, d_array45, d_array57);
    double[] d_array71 = array2DRowRealMatrix34.preMultiply(d_array57);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator72 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.9d, 1.0E-15d, d_array18, d_array71);
    dormandPrince853Integrator72.setSafety(1.0E-15d);
    org.apache.commons.math.ode.events.EventHandler eventHandler75 = null;
    dormandPrince853Integrator72.addEventHandler(eventHandler75, 0.0d, 1.0E-15d, 36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test464"); }


    org.apache.commons.math.ode.nonstiff.AdamsNordsieckTransformer adamsNordsieckTransformer1 = org.apache.commons.math.ode.nonstiff.AdamsNordsieckTransformer.getInstance(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(adamsNordsieckTransformer1);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test465"); }


    double[] d_array5 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array7 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator8 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array5, d_array7);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array5);
    double[] d_array11 = array2DRowRealMatrix9.getRow(1);
    boolean b12 = array2DRowRealMatrix9.isSquare();
    org.apache.commons.math.linear.RealMatrix realMatrix14 = array2DRowRealMatrix9.scalarMultiply(0.0d);
    org.apache.commons.math.linear.RealMatrix realMatrix17 = array2DRowRealMatrix9.createMatrix(1, 10);
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator22 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(100.0d, 100.0d, Double.NaN, 10.0d);
    dormandPrince853Integrator22.setMinReduction(1.0E-14d);
    dormandPrince853Integrator22.clearEventHandlers();
    boolean b26 = array2DRowRealMatrix9.equals((java.lang.Object)dormandPrince853Integrator22);
    java.util.Collection collection27 = dormandPrince853Integrator22.getStepHandlers();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection27);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test466"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector13 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array12);
    double[][] d_array_array14 = new double[][] { d_array12 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix15 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array14);
    double[] d_array17 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector18 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array17);
    double[][] d_array_array19 = new double[][] { d_array17 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix20 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array19);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix21 = blockRealMatrix15.multiply(blockRealMatrix20);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = blockRealMatrix20.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix4.add(blockRealMatrix22);
    double d24 = blockRealMatrix23.getFrobeniusNorm();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array26 = blockRealMatrix23.getRow((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 2.0d);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test467"); }


    double[] d_array3 = new double[] { 1.0d, 0.0d, 100.0d };
    org.apache.commons.math.linear.RealVector realVector4 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array3);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix5 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array3);
    double[][] d_array_array6 = new double[][] { d_array3 };
    double[][] d_array_array7 = org.apache.commons.math.linear.BlockRealMatrix.toBlocksLayout(d_array_array6);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix8 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array6);
    double[] d_array17 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException18 = new org.apache.commons.math.FunctionEvaluationException(d_array17);
    double[] d_array19 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator20 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array17, d_array19);
    double[] d_array24 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix25 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array24);
    org.apache.commons.math.linear.RealMatrix realMatrix26 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array24);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator27 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 10.0d, 10.0d, d_array17, d_array24);
    double d28 = adamsMoultonIntegrator27.getMinReduction();
    double d29 = adamsMoultonIntegrator27.getMaxGrowth();
    double[] d_array35 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException36 = new org.apache.commons.math.FunctionEvaluationException(d_array35);
    double[] d_array37 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator38 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array35, d_array37);
    double[] d_array47 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException48 = new org.apache.commons.math.FunctionEvaluationException(d_array47);
    double[] d_array49 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator50 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array47, d_array49);
    double[] d_array54 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix55 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array54);
    org.apache.commons.math.linear.RealMatrix realMatrix56 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array54);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator57 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 10.0d, 10.0d, d_array47, d_array54);
    double[] d_array63 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException64 = new org.apache.commons.math.FunctionEvaluationException(d_array63);
    double[] d_array65 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator66 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array63, d_array65);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix67 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array63);
    double[] d_array73 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException74 = new org.apache.commons.math.FunctionEvaluationException(d_array73);
    double[] d_array75 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator76 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array73, d_array75);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix77 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array73);
    org.apache.commons.math.linear.RealMatrix realMatrix79 = array2DRowRealMatrix77.scalarAdd(0.0d);
    org.apache.commons.math.linear.RealMatrix realMatrix80 = array2DRowRealMatrix77.copy();
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix81 = array2DRowRealMatrix67.add(array2DRowRealMatrix77);
    adamsMoultonIntegrator27.updateHighOrderDerivativesPhase2(d_array35, d_array47, array2DRowRealMatrix81);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix83 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array35);
    double[] d_array84 = array2DRowRealMatrix8.operate(d_array35);
    double[][] d_array_array85 = array2DRowRealMatrix8.getDataRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.0650410894399627d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowRealMatrix81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array85);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test468"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.fraction.BigFraction bigFraction21 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction22 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor23 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction22);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor24 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction22);
    org.apache.commons.math.fraction.BigFraction bigFraction25 = bigFraction21.subtract(bigFraction22);
    double d26 = bigFraction22.doubleValue();
    byte byte27 = bigFraction22.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction28 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction29 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor30 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor31 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = bigFraction28.subtract(bigFraction29);
    double d33 = bigFraction29.doubleValue();
    byte byte34 = bigFraction29.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction36 = bigFraction29.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction38 = bigFraction29.add(100);
    org.apache.commons.math.fraction.BigFraction bigFraction39 = bigFraction22.divide(bigFraction38);
    org.apache.commons.math.FieldElement[] fieldElement_array40 = new org.apache.commons.math.FieldElement[] { bigFraction39 };
    org.apache.commons.math.FieldElement[] fieldElement_array41 = array2DRowFieldMatrix20.preMultiply(fieldElement_array40);
    org.apache.commons.math.fraction.BigFraction bigFraction42 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger43 = bigFraction42.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction45 = bigFraction42.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array46 = new org.apache.commons.math.FieldElement[] { bigFraction42 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix47 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array46);
    org.apache.commons.math.fraction.BigFraction bigFraction48 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor49 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction48);
    org.apache.commons.math.FieldElement fieldElement50 = defaultFieldMatrixChangingVisitor49.end();
    org.apache.commons.math.FieldElement fieldElement51 = array2DRowFieldMatrix47.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor49);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix52 = array2DRowFieldMatrix20.multiply((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix47);
    org.apache.commons.math.linear.FieldLUDecompositionImpl fieldLUDecompositionImpl53 = new org.apache.commons.math.linear.FieldLUDecompositionImpl(fieldMatrix52);
    int[] i_array54 = fieldLUDecompositionImpl53.getPivot();
    int[] i_array55 = fieldLUDecompositionImpl53.getPivot();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix56 = fieldLUDecompositionImpl53.getP();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix57 = fieldLUDecompositionImpl53.getP();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix58 = fieldLUDecompositionImpl53.getU();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte27 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte34 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldMatrix57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldMatrix58);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test469"); }


    org.apache.commons.math.ode.events.CombinedEventsManager combinedEventsManager0 = new org.apache.commons.math.ode.events.CombinedEventsManager();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator1 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator();
    double d2 = dummyStepInterpolator1.getPreviousTime();
    double d3 = dummyStepInterpolator1.getPreviousTime();
    org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator4 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(dummyStepInterpolator1);
    double d5 = dummyStepInterpolator1.getCurrentTime();
    boolean b6 = combinedEventsManager0.evaluateStep((org.apache.commons.math.ode.sampling.StepInterpolator)dummyStepInterpolator1);
    boolean b7 = combinedEventsManager0.stop();
    org.apache.commons.math.ode.events.EventHandler eventHandler8 = null;
    combinedEventsManager0.addEventHandler(eventHandler8, 0.2d, 2.0d, 0);
    boolean b13 = combinedEventsManager0.stop();
    boolean b14 = combinedEventsManager0.stop();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test470"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger3 = bigFraction2.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction6 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger7 = bigFraction6.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = new org.apache.commons.math.fraction.BigFraction(bigInteger3, bigInteger7);
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction15 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger16 = bigFraction15.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction17 = new org.apache.commons.math.fraction.BigFraction(bigInteger16);
    org.apache.commons.math.FieldElement fieldElement18 = defaultFieldMatrixChangingVisitor10.visit(100, (-1), (org.apache.commons.math.FieldElement)bigFraction17);
    org.apache.commons.math.fraction.BigFraction bigFraction21 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger22 = bigFraction21.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction23 = new org.apache.commons.math.fraction.BigFraction(bigInteger22);
    org.apache.commons.math.fraction.BigFraction bigFraction24 = bigFraction17.pow(bigInteger22);
    org.apache.commons.math.fraction.BigFraction bigFraction25 = new org.apache.commons.math.fraction.BigFraction(bigInteger3, bigInteger22);
    double d26 = bigFraction25.percentageValue();
    org.apache.commons.math.fraction.BigFraction bigFraction28 = new org.apache.commons.math.fraction.BigFraction(100L);
    org.apache.commons.math.fraction.BigFraction bigFraction30 = bigFraction28.divide(100L);
    short s31 = bigFraction30.shortValue();
    org.apache.commons.math.fraction.BigFraction bigFraction32 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction33 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor34 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction33);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor35 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction33);
    org.apache.commons.math.fraction.BigFraction bigFraction36 = bigFraction32.subtract(bigFraction33);
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor37 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction36);
    long long38 = bigFraction36.getDenominatorAsLong();
    org.apache.commons.math.fraction.BigFraction bigFraction39 = bigFraction30.add(bigFraction36);
    org.apache.commons.math.fraction.BigFraction bigFraction40 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction41 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor42 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction41);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor43 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction41);
    org.apache.commons.math.fraction.BigFraction bigFraction44 = bigFraction40.subtract(bigFraction41);
    org.apache.commons.math.fraction.BigFraction bigFraction45 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger46 = bigFraction45.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction47 = bigFraction41.subtract(bigInteger46);
    org.apache.commons.math.fraction.BigFraction bigFraction48 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction49 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor50 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction49);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor51 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction49);
    org.apache.commons.math.fraction.BigFraction bigFraction52 = bigFraction48.subtract(bigFraction49);
    org.apache.commons.math.fraction.BigFraction bigFraction53 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger54 = bigFraction53.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction55 = bigFraction49.subtract(bigInteger54);
    org.apache.commons.math.fraction.BigFraction bigFraction56 = bigFraction47.pow(bigInteger54);
    org.apache.commons.math.fraction.BigFraction bigFraction59 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger60 = bigFraction59.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction63 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger64 = bigFraction63.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction65 = new org.apache.commons.math.fraction.BigFraction(bigInteger60, bigInteger64);
    org.apache.commons.math.fraction.BigFraction bigFraction66 = new org.apache.commons.math.fraction.BigFraction(bigInteger54, bigInteger64);
    org.apache.commons.math.fraction.BigFraction bigFraction67 = bigFraction30.add(bigInteger64);
    org.apache.commons.math.fraction.BigFraction bigFraction68 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger69 = bigFraction68.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction70 = new org.apache.commons.math.fraction.BigFraction(bigInteger64, bigInteger69);
    short s71 = bigInteger64.shortValue();
    org.apache.commons.math.fraction.BigFraction bigFraction72 = bigFraction25.multiply(bigInteger64);
    org.apache.commons.math.fraction.BigFraction bigFraction73 = bigFraction72.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s31 == (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long38 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s71 == (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction73);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test471"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor5 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    defaultFieldMatrixChangingVisitor5.start(0, 36, (-100), 36, 1, 0);
    org.apache.commons.math.FieldElement fieldElement13 = defaultFieldMatrixChangingVisitor5.end();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement13);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test472"); }


    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator4 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(100.0d, 0.0d, 100.0d, (-1.0d));
    dormandPrince853Integrator4.setMaxEvaluations(10);
    java.util.Collection collection7 = dormandPrince853Integrator4.getStepHandlers();
    double d8 = dormandPrince853Integrator4.getMinReduction();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(collection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.2d);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test473"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction3 = bigFraction0.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array4 = new org.apache.commons.math.FieldElement[] { bigFraction0 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor7 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction6);
    org.apache.commons.math.FieldElement fieldElement8 = defaultFieldMatrixChangingVisitor7.end();
    org.apache.commons.math.FieldElement fieldElement9 = array2DRowFieldMatrix5.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor7);
    org.apache.commons.math.FieldElement fieldElement10 = array2DRowFieldMatrix5.getTrace();
    org.apache.commons.math.FieldElement[][] fieldElement_array_array11 = array2DRowFieldMatrix5.getDataRef();
    boolean b12 = array2DRowFieldMatrix5.isSquare();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldVector fieldVector14 = array2DRowFieldMatrix5.getColumnVector(100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test474"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix12 = blockRealMatrix4.getColumnMatrix(0);
    double[] d_array14 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector15 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array14);
    double[][] d_array_array16 = new double[][] { d_array14 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix17 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array16);
    double[] d_array19 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector20 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix17.multiply(blockRealMatrix22);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix17.getColumnMatrix(0);
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
    double[][] d_array_array29 = new double[][] { d_array27 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array29);
    double[] d_array32 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array34);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = blockRealMatrix30.multiply(blockRealMatrix35);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = blockRealMatrix35.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix25.add(blockRealMatrix37);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix39 = blockRealMatrix12.subtract(blockRealMatrix25);
    double d40 = blockRealMatrix39.getNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix41 = blockRealMatrix39.copy();
    double[] d_array43 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector44 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array43);
    double[][] d_array_array45 = new double[][] { d_array43 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix46 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array45);
    double[] d_array48 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector49 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array48);
    double[][] d_array_array50 = new double[][] { d_array48 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix51 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array50);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix52 = blockRealMatrix46.multiply(blockRealMatrix51);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix53 = blockRealMatrix51.transpose();
    double d54 = blockRealMatrix53.getNorm();
    double d55 = blockRealMatrix53.getNorm();
    double[] d_array57 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector58 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array57);
    double[][] d_array_array59 = new double[][] { d_array57 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix60 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array59);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix61 = blockRealMatrix53.subtract(blockRealMatrix60);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix62 = blockRealMatrix39.multiply((org.apache.commons.math.linear.RealMatrix)blockRealMatrix60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix62);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test475"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger3 = bigFraction2.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction2.reduce();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor5 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.FieldElement fieldElement6 = array2DRowFieldMatrix1.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor5);
    org.apache.commons.math.FieldElement fieldElement7 = defaultFieldMatrixChangingVisitor5.end();
    org.apache.commons.math.FieldElement fieldElement10 = null;
    org.apache.commons.math.FieldElement fieldElement11 = defaultFieldMatrixChangingVisitor5.visit((-1), (-100), fieldElement10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldElement11);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test476"); }


    org.apache.commons.math.ode.events.EventHandler eventHandler0 = null;
    org.apache.commons.math.ode.events.EventState eventState4 = new org.apache.commons.math.ode.events.EventState(eventHandler0, 0.0d, Double.NaN, 1);
    double d5 = eventState4.getMaxCheckInterval();
    int i6 = eventState4.getMaxIterationCount();
    double d7 = eventState4.getMaxCheckInterval();
    boolean b8 = eventState4.stop();
    double d9 = eventState4.getConvergence();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test477"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, true);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix23 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.fraction.BigFraction bigFraction24 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor25 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction24);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor26 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction24);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix27 = blockFieldMatrix23.scalarMultiply((org.apache.commons.math.FieldElement)bigFraction24);
    org.apache.commons.math.fraction.BigFraction bigFraction28 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction29 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor30 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor31 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction29);
    org.apache.commons.math.fraction.BigFraction bigFraction32 = bigFraction28.subtract(bigFraction29);
    org.apache.commons.math.fraction.BigFraction bigFraction33 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger34 = bigFraction33.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction35 = bigFraction29.subtract(bigInteger34);
    org.apache.commons.math.fraction.BigFraction bigFraction36 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction37 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor38 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction37);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor39 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction37);
    org.apache.commons.math.fraction.BigFraction bigFraction40 = bigFraction36.subtract(bigFraction37);
    org.apache.commons.math.fraction.BigFraction bigFraction41 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger42 = bigFraction41.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction43 = bigFraction37.subtract(bigInteger42);
    org.apache.commons.math.fraction.BigFraction bigFraction44 = bigFraction35.pow(bigInteger42);
    org.apache.commons.math.FieldElement[] fieldElement_array45 = new org.apache.commons.math.FieldElement[] { bigFraction44 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix46 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array45);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array47 = new org.apache.commons.math.FieldElement[][] { fieldElement_array45 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix48 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array47);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix50 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array47, true);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix51 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array47);
    org.apache.commons.math.fraction.BigFraction bigFraction52 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor53 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction52);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor54 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction52);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix55 = blockFieldMatrix51.scalarMultiply((org.apache.commons.math.FieldElement)bigFraction52);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix56 = blockFieldMatrix51.copy();
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix57 = blockFieldMatrix23.multiply(blockFieldMatrix51);
    org.apache.commons.math.fraction.BigFraction bigFraction58 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction59 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor60 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction59);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor61 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction59);
    org.apache.commons.math.fraction.BigFraction bigFraction62 = bigFraction58.subtract(bigFraction59);
    double d63 = bigFraction59.doubleValue();
    byte byte64 = bigFraction59.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction66 = bigFraction59.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction68 = bigFraction59.add(100);
    org.apache.commons.math.fraction.BigFractionField bigFractionField69 = bigFraction59.getField();
    org.apache.commons.math.fraction.BigFraction bigFraction70 = bigFractionField69.getZero();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix72 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createFieldIdentityMatrix((org.apache.commons.math.Field)bigFractionField69, 1);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix73 = blockFieldMatrix23.preMultiply(fieldMatrix72);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.FieldMatrix fieldMatrix75 = blockFieldMatrix23.getColumnMatrix(52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockFieldMatrix57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte64 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFractionField69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix73);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test478"); }


    java.lang.Object[] obj_array1 = null;
    java.lang.IllegalStateException illegalStateException2 = org.apache.commons.math.MathRuntimeException.createIllegalStateException("org.apache.commons.math.FunctionEvaluationException: ", obj_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(illegalStateException2);

  }

  @Test
  public void test479() {}
// Defects4J: flaky method
//   @Test
//   public void test479() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test479"); }
// 
// 
//     org.apache.commons.math.ode.nonstiff.AdamsNordsieckTransformer adamsNordsieckTransformer1 = org.apache.commons.math.ode.nonstiff.AdamsNordsieckTransformer.getInstance(3);
//     double[] d_array7 = new double[] { 1.0d, 1.0d, (-1.0d) };
//     org.apache.commons.math.FunctionEvaluationException functionEvaluationException8 = new org.apache.commons.math.FunctionEvaluationException(d_array7);
//     double[] d_array9 = new double[] {  };
//     org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator10 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array7, d_array9);
//     org.apache.commons.math.ode.sampling.DummyStepInterpolator dummyStepInterpolator12 = new org.apache.commons.math.ode.sampling.DummyStepInterpolator(d_array7, true);
//     double[][] d_array_array16 = org.apache.commons.math.linear.BlockRealMatrix.createBlocksLayout(100, 100);
//     org.apache.commons.math.ode.DerivativeException derivativeException17 = new org.apache.commons.math.ode.DerivativeException("", (java.lang.Object[])d_array_array16);
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix18 = adamsNordsieckTransformer1.initializeHighOrderDerivatives(d_array7, d_array_array16);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(adamsNordsieckTransformer1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array_array16);
// 
//   }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test480"); }


    org.apache.commons.math.Field field0 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix1 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field0);
    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction2);
    org.apache.commons.math.FieldElement fieldElement4 = array2DRowFieldMatrix1.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor3);
    int i5 = array2DRowFieldMatrix1.getRowDimension();
    org.apache.commons.math.fraction.BigFraction bigFraction6 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor7 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction6);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor8 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction6);
    org.apache.commons.math.FieldElement fieldElement9 = array2DRowFieldMatrix1.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor8);
    org.apache.commons.math.Field field10 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix11 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field10);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor13 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction12);
    org.apache.commons.math.FieldElement fieldElement14 = array2DRowFieldMatrix11.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixPreservingVisitor)defaultFieldMatrixPreservingVisitor13);
    int i15 = array2DRowFieldMatrix11.getRowDimension();
    org.apache.commons.math.fraction.BigFraction bigFraction16 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor17 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction16);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor18 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction16);
    org.apache.commons.math.FieldElement fieldElement19 = array2DRowFieldMatrix11.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor18);
    int i20 = array2DRowFieldMatrix11.getRowDimension();
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException23 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    double[][] d_array_array27 = org.apache.commons.math.linear.BlockRealMatrix.createBlocksLayout(100, 100);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException23, "", (java.lang.Object[])d_array_array27);
    java.lang.ArithmeticException arithmeticException29 = org.apache.commons.math.MathRuntimeException.createArithmeticException("", (java.lang.Object[])d_array_array27);
    boolean b30 = array2DRowFieldMatrix11.equals((java.lang.Object)d_array_array27);
    org.apache.commons.math.fraction.BigFraction bigFraction31 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor32 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction31);
    boolean b33 = array2DRowFieldMatrix11.equals((java.lang.Object)bigFraction31);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix34 = array2DRowFieldMatrix1.add(array2DRowFieldMatrix11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arithmeticException29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test481"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = blockRealMatrix9.copy();
    boolean b12 = blockRealMatrix11.isSquare();
    org.apache.commons.math.linear.RealMatrix realMatrix14 = blockRealMatrix11.scalarMultiply(0.2d);
    double[] d_array16 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector17 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array16);
    double[][] d_array_array18 = new double[][] { d_array16 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix19 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array18);
    double[] d_array21 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector22 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array21);
    double[][] d_array_array23 = new double[][] { d_array21 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix24 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array23);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix19.multiply(blockRealMatrix24);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix26 = blockRealMatrix24.transpose();
    org.apache.commons.math.linear.RealMatrix realMatrix27 = blockRealMatrix24.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix28 = blockRealMatrix11.multiply((org.apache.commons.math.linear.RealMatrix)blockRealMatrix24);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor29 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d30 = blockRealMatrix24.walkInOptimizedOrder(realMatrixPreservingVisitor29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix28);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test482"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction3 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor4 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction3);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor5 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction3);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = bigFraction2.subtract(bigFraction3);
    org.apache.commons.math.fraction.BigFraction bigFraction7 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger8 = bigFraction7.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction9 = bigFraction3.subtract(bigInteger8);
    org.apache.commons.math.fraction.BigFraction bigFraction10 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction11 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor12 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction11);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor13 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction11);
    org.apache.commons.math.fraction.BigFraction bigFraction14 = bigFraction10.subtract(bigFraction11);
    org.apache.commons.math.fraction.BigFraction bigFraction15 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger16 = bigFraction15.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction17 = bigFraction11.subtract(bigInteger16);
    org.apache.commons.math.fraction.BigFraction bigFraction18 = bigFraction9.pow(bigInteger16);
    org.apache.commons.math.FieldElement[] fieldElement_array19 = new org.apache.commons.math.FieldElement[] { bigFraction18 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix20 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array19);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array21 = new org.apache.commons.math.FieldElement[][] { fieldElement_array19 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array21);
    org.apache.commons.math.fraction.BigFraction bigFraction23 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction24 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor25 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction24);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor26 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction24);
    org.apache.commons.math.fraction.BigFraction bigFraction27 = bigFraction23.subtract(bigFraction24);
    double d28 = bigFraction24.doubleValue();
    byte byte29 = bigFraction24.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction30 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction31 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor32 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction31);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor33 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction31);
    org.apache.commons.math.fraction.BigFraction bigFraction34 = bigFraction30.subtract(bigFraction31);
    double d35 = bigFraction31.doubleValue();
    byte byte36 = bigFraction31.byteValue();
    org.apache.commons.math.fraction.BigFraction bigFraction38 = bigFraction31.pow(0L);
    org.apache.commons.math.fraction.BigFraction bigFraction40 = bigFraction31.add(100);
    org.apache.commons.math.fraction.BigFraction bigFraction41 = bigFraction24.divide(bigFraction40);
    org.apache.commons.math.FieldElement[] fieldElement_array42 = new org.apache.commons.math.FieldElement[] { bigFraction41 };
    org.apache.commons.math.FieldElement[] fieldElement_array43 = array2DRowFieldMatrix22.preMultiply(fieldElement_array42);
    java.lang.ArrayIndexOutOfBoundsException arrayIndexOutOfBoundsException44 = org.apache.commons.math.MathRuntimeException.createArrayIndexOutOfBoundsException("a {0}x{1} matrix was provided instead of a square matrix", (java.lang.Object[])fieldElement_array43);
    java.io.EOFException eOFException45 = org.apache.commons.math.MathRuntimeException.createEOFException("Unable to convert {0} to fraction after {1} iterations", (java.lang.Object[])fieldElement_array43);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array46 = new org.apache.commons.math.FieldElement[][] { fieldElement_array43 };
    org.apache.commons.math.FieldElement[][] fieldElement_array_array47 = org.apache.commons.math.linear.BlockFieldMatrix.<org.apache.commons.math.FieldElement>toBlocksLayout(fieldElement_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte29 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte36 == (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(arrayIndexOutOfBoundsException44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(eOFException45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array47);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test483"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix12 = blockRealMatrix4.getColumnMatrix(0);
    double[] d_array14 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector15 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array14);
    double[][] d_array_array16 = new double[][] { d_array14 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix17 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array16);
    double[] d_array19 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector20 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix17.multiply(blockRealMatrix22);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix17.getColumnMatrix(0);
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
    double[][] d_array_array29 = new double[][] { d_array27 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array29);
    double[] d_array32 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array34);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = blockRealMatrix30.multiply(blockRealMatrix35);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = blockRealMatrix35.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix25.add(blockRealMatrix37);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix39 = blockRealMatrix12.subtract(blockRealMatrix25);
    double[] d_array41 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector42 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix44 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array43);
    double[] d_array46 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector47 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array46);
    double[][] d_array_array48 = new double[][] { d_array46 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix49 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array48);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix44.multiply(blockRealMatrix49);
    double[] d_array52 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector53 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array52);
    double[][] d_array_array54 = new double[][] { d_array52 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix55 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array54);
    double[] d_array57 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector58 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array57);
    double[][] d_array_array59 = new double[][] { d_array57 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix60 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array59);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix61 = blockRealMatrix55.multiply(blockRealMatrix60);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix62 = blockRealMatrix60.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix63 = blockRealMatrix44.add(blockRealMatrix62);
    double d64 = blockRealMatrix44.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix65 = blockRealMatrix44.transpose();
    double[] d_array67 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector68 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array67);
    double[][] d_array_array69 = new double[][] { d_array67 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix70 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array69);
    double[] d_array72 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector73 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array72);
    double[][] d_array_array74 = new double[][] { d_array72 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix75 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array74);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix76 = blockRealMatrix70.multiply(blockRealMatrix75);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix77 = blockRealMatrix75.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix78 = blockRealMatrix65.subtract(blockRealMatrix75);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix79 = blockRealMatrix39.add(blockRealMatrix75);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor80 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d81 = blockRealMatrix79.walkInOptimizedOrder(realMatrixPreservingVisitor80);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix79);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test484"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.FieldElement fieldElement21 = array2DRowFieldMatrix20.getTrace();
    org.apache.commons.math.linear.FieldLUDecompositionImpl fieldLUDecompositionImpl22 = new org.apache.commons.math.linear.FieldLUDecompositionImpl((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix20);
    org.apache.commons.math.FieldElement fieldElement23 = fieldLUDecompositionImpl22.getDeterminant();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix24 = fieldLUDecompositionImpl22.getP();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(fieldMatrix24);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test485"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix12 = blockRealMatrix4.getColumnMatrix(0);
    double[] d_array14 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector15 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array14);
    double[][] d_array_array16 = new double[][] { d_array14 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix17 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array16);
    double[] d_array19 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector20 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix17.multiply(blockRealMatrix22);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix17.getColumnMatrix(0);
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector28 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array27);
    double[][] d_array_array29 = new double[][] { d_array27 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array29);
    double[] d_array32 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector33 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array32);
    double[][] d_array_array34 = new double[][] { d_array32 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix35 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array34);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix36 = blockRealMatrix30.multiply(blockRealMatrix35);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = blockRealMatrix35.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix38 = blockRealMatrix25.add(blockRealMatrix37);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix39 = blockRealMatrix12.subtract(blockRealMatrix25);
    double[] d_array41 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector42 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array41);
    double[][] d_array_array43 = new double[][] { d_array41 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix44 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array43);
    double[] d_array46 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector47 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array46);
    double[][] d_array_array48 = new double[][] { d_array46 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix49 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array48);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix50 = blockRealMatrix44.multiply(blockRealMatrix49);
    double[] d_array52 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector53 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array52);
    double[][] d_array_array54 = new double[][] { d_array52 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix55 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array54);
    double[] d_array57 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector58 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array57);
    double[][] d_array_array59 = new double[][] { d_array57 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix60 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array59);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix61 = blockRealMatrix55.multiply(blockRealMatrix60);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix62 = blockRealMatrix60.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix63 = blockRealMatrix44.add(blockRealMatrix62);
    double d64 = blockRealMatrix44.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix65 = blockRealMatrix44.transpose();
    double[] d_array67 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector68 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array67);
    double[][] d_array_array69 = new double[][] { d_array67 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix70 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array69);
    double[] d_array72 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector73 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array72);
    double[][] d_array_array74 = new double[][] { d_array72 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix75 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array74);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix76 = blockRealMatrix70.multiply(blockRealMatrix75);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix77 = blockRealMatrix75.transpose();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix78 = blockRealMatrix65.subtract(blockRealMatrix75);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix79 = blockRealMatrix39.add(blockRealMatrix75);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.checkSubMatrixIndex((org.apache.commons.math.linear.AnyMatrix)blockRealMatrix79, 3, 0, 3, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix79);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test486"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, false);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix23 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.Field field24 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix25 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field24);
    org.apache.commons.math.fraction.BigFraction bigFraction26 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger27 = bigFraction26.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction28 = bigFraction26.reduce();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor29 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction26);
    org.apache.commons.math.FieldElement fieldElement30 = array2DRowFieldMatrix25.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor29);
    defaultFieldMatrixChangingVisitor29.start(1, 8, 0, 36, 100, 100);
    org.apache.commons.math.FieldElement fieldElement38 = blockFieldMatrix23.walkInOptimizedOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor29);
    defaultFieldMatrixChangingVisitor29.start((-100), 52, 1, (-100), (-100), (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement38);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test487"); }


    java.io.ObjectInputStream objectInputStream2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.MatrixUtils.deserializeRealVector((java.lang.Object)"Array2DRowRealMatrix{}", "a {0}x{1} matrix was provided instead of a square matrix", objectInputStream2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test488"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetFunctionValueAccuracy();
    int i2 = brentSolver0.getMaximalIterationCount();
    int i3 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test489"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, true);
    org.apache.commons.math.linear.BlockFieldMatrix blockFieldMatrix23 = new org.apache.commons.math.linear.BlockFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.Field field24 = null;
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix25 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(field24);
    org.apache.commons.math.fraction.BigFraction bigFraction26 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger27 = bigFraction26.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction28 = bigFraction26.reduce();
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor29 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction26);
    org.apache.commons.math.FieldElement fieldElement30 = array2DRowFieldMatrix25.walkInRowOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor29);
    org.apache.commons.math.FieldElement[] fieldElement_array31 = new org.apache.commons.math.FieldElement[] { fieldElement30 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix32 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array31);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix33 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array31);
    org.apache.commons.math.FieldElement[] fieldElement_array34 = blockFieldMatrix23.operate(fieldElement_array31);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix35 = blockFieldMatrix23.transpose();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix36 = blockFieldMatrix23.copy();
    org.apache.commons.math.fraction.BigFraction bigFraction39 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor40 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction39);
    org.apache.commons.math.FieldElement fieldElement41 = defaultFieldMatrixChangingVisitor40.end();
    org.apache.commons.math.FieldElement fieldElement42 = defaultFieldMatrixChangingVisitor40.end();
    org.apache.commons.math.fraction.BigFraction bigFraction45 = org.apache.commons.math.fraction.BigFraction.ONE_FIFTH;
    org.apache.commons.math.fraction.BigFraction bigFraction46 = bigFraction45.abs();
    org.apache.commons.math.FieldElement fieldElement47 = defaultFieldMatrixChangingVisitor40.visit(0, 8, (org.apache.commons.math.FieldElement)bigFraction45);
    org.apache.commons.math.FieldElement fieldElement48 = defaultFieldMatrixChangingVisitor40.end();
    // The following exception was thrown during execution in test generation
    try {
      blockFieldMatrix23.addToEntry(1, (-100), fieldElement48);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement48);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test490"); }


    org.apache.commons.math.ode.sampling.NordsieckStepInterpolator nordsieckStepInterpolator0 = new org.apache.commons.math.ode.sampling.NordsieckStepInterpolator();
    double[] d_array6 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix7 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array6);
    double[] d_array13 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException14 = new org.apache.commons.math.FunctionEvaluationException(d_array13);
    double[] d_array15 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator16 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array13, d_array15);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix17 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array15);
    nordsieckStepInterpolator0.reinitialize(10.0d, 1.0d, d_array6, array2DRowRealMatrix17);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.linear.RealMatrix realMatrix20 = array2DRowRealMatrix17.getRowMatrix(8);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test491"); }


    org.apache.commons.math.fraction.BigFraction bigFraction2 = org.apache.commons.math.fraction.BigFraction.getReducedFraction(100, (-1));
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction2.divide(1);
    org.apache.commons.math.fraction.BigFraction bigFraction6 = bigFraction2.multiply((-1));
    org.apache.commons.math.fraction.BigFraction bigFraction7 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor8 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction7);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = new org.apache.commons.math.fraction.BigFraction(0, 10);
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = new org.apache.commons.math.fraction.BigFraction(bigInteger14);
    org.apache.commons.math.FieldElement fieldElement16 = defaultFieldMatrixChangingVisitor8.visit(100, (-1), (org.apache.commons.math.FieldElement)bigFraction15);
    java.math.BigDecimal bigDecimal19 = bigFraction15.bigDecimalValue(8, 0);
    org.apache.commons.math.fraction.BigFraction bigFraction20 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor21 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction20);
    java.math.BigInteger bigInteger22 = bigFraction20.getNumerator();
    org.apache.commons.math.fraction.BigFraction bigFraction23 = bigFraction15.multiply(bigInteger22);
    org.apache.commons.math.fraction.BigFraction bigFraction24 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor25 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction24);
    java.math.BigInteger bigInteger26 = bigFraction24.getNumerator();
    org.apache.commons.math.fraction.BigFraction bigFraction27 = bigFraction23.add(bigInteger26);
    int i28 = bigFraction2.compareTo(bigFraction27);
    org.apache.commons.math.fraction.BigFraction bigFraction30 = bigFraction2.subtract(3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigDecimal19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction30);

  }

  @Test
  public void test492() {}
// Defects4J: flaky method
//   @Test
//   public void test492() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test492"); }
// 
// 
//     // The following exception was thrown during execution in test generation
//     try {
//       org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix2 = new org.apache.commons.math.linear.BlockRealMatrix(10, 0);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
// 
//   }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test493"); }


    double[] d_array5 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException6 = new org.apache.commons.math.FunctionEvaluationException(d_array5);
    double[] d_array7 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator8 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array5, d_array7);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix9 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array5);
    org.apache.commons.math.linear.RealMatrix realMatrix11 = array2DRowRealMatrix9.scalarAdd(0.0d);
    org.apache.commons.math.linear.RealMatrix realMatrix12 = array2DRowRealMatrix9.copy();
    double[][] d_array_array13 = array2DRowRealMatrix9.getData();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix14 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array13);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test494"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger1 = bigFraction0.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction3 = bigFraction0.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array4 = new org.apache.commons.math.FieldElement[] { bigFraction0 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix5 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix6 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array4);
    java.lang.String str7 = array2DRowFieldMatrix6.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix9 = array2DRowFieldMatrix6.scalarAdd((org.apache.commons.math.FieldElement)bigFraction8);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array10 = array2DRowFieldMatrix6.getDataRef();
    org.apache.commons.math.fraction.BigFraction bigFraction11 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction12 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor13 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction12);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor14 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction12);
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction11.subtract(bigFraction12);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger17 = bigFraction16.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction18 = bigFraction12.subtract(bigInteger17);
    org.apache.commons.math.fraction.BigFraction bigFraction19 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction20 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor21 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction20);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor22 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction20);
    org.apache.commons.math.fraction.BigFraction bigFraction23 = bigFraction19.subtract(bigFraction20);
    org.apache.commons.math.fraction.BigFraction bigFraction24 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger25 = bigFraction24.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction26 = bigFraction20.subtract(bigInteger25);
    org.apache.commons.math.fraction.BigFraction bigFraction27 = bigFraction18.pow(bigInteger25);
    org.apache.commons.math.FieldElement[] fieldElement_array28 = new org.apache.commons.math.FieldElement[] { bigFraction27 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix29 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array28);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array30 = new org.apache.commons.math.FieldElement[][] { fieldElement_array28 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix31 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array30);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix33 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array30, false);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix34 = array2DRowFieldMatrix6.subtract((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix33);
    org.apache.commons.math.fraction.BigFraction bigFraction35 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger36 = bigFraction35.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction38 = bigFraction35.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array39 = new org.apache.commons.math.FieldElement[] { bigFraction35 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix40 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array39);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix41 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array39);
    java.lang.String str42 = array2DRowFieldMatrix41.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction43 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix44 = array2DRowFieldMatrix41.scalarAdd((org.apache.commons.math.FieldElement)bigFraction43);
    int i45 = array2DRowFieldMatrix41.getColumnDimension();
    org.apache.commons.math.fraction.BigFraction bigFraction46 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger47 = bigFraction46.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction49 = bigFraction46.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array50 = new org.apache.commons.math.FieldElement[] { bigFraction46 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix51 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array50);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix52 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array50);
    java.lang.String str53 = array2DRowFieldMatrix52.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction54 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix55 = array2DRowFieldMatrix52.scalarAdd((org.apache.commons.math.FieldElement)bigFraction54);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array56 = array2DRowFieldMatrix52.getDataRef();
    org.apache.commons.math.linear.FieldMatrix fieldMatrix57 = array2DRowFieldMatrix41.add((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix52);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix58 = array2DRowFieldMatrix6.subtract((org.apache.commons.math.linear.FieldMatrix)array2DRowFieldMatrix52);
    org.apache.commons.math.fraction.BigFraction bigFraction59 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor60 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction59);
    org.apache.commons.math.FieldElement fieldElement61 = defaultFieldMatrixChangingVisitor60.end();
    org.apache.commons.math.FieldElement fieldElement62 = defaultFieldMatrixChangingVisitor60.end();
    org.apache.commons.math.fraction.BigFraction bigFraction65 = org.apache.commons.math.fraction.BigFraction.ONE_FIFTH;
    org.apache.commons.math.fraction.BigFraction bigFraction66 = bigFraction65.abs();
    org.apache.commons.math.FieldElement fieldElement67 = defaultFieldMatrixChangingVisitor60.visit(0, 8, (org.apache.commons.math.FieldElement)bigFraction65);
    org.apache.commons.math.fraction.BigFraction bigFraction70 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger71 = bigFraction70.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction73 = bigFraction70.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array74 = new org.apache.commons.math.FieldElement[] { bigFraction70 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix75 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array74);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix76 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array74);
    java.lang.String str77 = array2DRowFieldMatrix76.toString();
    org.apache.commons.math.fraction.BigFraction bigFraction78 = org.apache.commons.math.fraction.BigFraction.ONE_HALF;
    org.apache.commons.math.linear.FieldMatrix fieldMatrix79 = array2DRowFieldMatrix76.scalarAdd((org.apache.commons.math.FieldElement)bigFraction78);
    org.apache.commons.math.fraction.BigFraction bigFraction81 = bigFraction78.multiply(1L);
    org.apache.commons.math.FieldElement fieldElement82 = defaultFieldMatrixChangingVisitor60.visit(100, 0, (org.apache.commons.math.FieldElement)bigFraction81);
    org.apache.commons.math.FieldElement fieldElement83 = array2DRowFieldMatrix6.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor60);
    org.apache.commons.math.linear.FieldMatrix fieldMatrix84 = array2DRowFieldMatrix6.transpose();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str7.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str42.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str53.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str77 + "' != '" + "Array2DRowFieldMatrix{{1}}"+ "'", str77.equals("Array2DRowFieldMatrix{{1}}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix84);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test495"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.setRelativeAccuracy(0.2d);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetMaximalIterationCount();
    int i5 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setRelativeAccuracy(0.0d);
    brentSolver0.resetAbsoluteAccuracy();
    int i9 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 100);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test496"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array3, false);
    org.apache.commons.math.linear.RealMatrixPreservingVisitor realMatrixPreservingVisitor7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = array2DRowRealMatrix6.walkInRowOrder(realMatrixPreservingVisitor7, 10, 8, (-1), 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test497"); }


    double[] d_array8 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException9 = new org.apache.commons.math.FunctionEvaluationException(d_array8);
    double[] d_array10 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator11 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array8, d_array10);
    double[] d_array15 = new double[] { 0.0d, (-1.0d), 10.0d };
    org.apache.commons.math.linear.RealMatrix realMatrix16 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array15);
    org.apache.commons.math.linear.RealMatrix realMatrix17 = org.apache.commons.math.linear.MatrixUtils.createRealDiagonalMatrix(d_array15);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator18 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(10, 10.0d, 10.0d, d_array8, d_array15);
    double[] d_array25 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException26 = new org.apache.commons.math.FunctionEvaluationException(d_array25);
    double[] d_array30 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException31 = new org.apache.commons.math.FunctionEvaluationException(d_array30);
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException34 = new org.apache.commons.math.FunctionEvaluationException(d_array30, "Maximal number of evaluations ({0}) exceeded", obj_array33);
    org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator adamsMoultonIntegrator35 = new org.apache.commons.math.ode.nonstiff.AdamsMoultonIntegrator(1, 10.0d, 0.0d, d_array25, d_array30);
    double[] d_array41 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException42 = new org.apache.commons.math.FunctionEvaluationException(d_array41);
    double[] d_array43 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator44 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array41, d_array43);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix45 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array41);
    double[] d_array47 = array2DRowRealMatrix45.getRow(1);
    double[] d_array53 = new double[] { 1.0d, 1.0d, (-1.0d) };
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException54 = new org.apache.commons.math.FunctionEvaluationException(d_array53);
    double[] d_array55 = new double[] {  };
    org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator dormandPrince853Integrator56 = new org.apache.commons.math.ode.nonstiff.DormandPrince853Integrator(0.2d, 1.0d, d_array53, d_array55);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix57 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array53);
    org.apache.commons.math.linear.RealMatrix realMatrix59 = array2DRowRealMatrix57.scalarAdd(0.0d);
    adamsMoultonIntegrator18.updateHighOrderDerivativesPhase2(d_array30, d_array47, array2DRowRealMatrix57);
    double[][] d_array_array61 = new double[][] { d_array47 };
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix62 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array61);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix64 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array61, true);
    org.apache.commons.math.linear.RealMatrix realMatrix66 = array2DRowRealMatrix64.scalarMultiply(2.0d);
    org.apache.commons.math.linear.RealMatrixChangingVisitor realMatrixChangingVisitor67 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d72 = array2DRowRealMatrix64.walkInOptimizedOrder(realMatrixChangingVisitor67, 8, 36, 36, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix66);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test498"); }


    org.apache.commons.math.fraction.BigFraction bigFraction0 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction1 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor2 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor3 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction4 = bigFraction0.subtract(bigFraction1);
    org.apache.commons.math.fraction.BigFraction bigFraction5 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger6 = bigFraction5.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction7 = bigFraction1.subtract(bigInteger6);
    org.apache.commons.math.fraction.BigFraction bigFraction8 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.fraction.BigFraction bigFraction9 = org.apache.commons.math.fraction.BigFraction.ONE;
    org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor defaultFieldMatrixPreservingVisitor10 = new org.apache.commons.math.linear.DefaultFieldMatrixPreservingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor11 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction12 = bigFraction8.subtract(bigFraction9);
    org.apache.commons.math.fraction.BigFraction bigFraction13 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger14 = bigFraction13.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction15 = bigFraction9.subtract(bigInteger14);
    org.apache.commons.math.fraction.BigFraction bigFraction16 = bigFraction7.pow(bigInteger14);
    org.apache.commons.math.FieldElement[] fieldElement_array17 = new org.apache.commons.math.FieldElement[] { bigFraction16 };
    org.apache.commons.math.linear.FieldMatrix fieldMatrix18 = org.apache.commons.math.linear.MatrixUtils.<org.apache.commons.math.FieldElement>createRowFieldMatrix(fieldElement_array17);
    org.apache.commons.math.FieldElement[][] fieldElement_array_array19 = new org.apache.commons.math.FieldElement[][] { fieldElement_array17 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix20 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix22 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, false);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix24 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array_array19, false);
    org.apache.commons.math.fraction.BigFraction bigFraction25 = org.apache.commons.math.fraction.BigFraction.ONE;
    java.math.BigInteger bigInteger26 = bigFraction25.getDenominator();
    org.apache.commons.math.fraction.BigFraction bigFraction28 = bigFraction25.multiply(0);
    org.apache.commons.math.FieldElement[] fieldElement_array29 = new org.apache.commons.math.FieldElement[] { bigFraction25 };
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix30 = new org.apache.commons.math.linear.Array2DRowFieldMatrix(fieldElement_array29);
    org.apache.commons.math.fraction.BigFraction bigFraction31 = org.apache.commons.math.fraction.BigFraction.TWO_QUARTERS;
    org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor defaultFieldMatrixChangingVisitor32 = new org.apache.commons.math.linear.DefaultFieldMatrixChangingVisitor((org.apache.commons.math.FieldElement)bigFraction31);
    org.apache.commons.math.FieldElement fieldElement33 = defaultFieldMatrixChangingVisitor32.end();
    org.apache.commons.math.FieldElement fieldElement34 = array2DRowFieldMatrix30.walkInColumnOrder((org.apache.commons.math.linear.FieldMatrixChangingVisitor)defaultFieldMatrixChangingVisitor32);
    org.apache.commons.math.linear.Array2DRowFieldMatrix array2DRowFieldMatrix35 = array2DRowFieldMatrix24.subtract(array2DRowFieldMatrix30);
    int i36 = array2DRowFieldMatrix35.getColumnDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldMatrix18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigFraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fieldElement34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(array2DRowFieldMatrix35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test499"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    org.apache.commons.math.linear.Array2DRowRealMatrix array2DRowRealMatrix6 = new org.apache.commons.math.linear.Array2DRowRealMatrix(d_array_array3, false);
    double[] d_array8 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector9 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array8);
    double[][] d_array_array10 = new double[][] { d_array8 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix11 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array10);
    double[] d_array13 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector14 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array13);
    double[][] d_array_array15 = new double[][] { d_array13 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix16 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array15);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix17 = blockRealMatrix11.multiply(blockRealMatrix16);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix19 = blockRealMatrix11.getColumnMatrix(0);
    double[] d_array21 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector22 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array21);
    double[][] d_array_array23 = new double[][] { d_array21 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix24 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array23);
    double[] d_array26 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector27 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array26);
    double[][] d_array_array28 = new double[][] { d_array26 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix29 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array28);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix30 = blockRealMatrix24.multiply(blockRealMatrix29);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix32 = blockRealMatrix24.getColumnMatrix(0);
    double[] d_array34 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector35 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array34);
    double[][] d_array_array36 = new double[][] { d_array34 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix37 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array36);
    double[] d_array39 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector40 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array39);
    double[][] d_array_array41 = new double[][] { d_array39 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix42 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array41);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix43 = blockRealMatrix37.multiply(blockRealMatrix42);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix44 = blockRealMatrix42.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix45 = blockRealMatrix32.add(blockRealMatrix44);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix46 = blockRealMatrix19.subtract(blockRealMatrix32);
    org.apache.commons.math.linear.RealMatrix realMatrix47 = array2DRowRealMatrix6.add((org.apache.commons.math.linear.RealMatrix)blockRealMatrix32);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix49 = blockRealMatrix32.scalarAdd(Double.NaN);
    double[] d_array51 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector52 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array51);
    double[][] d_array_array53 = new double[][] { d_array51 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix54 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array53);
    double[] d_array56 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector57 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array56);
    double[][] d_array_array58 = new double[][] { d_array56 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix59 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array58);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix60 = blockRealMatrix54.multiply(blockRealMatrix59);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix61 = blockRealMatrix59.copy();
    boolean b62 = blockRealMatrix61.isSquare();
    org.apache.commons.math.linear.RealMatrix realMatrix64 = blockRealMatrix61.scalarMultiply(0.2d);
    double[] d_array67 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector68 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array67);
    double[][] d_array_array69 = new double[][] { d_array67 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix70 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array69);
    double[] d_array72 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector73 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array72);
    double[][] d_array_array74 = new double[][] { d_array72 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix75 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array74);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix76 = blockRealMatrix70.multiply(blockRealMatrix75);
    double[] d_array78 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector79 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array78);
    double[][] d_array_array80 = new double[][] { d_array78 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix81 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array80);
    double[] d_array83 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector84 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array83);
    double[][] d_array_array85 = new double[][] { d_array83 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix86 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array85);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix87 = blockRealMatrix81.multiply(blockRealMatrix86);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix88 = blockRealMatrix86.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix89 = blockRealMatrix70.add(blockRealMatrix88);
    double d90 = blockRealMatrix70.getFrobeniusNorm();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix91 = blockRealMatrix70.transpose();
    int i92 = blockRealMatrix91.getColumnDimension();
    blockRealMatrix61.setColumnMatrix(0, (org.apache.commons.math.linear.RealMatrix)blockRealMatrix91);
    org.apache.commons.math.linear.RealMatrix realMatrix94 = blockRealMatrix32.preMultiply((org.apache.commons.math.linear.RealMatrix)blockRealMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i92 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix94);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test500"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector2 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array1);
    double[][] d_array_array3 = new double[][] { d_array1 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix4 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array3);
    double[] d_array6 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector7 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array6);
    double[][] d_array_array8 = new double[][] { d_array6 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix9 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array8);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix10 = blockRealMatrix4.multiply(blockRealMatrix9);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix12 = blockRealMatrix4.getColumnMatrix(0);
    double[] d_array14 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector15 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array14);
    double[][] d_array_array16 = new double[][] { d_array14 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix17 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array16);
    double[] d_array19 = new double[] { 1.0d };
    org.apache.commons.math.linear.RealVector realVector20 = org.apache.commons.math.linear.MatrixUtils.createRealVector(d_array19);
    double[][] d_array_array21 = new double[][] { d_array19 };
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix22 = new org.apache.commons.math.linear.BlockRealMatrix(d_array_array21);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix23 = blockRealMatrix17.multiply(blockRealMatrix22);
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix24 = blockRealMatrix22.copy();
    org.apache.commons.math.linear.BlockRealMatrix blockRealMatrix25 = blockRealMatrix12.add(blockRealMatrix24);
    org.apache.commons.math.linear.RealMatrix realMatrix27 = blockRealMatrix24.getRowMatrix(0);
    org.apache.commons.math.FunctionEvaluationException functionEvaluationException30 = new org.apache.commons.math.FunctionEvaluationException(10.0d);
    double[][] d_array_array34 = org.apache.commons.math.linear.BlockRealMatrix.createBlocksLayout(100, 100);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException((java.lang.Throwable)functionEvaluationException30, "", (java.lang.Object[])d_array_array34);
    org.apache.commons.math.ode.DerivativeException derivativeException36 = new org.apache.commons.math.ode.DerivativeException("Array2DRowRealMatrix{{2.0},{2.0},{-2.0}}", (java.lang.Object[])d_array_array34);
    // The following exception was thrown during execution in test generation
    try {
      blockRealMatrix24.setSubMatrix(d_array_array34, 0, 36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException");
    } catch (org.apache.commons.math.linear.MatrixIndexException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.linear.MatrixIndexException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.linear.MatrixIndexException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realVector20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(blockRealMatrix25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(realMatrix27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array34);

  }

}
